<?php
include 'themebrain_profile_functions.php';
/**
 * Implements hook_install_tasks_alter().
 */
function tb_simply_starter_install_tasks_alter(&$tasks, &$install_state) {
  $new_tasks = array(
    'install_select_profile' => $tasks['install_select_profile'],
    'install_select_locale' => $tasks['install_select_locale'],
    'install_load_profile' => $tasks['install_load_profile'],
    'install_verify_requirements' => $tasks['install_verify_requirements'],
    'install_settings_form' => $tasks['install_settings_form'],
    'install_system_module' => $tasks['install_system_module'],
    'install_bootstrap_full' => $tasks['install_bootstrap_full'],
    'install_selected_profile' => array(
      'display_name' => st('Install profile'),
      'function' => 'tb_simply_starter_install_selected_profile'
    ),
    'install_import_locales' => $tasks['install_import_locales'],
    'install_configure_form' => array(
      'display_name' => st('Configure site'),
      'function' => 'tb_install_configure_form',
      'type' => 'form',
    ),
    'install_import_locales_remaining' => $tasks['install_import_locales_remaining'],
    'install_finished' => array(
      'display_name' => st('Install finished'),
      'function' => 'tb_install_finished',
    ),
  );
  $tasks = $new_tasks;
}

function tb_simply_starter_install_selected_profile() {
  // Copy resources to project.
  tb_copy_resources();

  tb_install_selected_profile();
}

function tb_copy_resources() {
  $filetransfer = new FileTransferLocal(DRUPAL_ROOT);
  $sources = array(
    DRUPAL_ROOT . '/profiles/tb_simply_starter/modules' => DRUPAL_ROOT.'/sites/all',
    DRUPAL_ROOT . '/profiles/tb_simply_starter/themes' => DRUPAL_ROOT.'/sites/all',
    DRUPAL_ROOT . '/profiles/tb_simply_starter/libraries' => DRUPAL_ROOT.'/sites/all',
    DRUPAL_ROOT . '/profiles/tb_simply_starter/files' => DRUPAL_ROOT.'/sites/default'
  );
  foreach ($sources as $source => $destination) {
    $filetransfer->copyDirectory($source, $destination);
  }
}
