-- MySQL dump 10.13  Distrib 5.6.21, for Win32 (x86)
--
-- Host: localhost    Database: tb_svn_simply
-- ------------------------------------------------------
-- Server version	5.6.21

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `accesslog`
--

DROP TABLE IF EXISTS `accesslog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accesslog` (
  `aid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique accesslog ID.',
  `sid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Browser session ID of user that visited page.',
  `title` varchar(255) DEFAULT NULL COMMENT 'Title of page visited.',
  `path` varchar(255) DEFAULT NULL COMMENT 'Internal path to page visited (relative to Drupal root.)',
  `url` text COMMENT 'Referrer URI.',
  `hostname` varchar(128) DEFAULT NULL COMMENT 'Hostname of user that visited the page.',
  `uid` int(10) unsigned DEFAULT '0' COMMENT 'User users.uid that visited the page.',
  `timer` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Time in milliseconds that the page took to load.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the page was visited.',
  PRIMARY KEY (`aid`),
  KEY `accesslog_timestamp` (`timestamp`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores site access information for statistics.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `accesslog`
--

LOCK TABLES `accesslog` WRITE;
/*!40000 ALTER TABLE `accesslog` DISABLE KEYS */;
/*!40000 ALTER TABLE `accesslog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
INSERT INTO `actions` VALUES ('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('pathauto_node_update_action','node','pathauto_node_update_action','','Update node alias'),('pathauto_taxonomy_term_update_action','taxonomy_term','pathauto_taxonomy_term_update_action','','Update taxonomy term alias'),('pathauto_user_update_action','user','pathauto_user_update_action','','Update user alias'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('user_block_user_action','user','user_block_user_action','','Block current user');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregator_category`
--

DROP TABLE IF EXISTS `aggregator_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregator_category` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique aggregator category ID.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Title of the category.',
  `description` longtext NOT NULL COMMENT 'Description of the category',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The number of recent items to show within the category block.',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores categories for aggregator feeds and feed items.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregator_category`
--

LOCK TABLES `aggregator_category` WRITE;
/*!40000 ALTER TABLE `aggregator_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregator_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregator_category_feed`
--

DROP TABLE IF EXISTS `aggregator_category_feed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregator_category_feed` (
  `fid` int(11) NOT NULL DEFAULT '0' COMMENT 'The feed’s aggregator_feed.fid.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The aggregator_category.cid to which the feed is being assigned.',
  PRIMARY KEY (`cid`,`fid`),
  KEY `fid` (`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Bridge table; maps feeds to categories.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregator_category_feed`
--

LOCK TABLES `aggregator_category_feed` WRITE;
/*!40000 ALTER TABLE `aggregator_category_feed` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregator_category_feed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregator_category_item`
--

DROP TABLE IF EXISTS `aggregator_category_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregator_category_item` (
  `iid` int(11) NOT NULL DEFAULT '0' COMMENT 'The feed item’s aggregator_item.iid.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The aggregator_category.cid to which the feed item is being assigned.',
  PRIMARY KEY (`cid`,`iid`),
  KEY `iid` (`iid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Bridge table; maps feed items to categories.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregator_category_item`
--

LOCK TABLES `aggregator_category_item` WRITE;
/*!40000 ALTER TABLE `aggregator_category_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregator_category_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregator_feed`
--

DROP TABLE IF EXISTS `aggregator_feed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregator_feed` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique feed ID.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Title of the feed.',
  `url` text NOT NULL COMMENT 'URL to the feed.',
  `refresh` int(11) NOT NULL DEFAULT '0' COMMENT 'How often to check for new feed items, in seconds.',
  `checked` int(11) NOT NULL DEFAULT '0' COMMENT 'Last time feed was checked for new items, as Unix timestamp.',
  `queued` int(11) NOT NULL DEFAULT '0' COMMENT 'Time when this feed was queued for refresh, 0 if not queued.',
  `link` text NOT NULL COMMENT 'The parent website of the feed; comes from the <link> element in the feed.',
  `description` longtext NOT NULL COMMENT 'The parent website’s description; comes from the <description> element in the feed.',
  `image` longtext NOT NULL COMMENT 'An image representing the feed.',
  `hash` varchar(64) NOT NULL DEFAULT '' COMMENT 'Calculated hash of the feed data, used for validating cache.',
  `etag` varchar(255) NOT NULL DEFAULT '' COMMENT 'Entity tag HTTP response header, used for validating cache.',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'When the feed was last modified, as a Unix timestamp.',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Number of items to display in the feed’s block.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `title` (`title`),
  KEY `queued` (`queued`),
  KEY `url` (`url`(255))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores feeds to be parsed by the aggregator.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregator_feed`
--

LOCK TABLES `aggregator_feed` WRITE;
/*!40000 ALTER TABLE `aggregator_feed` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregator_feed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `aggregator_item`
--

DROP TABLE IF EXISTS `aggregator_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `aggregator_item` (
  `iid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique ID for feed item.',
  `fid` int(11) NOT NULL DEFAULT '0' COMMENT 'The aggregator_feed.fid to which this item belongs.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Title of the feed item.',
  `link` text NOT NULL COMMENT 'Link to the feed item.',
  `author` varchar(255) NOT NULL DEFAULT '' COMMENT 'Author of the feed item.',
  `description` longtext NOT NULL COMMENT 'Body of the feed item.',
  `timestamp` int(11) DEFAULT NULL COMMENT 'Posted date of the feed item, as a Unix timestamp.',
  `guid` text NOT NULL COMMENT 'Unique identifier for the feed item.',
  PRIMARY KEY (`iid`),
  KEY `fid` (`fid`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the individual items imported from feeds.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `aggregator_item`
--

LOCK TABLES `aggregator_item` WRITE;
/*!40000 ALTER TABLE `aggregator_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `aggregator_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `authmap`
--

DROP TABLE IF EXISTS `authmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authmap`
--

LOCK TABLES `authmap` WRITE;
/*!40000 ALTER TABLE `authmap` DISABLE KEYS */;
/*!40000 ALTER TABLE `authmap` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
INSERT INTO `batch` VALUES (16,'ejWlbeXwuw37rRTnsD4B0a_tF8tyFCvocIpYqFUlRj8',1435656460,'a:13:{s:4:\"sets\";a:1:{i:0;a:15:{s:7:\"sandbox\";a:0:{}s:7:\"results\";a:1:{s:8:\"projects\";a:1:{s:5:\"views\";s:58:\"http://ftp.drupal.org/files/projects/views-7.x-3.11.tar.gz\";}}s:7:\"success\";b:1;s:5:\"start\";d:1435656467.376377105712890625;s:7:\"elapsed\";d:5067.4499999999998181010596454143524169921875;s:5:\"title\";s:19:\"Downloading updates\";s:12:\"init_message\";s:49:\"Preparing to download selected updates<br/>&nbsp;\";s:8:\"finished\";s:38:\"update_manager_download_batch_finished\";s:4:\"file\";s:33:\"modules/update/update.manager.inc\";s:16:\"progress_message\";s:29:\"Completed @current of @total.\";s:13:\"error_message\";s:22:\"An error has occurred.\";s:3:\"css\";a:0:{}s:5:\"total\";i:1;s:5:\"count\";i:0;s:5:\"queue\";a:2:{s:4:\"name\";s:17:\"drupal_batch:16:0\";s:5:\"class\";s:10:\"BatchQueue\";}}}s:16:\"has_form_submits\";b:0;s:10:\"form_state\";a:3:{s:10:\"programmed\";b:0;s:7:\"rebuild\";b:0;s:8:\"redirect\";N;}s:11:\"progressive\";b:1;s:11:\"current_set\";i:0;s:3:\"url\";s:5:\"batch\";s:11:\"url_options\";a:1:{s:5:\"query\";a:1:{s:6:\"render\";s:7:\"overlay\";}}s:10:\"source_url\";s:28:\"admin/reports/updates/update\";s:8:\"redirect\";N;s:5:\"theme\";s:5:\"seven\";s:17:\"redirect_callback\";s:11:\"drupal_goto\";s:2:\"id\";s:2:\"16\";s:13:\"error_message\";s:76:\"Please continue to <a href=\"/batch?id=16&amp;op=finished\">the error page</a>\";}');
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `block`
--

DROP TABLE IF EXISTS `block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the "Pages" block; contains either a list of paths on which to include/exclude the block or PHP code, depending on "visibility" setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block`
--

LOCK TABLES `block` WRITE;
/*!40000 ALTER TABLE `block` DISABLE KEYS */;
INSERT INTO `block` VALUES (1,'system','main','bartik',1,0,'content',0,0,'','',-1),(2,'search','form','bartik',1,-1,'sidebar_first',0,0,'','',-1),(3,'node','recent','seven',1,10,'dashboard_main',0,0,'','',-1),(4,'user','login','bartik',1,0,'sidebar_first',0,0,'','',-1),(5,'system','navigation','bartik',1,0,'sidebar_first',0,0,'','',-1),(6,'system','powered-by','bartik',1,10,'footer',0,0,'','',-1),(7,'system','help','bartik',1,0,'help',0,0,'','',-1),(8,'system','main','seven',1,0,'content',0,0,'','',-1),(9,'system','help','seven',1,0,'help',0,0,'','',-1),(10,'user','login','seven',1,10,'content',0,0,'','',-1),(11,'user','new','seven',1,0,'dashboard_sidebar',0,0,'','',-1),(12,'search','form','seven',1,-10,'dashboard_sidebar',0,0,'','',-1),(13,'comment','recent','bartik',0,0,'-1',0,0,'','',1),(14,'node','syndicate','bartik',0,0,'-1',0,0,'','',-1),(15,'node','recent','bartik',0,0,'-1',0,0,'','',1),(16,'shortcut','shortcuts','bartik',0,0,'-1',0,0,'','',-1),(17,'system','management','bartik',0,0,'-1',0,0,'','',-1),(18,'system','user-menu','bartik',0,0,'-1',0,0,'','',-1),(19,'system','main-menu','bartik',0,0,'-1',0,0,'','',-1),(20,'user','new','bartik',0,0,'-1',0,0,'','',1),(21,'user','online','bartik',0,0,'-1',0,0,'','',-1),(22,'comment','recent','seven',1,0,'dashboard_inactive',0,0,'','',1),(23,'node','syndicate','seven',0,0,'-1',0,0,'','',-1),(24,'shortcut','shortcuts','seven',0,0,'-1',0,0,'','',-1),(25,'system','powered-by','seven',0,10,'-1',0,0,'','',-1),(26,'system','navigation','seven',0,0,'-1',0,0,'','',-1),(27,'system','management','seven',0,0,'-1',0,0,'','',-1),(28,'system','user-menu','seven',0,0,'-1',0,0,'','',-1),(29,'system','main-menu','seven',0,0,'-1',0,0,'','',-1),(30,'user','online','seven',1,0,'dashboard_inactive',0,0,'','',-1),(31,'comment','recent','tb_simply',0,-9,'-1',0,0,'','',1),(32,'node','recent','tb_simply',1,-8,'sidebar_first',0,0,'','',1),(33,'node','syndicate','tb_simply',0,-4,'-1',0,0,'','',-1),(34,'search','form','tb_simply',1,-1,'header',0,0,'','',-1),(35,'shortcut','shortcuts','tb_simply',0,-8,'-1',0,0,'','',-1),(36,'system','help','tb_simply',1,0,'help',0,0,'','',-1),(37,'system','main','tb_simply',1,0,'content',0,0,'','',-1),(38,'system','main-menu','tb_simply',1,-13,'sidebar_first',0,0,'','',-1),(39,'system','management','tb_simply',0,-12,'-1',0,0,'','',-1),(40,'system','navigation','tb_simply',1,-12,'sidebar_first',0,0,'','',-1),(41,'system','powered-by','tb_simply',0,-13,'-1',0,0,'','',-1),(42,'system','user-menu','tb_simply',1,-10,'sidebar_first',0,0,'','',-1),(43,'user','login','tb_simply',1,-11,'sidebar_first',0,0,'','',-1),(44,'user','new','tb_simply',1,-6,'sidebar_first',0,0,'','',1),(45,'user','online','tb_simply',1,-5,'sidebar_first',0,0,'','',-1),(46,'blog','recent','bartik',0,0,'-1',0,0,'','',1),(47,'locale','language','bartik',0,0,'-1',0,0,'','',-1),(48,'poll','recent','bartik',0,0,'-1',0,0,'','',1),(49,'superfish','1','bartik',0,0,'-1',0,0,'','<none>',-1),(50,'superfish','2','bartik',0,0,'-1',0,0,'','',-1),(51,'superfish','3','bartik',0,0,'-1',0,0,'','',-1),(52,'superfish','4','bartik',0,0,'-1',0,0,'','',-1),(53,'forum','active','bartik',0,0,'-1',0,0,'','',-2),(54,'forum','new','bartik',0,0,'-1',0,0,'','',-2),(55,'blog','recent','seven',1,0,'dashboard_inactive',0,0,'','',1),(56,'locale','language','seven',0,0,'-1',0,0,'','',-1),(57,'poll','recent','seven',1,0,'dashboard_inactive',0,0,'','',1),(58,'superfish','1','seven',0,0,'-1',0,0,'','<none>',-1),(59,'superfish','2','seven',0,0,'-1',0,0,'','',-1),(60,'superfish','3','seven',0,0,'-1',0,0,'','',-1),(61,'superfish','4','seven',0,0,'-1',0,0,'','',-1),(62,'forum','active','seven',1,0,'dashboard_inactive',0,0,'','',-2),(63,'forum','new','seven',1,0,'dashboard_inactive',0,0,'','',-2),(64,'blog','recent','tb_simply',0,-10,'-1',0,0,'','',1),(65,'locale','language','tb_simply',0,-13,'-1',0,0,'','',-1),(66,'poll','recent','tb_simply',1,-7,'sidebar_first',0,0,'','',1),(67,'superfish','1','tb_simply',1,0,'menu_bar',0,0,'','<none>',-1),(68,'superfish','2','tb_simply',0,-7,'-1',0,0,'','',-1),(69,'superfish','3','tb_simply',0,-6,'-1',0,0,'','',-1),(70,'superfish','4','tb_simply',0,-5,'-1',0,0,'','',-1),(71,'forum','active','tb_simply',0,-14,'-1',0,0,'','',-2),(72,'forum','new','tb_simply',0,-11,'-1',0,0,'','',-2),(73,'views','Slideshow-block','seven',0,0,'-1',0,1,'<front>','',-1),(74,'quicktabs','quicktabs','seven',0,0,'-1',0,0,'','',-1),(75,'quicktabs','quicktabs','tb_simply',1,-9,'sidebar_first',0,0,'','',-1),(76,'views','Slideshow-block','tb_simply',1,0,'slideshow',0,1,'<front>','',-1),(77,'views','Slideshow-block','bartik',0,0,'-1',0,0,'<front>','',-1),(78,'block','1','bartik',0,0,'-1',0,0,'','ThemeBrain Copyright',-1),(79,'block','1','seven',0,0,'-1',0,0,'','ThemeBrain Copyright',-1),(80,'block','1','tb_simply',1,-13,'footer',0,0,'','ThemeBrain Copyright',-1),(81,'menu','menu-footer-menu','bartik',0,0,'-1',0,0,'','',-1),(82,'quicktabs','quicktabs','bartik',0,0,'-1',0,0,'','',-1),(83,'menu','menu-footer-menu','seven',0,0,'-1',0,0,'','',-1),(84,'menu','menu-footer-menu','tb_simply',1,-14,'footer',0,0,'','',-1),(85,'tb_megamenu','main-menu','bartik',0,0,'-1',0,0,'','',-1),(86,'tb_megamenu','management','bartik',0,0,'-1',0,0,'','',-1),(87,'tb_megamenu','menu-footer-menu','bartik',0,0,'-1',0,0,'','',-1),(88,'tb_megamenu','navigation','bartik',0,0,'-1',0,0,'','',-1),(89,'tb_megamenu','user-menu','bartik',0,0,'-1',0,0,'','',-1),(90,'tb_megamenu','main-menu','seven',0,0,'-1',0,0,'','',-1),(91,'tb_megamenu','management','seven',0,0,'-1',0,0,'','',-1),(92,'tb_megamenu','menu-footer-menu','seven',0,0,'-1',0,0,'','',-1),(93,'tb_megamenu','navigation','seven',0,0,'-1',0,0,'','',-1),(94,'tb_megamenu','user-menu','seven',0,0,'-1',0,0,'','',-1),(95,'tb_megamenu','main-menu','tb_simply',0,0,'-1',0,0,'','',-1),(96,'tb_megamenu','management','tb_simply',0,0,'-1',0,0,'','',-1),(97,'tb_megamenu','menu-footer-menu','tb_simply',0,0,'-1',0,0,'','',-1),(98,'tb_megamenu','navigation','tb_simply',0,0,'-1',0,0,'','',-1),(99,'tb_megamenu','user-menu','tb_simply',0,0,'-1',0,0,'','',-1);
/*!40000 ALTER TABLE `block` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `block_custom`
--

DROP TABLE IF EXISTS `block_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_custom`
--

LOCK TABLES `block_custom` WRITE;
/*!40000 ALTER TABLE `block_custom` DISABLE KEYS */;
INSERT INTO `block_custom` VALUES (1,'<div class=\"tb-copyright\">\r\nProudly powered by <a href=\"http://drupal.org\" title=\"http://drupal.org\">Drupal</a>. Designed by <a href=\"http://themebrain.com\" title=\"http://themebrain.com\">ThemeBrain.com</a>\r\n</div>','ThemeBrain Copyright Notice Block. Ussuallly locate in footer.','full_html');
/*!40000 ALTER TABLE `block_custom` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `block_node_type`
--

DROP TABLE IF EXISTS `block_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_node_type`
--

LOCK TABLES `block_node_type` WRITE;
/*!40000 ALTER TABLE `block_node_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `block_node_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `block_role`
--

DROP TABLE IF EXISTS `block_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_role`
--

LOCK TABLES `block_role` WRITE;
/*!40000 ALTER TABLE `block_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `block_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache`
--

LOCK TABLES `cache` WRITE;
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
INSERT INTO `cache` VALUES ('node_types:en','O:8:\"stdClass\":2:{s:5:\"types\";a:5:{s:4:\"blog\";O:8:\"stdClass\":15:{s:4:\"name\";s:10:\"Blog entry\";s:4:\"base\";s:4:\"blog\";s:11:\"description\";s:58:\"Use for multi-user blogs. Every user gets a personal blog.\";s:4:\"type\";s:4:\"blog\";s:4:\"help\";s:0:\"\";s:6:\"custom\";i:0;s:8:\"modified\";i:0;s:6:\"locked\";i:1;s:8:\"disabled\";b:0;s:6:\"is_new\";i:1;s:9:\"has_title\";i:1;s:11:\"title_label\";s:5:\"Title\";s:6:\"module\";s:4:\"blog\";s:9:\"orig_type\";s:4:\"blog\";s:16:\"disabled_changed\";b:0;}s:4:\"poll\";O:8:\"stdClass\":15:{s:4:\"name\";s:4:\"Poll\";s:4:\"base\";s:4:\"poll\";s:11:\"description\";s:191:\"A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.\";s:11:\"title_label\";s:8:\"Question\";s:4:\"type\";s:4:\"poll\";s:4:\"help\";s:0:\"\";s:6:\"custom\";i:0;s:8:\"modified\";i:0;s:6:\"locked\";i:1;s:8:\"disabled\";b:0;s:6:\"is_new\";i:1;s:9:\"has_title\";i:1;s:6:\"module\";s:4:\"poll\";s:9:\"orig_type\";s:4:\"poll\";s:16:\"disabled_changed\";b:0;}s:5:\"forum\";O:8:\"stdClass\":15:{s:4:\"name\";s:11:\"Forum topic\";s:4:\"base\";s:5:\"forum\";s:11:\"description\";s:69:\"A <em>forum topic</em> starts a new discussion thread within a forum.\";s:11:\"title_label\";s:7:\"Subject\";s:4:\"type\";s:5:\"forum\";s:4:\"help\";s:0:\"\";s:6:\"custom\";i:0;s:8:\"modified\";i:0;s:6:\"locked\";i:1;s:8:\"disabled\";b:0;s:6:\"is_new\";i:1;s:9:\"has_title\";i:1;s:6:\"module\";s:5:\"forum\";s:9:\"orig_type\";s:5:\"forum\";s:16:\"disabled_changed\";b:0;}s:7:\"article\";O:8:\"stdClass\":14:{s:4:\"type\";s:7:\"article\";s:4:\"name\";s:7:\"Article\";s:4:\"base\";s:12:\"node_content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:8:\"disabled\";s:1:\"0\";s:9:\"orig_type\";s:7:\"article\";s:16:\"disabled_changed\";b:0;}s:4:\"page\";O:8:\"stdClass\":14:{s:4:\"type\";s:4:\"page\";s:4:\"name\";s:10:\"Basic page\";s:4:\"base\";s:12:\"node_content\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:8:\"disabled\";s:1:\"0\";s:9:\"orig_type\";s:4:\"page\";s:16:\"disabled_changed\";b:0;}}s:5:\"names\";a:5:{s:7:\"article\";s:7:\"Article\";s:4:\"page\";s:10:\"Basic page\";s:4:\"blog\";s:10:\"Blog entry\";s:5:\"forum\";s:11:\"Forum topic\";s:4:\"poll\";s:4:\"Poll\";}}',0,1435658092,1),('schema:runtime:','a:13:{s:10:\"views_view\";a:6:{s:6:\"export\";a:17:{s:10:\"identifier\";s:4:\"view\";s:11:\"bulk export\";b:1;s:11:\"primary key\";s:3:\"vid\";s:12:\"default hook\";s:19:\"views_default_views\";s:11:\"admin_title\";s:10:\"human_name\";s:17:\"admin_description\";s:11:\"description\";s:3:\"api\";a:4:{s:5:\"owner\";s:5:\"views\";s:3:\"api\";s:13:\"views_default\";s:15:\"minimum_version\";s:1:\"2\";s:15:\"current_version\";s:3:\"3.0\";}s:6:\"object\";s:4:\"view\";s:19:\"subrecords callback\";s:26:\"views_load_display_records\";s:6:\"status\";s:14:\"views_defaults\";s:15:\"create callback\";s:14:\"views_new_view\";s:13:\"save callback\";s:15:\"views_save_view\";s:15:\"delete callback\";s:17:\"views_delete_view\";s:15:\"export callback\";s:17:\"views_export_view\";s:15:\"status callback\";s:19:\"views_export_status\";s:14:\"cache defaults\";b:1;s:17:\"default cache bin\";s:11:\"cache_views\";}s:6:\"fields\";a:7:{s:3:\"vid\";a:4:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:9:\"no export\";b:1;}s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:11:\"description\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:3:\"tag\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:10:\"base_table\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:10:\"human_name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:3:\"255\";s:7:\"default\";s:0:\"\";}s:4:\"core\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:5:\"views\";s:4:\"name\";s:10:\"views_view\";}s:7:\"comment\";a:6:{s:6:\"fields\";a:14:{s:3:\"cid\";a:2:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;}s:3:\"pid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"nid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"subject\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"hostname\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:1;s:4:\"size\";s:4:\"tiny\";}s:6:\"thread\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:4:\"name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:8:\"not null\";b:0;}s:4:\"mail\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:0;}s:8:\"homepage\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}}s:7:\"indexes\";a:5:{s:18:\"comment_status_pid\";a:2:{i:0;s:3:\"pid\";i:1;s:6:\"status\";}s:15:\"comment_num_new\";a:5:{i:0;s:3:\"nid\";i:1;s:6:\"status\";i:2;s:7:\"created\";i:3;s:3:\"cid\";i:4;s:6:\"thread\";}s:11:\"comment_uid\";a:1:{i:0;s:3:\"uid\";}s:20:\"comment_nid_language\";a:2:{i:0;s:3:\"nid\";i:1;s:8:\"language\";}s:15:\"comment_created\";a:1:{i:0;s:7:\"created\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"cid\";}s:12:\"foreign keys\";a:2:{s:12:\"comment_node\";a:2:{s:5:\"table\";s:4:\"node\";s:7:\"columns\";a:1:{s:3:\"nid\";s:3:\"nid\";}}s:14:\"comment_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:7:\"comment\";s:4:\"name\";s:7:\"comment\";}s:4:\"node\";a:7:{s:6:\"fields\";a:14:{s:3:\"nid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:0;s:7:\"default\";N;}s:4:\"type\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:1;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"changed\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"comment\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"tnid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:9:\"translate\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:10:{s:12:\"node_changed\";a:1:{i:0;s:7:\"changed\";}s:12:\"node_created\";a:1:{i:0;s:7:\"created\";}s:14:\"node_frontpage\";a:4:{i:0;s:7:\"promote\";i:1;s:6:\"status\";i:2;s:6:\"sticky\";i:3;s:7:\"created\";}s:16:\"node_status_type\";a:3:{i:0;s:6:\"status\";i:1;s:4:\"type\";i:2;s:3:\"nid\";}s:15:\"node_title_type\";a:2:{i:0;s:5:\"title\";i:1;a:2:{i:0;s:4:\"type\";i:1;i:4;}}s:9:\"node_type\";a:1:{i:0;a:2:{i:0;s:4:\"type\";i:1;i:4;}}s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}s:4:\"tnid\";a:1:{i:0;s:4:\"tnid\";}s:9:\"translate\";a:1:{i:0;s:9:\"translate\";}s:8:\"language\";a:1:{i:0;s:8:\"language\";}}s:11:\"unique keys\";a:1:{s:3:\"vid\";a:1:{i:0;s:3:\"vid\";}}s:12:\"foreign keys\";a:2:{s:13:\"node_revision\";a:2:{s:5:\"table\";s:13:\"node_revision\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}s:11:\"node_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:11:\"primary key\";a:1:{i:0;s:3:\"nid\";}s:6:\"module\";s:4:\"node\";s:4:\"name\";s:4:\"node\";}s:13:\"node_revision\";a:6:{s:6:\"fields\";a:10:{s:3:\"nid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"log\";a:3:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:1;s:4:\"size\";s:3:\"big\";}s:9:\"timestamp\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:1;}s:7:\"comment\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:7:\"promote\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"sticky\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:2:{s:3:\"nid\";a:1:{i:0;s:3:\"nid\";}s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:12:\"foreign keys\";a:2:{s:14:\"versioned_node\";a:2:{s:5:\"table\";s:4:\"node\";s:7:\"columns\";a:1:{s:3:\"nid\";s:3:\"nid\";}}s:14:\"version_author\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:4:\"node\";s:4:\"name\";s:13:\"node_revision\";}s:12:\"file_managed\";a:7:{s:6:\"fields\";a:8:{s:3:\"fid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:8:\"filename\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:3:\"uri\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:6:\"binary\";b:1;}s:8:\"filemime\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"filesize\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:3:\"big\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:9:\"timestamp\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:7:\"indexes\";a:3:{s:3:\"uid\";a:1:{i:0;s:3:\"uid\";}s:6:\"status\";a:1:{i:0;s:6:\"status\";}s:9:\"timestamp\";a:1:{i:0;s:9:\"timestamp\";}}s:11:\"unique keys\";a:1:{s:3:\"uri\";a:1:{i:0;s:3:\"uri\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"fid\";}s:12:\"foreign keys\";a:1:{s:10:\"file_owner\";a:2:{s:5:\"table\";s:5:\"users\";s:7:\"columns\";a:1:{s:3:\"uid\";s:3:\"uid\";}}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:12:\"file_managed\";}s:18:\"taxonomy_term_data\";a:6:{s:6:\"fields\";a:6:{s:3:\"tid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:3:\"vid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"name\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:12:\"translatable\";b:1;}s:11:\"description\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:12:\"translatable\";b:1;}s:6:\"format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:6:\"weight\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"tid\";}s:12:\"foreign keys\";a:1:{s:10:\"vocabulary\";a:2:{s:5:\"table\";s:19:\"taxonomy_vocabulary\";s:7:\"columns\";a:1:{s:3:\"vid\";s:3:\"vid\";}}}s:7:\"indexes\";a:3:{s:13:\"taxonomy_tree\";a:3:{i:0;s:3:\"vid\";i:1;s:6:\"weight\";i:2;s:4:\"name\";}s:8:\"vid_name\";a:2:{i:0;s:3:\"vid\";i:1;s:4:\"name\";}s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:6:\"module\";s:8:\"taxonomy\";s:4:\"name\";s:18:\"taxonomy_term_data\";}s:19:\"taxonomy_vocabulary\";a:6:{s:6:\"fields\";a:7:{s:3:\"vid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;}s:4:\"name\";a:5:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";s:12:\"translatable\";b:1;}s:12:\"machine_name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:11:\"description\";a:4:{s:4:\"type\";s:4:\"text\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:12:\"translatable\";b:1;}s:9:\"hierarchy\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:6:\"module\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:6:\"weight\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}}s:11:\"primary key\";a:1:{i:0;s:3:\"vid\";}s:7:\"indexes\";a:1:{s:4:\"list\";a:2:{i:0;s:6:\"weight\";i:1;s:4:\"name\";}}s:11:\"unique keys\";a:1:{s:12:\"machine_name\";a:1:{i:0;s:12:\"machine_name\";}}s:6:\"module\";s:8:\"taxonomy\";s:4:\"name\";s:19:\"taxonomy_vocabulary\";}s:5:\"users\";a:7:{s:6:\"fields\";a:16:{s:3:\"uid\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"name\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:60;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"pass\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:4:\"mail\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;s:7:\"default\";s:0:\"\";}s:5:\"theme\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:9:\"signature\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:16:\"signature_format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:0;}s:7:\"created\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"access\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"login\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:6:\"status\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;s:4:\"size\";s:4:\"tiny\";}s:8:\"timezone\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:32;s:8:\"not null\";b:0;}s:8:\"language\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:12;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:7:\"picture\";a:3:{s:4:\"type\";s:3:\"int\";s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:4:\"init\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:254;s:8:\"not null\";b:0;s:7:\"default\";s:0:\"\";}s:4:\"data\";a:4:{s:4:\"type\";s:4:\"blob\";s:8:\"not null\";b:0;s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;}}s:7:\"indexes\";a:4:{s:6:\"access\";a:1:{i:0;s:6:\"access\";}s:7:\"created\";a:1:{i:0;s:7:\"created\";}s:4:\"mail\";a:1:{i:0;s:4:\"mail\";}s:7:\"picture\";a:1:{i:0;s:7:\"picture\";}}s:11:\"unique keys\";a:1:{s:4:\"name\";a:1:{i:0;s:4:\"name\";}}s:11:\"primary key\";a:1:{i:0;s:3:\"uid\";}s:12:\"foreign keys\";a:1:{s:16:\"signature_format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:16:\"signature_format\";s:6:\"format\";}}}s:6:\"module\";s:4:\"user\";s:4:\"name\";s:5:\"users\";}s:7:\"wysiwyg\";a:5:{s:6:\"fields\";a:3:{s:6:\"format\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:6:\"editor\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:128;s:8:\"not null\";b:1;s:7:\"default\";s:0:\"\";}s:8:\"settings\";a:3:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:6:\"normal\";s:9:\"serialize\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:6:\"format\";}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:6:\"module\";s:7:\"wysiwyg\";s:4:\"name\";s:7:\"wysiwyg\";}s:13:\"views_display\";a:5:{s:6:\"fields\";a:6:{s:3:\"vid\";a:5:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;s:9:\"no export\";b:1;}s:2:\"id\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:13:\"display_title\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:14:\"display_plugin\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";s:2:\"64\";s:7:\"default\";s:0:\"\";s:8:\"not null\";b:1;}s:8:\"position\";a:2:{s:4:\"type\";s:3:\"int\";s:7:\"default\";i:0;}s:15:\"display_options\";a:4:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:3:\"big\";s:9:\"serialize\";b:1;s:18:\"serialized default\";s:6:\"a:0:{}\";}}s:7:\"indexes\";a:1:{s:3:\"vid\";a:2:{i:0;s:3:\"vid\";i:1;s:8:\"position\";}}s:11:\"primary key\";a:2:{i:0;s:3:\"vid\";i:1;s:2:\"id\";}s:6:\"module\";s:5:\"views\";s:4:\"name\";s:13:\"views_display\";}s:9:\"quicktabs\";a:5:{s:6:\"export\";a:5:{s:3:\"key\";s:12:\"machine_name\";s:10:\"identifier\";s:9:\"quicktabs\";s:12:\"default hook\";s:27:\"quicktabs_default_quicktabs\";s:3:\"api\";a:4:{s:5:\"owner\";s:9:\"quicktabs\";s:3:\"api\";s:9:\"quicktabs\";s:15:\"minimum_version\";i:1;s:15:\"current_version\";i:1;}s:15:\"export callback\";s:16:\"quicktabs_export\";}s:6:\"fields\";a:9:{s:12:\"machine_name\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:4:\"ajax\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:15:\"hide_empty_tabs\";a:5:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:11:\"default_tab\";a:4:{s:4:\"type\";s:3:\"int\";s:8:\"unsigned\";b:1;s:8:\"not null\";b:1;s:7:\"default\";i:0;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:4:\"tabs\";a:4:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:6:\"medium\";s:8:\"not null\";b:1;s:9:\"serialize\";b:1;}s:8:\"renderer\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:5:\"style\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:7:\"options\";a:4:{s:4:\"type\";s:4:\"text\";s:4:\"size\";s:6:\"medium\";s:8:\"not null\";b:0;s:9:\"serialize\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:12:\"machine_name\";}s:6:\"module\";s:9:\"quicktabs\";s:4:\"name\";s:9:\"quicktabs\";}s:16:\"date_format_type\";a:5:{s:6:\"fields\";a:3:{s:4:\"type\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:5:\"title\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:255;s:8:\"not null\";b:1;}s:6:\"locked\";a:4:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"type\";}s:7:\"indexes\";a:1:{s:5:\"title\";a:1:{i:0;s:5:\"title\";}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:16:\"date_format_type\";}s:12:\"date_formats\";a:5:{s:6:\"fields\";a:4:{s:4:\"dfid\";a:3:{s:4:\"type\";s:6:\"serial\";s:8:\"not null\";b:1;s:8:\"unsigned\";b:1;}s:6:\"format\";a:4:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:100;s:8:\"not null\";b:1;s:6:\"binary\";b:1;}s:4:\"type\";a:3:{s:4:\"type\";s:7:\"varchar\";s:6:\"length\";i:64;s:8:\"not null\";b:1;}s:6:\"locked\";a:4:{s:4:\"type\";s:3:\"int\";s:4:\"size\";s:4:\"tiny\";s:7:\"default\";i:0;s:8:\"not null\";b:1;}}s:11:\"primary key\";a:1:{i:0;s:4:\"dfid\";}s:11:\"unique keys\";a:1:{s:7:\"formats\";a:2:{i:0;s:6:\"format\";i:1;s:4:\"type\";}}s:6:\"module\";s:6:\"system\";s:4:\"name\";s:12:\"date_formats\";}}',0,1435658058,1);
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_block`
--

DROP TABLE IF EXISTS `cache_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_block`
--

LOCK TABLES `cache_block` WRITE;
/*!40000 ALTER TABLE `cache_block` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_block` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
INSERT INTO `cache_bootstrap` VALUES ('bootstrap_modules','a:5:{s:5:\"dblog\";O:8:\"stdClass\":2:{s:4:\"name\";s:5:\"dblog\";s:8:\"filename\";s:26:\"modules/dblog/dblog.module\";}s:7:\"overlay\";O:8:\"stdClass\":2:{s:4:\"name\";s:7:\"overlay\";s:8:\"filename\";s:30:\"modules/overlay/overlay.module\";}s:10:\"statistics\";O:8:\"stdClass\":2:{s:4:\"name\";s:10:\"statistics\";s:8:\"filename\";s:36:\"modules/statistics/statistics.module\";}s:6:\"syslog\";O:8:\"stdClass\":2:{s:4:\"name\";s:6:\"syslog\";s:8:\"filename\";s:28:\"modules/syslog/syslog.module\";}s:6:\"system\";O:8:\"stdClass\":2:{s:4:\"name\";s:6:\"system\";s:8:\"filename\";s:28:\"modules/system/system.module\";}}',0,1435658092,1),('hook_info','a:6:{s:10:\"token_info\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:16:\"token_info_alter\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:6:\"tokens\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:12:\"tokens_alter\";a:1:{s:5:\"group\";s:6:\"tokens\";}s:8:\"pathauto\";a:1:{s:5:\"group\";s:8:\"pathauto\";}s:16:\"path_alias_types\";a:1:{s:5:\"group\";s:8:\"pathauto\";}}',0,1435658092,1),('system_list','a:3:{s:14:\"module_enabled\";a:61:{s:5:\"block\";O:8:\"stdClass\":9:{s:8:\"filename\";s:26:\"modules/block/block.module\";s:4:\"name\";s:5:\"block\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7009\";s:6:\"weight\";s:2:\"-5\";s:4:\"info\";a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:10:\"aggregator\";O:8:\"stdClass\":9:{s:8:\"filename\";s:36:\"modules/aggregator/aggregator.module\";s:4:\"name\";s:10:\"aggregator\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7004\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"blog\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/blog/blog.module\";s:4:\"name\";s:4:\"blog\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:3:\"cck\";O:8:\"stdClass\":9:{s:8:\"filename\";s:32:\"sites/all/modules/cck/cck.module\";s:4:\"name\";s:3:\"cck\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:3:\"CCK\";s:11:\"description\";s:50:\"Miscellaneous field functions not handled by core.\";s:7:\"package\";s:3:\"CCK\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:10:\"cck.module\";i:1;s:11:\"cck.install\";}s:12:\"dependencies\";a:1:{i:0;s:8:\"field_ui\";}s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:7:\"project\";s:3:\"cck\";s:9:\"datestamp\";s:10:\"1386880109\";s:5:\"mtime\";i:1435572637;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"chosen\";O:8:\"stdClass\":9:{s:8:\"filename\";s:38:\"sites/all/modules/chosen/chosen.module\";s:4:\"name\";s:6:\"chosen\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7203\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:6:\"Chosen\";s:11:\"description\";s:104:\"Makes select elements more user-friendly using <a href=\"http://harvesthq.github.com/chosen/\">Chosen</a>.\";s:7:\"package\";s:14:\"User interface\";s:9:\"configure\";s:34:\"admin/config/user-interface/chosen\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:7:\"project\";s:6:\"chosen\";s:9:\"datestamp\";s:10:\"1394256505\";s:5:\"mtime\";i:1435572582;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}}s:5:\"color\";O:8:\"stdClass\":9:{s:8:\"filename\";s:26:\"modules/color/color.module\";s:4:\"name\";s:5:\"color\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7001\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:7:\"comment\";O:8:\"stdClass\":9:{s:8:\"filename\";s:30:\"modules/comment/comment.module\";s:4:\"name\";s:7:\"comment\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7009\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:7:\"contact\";O:8:\"stdClass\":9:{s:8:\"filename\";s:30:\"modules/contact/contact.module\";s:4:\"name\";s:7:\"contact\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7003\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:10:\"contextual\";O:8:\"stdClass\":9:{s:8:\"filename\";s:36:\"modules/contextual/contextual.module\";s:4:\"name\";s:10:\"contextual\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"ctools\";O:8:\"stdClass\":9:{s:8:\"filename\";s:38:\"sites/all/modules/ctools/ctools.module\";s:4:\"name\";s:6:\"ctools\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7001\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:5:\"files\";a:5:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:20:\"tests/css_cache.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572645;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:9:\"dashboard\";O:8:\"stdClass\":9:{s:8:\"filename\";s:34:\"modules/dashboard/dashboard.module\";s:4:\"name\";s:9:\"dashboard\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:5:\"dblog\";O:8:\"stdClass\":9:{s:8:\"filename\";s:26:\"modules/dblog/dblog.module\";s:4:\"name\";s:5:\"dblog\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"1\";s:14:\"schema_version\";s:4:\"7002\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:5:\"field\";O:8:\"stdClass\":9:{s:8:\"filename\";s:26:\"modules/field/field.module\";s:4:\"name\";s:5:\"field\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7003\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:17:\"field_sql_storage\";O:8:\"stdClass\":9:{s:8:\"filename\";s:64:\"modules/field/modules/field_sql_storage/field_sql_storage.module\";s:4:\"name\";s:17:\"field_sql_storage\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7002\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:8:\"field_ui\";O:8:\"stdClass\":9:{s:8:\"filename\";s:32:\"modules/field_ui/field_ui.module\";s:4:\"name\";s:8:\"field_ui\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"file\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/file/file.module\";s:4:\"name\";s:4:\"file\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"filter\";O:8:\"stdClass\":9:{s:8:\"filename\";s:28:\"modules/filter/filter.module\";s:4:\"name\";s:6:\"filter\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7010\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:11:\"fontawesome\";O:8:\"stdClass\":9:{s:8:\"filename\";s:48:\"sites/all/modules/fontawesome/fontawesome.module\";s:4:\"name\";s:11:\"fontawesome\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:12:\"Font Awesome\";s:11:\"description\";s:52:\"Iconic font designed for use with Twitter Bootstrap.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:21:\"libraries (>=7.x-2.0)\";}s:5:\"files\";a:2:{i:0;s:19:\"fontawesome.install\";i:1;s:18:\"fontawesome.module\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420870983\";s:5:\"mtime\";i:1435572572;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}}s:4:\"help\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/help/help.module\";s:4:\"name\";s:4:\"help\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:5:\"image\";O:8:\"stdClass\":9:{s:8:\"filename\";s:26:\"modules/image/image.module\";s:4:\"name\";s:5:\"image\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7005\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}}s:8:\"imageapi\";O:8:\"stdClass\":9:{s:8:\"filename\";s:42:\"sites/all/modules/imageapi/imageapi.module\";s:4:\"name\";s:8:\"imageapi\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:8:\"ImageAPI\";s:11:\"description\";s:38:\"ImageAPI supporting multiple toolkits.\";s:7:\"package\";s:8:\"ImageAPI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:16:\"imageapi.install\";i:1;s:15:\"imageapi.module\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:5:\"mtime\";i:1435572761;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:11:\"imageapi_gd\";O:8:\"stdClass\":9:{s:8:\"filename\";s:45:\"sites/all/modules/imageapi/imageapi_gd.module\";s:4:\"name\";s:11:\"imageapi_gd\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:12:\"ImageAPI GD2\";s:11:\"description\";s:79:\"Provides additional operations for PHP\'s built-in GD2 image processing support.\";s:7:\"package\";s:8:\"ImageAPI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:19:\"imageapi_gd.install\";i:1;s:18:\"imageapi_gd.module\";i:2;s:15:\"imagefilter.inc\";i:3;s:15:\"imagerotate.inc\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:5:\"mtime\";i:1435572762;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:13:\"jquery_plugin\";O:8:\"stdClass\":9:{s:8:\"filename\";s:52:\"sites/all/modules/jquery_plugin/jquery_plugin.module\";s:4:\"name\";s:13:\"jquery_plugin\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:14:\"jQuery plugins\";s:11:\"description\";s:49:\"An API and home for miscellaneous jQuery plugins.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"jquery_plugin.module\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:13:\"jquery_plugin\";s:9:\"datestamp\";s:10:\"1294280182\";s:5:\"mtime\";i:1435572687;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:9:\"libraries\";O:8:\"stdClass\":9:{s:8:\"filename\";s:44:\"sites/all/modules/libraries/libraries.module\";s:4:\"name\";s:9:\"libraries\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7200\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:1:{i:0;s:20:\"tests/libraries.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:5:\"mtime\";i:1435572695;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"list\";O:8:\"stdClass\":9:{s:8:\"filename\";s:38:\"modules/field/modules/list/list.module\";s:4:\"name\";s:4:\"list\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7002\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"locale\";O:8:\"stdClass\":9:{s:8:\"filename\";s:28:\"modules/locale/locale.module\";s:4:\"name\";s:6:\"locale\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7005\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"menu\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/menu/menu.module\";s:4:\"name\";s:4:\"menu\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7003\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"node\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/node/node.module\";s:4:\"name\";s:4:\"node\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7015\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"number\";O:8:\"stdClass\":9:{s:8:\"filename\";s:42:\"modules/field/modules/number/number.module\";s:4:\"name\";s:6:\"number\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"openid\";O:8:\"stdClass\":9:{s:8:\"filename\";s:28:\"modules/openid/openid.module\";s:4:\"name\";s:6:\"openid\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.38\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:7:\"options\";O:8:\"stdClass\":9:{s:8:\"filename\";s:44:\"modules/field/modules/options/options.module\";s:4:\"name\";s:7:\"options\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:7:\"overlay\";O:8:\"stdClass\":9:{s:8:\"filename\";s:30:\"modules/overlay/overlay.module\";s:4:\"name\";s:7:\"overlay\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"1\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}}s:4:\"path\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/path/path.module\";s:4:\"name\";s:4:\"path\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:3:\"php\";O:8:\"stdClass\":9:{s:8:\"filename\";s:22:\"modules/php/php.module\";s:4:\"name\";s:3:\"php\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"poll\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/poll/poll.module\";s:4:\"name\";s:4:\"poll\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7004\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:9:\"quicktabs\";O:8:\"stdClass\":9:{s:8:\"filename\";s:44:\"sites/all/modules/quicktabs/quicktabs.module\";s:4:\"name\";s:9:\"quicktabs\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7303\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1435572765;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:19:\"quicktabs_tabstyles\";O:8:\"stdClass\":9:{s:8:\"filename\";s:74:\"sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module\";s:4:\"name\";s:19:\"quicktabs_tabstyles\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1435572765;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}}s:6:\"search\";O:8:\"stdClass\":9:{s:8:\"filename\";s:28:\"modules/search/search.module\";s:4:\"name\";s:6:\"search\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:8:\"shortcut\";O:8:\"stdClass\":9:{s:8:\"filename\";s:32:\"modules/shortcut/shortcut.module\";s:4:\"name\";s:8:\"shortcut\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:10:\"statistics\";O:8:\"stdClass\":9:{s:8:\"filename\";s:36:\"modules/statistics/statistics.module\";s:4:\"name\";s:10:\"statistics\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"1\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:9:\"superfish\";O:8:\"stdClass\":9:{s:8:\"filename\";s:44:\"sites/all/modules/superfish/superfish.module\";s:4:\"name\";s:9:\"superfish\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7100\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:9:\"Superfish\";s:11:\"description\";s:46:\"jQuery Superfish plugin for your Drupal menus.\";s:7:\"package\";s:14:\"User interface\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:9:\"configure\";s:37:\"admin/config/user-interface/superfish\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:9:\"superfish\";s:9:\"datestamp\";s:10:\"1367054112\";s:5:\"mtime\";i:1435572628;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}}s:6:\"syslog\";O:8:\"stdClass\":9:{s:8:\"filename\";s:28:\"modules/syslog/syslog.module\";s:4:\"name\";s:6:\"syslog\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"1\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"system\";O:8:\"stdClass\":9:{s:8:\"filename\";s:28:\"modules/system/system.module\";s:4:\"name\";s:6:\"system\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"1\";s:14:\"schema_version\";s:4:\"7079\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:8:\"taxonomy\";O:8:\"stdClass\":9:{s:8:\"filename\";s:32:\"modules/taxonomy/taxonomy.module\";s:4:\"name\";s:8:\"taxonomy\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7011\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}}s:11:\"tb_megamenu\";O:8:\"stdClass\":9:{s:8:\"filename\";s:48:\"sites/all/modules/tb_megamenu/tb_megamenu.module\";s:4:\"name\";s:11:\"tb_megamenu\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7101\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:11:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:9:\"libraries\";}s:5:\"files\";a:5:{i:0;s:25:\"tb_megamenu.functions.inc\";i:1;s:22:\"tb_megamenu.themes.inc\";i:2;s:20:\"tb_megamenu.ajax.inc\";i:3;s:21:\"tb_megamenu.admin.inc\";i:4;s:18:\"tb_megamenu.module\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:5:\"mtime\";i:1435572589;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"text\";O:8:\"stdClass\":9:{s:8:\"filename\";s:38:\"modules/field/modules/text/text.module\";s:4:\"name\";s:4:\"text\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}}s:5:\"token\";O:8:\"stdClass\":9:{s:8:\"filename\";s:36:\"sites/all/modules/token/token.module\";s:4:\"name\";s:5:\"token\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7001\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:5:\"mtime\";i:1435572777;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:7:\"toolbar\";O:8:\"stdClass\":9:{s:8:\"filename\";s:30:\"modules/toolbar/toolbar.module\";s:4:\"name\";s:7:\"toolbar\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}}s:7:\"tracker\";O:8:\"stdClass\":9:{s:8:\"filename\";s:30:\"modules/tracker/tracker.module\";s:4:\"name\";s:7:\"tracker\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7000\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:11:\"translation\";O:8:\"stdClass\":9:{s:8:\"filename\";s:38:\"modules/translation/translation.module\";s:4:\"name\";s:11:\"translation\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:7:\"trigger\";O:8:\"stdClass\":9:{s:8:\"filename\";s:30:\"modules/trigger/trigger.module\";s:4:\"name\";s:7:\"trigger\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7002\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:6:\"update\";O:8:\"stdClass\":9:{s:8:\"filename\";s:28:\"modules/update/update.module\";s:4:\"name\";s:6:\"update\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7001\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.38\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:4:\"user\";O:8:\"stdClass\":9:{s:8:\"filename\";s:24:\"modules/user/user.module\";s:4:\"name\";s:4:\"user\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7018\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:15:\"views_slideshow\";O:8:\"stdClass\":9:{s:8:\"filename\";s:56:\"sites/all/modules/views_slideshow/views_slideshow.module\";s:4:\"name\";s:15:\"views_slideshow\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:13:\"views (>=3.0)\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:22:\"views_slideshow.module\";i:1;s:31:\"theme/views_slideshow.theme.inc\";i:2;s:25:\"views_slideshow.views.inc\";i:3;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1435572759;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:21:\"views_slideshow_cycle\";O:8:\"stdClass\":9:{s:8:\"filename\";s:92:\"sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module\";s:4:\"name\";s:21:\"views_slideshow_cycle\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:28:\"views_slideshow_cycle.module\";i:1;s:41:\"views_slideshow_cycle.views_slideshow.inc\";i:2;s:37:\"theme/views_slideshow_cycle.theme.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1435572757;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:8:\"views_ui\";O:8:\"stdClass\":9:{s:8:\"filename\";s:39:\"sites/all/modules/views/views_ui.module\";s:4:\"name\";s:8:\"views_ui\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.11\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1430321048\";s:5:\"mtime\";i:1435656876;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:7:\"wysiwyg\";O:8:\"stdClass\":9:{s:8:\"filename\";s:40:\"sites/all/modules/wysiwyg/wysiwyg.module\";s:4:\"name\";s:7:\"wysiwyg\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7200\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:13:{s:4:\"name\";s:7:\"Wysiwyg\";s:11:\"description\";s:48:\"Allows to edit content with client-side editors.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/content/wysiwyg\";s:5:\"files\";a:2:{i:0;s:14:\"wysiwyg.module\";i:1;s:18:\"tests/wysiwyg.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:5:\"mtime\";i:1435572784;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:5:\"forum\";O:8:\"stdClass\":9:{s:8:\"filename\";s:26:\"modules/forum/forum.module\";s:4:\"name\";s:5:\"forum\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7012\";s:6:\"weight\";s:1:\"1\";s:4:\"info\";a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:8:\"pathauto\";O:8:\"stdClass\":9:{s:8:\"filename\";s:42:\"sites/all/modules/pathauto/pathauto.module\";s:4:\"name\";s:8:\"pathauto\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7005\";s:6:\"weight\";s:1:\"1\";s:4:\"info\";a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:5:\"mtime\";i:1435572774;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}}s:5:\"views\";O:8:\"stdClass\":9:{s:8:\"filename\";s:36:\"sites/all/modules/views/views.module\";s:4:\"name\";s:5:\"views\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:4:\"7301\";s:6:\"weight\";s:2:\"10\";s:4:\"info\";a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:303:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:39:\"handlers/views_handler_field_custom.inc\";i:19;s:37:\"handlers/views_handler_field_date.inc\";i:20;s:39:\"handlers/views_handler_field_entity.inc\";i:21;s:39:\"handlers/views_handler_field_markup.inc\";i:22;s:37:\"handlers/views_handler_field_math.inc\";i:23;s:40:\"handlers/views_handler_field_numeric.inc\";i:24;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:25;s:46:\"handlers/views_handler_field_time_interval.inc\";i:26;s:43:\"handlers/views_handler_field_serialized.inc\";i:27;s:45:\"handlers/views_handler_field_machine_name.inc\";i:28;s:36:\"handlers/views_handler_field_url.inc\";i:29;s:33:\"handlers/views_handler_filter.inc\";i:30;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:31;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:32;s:41:\"handlers/views_handler_filter_combine.inc\";i:33;s:38:\"handlers/views_handler_filter_date.inc\";i:34;s:42:\"handlers/views_handler_filter_equality.inc\";i:35;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:36;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:37;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:38;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:39;s:41:\"handlers/views_handler_filter_numeric.inc\";i:40;s:40:\"handlers/views_handler_filter_string.inc\";i:41;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:42;s:39:\"handlers/views_handler_relationship.inc\";i:43;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:44;s:31:\"handlers/views_handler_sort.inc\";i:45;s:36:\"handlers/views_handler_sort_date.inc\";i:46;s:39:\"handlers/views_handler_sort_formula.inc\";i:47;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:48;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:49;s:38:\"handlers/views_handler_sort_random.inc\";i:50;s:17:\"includes/base.inc\";i:51;s:21:\"includes/handlers.inc\";i:52;s:20:\"includes/plugins.inc\";i:53;s:17:\"includes/view.inc\";i:54;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:55;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:56;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:57;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:58;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:59;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:60;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:61;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:62;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:63;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:64;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:65;s:47:\"modules/comment/views_handler_field_comment.inc\";i:66;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:67;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:68;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:69;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:70;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:71;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:73;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:74;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:75;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:76;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:77;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:78;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:79;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:80;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:81;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:82;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:83;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:84;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:85;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:86;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:87;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:88;s:43:\"modules/field/views_handler_field_field.inc\";i:89;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:90;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:91;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:92;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:93;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:94;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:95;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:96;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:97;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:98;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:99;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:100;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:101;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:102;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:103;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:104;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:105;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:106;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:107;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:108;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:109;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:110;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:111;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:112;s:41:\"modules/node/views_handler_field_node.inc\";i:113;s:46:\"modules/node/views_handler_field_node_link.inc\";i:114;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:115;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:116;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:117;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:118;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:119;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:120;s:46:\"modules/node/views_handler_field_node_path.inc\";i:121;s:46:\"modules/node/views_handler_field_node_type.inc\";i:122;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:123;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:124;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:125;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:126;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:127;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:128;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:129;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:130;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:131;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:132;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:133;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:134;s:48:\"modules/search/views_handler_argument_search.inc\";i:135;s:51:\"modules/search/views_handler_field_search_score.inc\";i:136;s:46:\"modules/search/views_handler_filter_search.inc\";i:137;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:138;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:139;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:140;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:141;s:43:\"modules/system/views_handler_field_file.inc\";i:142;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:143;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:144;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:145;s:50:\"modules/system/views_handler_field_file_status.inc\";i:146;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:147;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:148;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:149;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:150;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:151;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:152;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:153;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:154;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:155;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:156;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:157;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:158;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:159;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:160;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:161;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:162;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:163;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:164;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:165;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:166;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:167;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:168;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:169;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:170;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:171;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:172;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:173;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:174;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:175;s:41:\"modules/user/views_handler_field_user.inc\";i:176;s:50:\"modules/user/views_handler_field_user_language.inc\";i:177;s:46:\"modules/user/views_handler_field_user_link.inc\";i:178;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:179;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:180;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:181;s:46:\"modules/user/views_handler_field_user_name.inc\";i:182;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:183;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:184;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:185;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:186;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:187;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:188;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:189;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:190;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:191;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:192;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:193;s:31:\"plugins/views_plugin_access.inc\";i:194;s:36:\"plugins/views_plugin_access_none.inc\";i:195;s:36:\"plugins/views_plugin_access_perm.inc\";i:196;s:36:\"plugins/views_plugin_access_role.inc\";i:197;s:41:\"plugins/views_plugin_argument_default.inc\";i:198;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:199;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:200;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:201;s:42:\"plugins/views_plugin_argument_validate.inc\";i:202;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:203;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:204;s:30:\"plugins/views_plugin_cache.inc\";i:205;s:35:\"plugins/views_plugin_cache_none.inc\";i:206;s:35:\"plugins/views_plugin_cache_time.inc\";i:207;s:32:\"plugins/views_plugin_display.inc\";i:208;s:43:\"plugins/views_plugin_display_attachment.inc\";i:209;s:38:\"plugins/views_plugin_display_block.inc\";i:210;s:40:\"plugins/views_plugin_display_default.inc\";i:211;s:38:\"plugins/views_plugin_display_embed.inc\";i:212;s:41:\"plugins/views_plugin_display_extender.inc\";i:213;s:37:\"plugins/views_plugin_display_feed.inc\";i:214;s:37:\"plugins/views_plugin_display_page.inc\";i:215;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:216;s:37:\"plugins/views_plugin_exposed_form.inc\";i:217;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:218;s:42:\"plugins/views_plugin_localization_core.inc\";i:219;s:37:\"plugins/views_plugin_localization.inc\";i:220;s:42:\"plugins/views_plugin_localization_none.inc\";i:221;s:30:\"plugins/views_plugin_pager.inc\";i:222;s:35:\"plugins/views_plugin_pager_full.inc\";i:223;s:35:\"plugins/views_plugin_pager_mini.inc\";i:224;s:35:\"plugins/views_plugin_pager_none.inc\";i:225;s:35:\"plugins/views_plugin_pager_some.inc\";i:226;s:30:\"plugins/views_plugin_query.inc\";i:227;s:38:\"plugins/views_plugin_query_default.inc\";i:228;s:28:\"plugins/views_plugin_row.inc\";i:229;s:35:\"plugins/views_plugin_row_fields.inc\";i:230;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:231;s:30:\"plugins/views_plugin_style.inc\";i:232;s:38:\"plugins/views_plugin_style_default.inc\";i:233;s:35:\"plugins/views_plugin_style_grid.inc\";i:234;s:35:\"plugins/views_plugin_style_list.inc\";i:235;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:236;s:38:\"plugins/views_plugin_style_mapping.inc\";i:237;s:34:\"plugins/views_plugin_style_rss.inc\";i:238;s:38:\"plugins/views_plugin_style_summary.inc\";i:239;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:240;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:241;s:36:\"plugins/views_plugin_style_table.inc\";i:242;s:34:\"tests/handlers/views_handlers.test\";i:243;s:43:\"tests/handlers/views_handler_area_text.test\";i:244;s:47:\"tests/handlers/views_handler_argument_null.test\";i:245;s:49:\"tests/handlers/views_handler_argument_string.test\";i:246;s:39:\"tests/handlers/views_handler_field.test\";i:247;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:248;s:46:\"tests/handlers/views_handler_field_custom.test\";i:249;s:47:\"tests/handlers/views_handler_field_counter.test\";i:250;s:44:\"tests/handlers/views_handler_field_date.test\";i:251;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:252;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:253;s:44:\"tests/handlers/views_handler_field_math.test\";i:254;s:43:\"tests/handlers/views_handler_field_url.test\";i:255;s:43:\"tests/handlers/views_handler_field_xss.test\";i:256;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:257;s:45:\"tests/handlers/views_handler_filter_date.test\";i:258;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:259;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:260;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:261;s:47:\"tests/handlers/views_handler_filter_string.test\";i:262;s:45:\"tests/handlers/views_handler_sort_random.test\";i:263;s:43:\"tests/handlers/views_handler_sort_date.test\";i:264;s:38:\"tests/handlers/views_handler_sort.test\";i:265;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:266;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:267;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:268;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:269;s:39:\"tests/plugins/views_plugin_display.test\";i:270;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:271;s:36:\"tests/styles/views_plugin_style.test\";i:272;s:41:\"tests/styles/views_plugin_style_base.test\";i:273;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:274;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:275;s:23:\"tests/views_access.test\";i:276;s:24:\"tests/views_analyze.test\";i:277;s:22:\"tests/views_basic.test\";i:278;s:33:\"tests/views_argument_default.test\";i:279;s:35:\"tests/views_argument_validator.test\";i:280;s:29:\"tests/views_exposed_form.test\";i:281;s:31:\"tests/field/views_fieldapi.test\";i:282;s:25:\"tests/views_glossary.test\";i:283;s:24:\"tests/views_groupby.test\";i:284;s:25:\"tests/views_handlers.test\";i:285;s:23:\"tests/views_module.test\";i:286;s:22:\"tests/views_pager.test\";i:287;s:40:\"tests/views_plugin_localization_test.inc\";i:288;s:29:\"tests/views_translatable.test\";i:289;s:22:\"tests/views_query.test\";i:290;s:24:\"tests/views_upgrade.test\";i:291;s:34:\"tests/views_test.views_default.inc\";i:292;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:293;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:294;s:45:\"tests/node/views_node_revision_relations.test\";i:295;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:296;s:45:\"tests/user/views_handler_field_user_name.test\";i:297;s:43:\"tests/user/views_user_argument_default.test\";i:298;s:44:\"tests/user/views_user_argument_validate.test\";i:299;s:26:\"tests/user/views_user.test\";i:300;s:22:\"tests/views_cache.test\";i:301;s:21:\"tests/views_view.test\";i:302;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.11\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1430321048\";s:5:\"mtime\";i:1435656876;s:9:\"bootstrap\";i:0;}}s:8:\"standard\";O:8:\"stdClass\":9:{s:8:\"filename\";s:34:\"profiles/standard/standard.profile\";s:4:\"name\";s:8:\"standard\";s:4:\"type\";s:6:\"module\";s:5:\"owner\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:1:\"0\";s:6:\"weight\";s:4:\"1000\";s:4:\"info\";a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}}}s:5:\"theme\";a:11:{s:6:\"bartik\";O:8:\"stdClass\":10:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";}s:16:\"block_test_theme\";O:8:\"stdClass\":10:{s:8:\"filename\";s:51:\"themes/tests/block_test_theme/block_test_theme.info\";s:4:\"name\";s:16:\"block_test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:16:\"Block test theme\";s:11:\"description\";s:34:\"Theme for testing the block system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"regions\";a:10:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:4:{i:0;s:13:\"sidebar_first\";i:1;s:14:\"sidebar_second\";i:2;s:8:\"page_top\";i:3;s:11:\"page_bottom\";}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:44:\"themes/tests/block_test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";}s:7:\"garland\";O:8:\"stdClass\":10:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";}s:7:\"nucleus\";O:8:\"stdClass\":11:{s:8:\"filename\";s:45:\"sites/all/themes/nucleus/nucleus/nucleus.info\";s:4:\"name\";s:7:\"nucleus\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:7:\"nucleus\";s:11:\"description\";s:21:\"Base theme for Drupal\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"screenshot\";s:47:\"sites/all/themes/nucleus/nucleus/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:23:\"stylesheets-conditional\";a:2:{s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"regions\";a:18:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:11:\"highlighted\";s:11:\"Highlighted\";s:9:\"slideshow\";s:9:\"Slideshow\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:25:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";s:15:\"show_skins_menu\";s:1:\"1\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:15:\"supported_grids\";a:6:{i:12;s:10:\"12 columns\";i:16;s:10:\"16 columns\";i:24;s:10:\"24 columns\";s:3:\"min\";s:1:\"2\";s:3:\"max\";s:3:\"100\";s:5:\"delta\";s:1:\"2\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572596;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:2:{s:15:\"nucleus_starter\";s:15:\"nucleus_starter\";s:9:\"tb_simply\";s:9:\"Tb Simply\";}}s:15:\"nucleus_starter\";O:8:\"stdClass\":11:{s:8:\"filename\";s:61:\"sites/all/themes/nucleus/nucleus_starter/nucleus_starter.info\";s:4:\"name\";s:15:\"nucleus_starter\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:15:\"nucleus_starter\";s:11:\"description\";s:37:\"Starter theme for nucleus base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:55:\"sites/all/themes/nucleus/nucleus_starter/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:7:\"regions\";a:22:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"panel_second_1\";s:21:\"Panel second column 1\";s:14:\"panel_second_2\";s:21:\"Panel second column 2\";s:14:\"panel_second_3\";s:21:\"Panel second column 3\";s:14:\"panel_second_4\";s:21:\"Panel second column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:24:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:16:\"superfish_styles\";a:1:{s:7:\"starter\";s:27:\"Starter Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:7:\"starter\";s:27:\"Starter style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572597;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";}s:5:\"seven\";O:8:\"stdClass\":10:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";}s:5:\"stark\";O:8:\"stdClass\":10:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";}s:9:\"tb_simply\";O:8:\"stdClass\":11:{s:8:\"filename\";s:41:\"sites/all/themes/tb_simply/tb_simply.info\";s:4:\"name\";s:9:\"tb_simply\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:23:{s:4:\"name\";s:9:\"Tb Simply\";s:11:\"description\";s:299:\"TB Simply is a light weight Drupal theme that is based on <a href=\"http://themebrain.com/about-nucleus\">Nucleus</a> and shows a slick styling of some basic Drupal content types such as blog, poll, forum and a contact form. Requires <a href=\"http://drupal.org/project/nucleus\">Nucleus</a> base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:41:\"sites/all/themes/tb_simply/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:23:\"stylesheets-conditional\";a:3:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}s:4:\"IE 9\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:7:\"regions\";a:19:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:7:\"feature\";s:7:\"Feature\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:38:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:17:\"layout_debug_grid\";s:1:\"0\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"7\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:9:\"base_font\";s:4:\"bf-a\";s:14:\"site_name_font\";s:0:\"\";s:16:\"site_slogan_font\";s:0:\"\";s:15:\"page_title_font\";s:0:\"\";s:15:\"node_title_font\";s:0:\"\";s:18:\"comment_title_font\";s:0:\"\";s:16:\"block_title_font\";s:0:\"\";s:9:\"font_size\";s:9:\"fs-medium\";s:22:\"load_extra_typo_styles\";s:1:\"1\";s:24:\"superfish_extend_style_1\";s:6:\"simply\";s:32:\"quicktabs_extend_style_quicktabs\";s:6:\"simply\";s:27:\"default_region_footer_style\";s:3:\"raw\";s:27:\"default_region_header_style\";s:3:\"raw\";s:30:\"default_region_slideshow_style\";s:3:\"raw\";s:11:\"toggle_logo\";s:1:\"0\";s:11:\"toggle_name\";s:1:\"1\";s:13:\"toggle_slogan\";s:1:\"1\";s:24:\"toggle_node_user_picture\";s:1:\"1\";s:27:\"toggle_comment_user_picture\";s:1:\"1\";s:32:\"toggle_comment_user_verification\";s:1:\"1\";s:14:\"toggle_favicon\";s:1:\"1\";s:21:\"toggle_secondary_menu\";s:1:\"1\";s:12:\"default_logo\";s:1:\"1\";s:15:\"default_favicon\";s:1:\"1\";s:9:\"logo_path\";s:0:\"\";s:12:\"favicon_path\";s:0:\"\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:12:\"block_styles\";a:3:{s:3:\"raw\";s:3:\"Raw\";s:7:\"rounded\";s:7:\"Rounded\";s:5:\"xhtml\";s:5:\"XHTML\";}s:20:\"block_extend_classes\";a:8:{s:9:\"badge-hot\";s:9:\"Badge Hot\";s:9:\"badge-new\";s:9:\"Badge New\";s:10:\"badge-pick\";s:10:\"Badge Pick\";s:9:\"badge-top\";s:9:\"Badge Top\";s:10:\"blue-color\";s:10:\"Blue Color\";s:11:\"white-color\";s:11:\"White Color\";s:12:\"yellow-color\";s:12:\"Yellow Color\";s:10:\"no-padding\";s:10:\"No Padding\";}s:16:\"superfish_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572603;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";}s:10:\"test_theme\";O:8:\"stdClass\":10:{s:8:\"filename\";s:39:\"themes/tests/test_theme/test_theme.info\";s:4:\"name\";s:10:\"test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:10:\"Test theme\";s:11:\"description\";s:34:\"Theme for testing the theme system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:38:\"themes/tests/test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";}s:21:\"update_test_basetheme\";O:8:\"stdClass\":11:{s:8:\"filename\";s:61:\"themes/tests/update_test_basetheme/update_test_basetheme.info\";s:4:\"name\";s:21:\"update_test_basetheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:22:\"Update test base theme\";s:11:\"description\";s:63:\"Test theme which acts as a base theme for other test subthemes.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:49:\"themes/tests/update_test_basetheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:1:{s:20:\"update_test_subtheme\";s:20:\"Update test subtheme\";}}s:20:\"update_test_subtheme\";O:8:\"stdClass\":11:{s:8:\"filename\";s:59:\"themes/tests/update_test_subtheme/update_test_subtheme.info\";s:4:\"name\";s:20:\"update_test_subtheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:20:\"Update test subtheme\";s:11:\"description\";s:62:\"Test theme which uses update_test_basetheme as the base theme.\";s:4:\"core\";s:3:\"7.x\";s:10:\"base theme\";s:21:\"update_test_basetheme\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:48:\"themes/tests/update_test_subtheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:21:\"update_test_basetheme\";s:22:\"Update test base theme\";}s:6:\"prefix\";s:11:\"phptemplate\";}}s:9:\"filepaths\";a:64:{i:0;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"block\";s:8:\"filepath\";s:26:\"modules/block/block.module\";}i:1;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:10:\"aggregator\";s:8:\"filepath\";s:36:\"modules/aggregator/aggregator.module\";}i:2;a:3:{s:4:\"type\";s:5:\"theme\";s:4:\"name\";s:6:\"bartik\";s:8:\"filepath\";s:25:\"themes/bartik/bartik.info\";}i:3;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"blog\";s:8:\"filepath\";s:24:\"modules/blog/blog.module\";}i:4;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:3:\"cck\";s:8:\"filepath\";s:32:\"sites/all/modules/cck/cck.module\";}i:5;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"chosen\";s:8:\"filepath\";s:38:\"sites/all/modules/chosen/chosen.module\";}i:6;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"color\";s:8:\"filepath\";s:26:\"modules/color/color.module\";}i:7;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"comment\";s:8:\"filepath\";s:30:\"modules/comment/comment.module\";}i:8;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"contact\";s:8:\"filepath\";s:30:\"modules/contact/contact.module\";}i:9;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:10:\"contextual\";s:8:\"filepath\";s:36:\"modules/contextual/contextual.module\";}i:10;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"ctools\";s:8:\"filepath\";s:38:\"sites/all/modules/ctools/ctools.module\";}i:11;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:9:\"dashboard\";s:8:\"filepath\";s:34:\"modules/dashboard/dashboard.module\";}i:12;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"dblog\";s:8:\"filepath\";s:26:\"modules/dblog/dblog.module\";}i:13;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"field\";s:8:\"filepath\";s:26:\"modules/field/field.module\";}i:14;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:17:\"field_sql_storage\";s:8:\"filepath\";s:64:\"modules/field/modules/field_sql_storage/field_sql_storage.module\";}i:15;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:8:\"field_ui\";s:8:\"filepath\";s:32:\"modules/field_ui/field_ui.module\";}i:16;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"file\";s:8:\"filepath\";s:24:\"modules/file/file.module\";}i:17;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"filter\";s:8:\"filepath\";s:28:\"modules/filter/filter.module\";}i:18;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:11:\"fontawesome\";s:8:\"filepath\";s:48:\"sites/all/modules/fontawesome/fontawesome.module\";}i:19;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"help\";s:8:\"filepath\";s:24:\"modules/help/help.module\";}i:20;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"image\";s:8:\"filepath\";s:26:\"modules/image/image.module\";}i:21;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:8:\"imageapi\";s:8:\"filepath\";s:42:\"sites/all/modules/imageapi/imageapi.module\";}i:22;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:11:\"imageapi_gd\";s:8:\"filepath\";s:45:\"sites/all/modules/imageapi/imageapi_gd.module\";}i:23;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:13:\"jquery_plugin\";s:8:\"filepath\";s:52:\"sites/all/modules/jquery_plugin/jquery_plugin.module\";}i:24;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:9:\"libraries\";s:8:\"filepath\";s:44:\"sites/all/modules/libraries/libraries.module\";}i:25;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"list\";s:8:\"filepath\";s:38:\"modules/field/modules/list/list.module\";}i:26;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"locale\";s:8:\"filepath\";s:28:\"modules/locale/locale.module\";}i:27;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"menu\";s:8:\"filepath\";s:24:\"modules/menu/menu.module\";}i:28;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"node\";s:8:\"filepath\";s:24:\"modules/node/node.module\";}i:29;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"number\";s:8:\"filepath\";s:42:\"modules/field/modules/number/number.module\";}i:30;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"openid\";s:8:\"filepath\";s:28:\"modules/openid/openid.module\";}i:31;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"options\";s:8:\"filepath\";s:44:\"modules/field/modules/options/options.module\";}i:32;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"overlay\";s:8:\"filepath\";s:30:\"modules/overlay/overlay.module\";}i:33;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"path\";s:8:\"filepath\";s:24:\"modules/path/path.module\";}i:34;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:3:\"php\";s:8:\"filepath\";s:22:\"modules/php/php.module\";}i:35;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"poll\";s:8:\"filepath\";s:24:\"modules/poll/poll.module\";}i:36;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:9:\"quicktabs\";s:8:\"filepath\";s:44:\"sites/all/modules/quicktabs/quicktabs.module\";}i:37;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:19:\"quicktabs_tabstyles\";s:8:\"filepath\";s:74:\"sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module\";}i:38;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"search\";s:8:\"filepath\";s:28:\"modules/search/search.module\";}i:39;a:3:{s:4:\"type\";s:5:\"theme\";s:4:\"name\";s:5:\"seven\";s:8:\"filepath\";s:23:\"themes/seven/seven.info\";}i:40;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:8:\"shortcut\";s:8:\"filepath\";s:32:\"modules/shortcut/shortcut.module\";}i:41;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:10:\"statistics\";s:8:\"filepath\";s:36:\"modules/statistics/statistics.module\";}i:42;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:9:\"superfish\";s:8:\"filepath\";s:44:\"sites/all/modules/superfish/superfish.module\";}i:43;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"syslog\";s:8:\"filepath\";s:28:\"modules/syslog/syslog.module\";}i:44;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"system\";s:8:\"filepath\";s:28:\"modules/system/system.module\";}i:45;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:8:\"taxonomy\";s:8:\"filepath\";s:32:\"modules/taxonomy/taxonomy.module\";}i:46;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:11:\"tb_megamenu\";s:8:\"filepath\";s:48:\"sites/all/modules/tb_megamenu/tb_megamenu.module\";}i:47;a:3:{s:4:\"type\";s:5:\"theme\";s:4:\"name\";s:9:\"tb_simply\";s:8:\"filepath\";s:41:\"sites/all/themes/tb_simply/tb_simply.info\";}i:48;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"text\";s:8:\"filepath\";s:38:\"modules/field/modules/text/text.module\";}i:49;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"token\";s:8:\"filepath\";s:36:\"sites/all/modules/token/token.module\";}i:50;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"toolbar\";s:8:\"filepath\";s:30:\"modules/toolbar/toolbar.module\";}i:51;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"tracker\";s:8:\"filepath\";s:30:\"modules/tracker/tracker.module\";}i:52;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:11:\"translation\";s:8:\"filepath\";s:38:\"modules/translation/translation.module\";}i:53;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"trigger\";s:8:\"filepath\";s:30:\"modules/trigger/trigger.module\";}i:54;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:6:\"update\";s:8:\"filepath\";s:28:\"modules/update/update.module\";}i:55;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:4:\"user\";s:8:\"filepath\";s:24:\"modules/user/user.module\";}i:56;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:15:\"views_slideshow\";s:8:\"filepath\";s:56:\"sites/all/modules/views_slideshow/views_slideshow.module\";}i:57;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:21:\"views_slideshow_cycle\";s:8:\"filepath\";s:92:\"sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module\";}i:58;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:8:\"views_ui\";s:8:\"filepath\";s:39:\"sites/all/modules/views/views_ui.module\";}i:59;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:7:\"wysiwyg\";s:8:\"filepath\";s:40:\"sites/all/modules/wysiwyg/wysiwyg.module\";}i:60;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"forum\";s:8:\"filepath\";s:26:\"modules/forum/forum.module\";}i:61;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:8:\"pathauto\";s:8:\"filepath\";s:42:\"sites/all/modules/pathauto/pathauto.module\";}i:62;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:5:\"views\";s:8:\"filepath\";s:36:\"sites/all/modules/views/views.module\";}i:63;a:3:{s:4:\"type\";s:6:\"module\";s:4:\"name\";s:8:\"standard\";s:8:\"filepath\";s:34:\"profiles/standard/standard.profile\";}}}',0,1435658092,1),('variables','a:135:{s:11:\"admin_theme\";s:5:\"seven\";s:16:\"blog_block_count\";s:1:\"5\";s:28:\"cache_class_cache_ctools_css\";s:14:\"CToolsCssCache\";s:23:\"chosen_minimum_multiple\";i:20;s:21:\"chosen_minimum_single\";i:20;s:9:\"clean_url\";s:1:\"1\";s:19:\"comment_block_count\";i:5;s:12:\"comment_page\";i:0;s:8:\"cron_key\";s:43:\"thvWRdUCq0ei7bbha9jZHuqioAWcXfWLbIxQqfWwx_0\";s:9:\"cron_last\";i:1435654174;s:19:\"css_js_query_string\";s:6:\"nqr4ui\";s:16:\"ctools_last_cron\";i:1435654188;s:21:\"date_default_timezone\";s:16:\"Asia/Krasnoyarsk\";s:18:\"default_nodes_main\";s:1:\"5\";s:25:\"drupal_http_request_fails\";b:0;s:18:\"drupal_private_key\";s:43:\"3sVumSs9wNmNIC3MzdTTH3SdpXmb0LXWJV3izxD92yo\";s:35:\"field_bundle_settings_node__article\";a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}s:32:\"field_bundle_settings_node__blog\";a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"4\";}}s:7:\"display\";a:0:{}}}s:32:\"field_bundle_settings_node__page\";a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}s:19:\"file_temporary_path\";s:12:\"D:\\xampp\\tmp\";s:22:\"filter_fallback_format\";s:10:\"plain_text\";s:16:\"forum_containers\";a:2:{i:0;s:1:\"4\";i:1;s:1:\"5\";}s:20:\"forum_nav_vocabulary\";s:1:\"2\";s:15:\"install_profile\";s:8:\"standard\";s:12:\"install_task\";s:4:\"done\";s:12:\"install_time\";i:1435654169;s:29:\"language_negotiation_language\";a:0:{}s:37:\"language_negotiation_language_content\";a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}s:33:\"language_negotiation_language_url\";a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}s:14:\"language_types\";a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}s:16:\"maintenance_mode\";b:0;s:25:\"menu_default_active_menus\";a:5:{i:0;s:10:\"navigation\";i:1;s:10:\"management\";i:2;s:9:\"user-menu\";i:3;s:9:\"main-menu\";i:4;s:16:\"menu-footer-menu\";}s:13:\"menu_expanded\";a:0:{}s:10:\"menu_masks\";a:36:{i:0;i:501;i:1;i:493;i:2;i:250;i:3;i:247;i:4;i:246;i:5;i:245;i:6;i:126;i:7;i:125;i:8;i:124;i:9;i:123;i:10;i:122;i:11;i:121;i:12;i:117;i:13;i:63;i:14;i:62;i:15;i:61;i:16;i:60;i:17;i:59;i:18;i:58;i:19;i:44;i:20;i:31;i:21;i:30;i:22;i:29;i:23;i:28;i:24;i:24;i:25;i:21;i:26;i:15;i:27;i:14;i:28;i:13;i:29;i:11;i:30;i:7;i:31;i:6;i:32;i:5;i:33;i:3;i:34;i:2;i:35;i:1;}s:16:\"node_admin_theme\";s:1:\"1\";s:14:\"node_cron_last\";s:10:\"1326766554\";s:18:\"node_options_forum\";a:1:{i:0;s:6:\"status\";}s:17:\"node_options_page\";a:1:{i:0;s:6:\"status\";}s:23:\"node_recent_block_count\";s:1:\"5\";s:19:\"node_submitted_page\";b:0;s:21:\"pathauto_blog_pattern\";s:17:\"blogs/[user:name]\";s:22:\"pathauto_forum_pattern\";s:29:\"[term:vocabulary]/[term:name]\";s:29:\"pathauto_node_article_pattern\";s:20:\"article/[node:title]\";s:26:\"pathauto_node_blog_pattern\";s:17:\"blog/[node:title]\";s:27:\"pathauto_node_forum_pattern\";s:18:\"forum/[node:title]\";s:26:\"pathauto_node_page_pattern\";s:12:\"[node:title]\";s:21:\"pathauto_node_pattern\";s:20:\"content/[node:title]\";s:26:\"pathauto_node_poll_pattern\";s:17:\"poll/[node:title]\";s:27:\"pathauto_punctuation_hyphen\";i:1;s:39:\"pathauto_taxonomy_term_articles_pattern\";s:20:\"articles/[term:name]\";s:30:\"pathauto_taxonomy_term_pattern\";s:29:\"[term:vocabulary]/[term:name]\";s:35:\"pathauto_taxonomy_term_tags_pattern\";s:15:\"tag/[term:name]\";s:21:\"pathauto_user_pattern\";s:17:\"users/[user:name]\";s:20:\"path_alias_whitelist\";a:5:{s:4:\"blog\";b:1;s:5:\"forum\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}s:8:\"site_403\";s:0:\"\";s:8:\"site_404\";s:0:\"\";s:20:\"site_default_country\";s:0:\"\";s:14:\"site_frontpage\";s:4:\"node\";s:9:\"site_mail\";s:23:\"tb-simply@localhost.dev\";s:9:\"site_name\";s:9:\"TB Simply\";s:11:\"site_slogan\";s:27:\"Simplicity requires Courage\";s:24:\"statistics_day_timestamp\";i:1435654174;s:17:\"superfish_arrow_1\";i:1;s:15:\"superfish_bgf_1\";i:0;s:17:\"superfish_delay_1\";s:3:\"800\";s:17:\"superfish_depth_1\";s:2:\"-1\";s:22:\"superfish_dfirstlast_1\";i:0;s:18:\"superfish_dzebra_1\";i:0;s:20:\"superfish_expanded_1\";i:0;s:21:\"superfish_firstlast_1\";i:1;s:26:\"superfish_hhldescription_1\";i:0;s:15:\"superfish_hid_1\";i:1;s:19:\"superfish_hlclass_1\";s:0:\"\";s:25:\"superfish_hldescription_1\";i:0;s:22:\"superfish_hldexclude_1\";s:0:\"\";s:20:\"superfish_hldmenus_1\";s:0:\"\";s:23:\"superfish_itemcounter_1\";i:1;s:21:\"superfish_itemcount_1\";i:1;s:21:\"superfish_itemdepth_1\";i:1;s:19:\"superfish_liclass_1\";s:0:\"\";s:20:\"superfish_maxwidth_1\";s:2:\"27\";s:19:\"superfish_mcdepth_1\";s:1:\"1\";s:21:\"superfish_mcexclude_1\";s:0:\"\";s:20:\"superfish_mclevels_1\";s:1:\"1\";s:16:\"superfish_menu_1\";s:11:\"main-menu:0\";s:20:\"superfish_minwidth_1\";s:2:\"12\";s:23:\"superfish_multicolumn_1\";i:0;s:16:\"superfish_name_1\";s:9:\"Main Menu\";s:21:\"superfish_pathclass_1\";s:12:\"active-trail\";s:19:\"superfish_pathcss_1\";s:0:\"\";s:22:\"superfish_pathlevels_1\";s:1:\"1\";s:18:\"superfish_shadow_1\";i:1;s:17:\"superfish_slide_1\";s:8:\"vertical\";s:20:\"superfish_smallasa_1\";i:0;s:19:\"superfish_smallbp_1\";s:3:\"768\";s:20:\"superfish_smallchc_1\";i:0;s:20:\"superfish_smallcmc_1\";i:0;s:20:\"superfish_smallech_1\";s:0:\"\";s:20:\"superfish_smallecm_1\";s:0:\"\";s:20:\"superfish_smallich_1\";s:0:\"\";s:20:\"superfish_smallicm_1\";s:0:\"\";s:20:\"superfish_smallset_1\";s:0:\"\";s:20:\"superfish_smallual_1\";s:0:\"\";s:20:\"superfish_smalluam_1\";s:1:\"0\";s:19:\"superfish_smallua_1\";s:1:\"0\";s:17:\"superfish_small_1\";s:1:\"2\";s:17:\"superfish_speed_1\";s:4:\"fast\";s:15:\"superfish_spp_1\";i:1;s:17:\"superfish_style_1\";s:4:\"none\";s:21:\"superfish_supersubs_1\";i:1;s:19:\"superfish_touchbp_1\";s:3:\"768\";s:20:\"superfish_touchual_1\";s:0:\"\";s:20:\"superfish_touchuam_1\";s:1:\"0\";s:19:\"superfish_touchua_1\";s:1:\"0\";s:17:\"superfish_touch_1\";s:1:\"0\";s:16:\"superfish_type_1\";s:10:\"horizontal\";s:19:\"superfish_ulclass_1\";s:0:\"\";s:26:\"superfish_use_item_theme_1\";i:1;s:26:\"superfish_use_link_theme_1\";i:1;s:19:\"superfish_wraphlt_1\";s:0:\"\";s:18:\"superfish_wraphl_1\";s:0:\"\";s:19:\"superfish_wrapmul_1\";s:0:\"\";s:18:\"superfish_wrapul_1\";s:0:\"\";s:17:\"superfish_zebra_1\";i:1;s:13:\"theme_default\";s:9:\"tb_simply\";s:24:\"theme_tb_simply_settings\";a:214:{s:15:\"nucleus_version\";s:0:\"\";s:4:\"grid\";s:2:\"24\";s:21:\"layout_width_selector\";s:6:\"custom\";s:19:\"layout_width_custom\";s:5:\"960px\";s:31:\"region_block_hidden_system_main\";s:7:\"content\";s:31:\"region_block_hidden_search_form\";s:6:\"header\";s:31:\"region_block_hidden_superfish_1\";s:8:\"menu_bar\";s:41:\"region_block_hidden_views_Slideshow_block\";s:9:\"slideshow\";s:41:\"region_block_hidden_menu_menu_footer_menu\";s:6:\"footer\";s:27:\"region_block_hidden_block_1\";s:6:\"footer\";s:31:\"region_block_hidden_system_help\";s:4:\"help\";s:36:\"region_block_hidden_system_main_menu\";s:13:\"sidebar_first\";s:37:\"region_block_hidden_system_navigation\";s:13:\"sidebar_first\";s:30:\"region_block_hidden_user_login\";s:13:\"sidebar_first\";s:36:\"region_block_hidden_system_user_menu\";s:13:\"sidebar_first\";s:39:\"region_block_hidden_quicktabs_quicktabs\";s:13:\"sidebar_first\";s:31:\"region_block_hidden_node_recent\";s:13:\"sidebar_first\";s:31:\"region_block_hidden_poll_recent\";s:13:\"sidebar_first\";s:28:\"region_block_hidden_user_new\";s:13:\"sidebar_first\";s:31:\"region_block_hidden_user_online\";s:13:\"sidebar_first\";s:32:\"region_block_hidden_forum_active\";s:2:\"-1\";s:35:\"region_block_hidden_locale_language\";s:2:\"-1\";s:37:\"region_block_hidden_system_management\";s:2:\"-1\";s:29:\"region_block_hidden_forum_new\";s:2:\"-1\";s:37:\"region_block_hidden_system_powered_by\";s:2:\"-1\";s:31:\"region_block_hidden_blog_recent\";s:2:\"-1\";s:34:\"region_block_hidden_comment_recent\";s:2:\"-1\";s:38:\"region_block_hidden_shortcut_shortcuts\";s:2:\"-1\";s:31:\"region_block_hidden_superfish_2\";s:2:\"-1\";s:31:\"region_block_hidden_superfish_3\";s:2:\"-1\";s:31:\"region_block_hidden_superfish_4\";s:2:\"-1\";s:34:\"region_block_hidden_node_syndicate\";s:2:\"-1\";s:31:\"block_weight_hidden_system_main\";s:1:\"0\";s:31:\"block_weight_hidden_search_form\";s:2:\"-1\";s:31:\"block_weight_hidden_superfish_1\";s:1:\"0\";s:41:\"block_weight_hidden_views_Slideshow_block\";s:1:\"0\";s:41:\"block_weight_hidden_menu_menu_footer_menu\";s:3:\"-14\";s:27:\"block_weight_hidden_block_1\";s:3:\"-13\";s:31:\"block_weight_hidden_system_help\";s:1:\"0\";s:36:\"block_weight_hidden_system_main_menu\";s:3:\"-13\";s:37:\"block_weight_hidden_system_navigation\";s:3:\"-12\";s:30:\"block_weight_hidden_user_login\";s:3:\"-11\";s:36:\"block_weight_hidden_system_user_menu\";s:3:\"-10\";s:39:\"block_weight_hidden_quicktabs_quicktabs\";s:2:\"-9\";s:31:\"block_weight_hidden_node_recent\";s:2:\"-8\";s:31:\"block_weight_hidden_poll_recent\";s:2:\"-7\";s:28:\"block_weight_hidden_user_new\";s:2:\"-6\";s:31:\"block_weight_hidden_user_online\";s:2:\"-5\";s:32:\"block_weight_hidden_forum_active\";s:3:\"-14\";s:35:\"block_weight_hidden_locale_language\";s:3:\"-13\";s:37:\"block_weight_hidden_system_management\";s:3:\"-12\";s:29:\"block_weight_hidden_forum_new\";s:3:\"-11\";s:37:\"block_weight_hidden_system_powered_by\";s:3:\"-13\";s:31:\"block_weight_hidden_blog_recent\";s:3:\"-10\";s:34:\"block_weight_hidden_comment_recent\";s:2:\"-9\";s:38:\"block_weight_hidden_shortcut_shortcuts\";s:2:\"-8\";s:31:\"block_weight_hidden_superfish_2\";s:2:\"-7\";s:31:\"block_weight_hidden_superfish_3\";s:2:\"-6\";s:31:\"block_weight_hidden_superfish_4\";s:2:\"-5\";s:34:\"block_weight_hidden_node_syndicate\";s:2:\"-4\";s:23:\"block_system_main_style\";s:7:\"default\";s:30:\"block_system_main_extend_class\";s:0:\"\";s:20:\"region_content_style\";s:7:\"default\";s:27:\"region_content_extend_class\";s:0:\"\";s:23:\"block_search_form_style\";s:7:\"default\";s:30:\"block_search_form_extend_class\";s:0:\"\";s:19:\"region_header_style\";s:3:\"raw\";s:26:\"region_header_extend_class\";s:0:\"\";s:23:\"block_superfish_1_style\";s:7:\"default\";s:30:\"block_superfish_1_extend_class\";s:0:\"\";s:21:\"region_menu_bar_style\";s:7:\"default\";s:28:\"region_menu_bar_extend_class\";s:0:\"\";s:33:\"block_views_Slideshow_block_style\";s:0:\"\";s:40:\"block_views_Slideshow_block_extend_class\";s:0:\"\";s:22:\"region_slideshow_style\";s:3:\"raw\";s:29:\"region_slideshow_extend_class\";s:0:\"\";s:20:\"region_feature_style\";s:0:\"\";s:27:\"region_feature_extend_class\";s:0:\"\";s:24:\"region_highlighted_style\";s:0:\"\";s:31:\"region_highlighted_extend_class\";s:0:\"\";s:33:\"block_menu_menu_footer_menu_style\";s:0:\"\";s:40:\"block_menu_menu_footer_menu_extend_class\";s:0:\"\";s:19:\"block_block_1_style\";s:7:\"default\";s:26:\"block_block_1_extend_class\";s:0:\"\";s:19:\"region_footer_style\";s:3:\"raw\";s:26:\"region_footer_extend_class\";s:0:\"\";s:23:\"block_system_help_style\";s:7:\"default\";s:30:\"block_system_help_extend_class\";s:0:\"\";s:17:\"region_help_style\";s:7:\"default\";s:24:\"region_help_extend_class\";s:0:\"\";s:21:\"region_page_top_style\";s:0:\"\";s:28:\"region_page_top_extend_class\";s:0:\"\";s:24:\"region_page_bottom_style\";s:0:\"\";s:31:\"region_page_bottom_extend_class\";s:0:\"\";s:28:\"block_system_main_menu_style\";s:0:\"\";s:35:\"block_system_main_menu_extend_class\";s:0:\"\";s:29:\"block_system_navigation_style\";s:7:\"default\";s:36:\"block_system_navigation_extend_class\";s:0:\"\";s:22:\"block_user_login_style\";s:7:\"default\";s:29:\"block_user_login_extend_class\";s:0:\"\";s:28:\"block_system_user_menu_style\";s:0:\"\";s:35:\"block_system_user_menu_extend_class\";s:0:\"\";s:31:\"block_quicktabs_quicktabs_style\";s:7:\"default\";s:38:\"block_quicktabs_quicktabs_extend_class\";s:0:\"\";s:23:\"block_node_recent_style\";s:7:\"default\";s:30:\"block_node_recent_extend_class\";s:0:\"\";s:23:\"block_poll_recent_style\";s:7:\"default\";s:30:\"block_poll_recent_extend_class\";s:0:\"\";s:20:\"block_user_new_style\";s:7:\"default\";s:27:\"block_user_new_extend_class\";s:0:\"\";s:23:\"block_user_online_style\";s:7:\"default\";s:30:\"block_user_online_extend_class\";s:0:\"\";s:26:\"region_sidebar_first_style\";s:7:\"default\";s:33:\"region_sidebar_first_extend_class\";s:0:\"\";s:27:\"region_sidebar_second_style\";s:0:\"\";s:34:\"region_sidebar_second_extend_class\";s:0:\"\";s:26:\"region_panel_first_1_style\";s:0:\"\";s:33:\"region_panel_first_1_extend_class\";s:0:\"\";s:26:\"region_panel_first_2_style\";s:0:\"\";s:33:\"region_panel_first_2_extend_class\";s:0:\"\";s:26:\"region_panel_first_3_style\";s:0:\"\";s:33:\"region_panel_first_3_extend_class\";s:0:\"\";s:26:\"region_panel_first_4_style\";s:0:\"\";s:33:\"region_panel_first_4_extend_class\";s:0:\"\";s:27:\"region_dashboard_main_style\";s:0:\"\";s:34:\"region_dashboard_main_extend_class\";s:0:\"\";s:30:\"region_dashboard_sidebar_style\";s:0:\"\";s:37:\"region_dashboard_sidebar_extend_class\";s:0:\"\";s:31:\"region_dashboard_inactive_style\";s:0:\"\";s:38:\"region_dashboard_inactive_extend_class\";s:0:\"\";s:24:\"block_forum_active_style\";s:0:\"\";s:31:\"block_forum_active_extend_class\";s:0:\"\";s:27:\"block_locale_language_style\";s:0:\"\";s:34:\"block_locale_language_extend_class\";s:0:\"\";s:29:\"block_system_management_style\";s:0:\"\";s:36:\"block_system_management_extend_class\";s:0:\"\";s:21:\"block_forum_new_style\";s:0:\"\";s:28:\"block_forum_new_extend_class\";s:0:\"\";s:29:\"block_system_powered_by_style\";s:0:\"\";s:36:\"block_system_powered_by_extend_class\";s:0:\"\";s:23:\"block_blog_recent_style\";s:0:\"\";s:30:\"block_blog_recent_extend_class\";s:0:\"\";s:26:\"block_comment_recent_style\";s:0:\"\";s:33:\"block_comment_recent_extend_class\";s:0:\"\";s:30:\"block_shortcut_shortcuts_style\";s:0:\"\";s:37:\"block_shortcut_shortcuts_extend_class\";s:0:\"\";s:23:\"block_superfish_2_style\";s:0:\"\";s:30:\"block_superfish_2_extend_class\";s:0:\"\";s:23:\"block_superfish_3_style\";s:0:\"\";s:30:\"block_superfish_3_extend_class\";s:0:\"\";s:23:\"block_superfish_4_style\";s:0:\"\";s:30:\"block_superfish_4_extend_class\";s:0:\"\";s:26:\"block_node_syndicate_style\";s:0:\"\";s:33:\"block_node_syndicate_extend_class\";s:0:\"\";s:19:\"sidebar_first_width\";s:1:\"7\";s:20:\"sidebar_second_width\";s:1:\"0\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:24:\"superfish_extend_style_1\";s:6:\"simply\";s:24:\"superfish_extend_style_2\";s:6:\"simply\";s:24:\"superfish_extend_style_3\";s:0:\"\";s:24:\"superfish_extend_style_4\";s:0:\"\";s:32:\"quicktabs_extend_style_quicktabs\";s:6:\"simply\";s:9:\"base_font\";s:4:\"bf-a\";s:13:\"base_font_gwf\";s:0:\"\";s:16:\"base_font_custom\";s:0:\"\";s:14:\"base_font_type\";s:0:\"\";s:14:\"site_name_font\";s:0:\"\";s:18:\"site_name_font_gwf\";s:0:\"\";s:21:\"site_name_font_custom\";s:0:\"\";s:19:\"site_name_font_type\";s:0:\"\";s:16:\"site_slogan_font\";s:0:\"\";s:20:\"site_slogan_font_gwf\";s:0:\"\";s:23:\"site_slogan_font_custom\";s:0:\"\";s:21:\"site_slogan_font_type\";s:0:\"\";s:15:\"page_title_font\";s:0:\"\";s:19:\"page_title_font_gwf\";s:0:\"\";s:22:\"page_title_font_custom\";s:0:\"\";s:20:\"page_title_font_type\";s:0:\"\";s:15:\"node_title_font\";s:0:\"\";s:19:\"node_title_font_gwf\";s:0:\"\";s:22:\"node_title_font_custom\";s:0:\"\";s:20:\"node_title_font_type\";s:0:\"\";s:18:\"comment_title_font\";s:0:\"\";s:22:\"comment_title_font_gwf\";s:0:\"\";s:25:\"comment_title_font_custom\";s:0:\"\";s:23:\"comment_title_font_type\";s:0:\"\";s:16:\"block_title_font\";s:0:\"\";s:20:\"block_title_font_gwf\";s:0:\"\";s:23:\"block_title_font_custom\";s:0:\"\";s:21:\"block_title_font_type\";s:0:\"\";s:9:\"font_size\";s:9:\"fs-medium\";s:11:\"toggle_logo\";i:0;s:11:\"toggle_name\";i:1;s:13:\"toggle_slogan\";i:1;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:21:\"toggle_secondary_menu\";i:1;s:18:\"breadcrumb_display\";i:0;s:19:\"back_to_top_display\";i:0;s:15:\"show_skins_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:28:\"nucleus_use_default_settings\";s:1:\"0\";s:21:\"nucleus_current_theme\";s:9:\"tb_simply\";s:19:\"nucleus__active_tab\";s:22:\"edit-supported-modules\";}s:17:\"update_last_check\";i:1435654227;s:30:\"update_last_email_notification\";i:1435654174;s:20:\"update_notify_emails\";a:1:{i:0;s:18:\"you@yourdomain.com\";}s:15:\"user_admin_role\";s:1:\"3\";s:13:\"user_pictures\";s:1:\"1\";s:23:\"user_picture_dimensions\";s:9:\"1024x1024\";s:22:\"user_picture_file_size\";s:3:\"800\";s:18:\"user_picture_style\";s:9:\"thumbnail\";s:13:\"user_register\";i:2;}',0,1435658092,1);
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_field`
--

DROP TABLE IF EXISTS `cache_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_field`
--

LOCK TABLES `cache_field` WRITE;
/*!40000 ALTER TABLE `cache_field` DISABLE KEYS */;
INSERT INTO `cache_field` VALUES ('field:user:0','a:0:{}',0,1435658092,1);
/*!40000 ALTER TABLE `cache_field` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_filter`
--

DROP TABLE IF EXISTS `cache_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_filter`
--

LOCK TABLES `cache_filter` WRITE;
/*!40000 ALTER TABLE `cache_filter` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_filter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_form`
--

DROP TABLE IF EXISTS `cache_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_form`
--

LOCK TABLES `cache_form` WRITE;
/*!40000 ALTER TABLE `cache_form` DISABLE KEYS */;
INSERT INTO `cache_form` VALUES ('form_form-1OZNFMSJefe2XdxjHcVZfTlvucB40KQMucoM-4_gnZc','a:21:{s:6:\"choice\";a:4:{s:5:\"#type\";s:6:\"radios\";s:6:\"#title\";s:7:\"Choices\";s:14:\"#title_display\";s:9:\"invisible\";s:8:\"#options\";a:4:{i:1;s:37:\"I already used it &amp; really happy.\";i:2;s:15:\"Look promising.\";i:3;s:7:\"Boring!\";i:4;s:41:\"I don&#039;t care about Framework at all.\";}}s:4:\"vote\";a:3:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:4:\"Vote\";s:7:\"#submit\";a:1:{i:0;s:9:\"poll_vote\";}}s:5:\"#node\";O:8:\"stdClass\":33:{s:3:\"vid\";s:2:\"14\";s:3:\"uid\";s:1:\"1\";s:5:\"title\";s:42:\"What do you think about Nucleus Framework?\";s:3:\"log\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:7:\"comment\";s:1:\"2\";s:7:\"promote\";s:1:\"1\";s:6:\"sticky\";s:1:\"0\";s:3:\"nid\";s:2:\"14\";s:4:\"type\";s:4:\"poll\";s:8:\"language\";s:2:\"en\";s:7:\"created\";s:10:\"1326706235\";s:7:\"changed\";s:10:\"1326706235\";s:4:\"tnid\";s:1:\"0\";s:9:\"translate\";s:1:\"0\";s:18:\"revision_timestamp\";s:10:\"1326706235\";s:12:\"revision_uid\";s:1:\"1\";s:7:\"runtime\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:6:\"choice\";a:4:{i:1;a:4:{s:4:\"chid\";s:1:\"1\";s:6:\"chtext\";s:33:\"I already used it & really happy.\";s:7:\"chvotes\";s:3:\"360\";s:6:\"weight\";s:1:\"1\";}i:2;a:4:{s:4:\"chid\";s:1:\"2\";s:6:\"chtext\";s:15:\"Look promising.\";s:7:\"chvotes\";s:3:\"120\";s:6:\"weight\";s:1:\"1\";}i:3;a:4:{s:4:\"chid\";s:1:\"3\";s:6:\"chtext\";s:7:\"Boring!\";s:7:\"chvotes\";s:2:\"15\";s:6:\"weight\";s:1:\"2\";}i:4;a:4:{s:4:\"chid\";s:1:\"4\";s:6:\"chtext\";s:36:\"I don\'t care about Framework at all.\";s:7:\"chvotes\";s:2:\"56\";s:6:\"weight\";s:1:\"3\";}}s:10:\"allowvotes\";b:1;s:4:\"vote\";i:-1;s:3:\"cid\";s:1:\"0\";s:22:\"last_comment_timestamp\";s:10:\"1326706235\";s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";s:1:\"1\";s:13:\"comment_count\";s:1:\"0\";s:4:\"name\";s:5:\"admin\";s:7:\"picture\";s:1:\"0\";s:4:\"data\";s:24:\"a:1:{s:7:\"contact\";i:1;}\";s:20:\"_field_view_prepared\";b:1;s:20:\"entity_view_prepared\";b:1;s:7:\"content\";a:0:{}}s:6:\"#block\";b:0;s:6:\"#theme\";s:9:\"poll_vote\";s:8:\"#form_id\";s:16:\"poll_view_voting\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-1OZNFMSJefe2XdxjHcVZfTlvucB40KQMucoM-4_gnZc\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-1OZNFMSJefe2XdxjHcVZfTlvucB40KQMucoM-4_gnZc\";s:3:\"#id\";s:48:\"form-1OZNFMSJefe2XdxjHcVZfTlvucB40KQMucoM-4_gnZc\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:16:\"poll_view_voting\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:32:\"edit-poll-view-voting-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"KIm45S60p41I-pxkqJ5DweRtN8ggFcXKspSZnrBvuc8\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:16:\"poll_view_voting\";s:3:\"#id\";s:21:\"edit-poll-view-voting\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:16:\"poll-view-voting\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:1:\"/\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:1:{i:0;s:25:\"poll_view_voting_validate\";}s:7:\"#submit\";a:0:{}s:12:\"#cache_token\";s:43:\"Lvci288eEnFBvpnrMrsmBo2IsasNSJfumRDh86VxVRI\";}',1435677085,1435655485,1),('form_form-57BCbnuNrq8Th5nBPq6g3WNtozvHz8dmyun7zpRbSys','a:19:{s:4:\"#nid\";s:2:\"15\";s:7:\"actions\";a:2:{s:5:\"#type\";s:7:\"actions\";s:6:\"submit\";a:3:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:16:\"Cancel your vote\";s:7:\"#submit\";a:1:{i:0;s:11:\"poll_cancel\";}}}s:8:\"#form_id\";s:16:\"poll_cancel_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-57BCbnuNrq8Th5nBPq6g3WNtozvHz8dmyun7zpRbSys\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-57BCbnuNrq8Th5nBPq6g3WNtozvHz8dmyun7zpRbSys\";s:3:\"#id\";s:48:\"form-57BCbnuNrq8Th5nBPq6g3WNtozvHz8dmyun7zpRbSys\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:16:\"poll_cancel_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:32:\"edit-poll-cancel-form-form-token\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"B76gdnJtB0x7Klxx2dH9dAm1aX8KTL4Y5bMQNLAii8E\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:16:\"poll_cancel_form\";s:3:\"#id\";s:21:\"edit-poll-cancel-form\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:16:\"poll-cancel-form\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:1:\"/\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:0:{}s:6:\"#theme\";a:1:{i:0;s:16:\"poll_cancel_form\";}s:12:\"#cache_token\";s:43:\"Lvci288eEnFBvpnrMrsmBo2IsasNSJfumRDh86VxVRI\";}',1435677085,1435655485,1),('form_form-E2RxEQVZiE54yG18QL-02DOodHrGE1Qas5gmipxwzZk','a:19:{s:4:\"#nid\";s:2:\"15\";s:7:\"actions\";a:2:{s:5:\"#type\";s:7:\"actions\";s:6:\"submit\";a:3:{s:5:\"#type\";s:6:\"submit\";s:6:\"#value\";s:16:\"Cancel your vote\";s:7:\"#submit\";a:1:{i:0;s:11:\"poll_cancel\";}}}s:8:\"#form_id\";s:16:\"poll_cancel_form\";s:5:\"#type\";s:4:\"form\";s:9:\"#build_id\";s:48:\"form-E2RxEQVZiE54yG18QL-02DOodHrGE1Qas5gmipxwzZk\";s:13:\"form_build_id\";a:5:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:48:\"form-E2RxEQVZiE54yG18QL-02DOodHrGE1Qas5gmipxwzZk\";s:3:\"#id\";s:48:\"form-E2RxEQVZiE54yG18QL-02DOodHrGE1Qas5gmipxwzZk\";s:5:\"#name\";s:13:\"form_build_id\";s:8:\"#parents\";a:1:{i:0;s:13:\"form_build_id\";}}s:6:\"#token\";s:16:\"poll_cancel_form\";s:10:\"form_token\";a:4:{s:3:\"#id\";s:35:\"edit-poll-cancel-form-form-token--2\";s:5:\"#type\";s:5:\"token\";s:14:\"#default_value\";s:43:\"B76gdnJtB0x7Klxx2dH9dAm1aX8KTL4Y5bMQNLAii8E\";s:8:\"#parents\";a:1:{i:0;s:10:\"form_token\";}}s:7:\"form_id\";a:4:{s:5:\"#type\";s:6:\"hidden\";s:6:\"#value\";s:16:\"poll_cancel_form\";s:3:\"#id\";s:24:\"edit-poll-cancel-form--2\";s:8:\"#parents\";a:1:{i:0;s:7:\"form_id\";}}s:3:\"#id\";s:19:\"poll-cancel-form--2\";s:7:\"#method\";s:4:\"post\";s:7:\"#action\";s:1:\"/\";s:15:\"#theme_wrappers\";a:1:{i:0;s:4:\"form\";}s:5:\"#tree\";b:0;s:8:\"#parents\";a:0:{}s:9:\"#validate\";a:0:{}s:7:\"#submit\";a:0:{}s:6:\"#theme\";a:1:{i:0;s:16:\"poll_cancel_form\";}s:12:\"#cache_token\";s:43:\"Lvci288eEnFBvpnrMrsmBo2IsasNSJfumRDh86VxVRI\";}',1435677085,1435655485,1),('form_state_form-1OZNFMSJefe2XdxjHcVZfTlvucB40KQMucoM-4_gnZc','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:1:{i:0;O:8:\"stdClass\":33:{s:3:\"vid\";s:2:\"14\";s:3:\"uid\";s:1:\"1\";s:5:\"title\";s:42:\"What do you think about Nucleus Framework?\";s:3:\"log\";s:0:\"\";s:6:\"status\";s:1:\"1\";s:7:\"comment\";s:1:\"2\";s:7:\"promote\";s:1:\"1\";s:6:\"sticky\";s:1:\"0\";s:3:\"nid\";s:2:\"14\";s:4:\"type\";s:4:\"poll\";s:8:\"language\";s:2:\"en\";s:7:\"created\";s:10:\"1326706235\";s:7:\"changed\";s:10:\"1326706235\";s:4:\"tnid\";s:1:\"0\";s:9:\"translate\";s:1:\"0\";s:18:\"revision_timestamp\";s:10:\"1326706235\";s:12:\"revision_uid\";s:1:\"1\";s:7:\"runtime\";s:1:\"0\";s:6:\"active\";s:1:\"1\";s:6:\"choice\";a:4:{i:1;a:4:{s:4:\"chid\";s:1:\"1\";s:6:\"chtext\";s:33:\"I already used it & really happy.\";s:7:\"chvotes\";s:3:\"360\";s:6:\"weight\";s:1:\"1\";}i:2;a:4:{s:4:\"chid\";s:1:\"2\";s:6:\"chtext\";s:15:\"Look promising.\";s:7:\"chvotes\";s:3:\"120\";s:6:\"weight\";s:1:\"1\";}i:3;a:4:{s:4:\"chid\";s:1:\"3\";s:6:\"chtext\";s:7:\"Boring!\";s:7:\"chvotes\";s:2:\"15\";s:6:\"weight\";s:1:\"2\";}i:4;a:4:{s:4:\"chid\";s:1:\"4\";s:6:\"chtext\";s:36:\"I don\'t care about Framework at all.\";s:7:\"chvotes\";s:2:\"56\";s:6:\"weight\";s:1:\"3\";}}s:10:\"allowvotes\";b:1;s:4:\"vote\";i:-1;s:3:\"cid\";s:1:\"0\";s:22:\"last_comment_timestamp\";s:10:\"1326706235\";s:17:\"last_comment_name\";N;s:16:\"last_comment_uid\";s:1:\"1\";s:13:\"comment_count\";s:1:\"0\";s:4:\"name\";s:5:\"admin\";s:7:\"picture\";s:1:\"0\";s:4:\"data\";s:24:\"a:1:{s:7:\"contact\";i:1;}\";s:20:\"_field_view_prepared\";b:1;s:20:\"entity_view_prepared\";b:1;s:7:\"content\";a:0:{}}}s:7:\"form_id\";s:16:\"poll_view_voting\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1435677085,1435655485,1),('form_state_form-57BCbnuNrq8Th5nBPq6g3WNtozvHz8dmyun7zpRbSys','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:1:{i:0;s:2:\"15\";}s:7:\"form_id\";s:16:\"poll_cancel_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1435677085,1435655485,1),('form_state_form-E2RxEQVZiE54yG18QL-02DOodHrGE1Qas5gmipxwzZk','a:5:{s:10:\"build_info\";a:2:{s:4:\"args\";a:1:{i:0;s:2:\"15\";}s:7:\"form_id\";s:16:\"poll_cancel_form\";}s:10:\"programmed\";b:0;s:30:\"programmed_bypass_access_check\";b:1;s:5:\"cache\";b:1;s:13:\"process_input\";b:0;}',1435677085,1435655485,1);
/*!40000 ALTER TABLE `cache_form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_image`
--

DROP TABLE IF EXISTS `cache_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_image`
--

LOCK TABLES `cache_image` WRITE;
/*!40000 ALTER TABLE `cache_image` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_image` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_libraries`
--

DROP TABLE IF EXISTS `cache_libraries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_libraries`
--

LOCK TABLES `cache_libraries` WRITE;
/*!40000 ALTER TABLE `cache_libraries` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_libraries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
INSERT INTO `cache_menu` VALUES ('menu_custom','a:5:{s:9:\"main-menu\";a:3:{s:9:\"menu_name\";s:9:\"main-menu\";s:5:\"title\";s:9:\"Main menu\";s:11:\"description\";s:115:\"The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.\";}s:10:\"management\";a:3:{s:9:\"menu_name\";s:10:\"management\";s:5:\"title\";s:10:\"Management\";s:11:\"description\";s:69:\"The <em>Management</em> menu contains links for administrative tasks.\";}s:16:\"menu-footer-menu\";a:3:{s:9:\"menu_name\";s:16:\"menu-footer-menu\";s:5:\"title\";s:11:\"Footer Menu\";s:11:\"description\";s:26:\"Additional Menu for Footer\";}s:10:\"navigation\";a:3:{s:9:\"menu_name\";s:10:\"navigation\";s:5:\"title\";s:10:\"Navigation\";s:11:\"description\";s:150:\"The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.\";}s:9:\"user-menu\";a:3:{s:9:\"menu_name\";s:9:\"user-menu\";s:5:\"title\";s:9:\"User menu\";s:11:\"description\";s:99:\"The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.\";}}',0,1435658058,1);
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_path`
--

DROP TABLE IF EXISTS `cache_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_path`
--

LOCK TABLES `cache_path` WRITE;
/*!40000 ALTER TABLE `cache_path` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_path` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_token`
--

DROP TABLE IF EXISTS `cache_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_token`
--

LOCK TABLES `cache_token` WRITE;
/*!40000 ALTER TABLE `cache_token` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_token` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_update`
--

DROP TABLE IF EXISTS `cache_update`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_update`
--

LOCK TABLES `cache_update` WRITE;
/*!40000 ALTER TABLE `cache_update` DISABLE KEYS */;
INSERT INTO `cache_update` VALUES ('fetch_task::cck',NULL,0,1435657093,0),('fetch_task::chosen',NULL,0,1435657093,0),('fetch_task::ctools',NULL,0,1435657093,0),('fetch_task::drupal',NULL,0,1435657093,0),('fetch_task::fontawesome',NULL,0,1435657093,0),('fetch_task::imageapi',NULL,0,1435657093,0),('fetch_task::jquery_plugin',NULL,0,1435657093,0),('fetch_task::libraries',NULL,0,1435657093,0),('fetch_task::pathauto',NULL,0,1435657093,0),('fetch_task::quicktabs',NULL,0,1435657093,0),('fetch_task::superfish',NULL,0,1435657093,0),('fetch_task::token',NULL,0,1435657093,0),('fetch_task::views',NULL,0,1435657093,0),('fetch_task::views_slideshow',NULL,0,1435657093,0),('fetch_task::wysiwyg',NULL,0,1435657093,0),('update_project_projects','a:15:{s:6:\"drupal\";a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Aggregator\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:16:\"_info_file_ctime\";i:1435572553;}s:9:\"datestamp\";s:10:\"1434567286\";s:8:\"includes\";a:43:{s:10:\"aggregator\";s:10:\"Aggregator\";s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:6:\"openid\";s:6:\"OpenID\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"syslog\";s:6:\"Syslog\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:7:\"tracker\";s:7:\"Tracker\";s:11:\"translation\";s:19:\"Content translation\";s:7:\"trigger\";s:7:\"Trigger\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:3:\"cck\";a:8:{s:4:\"name\";s:3:\"cck\";s:4:\"info\";a:6:{s:4:\"name\";s:3:\"CCK\";s:7:\"package\";s:3:\"CCK\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:7:\"project\";s:3:\"cck\";s:9:\"datestamp\";s:10:\"1386880109\";s:16:\"_info_file_ctime\";i:1435572637;}s:9:\"datestamp\";s:10:\"1386880109\";s:8:\"includes\";a:1:{s:3:\"cck\";s:3:\"CCK\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"chosen\";a:8:{s:4:\"name\";s:6:\"chosen\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Chosen\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:7:\"project\";s:6:\"chosen\";s:9:\"datestamp\";s:10:\"1394256505\";s:16:\"_info_file_ctime\";i:1435572582;}s:9:\"datestamp\";s:10:\"1394256505\";s:8:\"includes\";a:1:{s:6:\"chosen\";s:6:\"Chosen\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"ctools\";a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:16:\"_info_file_ctime\";i:1435572645;}s:9:\"datestamp\";s:10:\"1426696183\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"fontawesome\";a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420870983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572572;}s:9:\"datestamp\";s:10:\"1420870983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"imageapi\";a:8:{s:4:\"name\";s:8:\"imageapi\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"ImageAPI\";s:7:\"package\";s:8:\"ImageAPI\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:16:\"_info_file_ctime\";i:1435572762;}s:9:\"datestamp\";s:10:\"1380582657\";s:8:\"includes\";a:2:{s:8:\"imageapi\";s:8:\"ImageAPI\";s:11:\"imageapi_gd\";s:12:\"ImageAPI GD2\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"jquery_plugin\";a:8:{s:4:\"name\";s:13:\"jquery_plugin\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"jQuery plugins\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:13:\"jquery_plugin\";s:9:\"datestamp\";s:10:\"1294280182\";s:16:\"_info_file_ctime\";i:1435572687;}s:9:\"datestamp\";s:10:\"1294280182\";s:8:\"includes\";a:1:{s:13:\"jquery_plugin\";s:14:\"jQuery plugins\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"libraries\";a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572695;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"pathauto\";a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572774;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"quicktabs\";a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572765;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"superfish\";a:8:{s:4:\"name\";s:9:\"superfish\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Superfish\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:9:\"superfish\";s:9:\"datestamp\";s:10:\"1367054112\";s:16:\"_info_file_ctime\";i:1435572628;}s:9:\"datestamp\";s:10:\"1367054112\";s:8:\"includes\";a:1:{s:9:\"superfish\";s:9:\"Superfish\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"token\";a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572777;}s:9:\"datestamp\";s:10:\"1425149060\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"views\";a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.11\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1430321048\";s:16:\"_info_file_ctime\";i:1435656876;}s:9:\"datestamp\";s:10:\"1430321048\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_slideshow\";a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1435572759;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"wysiwyg\";a:8:{s:4:\"name\";s:7:\"wysiwyg\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Wysiwyg\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:16:\"_info_file_ctime\";i:1435572784;}s:9:\"datestamp\";s:10:\"1349213776\";s:8:\"includes\";a:1:{s:7:\"wysiwyg\";s:7:\"Wysiwyg\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}}',1435660693,1435657093,1);
/*!40000 ALTER TABLE `cache_update` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_views`
--

DROP TABLE IF EXISTS `cache_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views`
--

LOCK TABLES `cache_views` WRITE;
/*!40000 ALTER TABLE `cache_views` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_views` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cache_views_data`
--

DROP TABLE IF EXISTS `cache_views_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views_data`
--

LOCK TABLES `cache_views_data` WRITE;
/*!40000 ALTER TABLE `cache_views_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache_views_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cck_field_settings`
--

DROP TABLE IF EXISTS `cck_field_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cck_field_settings` (
  `field_name` varchar(32) NOT NULL COMMENT 'The name of the field.',
  `entity_type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of the entity type, NULL for field settings.',
  `bundle` varchar(32) DEFAULT NULL COMMENT 'The name of the bundle, NULL for field settings.',
  `language` varchar(32) DEFAULT NULL COMMENT 'The name of the language, NULL for field settings.',
  `setting_type` varchar(32) NOT NULL COMMENT 'The type of setting that CCK is managing (field, instance, widget, display).',
  `setting` varchar(128) NOT NULL COMMENT 'The name of the setting that CCK is managing (default_value_php, allowed_values_php, etc).',
  `setting_option` mediumtext COMMENT 'The custom value for this setting.'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cck_field_settings`
--

LOCK TABLES `cck_field_settings` WRITE;
/*!40000 ALTER TABLE `cck_field_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `cck_field_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  PRIMARY KEY (`cid`),
  KEY `comment_status_pid` (`pid`,`status`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
INSERT INTO `comment` VALUES (1,0,21,1,'Validate! Always. Validate XHTML 1.0 Strict.','127.0.0.1',1326766619,1326766619,1,'01/','admin','','','und'),(2,1,21,1,'Please ensure that you\'ve','127.0.0.1',1326766651,1326766651,1,'01.00/','admin','','','und');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contact` (
  `cid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique category ID.',
  `category` varchar(255) NOT NULL DEFAULT '' COMMENT 'Category name.',
  `recipients` longtext NOT NULL COMMENT 'Comma-separated list of recipient e-mail addresses.',
  `reply` longtext NOT NULL COMMENT 'Text of the auto-reply message.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The category’s weight.',
  `selected` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether or not category is selected by default. (1 = Yes, 0 = No)',
  PRIMARY KEY (`cid`),
  UNIQUE KEY `category` (`category`),
  KEY `list` (`weight`,`category`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contact form category settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
INSERT INTO `contact` VALUES (1,'Website feedback','you@yourdomain.com','',0,1);
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ctools_css_cache`
--

DROP TABLE IF EXISTS `ctools_css_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_css_cache`
--

LOCK TABLES `ctools_css_cache` WRITE;
/*!40000 ALTER TABLE `ctools_css_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `ctools_css_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ctools_object_cache`
--

DROP TABLE IF EXISTS `ctools_object_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_object_cache`
--

LOCK TABLES `ctools_object_cache` WRITE;
/*!40000 ALTER TABLE `ctools_object_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `ctools_object_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `date_format_locale`
--

DROP TABLE IF EXISTS `date_format_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_locale` (
  `format` varchar(100) NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_locale`
--

LOCK TABLES `date_format_locale` WRITE;
/*!40000 ALTER TABLE `date_format_locale` DISABLE KEYS */;
/*!40000 ALTER TABLE `date_format_locale` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `date_format_type`
--

DROP TABLE IF EXISTS `date_format_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_type`
--

LOCK TABLES `date_format_type` WRITE;
/*!40000 ALTER TABLE `date_format_type` DISABLE KEYS */;
INSERT INTO `date_format_type` VALUES ('long','Long',1),('medium','Medium',1),('short','Short',1);
/*!40000 ALTER TABLE `date_format_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `date_formats`
--

DROP TABLE IF EXISTS `date_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_formats`
--

LOCK TABLES `date_formats` WRITE;
/*!40000 ALTER TABLE `date_formats` DISABLE KEYS */;
INSERT INTO `date_formats` VALUES (1,'Y-m-d H:i','short',1),(2,'m/d/Y - H:i','short',1),(3,'d/m/Y - H:i','short',1),(4,'Y/m/d - H:i','short',1),(5,'d.m.Y - H:i','short',1),(6,'m/d/Y - g:ia','short',1),(7,'d/m/Y - g:ia','short',1),(8,'Y/m/d - g:ia','short',1),(9,'M j Y - H:i','short',1),(10,'j M Y - H:i','short',1),(11,'Y M j - H:i','short',1),(12,'M j Y - g:ia','short',1),(13,'j M Y - g:ia','short',1),(14,'Y M j - g:ia','short',1),(15,'D, Y-m-d H:i','medium',1),(16,'D, m/d/Y - H:i','medium',1),(17,'D, d/m/Y - H:i','medium',1),(18,'D, Y/m/d - H:i','medium',1),(19,'F j, Y - H:i','medium',1),(20,'j F, Y - H:i','medium',1),(21,'Y, F j - H:i','medium',1),(22,'D, m/d/Y - g:ia','medium',1),(23,'D, d/m/Y - g:ia','medium',1),(24,'D, Y/m/d - g:ia','medium',1),(25,'F j, Y - g:ia','medium',1),(26,'j F Y - g:ia','medium',1),(27,'Y, F j - g:ia','medium',1),(28,'j. F Y - G:i','medium',1),(29,'l, F j, Y - H:i','long',1),(30,'l, j F, Y - H:i','long',1),(31,'l, Y,  F j - H:i','long',1),(32,'l, F j, Y - g:ia','long',1),(33,'l, j F Y - g:ia','long',1),(34,'l, Y,  F j - g:ia','long',1),(35,'l, j. F Y - G:i','long',1);
/*!40000 ALTER TABLE `date_formats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_config`
--

DROP TABLE IF EXISTS `field_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config`
--

LOCK TABLES `field_config` WRITE;
/*!40000 ALTER TABLE `field_config` DISABLE KEYS */;
INSERT INTO `field_config` VALUES (1,'comment_body','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:7:\"comment\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(2,'body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:4:\"node\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(3,'field_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',-1,0,0),(4,'field_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";b:0;}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}}',1,0,0),(5,'taxonomy_forums','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:6:\"forums\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";b:0;s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}}',1,0,0),(6,'field_slideshow','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:1:\"6\";}',1,0,0),(7,'field_category','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:8:\"articles\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_category\";a:1:{s:3:\"tid\";s:18:\"field_category_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"7\";}',1,0,0),(8,'field_img','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:20:\"field_data_field_img\";a:5:{s:3:\"fid\";s:13:\"field_img_fid\";s:3:\"alt\";s:13:\"field_img_alt\";s:5:\"title\";s:15:\"field_img_title\";s:5:\"width\";s:15:\"field_img_width\";s:6:\"height\";s:16:\"field_img_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:24:\"field_revision_field_img\";a:5:{s:3:\"fid\";s:13:\"field_img_fid\";s:3:\"alt\";s:13:\"field_img_alt\";s:5:\"title\";s:15:\"field_img_title\";s:5:\"width\";s:15:\"field_img_width\";s:6:\"height\";s:16:\"field_img_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:1:\"8\";}',1,0,0),(9,'field_blog_img','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:25:\"field_data_field_blog_img\";a:5:{s:3:\"fid\";s:18:\"field_blog_img_fid\";s:3:\"alt\";s:18:\"field_blog_img_alt\";s:5:\"title\";s:20:\"field_blog_img_title\";s:5:\"width\";s:20:\"field_blog_img_width\";s:6:\"height\";s:21:\"field_blog_img_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:29:\"field_revision_field_blog_img\";a:5:{s:3:\"fid\";s:18:\"field_blog_img_fid\";s:3:\"alt\";s:18:\"field_blog_img_alt\";s:5:\"title\";s:20:\"field_blog_img_title\";s:5:\"width\";s:20:\"field_blog_img_width\";s:6:\"height\";s:21:\"field_blog_img_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:1:\"9\";}',1,0,0),(10,'field_blog_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_blog_tags\";a:1:{s:3:\"tid\";s:19:\"field_blog_tags_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_blog_tags\";a:1:{s:3:\"tid\";s:19:\"field_blog_tags_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"10\";}',-1,0,0);
/*!40000 ALTER TABLE `field_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_config_instance`
--

DROP TABLE IF EXISTS `field_config_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config_instance`
--

LOCK TABLES `field_config_instance` WRITE;
/*!40000 ALTER TABLE `field_config_instance` DISABLE KEYS */;
INSERT INTO `field_config_instance` VALUES (1,1,'comment_body','comment','comment_node_page','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(2,2,'body','node','page','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(3,1,'comment_body','comment','comment_node_article','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(4,2,'body','node','article','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(5,3,'field_tags','node','article','a:6:{s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:63:\"Enter a comma-separated list of words to describe your content.\";s:6:\"widget\";a:4:{s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"weight\";s:2:\"-4\";s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:8:\"required\";b:0;}',0),(6,4,'field_image','node','article','a:6:{s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:40:\"Upload an image to go with this article.\";s:8:\"required\";b:0;s:8:\"settings\";a:8:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";s:0:\"\";s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:11:\"image_image\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:6:\"weight\";s:2:\"-1\";s:6:\"module\";s:5:\"image\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}}}',0),(7,1,'comment_body','comment','comment_node_blog','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(8,2,'body','node','blog','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:1:\"1\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(9,5,'taxonomy_forums','node','forum','a:6:{s:5:\"label\";s:6:\"Forums\";s:8:\"required\";b:1;s:6:\"widget\";a:4:{s:4:\"type\";s:14:\"options_select\";s:8:\"settings\";a:0:{}s:6:\"weight\";i:0;s:6:\"module\";s:7:\"options\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:11:\"description\";s:0:\"\";}',0),(10,1,'comment_body','comment','comment_node_forum','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(11,1,'comment_body','comment','comment_node_poll','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(12,2,'body','node','forum','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:1;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:11;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:11;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(13,6,'field_slideshow','node','article','a:6:{s:5:\"label\";s:15:\"Slideshow Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"31\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"slideshow\";}}s:8:\"settings\";a:8:{s:14:\"file_directory\";s:15:\"field/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"4\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:24:\"Image for Slideshow only\";}',0),(14,7,'field_category','node','article','a:7:{s:5:\"label\";s:8:\"Category\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"32\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"required\";i:0;s:11:\"description\";s:20:\"Set Article Category\";s:13:\"default_value\";N;}',0),(15,8,'field_img','node','page','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"31\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:8:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:1;s:11:\"title_field\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:43:\"Upload an image to go with this basic page.\";}',0),(16,9,'field_blog_img','node','blog','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:8:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"small\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(17,10,'field_blog_tags','node','blog','a:7:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"2\";s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"module\";s:8:\"taxonomy\";s:6:\"active\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"inline\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0);
/*!40000 ALTER TABLE `field_config_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_body`
--

DROP TABLE IF EXISTS `field_data_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_body`
--

LOCK TABLES `field_data_body` WRITE;
/*!40000 ALTER TABLE `field_data_body` DISABLE KEYS */;
INSERT INTO `field_data_body` VALUES ('node','article',0,1,1,'und',0,'<p><b>Just a few years ago</b> Drupal.org was maintained by a small team of insiders. Now, we are making major changes to the site using the community\'s many developers and themers.</p>\r\n<p>This update provides the Drupal community our implementation redesign progress, where we\'ve run into challenges, and provide information about our future plans.</p>\r\n\r\n<p>The following update provides insight into:</p>\r\n\r\n<ol>\r\n<li>Our progress so far</li>\r\n<li>The present focus of the implementation and management team</li>\r\n<li>Where help is needed from the community</li>\r\n</ol>\r\n\r\n<h3>1. A Redesign Progress Report</h3>\r\n\r\n<p>The Drupal.org redesign is an effort started in 2007 to make Drupal.org meet the needs of the growing Drupal community and showcase the power of the Drupal software. In 2008, an <a href=\"https://infrastructure.drupal.org/drupal.org-style-guide/prototype.html\" rel=\"nofollow\">exciting and visionary new design for Drupal.org</a> was completed by Mark Boulton Design and the community.</p>\r\n\r\n<p>In 2008 and 2009, members of the Drupal community participated in six redesign sprints in North America and Europe. As major features of the redesign began to take shape, we needed to work on more granular details of the implementation. Recreating staging environments locally for development teams is a serious challenge, so we created a hosted infrastructure for developers and themers. In late 2009, we began to seek companies from the Drupal community to sponsor individual sections of the redesign. We\'ve now recruited over twenty volunteer organizations to help implement sections of the redesign built on top of the features developed by the Drupal.org infrastructure team.</p>\r\n\r\n<p>There is a lot of visible progress on the Drupal.org redesign:</p>\r\n\r\n<ul>\r\n<li>Site is fully upgraded to Drupal 6, making customizations easier.</li>\r\n<li>Single sign-on for all drupal.org sites has been implemented.</li>\r\n<li>Significant improvements to project module, with statistics, are complete.</li>\r\n<li>New features like module recommendations and related discussions are now available.</li>\r\n\r\n<li>The site now utilizes faceted search with the Solr search engine.</li>\r\n</ul>\r\n\r\n<p>Additionally, much of the work associated with the base theme and the dashboard system has been completed.</p>\r\n\r\n<p>Much of the back-end infrastructure that supports development is in place. This includes:</p>\r\n\r\n<ul>\r\n<li>Ten staging sites for development are set-up.</li>\r\n<li>Central authentication for SVN access for designers and developers to contribute their code has been built.</li>\r\n<li>Automated deployment of themes and modules to staging sites for development and debugging is live.</li>\r\n</ul>\r\n\r\n<p>The project management team is shaping up:</p>\r\n\r\n<ul>\r\n<li>Kieran Lal (<a href=\"http://drupal.org/user/18703\" rel=\"nofollow\">Amazon</a>) continues to be Lead Manager, assisted by project managers Lisa Rex (<a href=\"http://drupal.org/user/485222\" rel=\"nofollow\">lisarex</a>), and Chris Strahl (<a href=\"http://drupal.org/user/595650\" rel=\"nofollow\">chrisstrahl</a>), who has recently joined the redesign team.</li>\r\n<li>Dries Buytaert (<a href=\"http://drupal.org/user/1\" rel=\"nofollow\">dries</a>), Drupal creator and project lead, is involved to review our progress and provide additional direction.</li>\r\n<li>Damien Tournoud (<a href=\"http://drupal.org/user/22211\" rel=\"nofollow\">DamZ</a>) is providing technical assistance for the project, specifically with regards to search results and the Download and Extend pages that rely on Solr search results.</li>\r\n\r\n<li>Todd Ross Nienkerk (<a href=\"http://drupal.org/user/92096\" rel=\"nofollow\">toddross</a>) and Aaron Stanush (<a href=\"http://drupal.org/user/89718\" rel=\"nofollow\">astanush</a>) are the base theme implementation leads. They are assisting in theme development and maintaining consistency in the overall style.</li>\r\n<li>Bill O\'Connor (<a href=\"http://drupal.org/user/63155\" rel=\"nofollow\">csevb10</a>) is now leading the Search results sections. He has already implemented the theme search results section.</li>\r\n<li>Randy Fay (<a href=\"http://drupal.org/user/30906\" rel=\"nofollow\">rfay</a>) is the Lead Redesign System Admin and Jonathan Wagener (<a href=\"http://drupal.org/user/251700\" rel=\"nofollow\">theamoeba</a>) is the newest Redesign System Admin</li>\r\n</ul>\r\n\r\n<p>Finally, the Project Management team has been busy:</p>\r\n\r\n<ul>\r\n<li>We\'ve identified a Minimum Viable Product (MVP), which consists of 22 major sections, to be implemented as the first phase of the redesign. The redesign project is a big undertaking, and we need to focus on we can realistically accomplish within a reasonable timeframe.</li>\r\n<li>Drupal.org <a href=\"http://drupal.org/project/redesign\" rel=\"nofollow\">Redesign</a> has it\'s own project and <a href=\"http://drupal.org/project/issues/redesign?categories=All\" rel=\"nofollow\">issue queue</a></li>\r\n<li><a href=\"http://drupal.org/project/bluecheese\" rel=\"nofollow\">Blue Cheese</a> (the new base theme) has it\'s own project and <a href=\"http://drupal.org/project/issues/bluecheese?categories=All\" rel=\"nofollow\">issue queue</a></li>\r\n<li>The redesign project managers and some community volunteers have spent the last week evaluating the implementation progress by assessing each section.</li>\r\n\r\n<li>A <a href=\"http://groups.drupal.org/node/48056\" rel=\"nofollow\">communication plan</a> has been introduced to complement the existing documentation.</li>\r\n<li>There are a lot of new contributors on the implementation team. To address this, we are providing development infrastructure, granting access to new contributors, documenting tools and training materials, providing project management, and recruiting more technical leadership to help train these new contributors.</li>\r\n</ul>\r\n\r\n<h3>2. The Present Focus</h3>\r\n\r\n<p>The current plan is to implement the redesign with community volunteers and sponsoring companies. Implementers are hard-working volunteers that are dedicating time and energy to this process; taking time out of their already busy work schedules. The Drupal.org redesign project managers will continue to monitor progress on this approach and assist the implementers as we\'re able.</p>\r\n<p>Participation and section status in the redesign is being tracked at <a href=\"http://groups.drupal.org/node/37064\" rel=\"nofollow\">Assignments and Contact Info</a>. Progress on the implementation can be viewed by clicking on the section status links:</p>\r\n\r\n<ul>\r\n<li>The staging servers (e.g. <a href=\"http://staging1.drupal.org\" title=\"http://staging1.drupal.org\" rel=\"nofollow\">http://staging1.drupal.org</a> - use drupal/drupal for authentication)</li>\r\n<li>In SVN commits (<a href=\"https://svn.drupal.org/drupal/drupal.org/redesign/\" title=\"https://svn.drupal.org/drupal/drupal.org/redesign/\" rel=\"nofollow\">https://svn.drupal.org/drupal/drupal.org/redesign/</a> - SVN authentication required).</li>\r\n<li>As we continue to make progress, a single staging site will be publicly visible to the community.</li>\r\n</ul>\r\n<p>Weekly IRC sprints will start on Friday, Feb 12th from 11AM-11PM GMT in the #drupal-redesign channel until the MVP is ready. Everyone who is actively engaged in the redesign implementation should join in. The agenda is to focus on implementing the search results and Download and Extend sections.</p>\r\n<p>Several sections only require modifications to their themes or content to be considered complete. In order to better facilitate reviewing and finalizing sections that near completion, the redesign infrastructure administrators will merge all of the code and theme work from the sponsored sections to a single site. This will allow progress to be assessed by the community and a dedicated quality assurance team. The merging will begin this week.</p>\r\n\r\n<p>The project managers are engaged in the following:</p>\r\n\r\n<ul>\r\n<li>Consolidating information from g.d.o., issue queues, domain experts, redesign documents, and email as the implementation teams provide feedback. This will be used to improve the documentation (how to implement the redesign and what the redesign will accomplish).</li>\r\n<li>Chris and Damien will introduce an architecture document to explain how Drupal.org is built from Drupal core, project modules, Solr and custom modules, and a custom site specific drupal_org module.</li>\r\n<li>Focusing our technical resources on two key areas: Search results, and Download and Extend sections. We believe that when the first Download and Extend section is implemented the other six sections which rely on the same search infrastructure can be completed quickly.</li>\r\n<li>Duplicate issues will be consolidated and non-MVP issues will be postponed in the Redesign or base theme issue queues.</li>\r\n</ul>\r\n\r\n<p>While not everything we want will be delivered by the first phase, we will have a solid framework in place and can incorporate additional community contributions and refinements after MVP completion.</p>\r\n\r\n<h3>3. Where Help is Needed</h3>\r\n\r\n<p>The Drupal.org redesign is a great opportunity for organizations and individuals to gain experience working on a large Drupal project, work with Drupal experts, and give back to the Drupal community. The redesign project needs volunteers with a willingness to dedicate themselves to the redesign, familiarity of the Drupal.org site and an understanding of how to work within the community.</p>\r\n\r\n<p>Some tasks are more difficult than others. General difficulty of each area:</p>\r\n\r\n<p>+++ = difficult<br>\r\n++ = medium<br>\r\n+ = easy</p>\r\n\r\n<p>We need volunteers in specific areas. Contact us via the Drupal association <a href=\"http://association.drupal.org/contact\" rel=\"nofollow\">contact form</a>. Use the Volunteer to help with the Drupal.org redesign category. The project managers will match your skills, and availability to the project:</p>\r\n\r\n<h4>Develop Drupal search filters with Solr +++</h4>\r\n\r\n<ul>\r\n<li>We are looking for experienced developers who have written search filters for Drupal using Solr. Damien has implemented the core filters, but we need other experienced developers to assist the implementation teams.</li>\r\n\r\n<li>Time commitment: 5+ hours per week.</li>\r\n</ul>\r\n\r\n<h4>Section Technical Leaders +++</h4>\r\n\r\n<ul>\r\n<li>Leaders for Download &amp; Extend and Documentation sections needed.</li>\r\n<li>Ideally, this person is already a redesign implementer. Skills needed are good written/spoken English, a willingness to work with a diverse group of people, excellent technical skills, experience leading a development team, and the ability to maintain organization of multiple teams working on multiple projects.</li>\r\n<li>As a lead, you would become the point person for your section and monitor the section\'s issue queue. You need to understand all of the technical areas of your section to coordinate your implementation teams and see the section to completion.</li>\r\n<li>Time commitment: 10+ hours per week.</li>\r\n</ul>\r\n\r\n<h4>General Project Managers ++</h4>\r\n<ul>\r\n<li>We need cat herders to help the general management of the project.</li>\r\n<li>Skills needed are good written/spoken English, a willingness to work with a diverse group of people, excellent organizational and analytical skills, availability to meet with various project teams and experience creating project documentation.</li>\r\n<li>Time commitment: 10+ hours per week.</li>\r\n</ul>\r\n<h4>Coders, themers and reviewers ++</h4>\r\n<ul>\r\n<li>Individuals can work on issues in the Redesign or Blue Cheese issue queues. Many of these issues require knowledge of the redesign, but there are also a lot where work can begin immediately.</li>\r\n<li>Skills needed are good written/spoken English, a willingness to work with a diverse group of people, and an understanding of how to contribute within the Drupal community.</li>\r\n\r\n<li>To contribute CSS or code patches, you\'ll need to read about <a href=\"http://drupal.org/node/698576\" rel=\"nofollow\">how to obtain SVN access</a>.  Once you have worked on a Blue Cheese issue you can request access to the theme repository.</li>\r\n<li>Time commitment: Varies (it\'s up to you!)</li>\r\n</ul>\r\n<h4>SEO ++</h4>\r\n<ul>\r\n<li>Skills needed include good written English, a good knowledge of HTML, and a keen eye for detail.</li>\r\n<li>Please review the <a href=\"http://groups.drupal.org/node/42314\" rel=\"nofollow\">SEO Best Practices wiki</a> before signing up. The tasks for this position are outlined there.</li>\r\n\r\n<li>Time commitment: 5+ hours per week.</li>\r\n</ul>\r\n<h4>QA ++</h4>\r\n<ul>\r\n<li>Skills needed are good written English, a keen eye for detail, experience QAing front-end and back-end functionality of sites, taking screenshots and a willingness to work in the issue queues.</li>\r\n<li>Please review the <a href=\"http://groups.drupal.org/node/47562\" rel=\"nofollow\">Redesign QA Volunteers wiki</a> before signing up. The responsibilities of this position are outlined there.</li>\r\n<li>Time commitment: 5+ hours per week.</li>\r\n</ul>\r\n<h4>Content Migration +</h4>\r\n\r\n<ul>\r\n<li>Skills needed are good written English and a keen eye for detail. Experience with managing and maintaining content on a Drupal site is also important.</li>\r\n<li>Read the <a href=\"http://groups.drupal.org/node/45844%20\" rel=\"nofollow\">Content Migration Guidelines</a> for an outline of what this position entails.</li>\r\n<li>Time commitment: Varies</li>\r\n</ul>\r\n<h3>The Next Step</h3>\r\n<p>The new Drupal.org is an exciting new design, but also an exciting new way that the community can collaborate together to show the beauty and power of Drupal. We invite members of the Drupal community to learn more about their home, and get involved in improving it.</p>\r\n<p>Sign up to volunteer via the Drupal association <a href=\"http://association.drupal.org/contact\" rel=\"nofollow\">contact form</a>.</p>\r\n\r\n<p>Thank you,</p>\r\n<p>On behalf of the redesign Project Team</p>\r\n<p>Kieran, Lisa, Chris</p>','','full_html'),('node','article',0,2,2,'und',0,'With this book you will learn how to maximize and optimize your Drupal 6 framework using best practice performance solutions and tools.  The book covers how to vastly improve performance through upgrades, caching, configuring and optimization using core and contributed modules.\r\n\r\nAs a reader of drupal.org, you can receive a 15% discount (see below) and benefit the Drupal Association!\r\n\r\n<h2>Some of what you will learn</h2>\r\n\r\n<ul>\r\n<li> Upgrade your Drupal 5 site to Drupal 6 using best practice upgrade paths</li>\r\n<li> Back up and maintain your Drupal 6 site using core and contributed modules and utilities</li>\r\n\r\n<li> Configure the Drupal core and contributed modules for high traffic</li>\r\n<li> Run core Drupal page compression, CSS and JS compression, and use Drupal page caching</li>\r\n<li> Run scheduled cron tasks to perform crucial garbage-collection processes</li>\r\n<li> Use the Development (Devel) module to monitor page loads and queries</li>\r\n<li> Use the Boost module for anonymous page caching, tweak Boost settings, and use Boost blocks and advanced Boost settings to monitor site performance</li>\r\n<li> Install and use Memcache API and Integration module, and Authcache and Advanced Cached modules to enhance and monitor site performance</li>\r\n\r\n<li> Configure a Drupal multisite environment for best performance</li>\r\n</ul>\r\n<h2>About the Book</h2>\r\n\r\nDrupal is one of the most respected and widely used open source content management frameworks.  Small, medium, and large-scale websites are built using Drupal and the framework supports e-commerce, CRM, multisite and web service integrations.\r\n\r\nOnce you get your Drupal site installed and up and running, you will be concerned with site performance and how fast you can make your Drupal site run.  This book will focus on implementing performance modules and solutions to help speed up your Drupal website.\r\n\r\nWe will look at introductory topics such as upgrading your Drupal site, maintaining your site, and enabling core Drupal page compression and caching.\r\n\r\nThen we will turn to an advanced look at some contributed modules that help speed up performance, including Development, Boost, Authcache, Advanced Cache, and the Memcache API and Integration module.\r\n\r\nFinally, we?ll look at how best to implement a Drupal multisite environment and run it with high-speed performance in mind.\r\n\r\n<h2>Get 15% off!</h2>\r\n\r\nI have secured an exclusive 15% discount for you when you buy through <a href=\"http://www.packtpub.com/\">PacktPub.com</a>.  Enter the following discount code at checkout in the shopping cart:  Drupal6PT15 (case sensitive). As with all of Packt?s Drupal books, Packt will be donating a percentage of its sales to the Drupal Association.\r\n\r\n<h2>Want a Sample?</h2>\r\nTo help promote the content provided within this book, Packt is generous enough to provide sample content of what you can expect from reading this book.\r\n\r\n<ul>\r\n<li> <a href=\"http://www.packtpub.com/article/drupal-6-performance-optimization-using-views-panels-caching\">Article: Drupal 6 Performance Optimization Using Views and Panels Caching</a></li>\r\n</ul>\r\n<h2>About the authors</h2>\r\n\r\n<strong>Trevor James</strong><br>\r\nTrevor James (<a href=\"http://drupal.org/user/720820\">trevorjames</a>) is a Drupal developer and web designer based in Middletown, MD, USA. Trevor has been designing websites for 13 years using a combination of HTML, XHTML, CSS, and ColdFusion. He has been using Drupal intensively for more than 2 years. Trevor\'s focus is on building web portals for higher education, public education (K-12), non-profit, and small business environments. He is interested in the best methods of developing Drupal themes, Drupal site performance, and using CCK, Views and Panels to develop front-end interfaces to support data-intensive websites. He loves teaching people about Drupal and how to use this excellent open source content management framework. He is also a contributor and community member on drupal.org and related Drupal community projects.\r\n\r\n<strong>TJ Holowaychuk</strong><br>\r\nTJ Holowaychuk (<a href=\"http://drupal.org/user/78427\">tjholowaychuk</a>), president of Vision Media, is an avid contributor to the Drupal project as well as to other open-source applications. Contributing over 16 Drupal modules, several themes, and having fully designed, developed, and maintained hundreds of Drupal websites, he has displayed a wealth of knowledge across different aspects of the industry.','<a href=\"http://www.packtpub.com/drupal-6-performance-tips-to-maximize-and-optimize-your-framework/book?utm_source=drupal.org&amp;utm_medium=link&amp;utm_content=pod&amp;utm_campaign=mdb_002452\">Drupal 6 Performance Tips</a>, by Trevor James and TJ Holowaychuk, is a newly-published title from Packt Publishing aimed at Drupal beginners, developers, designers, and webmasters who utilize the Drupal content management system to create robust websites.\r\n\r\nIt provides crucial performance-related information for Drupal users of all experience levels, including module contributors, webmasters who simply configure and maintain Drupal websites, and even themers. The book contains basic and advanced topics on Drupal performance that will appeal both to the Drupal novice and the advanced user or developer. ','full_html'),('node','article',0,3,3,'und',0,'Core Conversations are a place for people actively working on Drupal or Drupal.org to meet and plan the future of Drupal (Drupal 8). We will announce selected Core Conversation sessions on 22 July 2011.\r\n\r\nWe remind you that we have some excellent pre-conference training courses and workshops scheduled for 22 August 2011 and invite you to register for these. This is a great opportunity for Drupalists at all levels of experience to learn from the experts.\r\n\r\nThe cost for a full day training varies from only Ãƒâ€šÃ‚Â£150 for the Absolute Beginner\'s Guide to Drupal to Ãƒâ€šÃ‚Â£325 for advanced topics like Building Modules for Drupal 7 and Drupal Powered E-Commerce.\r\n\r\nDemand for Drupal talent is high, so why not invest in your future!\r\n\r\nRegister now to attend DrupalCon London and for pre-conference training.\r\n\r\nIf you would like to support DrupalCon London and help us spread the word about the conference. Here you can get badges for your website and promote the conference via our Twitter and Facebook widgets.\r\n\r\nSee you at DrupalCon London 22-26 August 2011!\r\n\r\nStay up-to-date with the latest information about DrupalCon London by going to http://london2011.drupal.org/ or following us on Twitter @drupalcon.','The DrupalCon London Team had the task of narrowing 341 fantastic proposals into a schedule of 60 sessions, balanced across 5 tracks: Site Building and Environment Set-up, Business and Best Practices, Code & Coders, Design, UX & Theming, and Ecosystem. You can check out the schedule now and attendees will be able to build their schedule on the DrupalCon London site by logging in later this week.\r\n\r\nThis breaks down to 5 tracks with 12 sessions each. The 6th track, Core Conversations, will also have 12 sessions slots available and DrupalCon London will be opening core conversation session proposals between 14 June and 14 July 2011, 23:59 GMT+1. ','full_html'),('node','article',0,4,4,'und',0,'Of course, we have the most comprehensive film tax credit in the nation (films, commercials, new media, video games) and our Education Director is the head of the state-funded Film Industry Training Program.\r\n\r\nThe focus for New Media programs this year is Free Software, Web/New Media, Animation, Music and Advocacy. We are further sharing 1/3 of our curriculum with Film and Education.\r\n\r\nPlease email and/or call me if you are interested in helping us. The festival is May 4-9 and ours is May 6-9. I will know more at our next meeting about exact scheduling.\r\n\r\nWe aren\'t a rich festival, therefore we cannot pay anyone, but we are only 65 miles from NYC on Metro North and we can cover your hotel room as long as you wish to stay as well as give you an All Access Pass for the week.\r\n\r\nLooking forward to chatting.\r\n\r\nDave Bonan\r\nDirector of New Media Programming, CT Film Festival\r\nwww.ctfilmfest.com\r\n203.770.8304','I\'m the Director for New Media Programming at the CT Film Festival in Danbury, CT and I wanted to see if any Drupal demonstrators would like to teach a workshop at his/her discretion. We have a speaker doing a Social Media 2.0 Workshop as well as a CMS overview with Drupal, Joomla and Wordpress.\r\n\r\nFirst off, our independent festival is 6 years old and quickly growing. We are unique in that we are an 8-month traveling festival within the state, providing weekend and weekday performances at universities and theaters and then ending with a weeklong series of events in early May (over 300 films, workshops, performances and parties).','full_html'),('node','article',0,5,5,'und',0,'Hello Drupalers!\r\n\r\nNetBeans 6.5 Release Candidate is out (with right PHP editing features : http://www.netbeans.org/kb/trails/php.html) and along with that I have released an update to the existing Drupal support in NetBeans. Please feel free to try out the enhanced wizard for assisting Drupal module development.\r\n\r\nThe modifications in the plugin are :\r\n* Generates the new module in appropriate location\r\n* Sticking to Drupal coding standards, generates template code for some of the common hooks (hook_block and hook_help) in the .module file\r\n* Sticking to Drupal coding standards, generates the .install file, which when not required can be removed. Some template code for some common hooks (hook_install and hook_uninstall) are provided.\r\n\r\nYou can download the plugin from NetBeans plugin portal (http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?plug...) or from project page (https://nbdrupalsupport.dev.java.net/servlets/ProjectDocumentList?folder...). The source and documentation concerning usage of the plugin is hosted at the latter site.\r\n\r\nComments welcome!\r\n\r\nRegards,\r\nSujit Nair','','filtered_html'),('node','article',0,6,6,'und',0,'Besides the Handbook on drupal.org, there is also some Drupal documentation that is embedded in the Drupal source code, and visible from the administration pages of a Drupal site. This includes help pages for modules, help text displayed at the top of administration pages, and descriptive text within administration pages (e.g. help text for a setting field).\r\n\r\nBecause embedded documentation is part of the Drupal source code, the process for helping out with writing and editing this embedded documentation is slightly more complex than for editing pages on drupal.org. Here are some ways to help out:\r\n\r\nTest Drupal for text issues: During the development of a new Drupal version, download the new version from http://drupal.org/project/drupal, install it, and look over the help screens and user interface text. If you find something that should be fixed in a help screen or other embedded help text, file an issue: Even if you do not know how to create a patch, you can still give before/after text suggestions, and someone else can create the patch. To file an issue:\r\n\r\n<ol>\r\n<li>Log in to drupal.org</li>\r\n<li>Create an issue via the Create Content link (<a href=\"http://drupal.org/node/add/project-issue\" title=\"http://drupal.org/node/add/project-issue\" rel=\"nofollow\">http://drupal.org/node/add/project-issue</a>)</li>\r\n<li>Choose \"Drupal\" as the project</li>\r\n<li>Choose the Drupal version. Note that it\'s really only possible to change user interface text, help text, and other explanations in the version of Drupal that is under development. Stable releases have been translated into other languages, so their user interface text is almost never changed.</li>\r\n<li>Choose component \"documentation\" if the issue is in a help screen, or \"user interface text\" if it is user interface text, or choose the module that the issue pertains to as the component.</li>\r\n<li>Tag the issue with \"ui-text\" or \"Help text\" as appropriate.</li>\r\n<li>Choose category \"bug report\" -- text being wrong, missing, or unclear is a bug, not a feature request or task.</li>\r\n\r\n<li>Make up a clear title and description, and submit your issue.</li>\r\n</ol>\r\n\r\nHelp with existing issues: Use the advanced search for issues in the Drupal project (http://drupal.org/project/issues/search/drupal), and look for component \"documentation\" or \"user interface text\", or search for tags \"Help text\" or \"ui-text\". Be aware that most of the issues filed under component \"documentation\" are issues with the in-line programmer API documentation of functions in the source code (displayed on api.drupal.org), so if you are not a programmer, these will not be things you will probably want to work on. Even if you cannot write patches, you can still review patches and make suggestions on how to improve text, by commenting on issues. Some tips on using the issue queue:\r\n\r\n<ul>\r\n<li>Look for issues whose status is \"active\" or \"needs work\" if you want to write some documentation or code. Look for \"needs review\" issues if you want to review what others have done (an excellent place to start if you are new to Drupal issues, and a vitally important part of the process).</li>\r\n<li>Even if you are not a programmer, you can still review patches. Find an issue that has status \"needs review\", scroll down to the bottom of the issue\'s comments, and find the latest patch attachment. Click on the attachment to see it. The lines with + are being added, lines with - are being removed. Some patches will also have a screen shot, making reviewing even easier.</li>\r\n<li>If you think a patch is good, add a comment saying what part you reviewed and that you thought it was good. If you think your review was comprehensive, or if several people have commented that it\'s a good patch and you think the coverage overall is comprehensive enough, change the issue\'s status to \"Reviewed and tested by the community\" (also known as \"RTBC\").</li>\r\n<li>If you think a patch needs some work, change the status of the issue to \"needs work\", and add a specific comment about what you think should be changed (if possible, with a suggestion of what to change it to). Please try to be constructive.</li>\r\n<li>If the issue you are looking at doesn\'t yet have a patch, you can either make one or add suggestions as to what the text should say (someone else can read your suggestions and make a patch). If you attach a patch file, be sure to change the status of the issue to \"needs review\" so others can test and review your patch.</li>\r\n<li>And above all: Don\'t take anything in the issue queue personally! The intent of the issue queue is to provide a forum for discussion on how to make Drupal better, so try to take any comments on your patches as constructive comments and thoughtful discussion (even if not everyone writes their comments in this way).</li>\r\n</ul>','','full_html'),('node','article',0,7,7,'und',0,'Hello,\r\n\r\nTwo months ago, a case study about the migration of France 24 from Drupal 5 to Drupal 6 was posted on drupal.org frontpage, and it was announced some really interesting modules were going to be open sourced.\r\n\r\nI\'m happy to say it is (almost?) finished, and here is the list of modules:\r\n\r\n<ul>\r\n<li><b><a href=\"http://drupal.org/project/aef_multimedia_element\" rel=\"nofollow\">Multimedia Element</a>:</b> It allows you to create blocks (not drupal blocks) containing stories (inserted manually, automatically, semi-automatically with Easy View), carousels of stories, text, photos, diaporamas (including lightbox diapos), video, twitter, table, ... And you can embed these blocks directly into your story with a nifty FckEditor plugin. Here is a <a href=\"http://www.france24.com/en/20091116-obama-shanghai-students-speech-china-usa-relations-diplomacy-asia-economy\" rel=\"nofollow\">nice example of story with a carousel, a diaporama and a video multimedia element</a>.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_easy_view\" rel=\"nofollow\">Easy View</a>:</b> Easy View is a very easy and powerful interface framework to Views, in a CCK field. It also include Easy View Taxonomy, the easy view implementation of the taxonomy View. It basically allows a simple user to configure a View per node without using the complex View UI.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_image\" rel=\"nofollow\">Uberimage</a>:</b> Uberimage is an advanced image CCK field, with direct upload/nodereference support, result imagecache presets re-scaling and cropping, useful on websites with multiple different image ratio (16/9, 4/3, 16/5, ...)</li>\r\n\r\n<li><b><a href=\"http://drupal.org/project/aef_formatter_selector\" rel=\"nofollow\">Formatter Selector</a>:</b> Ever wanted to let the user choose the theme of a node in a nodereference directly on the node edit page? This module allows you to do that.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_external_sources\" rel=\"nofollow\">External Sources</a> / <a href=\"http://drupal.org/project/aef_externodes\" rel=\"nofollow\">Externodes</a>:</b> Basically, this module allows you to map the nid and fid address space to another Drupal instance. A simple example: Given you have two drupals, if you type in your browser front.drupal.com/node/1000000001, it will in fact display the node 1 of back.drupal.com using front.drupal.com theme. back.drupal.com is nowhere visible to the end user. Basic example of use: A big image collection you want to share between drupals.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_nodeselect\" rel=\"nofollow\">Nodeselect</a>:</b> Nodeselect allows editors to search for content, in a simple exposed View integrated with Embedded Edit, and results can be drag and dropped into nodereferences.</li>\r\n\r\n<li><b><a href=\"http://drupal.org/project/aef_embedded_edit\" rel=\"nofollow\">Embedded Edit</a>:</b> Embedded Edit allows you to create/view/edit a node in a kind of lightbox within a node edit page. When creating a node, a nodereference will get filled with this node.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_views_cck_formatter\" rel=\"nofollow\">Views CCK Formatter</a>:</b> Views CCK Formatter allows you to choose a node CCK formatter as a row style in your View. This is extremely useful when you want to reuse a node theme in different parts of your website.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_table\" rel=\"nofollow\">CSV Table</a>:</b> CSV table is a very simple table module that allows you to upload a CSV file in this CCK field, and display a table. This module will probably evolve a lot in the future.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_jcarousel_views\" rel=\"nofollow\">JCarousel for Views</a>:</b> JCarousel for Views is a simple module for using JCarousel in Views.</li>\r\n\r\n<li><b><a href=\"http://drupal.org/project/aef_jcarousel\" rel=\"nofollow\">JCarouself formatter framework</a>:</b> JCarousel formatter framework contains the JCarousel plugin plus a node CCK Formatter &lt;-&gt; JCarousel theme relationships framework.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_utilities\" rel=\"nofollow\">Utilities</a>:</b> An utilities modules used by all the above modules.</li>\r\n</ul>\r\n\r\nSorry, no pictures :( You can find them here or directly on the module project page.\r\n\r\nConcerning theming, the France24 and RFI websites are heavily based on the standard CCK nodereference formatters, that\'s why almost all these modules are using it. I\'ll probably make some doc on how to combine all these modules later.\r\n\r\nCheers,\r\nNicolas','','filtered_html'),('node','article',0,8,8,'und',0,'Drupal 7.3, a maintenance release which fixes security vulnerabilities is now available for download.\r\n\r\nDrupal 7.4 also fixes other issues reported through the bug tracking system.\r\n\r\nUpgrading your existing Drupal 7 sites is strongly recommended. There are no new features in these releases. For more information about the Drupal 7.x release series, consult the Drupal 7.0 release announcement.\r\n\r\n<h2>Security information</h2>\r\n\r\nWe have a security announcement mailing list, a history of all security advisories, and an RSS feed with the most recent security advisories. We strongly advise Drupal administrators to sign up for the list.\r\n\r\nDrupal 7 includes the built-in Update status module, which informs you about important updates to your modules and themes.\r\n\r\n<h2>Bug reports</h2>\r\n\r\nDrupal 7.x is being maintained, so given enough bug fixes (not just bug reports), a new maintenance release will be made available the last Wednesday of next month (July 27).\r\n\r\nDrupal 7.3 only includes fixes for security issues. Drupal 7.4 also includes bugfixes. The full list of changes between the 7.2 and 7.4 releases can be found by reading the 7.4 release notes. A complete list of all bug fixes in the stable 7.x branch can be found in the git commit log.\r\n\r\n<h2>Security vulnerabilities</h2>\r\n\r\nDrupal 7.3 was released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory: SA-CORE-2011-002\r\n\r\nTo fix the security problem, please upgrade Drupal.\r\n\r\n<h2>What is included with each release?</h2>\r\n\r\nShows a graph and that 7.3 should be used to upgrade quickly, 7.4 contains bug fixes and might need testing.\r\n\r\nWe make two versions of Drupal core available, so you can choose to only include security fixes (Drupal 7.3) or security fixes and bugfixes (Drupal 7.4). You can choose your preferred version. We are trying to make it easier and quicker to roll out security updates by making security-only releases available as well as ones with bugfixes included. We hope this helps you roll out the fixes as soon as possible. Read more details in the handbook.\r\n','Drupal 7.3, a maintenance release which fixes security vulnerabilities is now available for download.\r\n\r\nDrupal 7.4 also fixes other issues reported through the bug tracking system.\r\n\r\nUpgrading your existing Drupal 7 sites is strongly recommended. There are no new features in these releases. For more information about the Drupal 7.x release series, consult the Drupal 7.0 release announcement.','filtered_html'),('node','page',0,9,9,'und',0,'Drupal is a free software package that allows anyone to easily publish, manage and organize a wide variety of content on a website. Hundreds of thousands of people and organizations are using Drupal to power an endless variety of sites.\r\n\r\n<h2>Drupal is Open Source</h2>\r\nDrupal is open source software maintained and developed by a community of hundreds of thousands of users and developers. It\'s distributed under the terms of the GNU General Public License (or \"GPL\"), which means anyone is free to download it, share it with others, and contribute back to the project. This open development model means that people are constantly working to make sure Drupal is a cutting-edge platform that supports the latest technologies that the Web has to offer. \r\n\r\n<h2>Community Support</h2>\r\nThe passionate Drupal community is on hand to give support via various vibrant IRC channels, in the forums, and face to face at Drupal events. The community has also created Documentation for Drupal, which covers installation, site building, module building, theming, and many other topics. The worldwide community drives the innovation that makes Drupal the preferred choice for web developers and site owners. Drupal is open source, meaning everybody can get involved and make a difference.\r\n\r\n<h2>Security Team</h2>\r\nWe take security seriously and have a dedicated team that has a proven track record in dealing with your security issues professionally and efficiently, meaning you can spend more time creating your site.\r\n\r\n<h2>Commercial Services</h2>\r\nAs well as the community, there are many dedicated companies in the Marketplace on hand to help with your Drupal project. Providing expertise and a deeper understanding, they can help with hosting, spam blocking, training, and more.\r\n\r\n','','full_html'),('node','blog',0,10,10,'und',0,'Welcome to Drupal! Drupal is a powerful content management system, meaning you can power many different types of websites with it without knowing any coding languages.\r\n\r\nIf you\'re new to Drupal or having your own website, then this guide is for you.\r\n\r\nThe following pages should introduce you to the Drupal project, some best practices the community has accumulated, the concepts and technologies that underpin Drupal, and basic installation and configuration.\r\n\r\nThe Drupal documentation is currently being restructured. Some content has been moved to the Administration Guide, Structure Guide and Site Building Guide.\r\n\r\nIf you need help installing Drupal, the Installation Guide has step by step instructions and troubleshooting tips.','','filtered_html'),('node','blog',0,11,11,'und',0,'The Drupal Cookbook (for Beginners) helps Drupal \"newbies\" by providing a walkthrough of a common Drupal Setup. You might also be interested in this whirlwind video.\r\n\r\n<h2>Background</h2>\r\n\r\nThis handbook was originally written for Drupal 5. While the information is generally transferable to Drupal 6, some buttons, links, and menu items have been renamed or moved. Every attempt is made to keep these handbooks current.\r\n\r\nThe intent of the Cookbook is to help the new Drupal user create a typical site. At that point the user will be better equipped to diving deeper into more advanced features.\r\n\r\n<h2>Terminology</h2>\r\n\r\nThis cookbook requires a basic understanding of the General Concepts of Drupal. Additional resources for understanding terms used in Drupal include:\r\n<ul>\r\n    <li>Terminology (Terms).</li>\r\n   <li>Drupal Jargon.</li>\r\n</ul>\r\n\r\n<h2>Conventions</h2>\r\n\r\nThe Cookbook and other documentation on drupal.org uses the following standard for indicating site navigation:\r\n\r\nAdminister >> Access control >> User management >> Roles.\r\n\r\nThe above example tells the user to click on \"Administer\" in the navigation menu, then \"Access control,\" then \"User management,\" and then \"Roles\".\r\nWorking with Drupal\r\n\r\nHere are some general recomendations:\r\n\r\n<ol>\r\n    <li>Use a test site that uses the same Drupal version and modules as the target site. Use a copy of the live database. Avoid development on a live site.</li>\r\n    <li>Don\'t try to make the \"perfect site\" on the first attempt. Muddle through for a while. Stressing over the perfect solution can lead to frustration.</li>\r\n    <li>Start by learning the basic functionality of Drupal. Find out what Drupal can do before working towards a specific goal. Once comfortable with the \"core\" features and behavior, move on to more complex contributed modules such as Views, CCK, and Organic Groups. These modules and some others require a good bit of understanding to master. The power and flexibility of Drupal and its modules will become apparent over time.</li>\r\n    <li>If you need a custom theme, customize one of the default themes before creating starting from scratch. Refer to the Drupal 5 theme guide or Drupal 6 theme guide.</li>\r\n   <li> Limit the number of blocks, images, and graphics that clutter the page.</li>\r\n    <li>Participate in the forums, the Documentation Team, and IRC.</li>\r\n</ol>\r\n\r\n<h2>Things to keep in mind</h2>\r\n\r\nA common mistake when approaching a solution to a problem in Drupal is to make an assumption about how Drupal works. Drupal is a unique and powerful platform that is probably quite different from other solutions you may have encountered.\r\n\r\nStart simply by making something visible, then celebrate what you have accomplished. Taking one small step at a time will lead to a better site. Don\'t indiscriminately add many contributed modules right away. Get comfortable with modules one at a time. Modules that are not appropriate or used should be disabled and uninstalled.\r\n\r\nAs with most things worth mastering, there is a learning curve with Drupal. But there is lots of support available as well.','','filtered_html'),('node','blog',0,12,12,'und',0,'After Drupal was initially developed, thoughts turned to the creation of a logo. Of course the concept would have to include a drop, or water in general.\r\n\r\nThe initial idea was simple: a drop within a circle. It was conceived as an \"O\" in a fluid \"drop\".\r\n\r\nSomewhat later there was an idea to use a cartoon-like drop with a face. Steven Wittens (UnConeD) created a 3D version, but the idea didn\'t get too far, mainly because 3D is difficult to work with.\r\n\r\nWhen the logo issue came up again, Kristjan Jansen (Kika) came up with the idea of putting two sideways drops together to form an infinity symbol. When placed inside a filled circle, it resembled a face. After more work by Steven Wittens, the Druplicon was created: a stylised drop with the \"infinity\" eyes, a round nose and a mischievous smile.\r\n\r\nYou can find more versions of the logo in the marketing section.','','filtered_html'),('node','blog',0,13,13,'und',0,'As an inclusive community, we are committed to making sure that Drupal is an accessible tool for building websites and that Drupal helps you create websites that are themselves accessible.\r\n\r\nThis initiative started with advancements with Drupal 7 accessibility. We have committed to ensuring that all features of Drupal core conform with the Worldwide Web Consortium (W3C) guidelines: WCAG 2.0 and ATAG 2.0. Where possible we will also update the previous version of Drupal core, version 6, to enhance its accessibility.\r\nAccessible Features in Drupal\r\n\r\nIf you rely on a screen reader or other assistive technology, you will be glad to know that we have built Drupal to encourage and support the proper use of semantic markup. For example, you should be able to use headings reliably for page-level navigation.\r\n\r\nThe accessibility team has worked to identify barriers to accessibility with Drupal and worked to resolve them. We\'ve identified and resolved a number of issues in the core code of Drupal 7 and raised awareness within the community. We\'ve added some additional support for Rich Internet Applications by adding some WAI-ARIA support. There have been many improvements to both the visitor and administrator sides of Drupal, especially:\r\n\r\n<ul>\r\n   <li>Search engine form and presentation</li>\r\n    <li>Drag and Drop functionality</li>\r\n   <li>Color contrast and intensity</li>\r\n    <li>Adding skip navigation to core themes</li>\r\n    <li>Image handling</li>\r\n    <li>Form labeling</li>\r\n    <li>Removing duplicate or null tags</li>\r\n</ul>','','filtered_html'),('node','forum',0,16,16,'und',0,'For information on managing the ongoing operation of a Drupal site, see the Administration Guide. For information on developing the basic information architecture using menus, taxonomies, blocks etc, see the Structure Guide.','','filtered_html'),('node','forum',0,17,17,'und',0,'I\'m having a problem updating several modules in Drupal 6. I put the site off line and then uploaded the latest modules via ftp as is my usual practice. I rename the directory of the module to be updated to \"moduleJan2012\" and put the new module folder in its place.\r\n\r\nI then ran update.php and when I check the modules are still showing as out-of-date.\r\n\r\nThe problem modules are Google analytics, wysiwyg, imce and webform. webform validator and root candy theme updated okay.\r\n\r\nI\'ve since uploaded the module again to see if this helps but it didn\'t. On the server it\'s showing that the files were updated.\r\n\r\nMany thanks in advance for any suggestions','','filtered_html'),('node','forum',0,18,18,'und',0,'What would be a best way to launch a simple Drupal web site on AWS?\r\nI\'ve just started learning AWS. So far, from what I have learned, I can go either of the following ways.\r\n1. Create an EC2 instance, install xampp and drupal, and keep developing web pages and web apps in EC2.\r\nI\'ve done this, but I have not figured out how to make the web site accessible. (Do I need to setup elastic IP?)\r\n\r\n2. Install Drupal on a local machine and develop all web pages and apps locally. And then upload all local files to S3.\r\nThen, is S3 enough to host a web site? EC2 instance is not needed?\r\nAlso, who would I manage the upload for constant updates on Drupal modules and Drupal DB?\r\n\r\nWell, I need to dig more into EC2 and S3, but your input would be highly appreciated.','','filtered_html'),('node','forum',0,19,19,'und',0,'I updated Pixture reloaded theme before updating everything okay,but after updating it the look of the website changes,WHATS THE PROBLEM?? How can I edit pixture reloaded theme to its previous look.\r\nNo Database backup is taken. Only Drupal files have backup.\r\n\r\n','','filtered_html'),('node','forum',0,20,20,'und',0,'See the phpinfo() page on Drupal.org to learn how to use phpinfo to get the details of your system. For example, phpinfo will tell you if you have a database already installed and what versions of PHP, MySQL, etc. your system is running. Phpinfo will also tell you what PHP variables are set as well as many other helpful things.','','filtered_html'),('node','forum',0,21,21,'und',0,'For all the effort you put into building your site, the most important thing to your users is how your site looks. Managing the inconsistencies in your theme for each browser, for each module, and for user selectable themes can be very challenging.\r\n\r\nFirst you should familiarize yourself with basic Cascading Style Sheets (CSS) concepts. Review CSS Discuss or HTML dog for CSS resources. A good overview of the power of CSS can be seen at the CSS Zen Garden.','','filtered_html');
/*!40000 ALTER TABLE `field_data_body` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_comment_body`
--

DROP TABLE IF EXISTS `field_data_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_comment_body`
--

LOCK TABLES `field_data_comment_body` WRITE;
/*!40000 ALTER TABLE `field_data_comment_body` DISABLE KEYS */;
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_forum',0,1,1,'und',0,'And really, a validating, clean layout will work 90 % of the time. It will have easy fixes 9 % of the time and will require hard measures only 1 % of the time. Really!','filtered_html'),('comment','comment_node_forum',0,2,2,'und',0,'Please ensure that you\'ve validated both the CSS and HTML for your website using W3C tools. It would be great to review your theme with both the WAVE and FAE accessibility evaluators too. There are also some other good validation tools.','filtered_html');
/*!40000 ALTER TABLE `field_data_comment_body` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_field_blog_img`
--

DROP TABLE IF EXISTS `field_data_field_blog_img`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_blog_img` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_img_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_blog_img_alt` varchar(512) DEFAULT NULL,
  `field_blog_img_title` varchar(1024) DEFAULT NULL,
  `field_blog_img_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_blog_img_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_img_fid` (`field_blog_img_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 9 (field_blog_img)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_blog_img`
--

LOCK TABLES `field_data_field_blog_img` WRITE;
/*!40000 ALTER TABLE `field_data_field_blog_img` DISABLE KEYS */;
INSERT INTO `field_data_field_blog_img` VALUES ('node','blog',0,11,11,'und',0,9,'','',180,220),('node','blog',0,12,12,'und',0,10,'','',200,240);
/*!40000 ALTER TABLE `field_data_field_blog_img` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_field_blog_tags`
--

DROP TABLE IF EXISTS `field_data_field_blog_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_blog_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_tags_tid` (`field_blog_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 10 (field_blog_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_blog_tags`
--

LOCK TABLES `field_data_field_blog_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_blog_tags` DISABLE KEYS */;
INSERT INTO `field_data_field_blog_tags` VALUES ('node','blog',0,11,11,'und',0,14),('node','blog',0,11,11,'und',1,15),('node','blog',0,12,12,'und',0,14),('node','blog',0,13,13,'und',0,14);
/*!40000 ALTER TABLE `field_data_field_blog_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_field_category`
--

DROP TABLE IF EXISTS `field_data_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 7 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_category`
--

LOCK TABLES `field_data_field_category` WRITE;
/*!40000 ALTER TABLE `field_data_field_category` DISABLE KEYS */;
INSERT INTO `field_data_field_category` VALUES ('node','article',0,1,1,'und',0,3),('node','article',0,2,2,'und',0,3),('node','article',0,3,3,'und',0,3),('node','article',0,5,5,'und',0,3),('node','article',0,6,6,'und',0,3),('node','article',0,7,7,'und',0,3),('node','article',0,8,8,'und',0,3);
/*!40000 ALTER TABLE `field_data_field_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_field_image`
--

DROP TABLE IF EXISTS `field_data_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL,
  `field_image_title` varchar(1024) DEFAULT NULL,
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_image`
--

LOCK TABLES `field_data_field_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_image` DISABLE KEYS */;
INSERT INTO `field_data_field_image` VALUES ('node','article',0,1,1,'und',0,1,'','',220,201),('node','article',0,2,2,'und',0,3,'','',184,226),('node','article',0,3,3,'und',0,4,'','',220,260),('node','article',0,8,8,'und',0,6,'','',220,220);
/*!40000 ALTER TABLE `field_data_field_image` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_field_img`
--

DROP TABLE IF EXISTS `field_data_field_img`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_img` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_img_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_img_alt` varchar(512) DEFAULT NULL,
  `field_img_title` varchar(1024) DEFAULT NULL,
  `field_img_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_img_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_img_fid` (`field_img_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 8 (field_img)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_img`
--

LOCK TABLES `field_data_field_img` WRITE;
/*!40000 ALTER TABLE `field_data_field_img` DISABLE KEYS */;
INSERT INTO `field_data_field_img` VALUES ('node','page',0,9,9,'und',0,8,'','',250,250);
/*!40000 ALTER TABLE `field_data_field_img` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_field_slideshow`
--

DROP TABLE IF EXISTS `field_data_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL,
  `field_slideshow_title` varchar(1024) DEFAULT NULL,
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 6 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_slideshow`
--

LOCK TABLES `field_data_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_data_field_slideshow` DISABLE KEYS */;
INSERT INTO `field_data_field_slideshow` VALUES ('node','article',0,1,1,'und',0,2,'','',920,240),('node','article',0,3,3,'und',0,5,'','',920,240),('node','article',0,8,8,'und',0,7,'','',920,240);
/*!40000 ALTER TABLE `field_data_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_field_tags`
--

DROP TABLE IF EXISTS `field_data_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tags`
--

LOCK TABLES `field_data_field_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_tags` DISABLE KEYS */;
INSERT INTO `field_data_field_tags` VALUES ('node','article',0,1,1,'und',0,2),('node','article',0,3,3,'und',0,2);
/*!40000 ALTER TABLE `field_data_field_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_data_taxonomy_forums`
--

DROP TABLE IF EXISTS `field_data_taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 5 (taxonomy_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_taxonomy_forums`
--

LOCK TABLES `field_data_taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `field_data_taxonomy_forums` DISABLE KEYS */;
INSERT INTO `field_data_taxonomy_forums` VALUES ('node','forum',0,16,16,'und',0,6),('node','forum',0,17,17,'und',0,6),('node','forum',0,18,18,'und',0,7),('node','forum',0,19,19,'und',0,7),('node','forum',0,20,20,'und',0,7),('node','forum',0,21,21,'und',0,12);
/*!40000 ALTER TABLE `field_data_taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_body`
--

DROP TABLE IF EXISTS `field_revision_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_body`
--

LOCK TABLES `field_revision_body` WRITE;
/*!40000 ALTER TABLE `field_revision_body` DISABLE KEYS */;
INSERT INTO `field_revision_body` VALUES ('node','article',0,1,1,'und',0,'<p><b>Just a few years ago</b> Drupal.org was maintained by a small team of insiders. Now, we are making major changes to the site using the community\'s many developers and themers.</p>\r\n<p>This update provides the Drupal community our implementation redesign progress, where we\'ve run into challenges, and provide information about our future plans.</p>\r\n\r\n<p>The following update provides insight into:</p>\r\n\r\n<ol>\r\n<li>Our progress so far</li>\r\n<li>The present focus of the implementation and management team</li>\r\n<li>Where help is needed from the community</li>\r\n</ol>\r\n\r\n<h3>1. A Redesign Progress Report</h3>\r\n\r\n<p>The Drupal.org redesign is an effort started in 2007 to make Drupal.org meet the needs of the growing Drupal community and showcase the power of the Drupal software. In 2008, an <a href=\"https://infrastructure.drupal.org/drupal.org-style-guide/prototype.html\" rel=\"nofollow\">exciting and visionary new design for Drupal.org</a> was completed by Mark Boulton Design and the community.</p>\r\n\r\n<p>In 2008 and 2009, members of the Drupal community participated in six redesign sprints in North America and Europe. As major features of the redesign began to take shape, we needed to work on more granular details of the implementation. Recreating staging environments locally for development teams is a serious challenge, so we created a hosted infrastructure for developers and themers. In late 2009, we began to seek companies from the Drupal community to sponsor individual sections of the redesign. We\'ve now recruited over twenty volunteer organizations to help implement sections of the redesign built on top of the features developed by the Drupal.org infrastructure team.</p>\r\n\r\n<p>There is a lot of visible progress on the Drupal.org redesign:</p>\r\n\r\n<ul>\r\n<li>Site is fully upgraded to Drupal 6, making customizations easier.</li>\r\n<li>Single sign-on for all drupal.org sites has been implemented.</li>\r\n<li>Significant improvements to project module, with statistics, are complete.</li>\r\n<li>New features like module recommendations and related discussions are now available.</li>\r\n\r\n<li>The site now utilizes faceted search with the Solr search engine.</li>\r\n</ul>\r\n\r\n<p>Additionally, much of the work associated with the base theme and the dashboard system has been completed.</p>\r\n\r\n<p>Much of the back-end infrastructure that supports development is in place. This includes:</p>\r\n\r\n<ul>\r\n<li>Ten staging sites for development are set-up.</li>\r\n<li>Central authentication for SVN access for designers and developers to contribute their code has been built.</li>\r\n<li>Automated deployment of themes and modules to staging sites for development and debugging is live.</li>\r\n</ul>\r\n\r\n<p>The project management team is shaping up:</p>\r\n\r\n<ul>\r\n<li>Kieran Lal (<a href=\"http://drupal.org/user/18703\" rel=\"nofollow\">Amazon</a>) continues to be Lead Manager, assisted by project managers Lisa Rex (<a href=\"http://drupal.org/user/485222\" rel=\"nofollow\">lisarex</a>), and Chris Strahl (<a href=\"http://drupal.org/user/595650\" rel=\"nofollow\">chrisstrahl</a>), who has recently joined the redesign team.</li>\r\n<li>Dries Buytaert (<a href=\"http://drupal.org/user/1\" rel=\"nofollow\">dries</a>), Drupal creator and project lead, is involved to review our progress and provide additional direction.</li>\r\n<li>Damien Tournoud (<a href=\"http://drupal.org/user/22211\" rel=\"nofollow\">DamZ</a>) is providing technical assistance for the project, specifically with regards to search results and the Download and Extend pages that rely on Solr search results.</li>\r\n\r\n<li>Todd Ross Nienkerk (<a href=\"http://drupal.org/user/92096\" rel=\"nofollow\">toddross</a>) and Aaron Stanush (<a href=\"http://drupal.org/user/89718\" rel=\"nofollow\">astanush</a>) are the base theme implementation leads. They are assisting in theme development and maintaining consistency in the overall style.</li>\r\n<li>Bill O\'Connor (<a href=\"http://drupal.org/user/63155\" rel=\"nofollow\">csevb10</a>) is now leading the Search results sections. He has already implemented the theme search results section.</li>\r\n<li>Randy Fay (<a href=\"http://drupal.org/user/30906\" rel=\"nofollow\">rfay</a>) is the Lead Redesign System Admin and Jonathan Wagener (<a href=\"http://drupal.org/user/251700\" rel=\"nofollow\">theamoeba</a>) is the newest Redesign System Admin</li>\r\n</ul>\r\n\r\n<p>Finally, the Project Management team has been busy:</p>\r\n\r\n<ul>\r\n<li>We\'ve identified a Minimum Viable Product (MVP), which consists of 22 major sections, to be implemented as the first phase of the redesign. The redesign project is a big undertaking, and we need to focus on we can realistically accomplish within a reasonable timeframe.</li>\r\n<li>Drupal.org <a href=\"http://drupal.org/project/redesign\" rel=\"nofollow\">Redesign</a> has it\'s own project and <a href=\"http://drupal.org/project/issues/redesign?categories=All\" rel=\"nofollow\">issue queue</a></li>\r\n<li><a href=\"http://drupal.org/project/bluecheese\" rel=\"nofollow\">Blue Cheese</a> (the new base theme) has it\'s own project and <a href=\"http://drupal.org/project/issues/bluecheese?categories=All\" rel=\"nofollow\">issue queue</a></li>\r\n<li>The redesign project managers and some community volunteers have spent the last week evaluating the implementation progress by assessing each section.</li>\r\n\r\n<li>A <a href=\"http://groups.drupal.org/node/48056\" rel=\"nofollow\">communication plan</a> has been introduced to complement the existing documentation.</li>\r\n<li>There are a lot of new contributors on the implementation team. To address this, we are providing development infrastructure, granting access to new contributors, documenting tools and training materials, providing project management, and recruiting more technical leadership to help train these new contributors.</li>\r\n</ul>\r\n\r\n<h3>2. The Present Focus</h3>\r\n\r\n<p>The current plan is to implement the redesign with community volunteers and sponsoring companies. Implementers are hard-working volunteers that are dedicating time and energy to this process; taking time out of their already busy work schedules. The Drupal.org redesign project managers will continue to monitor progress on this approach and assist the implementers as we\'re able.</p>\r\n<p>Participation and section status in the redesign is being tracked at <a href=\"http://groups.drupal.org/node/37064\" rel=\"nofollow\">Assignments and Contact Info</a>. Progress on the implementation can be viewed by clicking on the section status links:</p>\r\n\r\n<ul>\r\n<li>The staging servers (e.g. <a href=\"http://staging1.drupal.org\" title=\"http://staging1.drupal.org\" rel=\"nofollow\">http://staging1.drupal.org</a> - use drupal/drupal for authentication)</li>\r\n<li>In SVN commits (<a href=\"https://svn.drupal.org/drupal/drupal.org/redesign/\" title=\"https://svn.drupal.org/drupal/drupal.org/redesign/\" rel=\"nofollow\">https://svn.drupal.org/drupal/drupal.org/redesign/</a> - SVN authentication required).</li>\r\n<li>As we continue to make progress, a single staging site will be publicly visible to the community.</li>\r\n</ul>\r\n<p>Weekly IRC sprints will start on Friday, Feb 12th from 11AM-11PM GMT in the #drupal-redesign channel until the MVP is ready. Everyone who is actively engaged in the redesign implementation should join in. The agenda is to focus on implementing the search results and Download and Extend sections.</p>\r\n<p>Several sections only require modifications to their themes or content to be considered complete. In order to better facilitate reviewing and finalizing sections that near completion, the redesign infrastructure administrators will merge all of the code and theme work from the sponsored sections to a single site. This will allow progress to be assessed by the community and a dedicated quality assurance team. The merging will begin this week.</p>\r\n\r\n<p>The project managers are engaged in the following:</p>\r\n\r\n<ul>\r\n<li>Consolidating information from g.d.o., issue queues, domain experts, redesign documents, and email as the implementation teams provide feedback. This will be used to improve the documentation (how to implement the redesign and what the redesign will accomplish).</li>\r\n<li>Chris and Damien will introduce an architecture document to explain how Drupal.org is built from Drupal core, project modules, Solr and custom modules, and a custom site specific drupal_org module.</li>\r\n<li>Focusing our technical resources on two key areas: Search results, and Download and Extend sections. We believe that when the first Download and Extend section is implemented the other six sections which rely on the same search infrastructure can be completed quickly.</li>\r\n<li>Duplicate issues will be consolidated and non-MVP issues will be postponed in the Redesign or base theme issue queues.</li>\r\n</ul>\r\n\r\n<p>While not everything we want will be delivered by the first phase, we will have a solid framework in place and can incorporate additional community contributions and refinements after MVP completion.</p>\r\n\r\n<h3>3. Where Help is Needed</h3>\r\n\r\n<p>The Drupal.org redesign is a great opportunity for organizations and individuals to gain experience working on a large Drupal project, work with Drupal experts, and give back to the Drupal community. The redesign project needs volunteers with a willingness to dedicate themselves to the redesign, familiarity of the Drupal.org site and an understanding of how to work within the community.</p>\r\n\r\n<p>Some tasks are more difficult than others. General difficulty of each area:</p>\r\n\r\n<p>+++ = difficult<br>\r\n++ = medium<br>\r\n+ = easy</p>\r\n\r\n<p>We need volunteers in specific areas. Contact us via the Drupal association <a href=\"http://association.drupal.org/contact\" rel=\"nofollow\">contact form</a>. Use the Volunteer to help with the Drupal.org redesign category. The project managers will match your skills, and availability to the project:</p>\r\n\r\n<h4>Develop Drupal search filters with Solr +++</h4>\r\n\r\n<ul>\r\n<li>We are looking for experienced developers who have written search filters for Drupal using Solr. Damien has implemented the core filters, but we need other experienced developers to assist the implementation teams.</li>\r\n\r\n<li>Time commitment: 5+ hours per week.</li>\r\n</ul>\r\n\r\n<h4>Section Technical Leaders +++</h4>\r\n\r\n<ul>\r\n<li>Leaders for Download &amp; Extend and Documentation sections needed.</li>\r\n<li>Ideally, this person is already a redesign implementer. Skills needed are good written/spoken English, a willingness to work with a diverse group of people, excellent technical skills, experience leading a development team, and the ability to maintain organization of multiple teams working on multiple projects.</li>\r\n<li>As a lead, you would become the point person for your section and monitor the section\'s issue queue. You need to understand all of the technical areas of your section to coordinate your implementation teams and see the section to completion.</li>\r\n<li>Time commitment: 10+ hours per week.</li>\r\n</ul>\r\n\r\n<h4>General Project Managers ++</h4>\r\n<ul>\r\n<li>We need cat herders to help the general management of the project.</li>\r\n<li>Skills needed are good written/spoken English, a willingness to work with a diverse group of people, excellent organizational and analytical skills, availability to meet with various project teams and experience creating project documentation.</li>\r\n<li>Time commitment: 10+ hours per week.</li>\r\n</ul>\r\n<h4>Coders, themers and reviewers ++</h4>\r\n<ul>\r\n<li>Individuals can work on issues in the Redesign or Blue Cheese issue queues. Many of these issues require knowledge of the redesign, but there are also a lot where work can begin immediately.</li>\r\n<li>Skills needed are good written/spoken English, a willingness to work with a diverse group of people, and an understanding of how to contribute within the Drupal community.</li>\r\n\r\n<li>To contribute CSS or code patches, you\'ll need to read about <a href=\"http://drupal.org/node/698576\" rel=\"nofollow\">how to obtain SVN access</a>.  Once you have worked on a Blue Cheese issue you can request access to the theme repository.</li>\r\n<li>Time commitment: Varies (it\'s up to you!)</li>\r\n</ul>\r\n<h4>SEO ++</h4>\r\n<ul>\r\n<li>Skills needed include good written English, a good knowledge of HTML, and a keen eye for detail.</li>\r\n<li>Please review the <a href=\"http://groups.drupal.org/node/42314\" rel=\"nofollow\">SEO Best Practices wiki</a> before signing up. The tasks for this position are outlined there.</li>\r\n\r\n<li>Time commitment: 5+ hours per week.</li>\r\n</ul>\r\n<h4>QA ++</h4>\r\n<ul>\r\n<li>Skills needed are good written English, a keen eye for detail, experience QAing front-end and back-end functionality of sites, taking screenshots and a willingness to work in the issue queues.</li>\r\n<li>Please review the <a href=\"http://groups.drupal.org/node/47562\" rel=\"nofollow\">Redesign QA Volunteers wiki</a> before signing up. The responsibilities of this position are outlined there.</li>\r\n<li>Time commitment: 5+ hours per week.</li>\r\n</ul>\r\n<h4>Content Migration +</h4>\r\n\r\n<ul>\r\n<li>Skills needed are good written English and a keen eye for detail. Experience with managing and maintaining content on a Drupal site is also important.</li>\r\n<li>Read the <a href=\"http://groups.drupal.org/node/45844%20\" rel=\"nofollow\">Content Migration Guidelines</a> for an outline of what this position entails.</li>\r\n<li>Time commitment: Varies</li>\r\n</ul>\r\n<h3>The Next Step</h3>\r\n<p>The new Drupal.org is an exciting new design, but also an exciting new way that the community can collaborate together to show the beauty and power of Drupal. We invite members of the Drupal community to learn more about their home, and get involved in improving it.</p>\r\n<p>Sign up to volunteer via the Drupal association <a href=\"http://association.drupal.org/contact\" rel=\"nofollow\">contact form</a>.</p>\r\n\r\n<p>Thank you,</p>\r\n<p>On behalf of the redesign Project Team</p>\r\n<p>Kieran, Lisa, Chris</p>','','full_html'),('node','article',0,2,2,'und',0,'With this book you will learn how to maximize and optimize your Drupal 6 framework using best practice performance solutions and tools.  The book covers how to vastly improve performance through upgrades, caching, configuring and optimization using core and contributed modules.\r\n\r\nAs a reader of drupal.org, you can receive a 15% discount (see below) and benefit the Drupal Association!\r\n\r\n<h2>Some of what you will learn</h2>\r\n\r\n<ul>\r\n<li> Upgrade your Drupal 5 site to Drupal 6 using best practice upgrade paths</li>\r\n<li> Back up and maintain your Drupal 6 site using core and contributed modules and utilities</li>\r\n\r\n<li> Configure the Drupal core and contributed modules for high traffic</li>\r\n<li> Run core Drupal page compression, CSS and JS compression, and use Drupal page caching</li>\r\n<li> Run scheduled cron tasks to perform crucial garbage-collection processes</li>\r\n<li> Use the Development (Devel) module to monitor page loads and queries</li>\r\n<li> Use the Boost module for anonymous page caching, tweak Boost settings, and use Boost blocks and advanced Boost settings to monitor site performance</li>\r\n<li> Install and use Memcache API and Integration module, and Authcache and Advanced Cached modules to enhance and monitor site performance</li>\r\n\r\n<li> Configure a Drupal multisite environment for best performance</li>\r\n</ul>\r\n<h2>About the Book</h2>\r\n\r\nDrupal is one of the most respected and widely used open source content management frameworks.  Small, medium, and large-scale websites are built using Drupal and the framework supports e-commerce, CRM, multisite and web service integrations.\r\n\r\nOnce you get your Drupal site installed and up and running, you will be concerned with site performance and how fast you can make your Drupal site run.  This book will focus on implementing performance modules and solutions to help speed up your Drupal website.\r\n\r\nWe will look at introductory topics such as upgrading your Drupal site, maintaining your site, and enabling core Drupal page compression and caching.\r\n\r\nThen we will turn to an advanced look at some contributed modules that help speed up performance, including Development, Boost, Authcache, Advanced Cache, and the Memcache API and Integration module.\r\n\r\nFinally, we?ll look at how best to implement a Drupal multisite environment and run it with high-speed performance in mind.\r\n\r\n<h2>Get 15% off!</h2>\r\n\r\nI have secured an exclusive 15% discount for you when you buy through <a href=\"http://www.packtpub.com/\">PacktPub.com</a>.  Enter the following discount code at checkout in the shopping cart:  Drupal6PT15 (case sensitive). As with all of Packt?s Drupal books, Packt will be donating a percentage of its sales to the Drupal Association.\r\n\r\n<h2>Want a Sample?</h2>\r\nTo help promote the content provided within this book, Packt is generous enough to provide sample content of what you can expect from reading this book.\r\n\r\n<ul>\r\n<li> <a href=\"http://www.packtpub.com/article/drupal-6-performance-optimization-using-views-panels-caching\">Article: Drupal 6 Performance Optimization Using Views and Panels Caching</a></li>\r\n</ul>\r\n<h2>About the authors</h2>\r\n\r\n<strong>Trevor James</strong><br>\r\nTrevor James (<a href=\"http://drupal.org/user/720820\">trevorjames</a>) is a Drupal developer and web designer based in Middletown, MD, USA. Trevor has been designing websites for 13 years using a combination of HTML, XHTML, CSS, and ColdFusion. He has been using Drupal intensively for more than 2 years. Trevor\'s focus is on building web portals for higher education, public education (K-12), non-profit, and small business environments. He is interested in the best methods of developing Drupal themes, Drupal site performance, and using CCK, Views and Panels to develop front-end interfaces to support data-intensive websites. He loves teaching people about Drupal and how to use this excellent open source content management framework. He is also a contributor and community member on drupal.org and related Drupal community projects.\r\n\r\n<strong>TJ Holowaychuk</strong><br>\r\nTJ Holowaychuk (<a href=\"http://drupal.org/user/78427\">tjholowaychuk</a>), president of Vision Media, is an avid contributor to the Drupal project as well as to other open-source applications. Contributing over 16 Drupal modules, several themes, and having fully designed, developed, and maintained hundreds of Drupal websites, he has displayed a wealth of knowledge across different aspects of the industry.','<a href=\"http://www.packtpub.com/drupal-6-performance-tips-to-maximize-and-optimize-your-framework/book?utm_source=drupal.org&amp;utm_medium=link&amp;utm_content=pod&amp;utm_campaign=mdb_002452\">Drupal 6 Performance Tips</a>, by Trevor James and TJ Holowaychuk, is a newly-published title from Packt Publishing aimed at Drupal beginners, developers, designers, and webmasters who utilize the Drupal content management system to create robust websites.\r\n\r\nIt provides crucial performance-related information for Drupal users of all experience levels, including module contributors, webmasters who simply configure and maintain Drupal websites, and even themers. The book contains basic and advanced topics on Drupal performance that will appeal both to the Drupal novice and the advanced user or developer. ','full_html'),('node','article',0,3,3,'und',0,'Core Conversations are a place for people actively working on Drupal or Drupal.org to meet and plan the future of Drupal (Drupal 8). We will announce selected Core Conversation sessions on 22 July 2011.\r\n\r\nWe remind you that we have some excellent pre-conference training courses and workshops scheduled for 22 August 2011 and invite you to register for these. This is a great opportunity for Drupalists at all levels of experience to learn from the experts.\r\n\r\nThe cost for a full day training varies from only Ãƒâ€šÃ‚Â£150 for the Absolute Beginner\'s Guide to Drupal to Ãƒâ€šÃ‚Â£325 for advanced topics like Building Modules for Drupal 7 and Drupal Powered E-Commerce.\r\n\r\nDemand for Drupal talent is high, so why not invest in your future!\r\n\r\nRegister now to attend DrupalCon London and for pre-conference training.\r\n\r\nIf you would like to support DrupalCon London and help us spread the word about the conference. Here you can get badges for your website and promote the conference via our Twitter and Facebook widgets.\r\n\r\nSee you at DrupalCon London 22-26 August 2011!\r\n\r\nStay up-to-date with the latest information about DrupalCon London by going to http://london2011.drupal.org/ or following us on Twitter @drupalcon.','The DrupalCon London Team had the task of narrowing 341 fantastic proposals into a schedule of 60 sessions, balanced across 5 tracks: Site Building and Environment Set-up, Business and Best Practices, Code & Coders, Design, UX & Theming, and Ecosystem. You can check out the schedule now and attendees will be able to build their schedule on the DrupalCon London site by logging in later this week.\r\n\r\nThis breaks down to 5 tracks with 12 sessions each. The 6th track, Core Conversations, will also have 12 sessions slots available and DrupalCon London will be opening core conversation session proposals between 14 June and 14 July 2011, 23:59 GMT+1. ','full_html'),('node','article',0,4,4,'und',0,'Of course, we have the most comprehensive film tax credit in the nation (films, commercials, new media, video games) and our Education Director is the head of the state-funded Film Industry Training Program.\r\n\r\nThe focus for New Media programs this year is Free Software, Web/New Media, Animation, Music and Advocacy. We are further sharing 1/3 of our curriculum with Film and Education.\r\n\r\nPlease email and/or call me if you are interested in helping us. The festival is May 4-9 and ours is May 6-9. I will know more at our next meeting about exact scheduling.\r\n\r\nWe aren\'t a rich festival, therefore we cannot pay anyone, but we are only 65 miles from NYC on Metro North and we can cover your hotel room as long as you wish to stay as well as give you an All Access Pass for the week.\r\n\r\nLooking forward to chatting.\r\n\r\nDave Bonan\r\nDirector of New Media Programming, CT Film Festival\r\nwww.ctfilmfest.com\r\n203.770.8304','I\'m the Director for New Media Programming at the CT Film Festival in Danbury, CT and I wanted to see if any Drupal demonstrators would like to teach a workshop at his/her discretion. We have a speaker doing a Social Media 2.0 Workshop as well as a CMS overview with Drupal, Joomla and Wordpress.\r\n\r\nFirst off, our independent festival is 6 years old and quickly growing. We are unique in that we are an 8-month traveling festival within the state, providing weekend and weekday performances at universities and theaters and then ending with a weeklong series of events in early May (over 300 films, workshops, performances and parties).','full_html'),('node','article',0,5,5,'und',0,'Hello Drupalers!\r\n\r\nNetBeans 6.5 Release Candidate is out (with right PHP editing features : http://www.netbeans.org/kb/trails/php.html) and along with that I have released an update to the existing Drupal support in NetBeans. Please feel free to try out the enhanced wizard for assisting Drupal module development.\r\n\r\nThe modifications in the plugin are :\r\n* Generates the new module in appropriate location\r\n* Sticking to Drupal coding standards, generates template code for some of the common hooks (hook_block and hook_help) in the .module file\r\n* Sticking to Drupal coding standards, generates the .install file, which when not required can be removed. Some template code for some common hooks (hook_install and hook_uninstall) are provided.\r\n\r\nYou can download the plugin from NetBeans plugin portal (http://plugins.netbeans.org/PluginPortal/faces/PluginDetailPage.jsp?plug...) or from project page (https://nbdrupalsupport.dev.java.net/servlets/ProjectDocumentList?folder...). The source and documentation concerning usage of the plugin is hosted at the latter site.\r\n\r\nComments welcome!\r\n\r\nRegards,\r\nSujit Nair','','filtered_html'),('node','article',0,6,6,'und',0,'Besides the Handbook on drupal.org, there is also some Drupal documentation that is embedded in the Drupal source code, and visible from the administration pages of a Drupal site. This includes help pages for modules, help text displayed at the top of administration pages, and descriptive text within administration pages (e.g. help text for a setting field).\r\n\r\nBecause embedded documentation is part of the Drupal source code, the process for helping out with writing and editing this embedded documentation is slightly more complex than for editing pages on drupal.org. Here are some ways to help out:\r\n\r\nTest Drupal for text issues: During the development of a new Drupal version, download the new version from http://drupal.org/project/drupal, install it, and look over the help screens and user interface text. If you find something that should be fixed in a help screen or other embedded help text, file an issue: Even if you do not know how to create a patch, you can still give before/after text suggestions, and someone else can create the patch. To file an issue:\r\n\r\n<ol>\r\n<li>Log in to drupal.org</li>\r\n<li>Create an issue via the Create Content link (<a href=\"http://drupal.org/node/add/project-issue\" title=\"http://drupal.org/node/add/project-issue\" rel=\"nofollow\">http://drupal.org/node/add/project-issue</a>)</li>\r\n<li>Choose \"Drupal\" as the project</li>\r\n<li>Choose the Drupal version. Note that it\'s really only possible to change user interface text, help text, and other explanations in the version of Drupal that is under development. Stable releases have been translated into other languages, so their user interface text is almost never changed.</li>\r\n<li>Choose component \"documentation\" if the issue is in a help screen, or \"user interface text\" if it is user interface text, or choose the module that the issue pertains to as the component.</li>\r\n<li>Tag the issue with \"ui-text\" or \"Help text\" as appropriate.</li>\r\n<li>Choose category \"bug report\" -- text being wrong, missing, or unclear is a bug, not a feature request or task.</li>\r\n\r\n<li>Make up a clear title and description, and submit your issue.</li>\r\n</ol>\r\n\r\nHelp with existing issues: Use the advanced search for issues in the Drupal project (http://drupal.org/project/issues/search/drupal), and look for component \"documentation\" or \"user interface text\", or search for tags \"Help text\" or \"ui-text\". Be aware that most of the issues filed under component \"documentation\" are issues with the in-line programmer API documentation of functions in the source code (displayed on api.drupal.org), so if you are not a programmer, these will not be things you will probably want to work on. Even if you cannot write patches, you can still review patches and make suggestions on how to improve text, by commenting on issues. Some tips on using the issue queue:\r\n\r\n<ul>\r\n<li>Look for issues whose status is \"active\" or \"needs work\" if you want to write some documentation or code. Look for \"needs review\" issues if you want to review what others have done (an excellent place to start if you are new to Drupal issues, and a vitally important part of the process).</li>\r\n<li>Even if you are not a programmer, you can still review patches. Find an issue that has status \"needs review\", scroll down to the bottom of the issue\'s comments, and find the latest patch attachment. Click on the attachment to see it. The lines with + are being added, lines with - are being removed. Some patches will also have a screen shot, making reviewing even easier.</li>\r\n<li>If you think a patch is good, add a comment saying what part you reviewed and that you thought it was good. If you think your review was comprehensive, or if several people have commented that it\'s a good patch and you think the coverage overall is comprehensive enough, change the issue\'s status to \"Reviewed and tested by the community\" (also known as \"RTBC\").</li>\r\n<li>If you think a patch needs some work, change the status of the issue to \"needs work\", and add a specific comment about what you think should be changed (if possible, with a suggestion of what to change it to). Please try to be constructive.</li>\r\n<li>If the issue you are looking at doesn\'t yet have a patch, you can either make one or add suggestions as to what the text should say (someone else can read your suggestions and make a patch). If you attach a patch file, be sure to change the status of the issue to \"needs review\" so others can test and review your patch.</li>\r\n<li>And above all: Don\'t take anything in the issue queue personally! The intent of the issue queue is to provide a forum for discussion on how to make Drupal better, so try to take any comments on your patches as constructive comments and thoughtful discussion (even if not everyone writes their comments in this way).</li>\r\n</ul>','','full_html'),('node','article',0,7,7,'und',0,'Hello,\r\n\r\nTwo months ago, a case study about the migration of France 24 from Drupal 5 to Drupal 6 was posted on drupal.org frontpage, and it was announced some really interesting modules were going to be open sourced.\r\n\r\nI\'m happy to say it is (almost?) finished, and here is the list of modules:\r\n\r\n<ul>\r\n<li><b><a href=\"http://drupal.org/project/aef_multimedia_element\" rel=\"nofollow\">Multimedia Element</a>:</b> It allows you to create blocks (not drupal blocks) containing stories (inserted manually, automatically, semi-automatically with Easy View), carousels of stories, text, photos, diaporamas (including lightbox diapos), video, twitter, table, ... And you can embed these blocks directly into your story with a nifty FckEditor plugin. Here is a <a href=\"http://www.france24.com/en/20091116-obama-shanghai-students-speech-china-usa-relations-diplomacy-asia-economy\" rel=\"nofollow\">nice example of story with a carousel, a diaporama and a video multimedia element</a>.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_easy_view\" rel=\"nofollow\">Easy View</a>:</b> Easy View is a very easy and powerful interface framework to Views, in a CCK field. It also include Easy View Taxonomy, the easy view implementation of the taxonomy View. It basically allows a simple user to configure a View per node without using the complex View UI.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_image\" rel=\"nofollow\">Uberimage</a>:</b> Uberimage is an advanced image CCK field, with direct upload/nodereference support, result imagecache presets re-scaling and cropping, useful on websites with multiple different image ratio (16/9, 4/3, 16/5, ...)</li>\r\n\r\n<li><b><a href=\"http://drupal.org/project/aef_formatter_selector\" rel=\"nofollow\">Formatter Selector</a>:</b> Ever wanted to let the user choose the theme of a node in a nodereference directly on the node edit page? This module allows you to do that.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_external_sources\" rel=\"nofollow\">External Sources</a> / <a href=\"http://drupal.org/project/aef_externodes\" rel=\"nofollow\">Externodes</a>:</b> Basically, this module allows you to map the nid and fid address space to another Drupal instance. A simple example: Given you have two drupals, if you type in your browser front.drupal.com/node/1000000001, it will in fact display the node 1 of back.drupal.com using front.drupal.com theme. back.drupal.com is nowhere visible to the end user. Basic example of use: A big image collection you want to share between drupals.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_nodeselect\" rel=\"nofollow\">Nodeselect</a>:</b> Nodeselect allows editors to search for content, in a simple exposed View integrated with Embedded Edit, and results can be drag and dropped into nodereferences.</li>\r\n\r\n<li><b><a href=\"http://drupal.org/project/aef_embedded_edit\" rel=\"nofollow\">Embedded Edit</a>:</b> Embedded Edit allows you to create/view/edit a node in a kind of lightbox within a node edit page. When creating a node, a nodereference will get filled with this node.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_views_cck_formatter\" rel=\"nofollow\">Views CCK Formatter</a>:</b> Views CCK Formatter allows you to choose a node CCK formatter as a row style in your View. This is extremely useful when you want to reuse a node theme in different parts of your website.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_table\" rel=\"nofollow\">CSV Table</a>:</b> CSV table is a very simple table module that allows you to upload a CSV file in this CCK field, and display a table. This module will probably evolve a lot in the future.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_jcarousel_views\" rel=\"nofollow\">JCarousel for Views</a>:</b> JCarousel for Views is a simple module for using JCarousel in Views.</li>\r\n\r\n<li><b><a href=\"http://drupal.org/project/aef_jcarousel\" rel=\"nofollow\">JCarouself formatter framework</a>:</b> JCarousel formatter framework contains the JCarousel plugin plus a node CCK Formatter &lt;-&gt; JCarousel theme relationships framework.</li>\r\n<li><b><a href=\"http://drupal.org/project/aef_utilities\" rel=\"nofollow\">Utilities</a>:</b> An utilities modules used by all the above modules.</li>\r\n</ul>\r\n\r\nSorry, no pictures :( You can find them here or directly on the module project page.\r\n\r\nConcerning theming, the France24 and RFI websites are heavily based on the standard CCK nodereference formatters, that\'s why almost all these modules are using it. I\'ll probably make some doc on how to combine all these modules later.\r\n\r\nCheers,\r\nNicolas','','filtered_html'),('node','article',0,8,8,'und',0,'Drupal 7.3, a maintenance release which fixes security vulnerabilities is now available for download.\r\n\r\nDrupal 7.4 also fixes other issues reported through the bug tracking system.\r\n\r\nUpgrading your existing Drupal 7 sites is strongly recommended. There are no new features in these releases. For more information about the Drupal 7.x release series, consult the Drupal 7.0 release announcement.\r\n\r\n<h2>Security information</h2>\r\n\r\nWe have a security announcement mailing list, a history of all security advisories, and an RSS feed with the most recent security advisories. We strongly advise Drupal administrators to sign up for the list.\r\n\r\nDrupal 7 includes the built-in Update status module, which informs you about important updates to your modules and themes.\r\n\r\n<h2>Bug reports</h2>\r\n\r\nDrupal 7.x is being maintained, so given enough bug fixes (not just bug reports), a new maintenance release will be made available the last Wednesday of next month (July 27).\r\n\r\nDrupal 7.3 only includes fixes for security issues. Drupal 7.4 also includes bugfixes. The full list of changes between the 7.2 and 7.4 releases can be found by reading the 7.4 release notes. A complete list of all bug fixes in the stable 7.x branch can be found in the git commit log.\r\n\r\n<h2>Security vulnerabilities</h2>\r\n\r\nDrupal 7.3 was released in response to the discovery of security vulnerabilities. Details can be found in the official security advisory: SA-CORE-2011-002\r\n\r\nTo fix the security problem, please upgrade Drupal.\r\n\r\n<h2>What is included with each release?</h2>\r\n\r\nShows a graph and that 7.3 should be used to upgrade quickly, 7.4 contains bug fixes and might need testing.\r\n\r\nWe make two versions of Drupal core available, so you can choose to only include security fixes (Drupal 7.3) or security fixes and bugfixes (Drupal 7.4). You can choose your preferred version. We are trying to make it easier and quicker to roll out security updates by making security-only releases available as well as ones with bugfixes included. We hope this helps you roll out the fixes as soon as possible. Read more details in the handbook.\r\n','Drupal 7.3, a maintenance release which fixes security vulnerabilities is now available for download.\r\n\r\nDrupal 7.4 also fixes other issues reported through the bug tracking system.\r\n\r\nUpgrading your existing Drupal 7 sites is strongly recommended. There are no new features in these releases. For more information about the Drupal 7.x release series, consult the Drupal 7.0 release announcement.','filtered_html'),('node','page',0,9,9,'und',0,'Drupal is a free software package that allows anyone to easily publish, manage and organize a wide variety of content on a website. Hundreds of thousands of people and organizations are using Drupal to power an endless variety of sites.\r\n\r\n<h2>Drupal is Open Source</h2>\r\nDrupal is open source software maintained and developed by a community of hundreds of thousands of users and developers. It\'s distributed under the terms of the GNU General Public License (or \"GPL\"), which means anyone is free to download it, share it with others, and contribute back to the project. This open development model means that people are constantly working to make sure Drupal is a cutting-edge platform that supports the latest technologies that the Web has to offer. \r\n\r\n<h2>Community Support</h2>\r\nThe passionate Drupal community is on hand to give support via various vibrant IRC channels, in the forums, and face to face at Drupal events. The community has also created Documentation for Drupal, which covers installation, site building, module building, theming, and many other topics. The worldwide community drives the innovation that makes Drupal the preferred choice for web developers and site owners. Drupal is open source, meaning everybody can get involved and make a difference.\r\n\r\n<h2>Security Team</h2>\r\nWe take security seriously and have a dedicated team that has a proven track record in dealing with your security issues professionally and efficiently, meaning you can spend more time creating your site.\r\n\r\n<h2>Commercial Services</h2>\r\nAs well as the community, there are many dedicated companies in the Marketplace on hand to help with your Drupal project. Providing expertise and a deeper understanding, they can help with hosting, spam blocking, training, and more.\r\n\r\n','','full_html'),('node','blog',0,10,10,'und',0,'Welcome to Drupal! Drupal is a powerful content management system, meaning you can power many different types of websites with it without knowing any coding languages.\r\n\r\nIf you\'re new to Drupal or having your own website, then this guide is for you.\r\n\r\nThe following pages should introduce you to the Drupal project, some best practices the community has accumulated, the concepts and technologies that underpin Drupal, and basic installation and configuration.\r\n\r\nThe Drupal documentation is currently being restructured. Some content has been moved to the Administration Guide, Structure Guide and Site Building Guide.\r\n\r\nIf you need help installing Drupal, the Installation Guide has step by step instructions and troubleshooting tips.','','filtered_html'),('node','blog',0,11,11,'und',0,'The Drupal Cookbook (for Beginners) helps Drupal \"newbies\" by providing a walkthrough of a common Drupal Setup. You might also be interested in this whirlwind video.\r\n\r\n<h2>Background</h2>\r\n\r\nThis handbook was originally written for Drupal 5. While the information is generally transferable to Drupal 6, some buttons, links, and menu items have been renamed or moved. Every attempt is made to keep these handbooks current.\r\n\r\nThe intent of the Cookbook is to help the new Drupal user create a typical site. At that point the user will be better equipped to diving deeper into more advanced features.\r\n\r\n<h2>Terminology</h2>\r\n\r\nThis cookbook requires a basic understanding of the General Concepts of Drupal. Additional resources for understanding terms used in Drupal include:\r\n<ul>\r\n    <li>Terminology (Terms).</li>\r\n   <li>Drupal Jargon.</li>\r\n</ul>\r\n\r\n<h2>Conventions</h2>\r\n\r\nThe Cookbook and other documentation on drupal.org uses the following standard for indicating site navigation:\r\n\r\nAdminister >> Access control >> User management >> Roles.\r\n\r\nThe above example tells the user to click on \"Administer\" in the navigation menu, then \"Access control,\" then \"User management,\" and then \"Roles\".\r\nWorking with Drupal\r\n\r\nHere are some general recomendations:\r\n\r\n<ol>\r\n    <li>Use a test site that uses the same Drupal version and modules as the target site. Use a copy of the live database. Avoid development on a live site.</li>\r\n    <li>Don\'t try to make the \"perfect site\" on the first attempt. Muddle through for a while. Stressing over the perfect solution can lead to frustration.</li>\r\n    <li>Start by learning the basic functionality of Drupal. Find out what Drupal can do before working towards a specific goal. Once comfortable with the \"core\" features and behavior, move on to more complex contributed modules such as Views, CCK, and Organic Groups. These modules and some others require a good bit of understanding to master. The power and flexibility of Drupal and its modules will become apparent over time.</li>\r\n    <li>If you need a custom theme, customize one of the default themes before creating starting from scratch. Refer to the Drupal 5 theme guide or Drupal 6 theme guide.</li>\r\n   <li> Limit the number of blocks, images, and graphics that clutter the page.</li>\r\n    <li>Participate in the forums, the Documentation Team, and IRC.</li>\r\n</ol>\r\n\r\n<h2>Things to keep in mind</h2>\r\n\r\nA common mistake when approaching a solution to a problem in Drupal is to make an assumption about how Drupal works. Drupal is a unique and powerful platform that is probably quite different from other solutions you may have encountered.\r\n\r\nStart simply by making something visible, then celebrate what you have accomplished. Taking one small step at a time will lead to a better site. Don\'t indiscriminately add many contributed modules right away. Get comfortable with modules one at a time. Modules that are not appropriate or used should be disabled and uninstalled.\r\n\r\nAs with most things worth mastering, there is a learning curve with Drupal. But there is lots of support available as well.','','filtered_html'),('node','blog',0,12,12,'und',0,'After Drupal was initially developed, thoughts turned to the creation of a logo. Of course the concept would have to include a drop, or water in general.\r\n\r\nThe initial idea was simple: a drop within a circle. It was conceived as an \"O\" in a fluid \"drop\".\r\n\r\nSomewhat later there was an idea to use a cartoon-like drop with a face. Steven Wittens (UnConeD) created a 3D version, but the idea didn\'t get too far, mainly because 3D is difficult to work with.\r\n\r\nWhen the logo issue came up again, Kristjan Jansen (Kika) came up with the idea of putting two sideways drops together to form an infinity symbol. When placed inside a filled circle, it resembled a face. After more work by Steven Wittens, the Druplicon was created: a stylised drop with the \"infinity\" eyes, a round nose and a mischievous smile.\r\n\r\nYou can find more versions of the logo in the marketing section.','','filtered_html'),('node','blog',0,13,13,'und',0,'As an inclusive community, we are committed to making sure that Drupal is an accessible tool for building websites and that Drupal helps you create websites that are themselves accessible.\r\n\r\nThis initiative started with advancements with Drupal 7 accessibility. We have committed to ensuring that all features of Drupal core conform with the Worldwide Web Consortium (W3C) guidelines: WCAG 2.0 and ATAG 2.0. Where possible we will also update the previous version of Drupal core, version 6, to enhance its accessibility.\r\nAccessible Features in Drupal\r\n\r\nIf you rely on a screen reader or other assistive technology, you will be glad to know that we have built Drupal to encourage and support the proper use of semantic markup. For example, you should be able to use headings reliably for page-level navigation.\r\n\r\nThe accessibility team has worked to identify barriers to accessibility with Drupal and worked to resolve them. We\'ve identified and resolved a number of issues in the core code of Drupal 7 and raised awareness within the community. We\'ve added some additional support for Rich Internet Applications by adding some WAI-ARIA support. There have been many improvements to both the visitor and administrator sides of Drupal, especially:\r\n\r\n<ul>\r\n   <li>Search engine form and presentation</li>\r\n    <li>Drag and Drop functionality</li>\r\n   <li>Color contrast and intensity</li>\r\n    <li>Adding skip navigation to core themes</li>\r\n    <li>Image handling</li>\r\n    <li>Form labeling</li>\r\n    <li>Removing duplicate or null tags</li>\r\n</ul>','','filtered_html'),('node','forum',0,16,16,'und',0,'For information on managing the ongoing operation of a Drupal site, see the Administration Guide. For information on developing the basic information architecture using menus, taxonomies, blocks etc, see the Structure Guide.','','filtered_html'),('node','forum',0,17,17,'und',0,'I\'m having a problem updating several modules in Drupal 6. I put the site off line and then uploaded the latest modules via ftp as is my usual practice. I rename the directory of the module to be updated to \"moduleJan2012\" and put the new module folder in its place.\r\n\r\nI then ran update.php and when I check the modules are still showing as out-of-date.\r\n\r\nThe problem modules are Google analytics, wysiwyg, imce and webform. webform validator and root candy theme updated okay.\r\n\r\nI\'ve since uploaded the module again to see if this helps but it didn\'t. On the server it\'s showing that the files were updated.\r\n\r\nMany thanks in advance for any suggestions','','filtered_html'),('node','forum',0,18,18,'und',0,'What would be a best way to launch a simple Drupal web site on AWS?\r\nI\'ve just started learning AWS. So far, from what I have learned, I can go either of the following ways.\r\n1. Create an EC2 instance, install xampp and drupal, and keep developing web pages and web apps in EC2.\r\nI\'ve done this, but I have not figured out how to make the web site accessible. (Do I need to setup elastic IP?)\r\n\r\n2. Install Drupal on a local machine and develop all web pages and apps locally. And then upload all local files to S3.\r\nThen, is S3 enough to host a web site? EC2 instance is not needed?\r\nAlso, who would I manage the upload for constant updates on Drupal modules and Drupal DB?\r\n\r\nWell, I need to dig more into EC2 and S3, but your input would be highly appreciated.','','filtered_html'),('node','forum',0,19,19,'und',0,'I updated Pixture reloaded theme before updating everything okay,but after updating it the look of the website changes,WHATS THE PROBLEM?? How can I edit pixture reloaded theme to its previous look.\r\nNo Database backup is taken. Only Drupal files have backup.\r\n\r\n','','filtered_html'),('node','forum',0,20,20,'und',0,'See the phpinfo() page on Drupal.org to learn how to use phpinfo to get the details of your system. For example, phpinfo will tell you if you have a database already installed and what versions of PHP, MySQL, etc. your system is running. Phpinfo will also tell you what PHP variables are set as well as many other helpful things.','','filtered_html'),('node','forum',0,21,21,'und',0,'For all the effort you put into building your site, the most important thing to your users is how your site looks. Managing the inconsistencies in your theme for each browser, for each module, and for user selectable themes can be very challenging.\r\n\r\nFirst you should familiarize yourself with basic Cascading Style Sheets (CSS) concepts. Review CSS Discuss or HTML dog for CSS resources. A good overview of the power of CSS can be seen at the CSS Zen Garden.','','filtered_html');
/*!40000 ALTER TABLE `field_revision_body` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_comment_body`
--

DROP TABLE IF EXISTS `field_revision_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_comment_body`
--

LOCK TABLES `field_revision_comment_body` WRITE;
/*!40000 ALTER TABLE `field_revision_comment_body` DISABLE KEYS */;
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_forum',0,1,1,'und',0,'And really, a validating, clean layout will work 90 % of the time. It will have easy fixes 9 % of the time and will require hard measures only 1 % of the time. Really!','filtered_html'),('comment','comment_node_forum',0,2,2,'und',0,'Please ensure that you\'ve validated both the CSS and HTML for your website using W3C tools. It would be great to review your theme with both the WAVE and FAE accessibility evaluators too. There are also some other good validation tools.','filtered_html');
/*!40000 ALTER TABLE `field_revision_comment_body` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_field_blog_img`
--

DROP TABLE IF EXISTS `field_revision_field_blog_img`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_blog_img` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_img_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_blog_img_alt` varchar(512) DEFAULT NULL,
  `field_blog_img_title` varchar(1024) DEFAULT NULL,
  `field_blog_img_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_blog_img_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_img_fid` (`field_blog_img_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 9 (field_blog_img)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_blog_img`
--

LOCK TABLES `field_revision_field_blog_img` WRITE;
/*!40000 ALTER TABLE `field_revision_field_blog_img` DISABLE KEYS */;
INSERT INTO `field_revision_field_blog_img` VALUES ('node','blog',0,11,11,'und',0,9,'','',180,220),('node','blog',0,12,12,'und',0,10,'','',200,240);
/*!40000 ALTER TABLE `field_revision_field_blog_img` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_field_blog_tags`
--

DROP TABLE IF EXISTS `field_revision_field_blog_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_blog_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_blog_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_blog_tags_tid` (`field_blog_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 10 (field_blog_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_blog_tags`
--

LOCK TABLES `field_revision_field_blog_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_blog_tags` DISABLE KEYS */;
INSERT INTO `field_revision_field_blog_tags` VALUES ('node','blog',0,11,11,'und',0,14),('node','blog',0,11,11,'und',1,15),('node','blog',0,12,12,'und',0,14),('node','blog',0,13,13,'und',0,14);
/*!40000 ALTER TABLE `field_revision_field_blog_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_field_category`
--

DROP TABLE IF EXISTS `field_revision_field_category`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_category` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_category_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_category_tid` (`field_category_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 7 (field_category)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_category`
--

LOCK TABLES `field_revision_field_category` WRITE;
/*!40000 ALTER TABLE `field_revision_field_category` DISABLE KEYS */;
INSERT INTO `field_revision_field_category` VALUES ('node','article',0,1,1,'und',0,3),('node','article',0,2,2,'und',0,3),('node','article',0,3,3,'und',0,3),('node','article',0,5,5,'und',0,3),('node','article',0,6,6,'und',0,3),('node','article',0,7,7,'und',0,3),('node','article',0,8,8,'und',0,3);
/*!40000 ALTER TABLE `field_revision_field_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_field_image`
--

DROP TABLE IF EXISTS `field_revision_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL,
  `field_image_title` varchar(1024) DEFAULT NULL,
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_image`
--

LOCK TABLES `field_revision_field_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_image` DISABLE KEYS */;
INSERT INTO `field_revision_field_image` VALUES ('node','article',0,1,1,'und',0,1,'','',220,201),('node','article',0,2,2,'und',0,3,'','',184,226),('node','article',0,3,3,'und',0,4,'','',220,260),('node','article',0,8,8,'und',0,6,'','',220,220);
/*!40000 ALTER TABLE `field_revision_field_image` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_field_img`
--

DROP TABLE IF EXISTS `field_revision_field_img`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_img` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_img_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_img_alt` varchar(512) DEFAULT NULL,
  `field_img_title` varchar(1024) DEFAULT NULL,
  `field_img_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_img_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_img_fid` (`field_img_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 8 (field_img)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_img`
--

LOCK TABLES `field_revision_field_img` WRITE;
/*!40000 ALTER TABLE `field_revision_field_img` DISABLE KEYS */;
INSERT INTO `field_revision_field_img` VALUES ('node','page',0,9,9,'und',0,8,'','',250,250);
/*!40000 ALTER TABLE `field_revision_field_img` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_field_slideshow`
--

DROP TABLE IF EXISTS `field_revision_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL,
  `field_slideshow_title` varchar(1024) DEFAULT NULL,
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 6 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_slideshow`
--

LOCK TABLES `field_revision_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_revision_field_slideshow` DISABLE KEYS */;
INSERT INTO `field_revision_field_slideshow` VALUES ('node','article',0,1,1,'und',0,2,'','',920,240),('node','article',0,3,3,'und',0,5,'','',920,240),('node','article',0,8,8,'und',0,7,'','',920,240);
/*!40000 ALTER TABLE `field_revision_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_field_tags`
--

DROP TABLE IF EXISTS `field_revision_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tags`
--

LOCK TABLES `field_revision_field_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tags` DISABLE KEYS */;
INSERT INTO `field_revision_field_tags` VALUES ('node','article',0,1,1,'und',0,2),('node','article',0,3,3,'und',0,2);
/*!40000 ALTER TABLE `field_revision_field_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `field_revision_taxonomy_forums`
--

DROP TABLE IF EXISTS `field_revision_taxonomy_forums`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_taxonomy_forums` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `taxonomy_forums_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `taxonomy_forums_tid` (`taxonomy_forums_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 5 (taxonomy_forums)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_taxonomy_forums`
--

LOCK TABLES `field_revision_taxonomy_forums` WRITE;
/*!40000 ALTER TABLE `field_revision_taxonomy_forums` DISABLE KEYS */;
INSERT INTO `field_revision_taxonomy_forums` VALUES ('node','forum',0,16,16,'und',0,6),('node','forum',0,17,17,'und',0,6),('node','forum',0,18,18,'und',0,7),('node','forum',0,19,19,'und',0,7),('node','forum',0,20,20,'und',0,7),('node','forum',0,21,21,'und',0,12);
/*!40000 ALTER TABLE `field_revision_taxonomy_forums` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
INSERT INTO `file_managed` VALUES (1,1,'sam-1.png','public://field/image/sam-1.png','image/png',13746,1,1326689095),(2,1,'sl-1.jpg','public://field/slideshow/sl-1.jpg','image/jpeg',53432,1,1326689095),(3,1,'sam-2.jpg','public://field/image/sam-2.jpg','image/jpeg',47929,1,1326689469),(4,1,'sam-4.png','public://field/image/sam-4.png','image/png',22900,1,1326689691),(5,1,'sl-2.jpg','public://field/slideshow/sl-2.jpg','image/jpeg',58702,1,1326689691),(6,1,'sam-3.png','public://field/image/sam-3.png','image/png',13523,1,1326697363),(7,1,'sl-3.png','public://field/slideshow/sl-3.png','image/png',34348,1,1326697363),(8,1,'sam-generic.jpg','public://field/image/sam-generic.jpg','image/jpeg',13757,1,1326698293),(9,1,'sam-5.jpg','public://field/image/sam-5.jpg','image/jpeg',47002,1,1326700560),(10,1,'sam-drupicon.png','public://field/image/sam-drupicon.png','image/png',6482,1,1326700692);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
INSERT INTO `file_usage` VALUES (1,'file','node',1,1),(2,'file','node',1,1),(3,'file','node',2,1),(4,'file','node',3,1),(5,'file','node',3,1),(6,'file','node',8,1),(7,'file','node',8,1),(8,'file','node',9,1),(9,'file','node',11,1),(10,'file','node',12,1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter`
--

LOCK TABLES `filter` WRITE;
/*!40000 ALTER TABLE `filter` DISABLE KEYS */;
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop',2,1,'a:0:{}'),('filtered_html','filter','filter_html',1,1,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('filtered_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('filtered_html','filter','filter_html_escape',10,0,'a:0:{}'),('filtered_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('full_html','filter','filter_autop',1,1,'a:0:{}'),('full_html','filter','filter_html',10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('full_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('full_html','filter','filter_html_escape',10,0,'a:0:{}'),('full_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','filter','filter_autop',10,0,'a:0:{}'),('php_code','filter','filter_html',10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('php_code','filter','filter_htmlcorrector',10,0,'a:0:{}'),('php_code','filter','filter_html_escape',10,0,'a:0:{}'),('php_code','filter','filter_url',10,0,'a:1:{s:17:\"filter_url_length\";i:72;}'),('php_code','php','php_code',0,1,'a:0:{}'),('plain_text','filter','filter_autop',2,1,'a:0:{}'),('plain_text','filter','filter_html',10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('plain_text','filter','filter_htmlcorrector',10,0,'a:0:{}'),('plain_text','filter','filter_html_escape',0,1,'a:0:{}'),('plain_text','filter','filter_url',1,1,'a:1:{s:17:\"filter_url_length\";i:72;}');
/*!40000 ALTER TABLE `filter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `filter_format`
--

DROP TABLE IF EXISTS `filter_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter_format`
--

LOCK TABLES `filter_format` WRITE;
/*!40000 ALTER TABLE `filter_format` DISABLE KEYS */;
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML',1,1,0),('full_html','Full HTML',1,1,1),('php_code','PHP code',0,1,11),('plain_text','Plain text',1,1,10);
/*!40000 ALTER TABLE `filter_format` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forum`
--

DROP TABLE IF EXISTS `forum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid of the node.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The node.vid of the node.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_term_data.tid of the forum term assigned to the node.',
  PRIMARY KEY (`vid`),
  KEY `forum_topic` (`nid`,`tid`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the relationship of nodes to forum terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum`
--

LOCK TABLES `forum` WRITE;
/*!40000 ALTER TABLE `forum` DISABLE KEYS */;
INSERT INTO `forum` VALUES (16,16,6),(17,17,6),(18,18,7),(19,19,7),(20,20,7),(21,21,12);
/*!40000 ALTER TABLE `forum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `forum_index`
--

DROP TABLE IF EXISTS `forum_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `forum_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.timestamp.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  KEY `forum_topics` (`nid`,`tid`,`sticky`,`last_comment_timestamp`),
  KEY `created` (`created`),
  KEY `last_comment_timestamp` (`last_comment_timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `forum_index`
--

LOCK TABLES `forum_index` WRITE;
/*!40000 ALTER TABLE `forum_index` DISABLE KEYS */;
INSERT INTO `forum_index` VALUES (16,'Site Building Guide',6,0,1326766039,1326766039,0),(17,'modules failed to update',6,0,1326766123,1326766123,0),(18,'Simplest way to launch Drupal on AWS',7,0,1326766270,1326766270,0),(19,'change in look after Upadting Pixture Reloaded theme',7,0,1326766321,1326766321,0),(20,'System requirements',7,0,1326766416,1326766416,0),(21,'HTML and CSS techniques',12,0,1326766554,1326766651,2);
/*!40000 ALTER TABLE `forum_index` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `image_effects`
--

DROP TABLE IF EXISTS `image_effects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_effects`
--

LOCK TABLES `image_effects` WRITE;
/*!40000 ALTER TABLE `image_effects` DISABLE KEYS */;
INSERT INTO `image_effects` VALUES (1,1,1,'image_crop','a:3:{s:5:\"width\";s:3:\"920\";s:6:\"height\";s:3:\"240\";s:6:\"anchor\";s:13:\"center-center\";}'),(2,2,1,'image_scale','a:3:{s:5:\"width\";s:3:\"180\";s:6:\"height\";s:0:\"\";s:7:\"upscale\";i:0;}');
/*!40000 ALTER TABLE `image_effects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `image_styles`
--

DROP TABLE IF EXISTS `image_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_styles`
--

LOCK TABLES `image_styles` WRITE;
/*!40000 ALTER TABLE `image_styles` DISABLE KEYS */;
INSERT INTO `image_styles` VALUES (1,'slideshow','slideshow'),(2,'small','small');
/*!40000 ALTER TABLE `image_styles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES ('en','English','English',0,1,0,'','','',0,'');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
INSERT INTO `locales_source` VALUES (1,'misc/drupal.js','default','An AJAX HTTP error occurred.','','none'),(2,'misc/drupal.js','default','HTTP Result Code: !status','','none'),(3,'misc/drupal.js','default','An AJAX HTTP request terminated abnormally.','','none'),(4,'misc/drupal.js','default','Debugging information follows.','','none'),(5,'misc/drupal.js','default','Path: !uri','','none'),(6,'misc/drupal.js','default','StatusText: !statusText','','none'),(7,'misc/drupal.js','default','ResponseText: !responseText','','none'),(8,'misc/drupal.js','default','ReadyState: !readyState','','none'),(9,'modules/overlay/overlay-child.js','default','Loading','','none'),(10,'modules/overlay/overlay-child.js; misc/vertical-tabs.js','default','(active tab)','','none'),(11,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Resume','','none'),(12,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Pause','','none'),(13,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','There was no action specified.','','none'),(14,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','This slideshow is forced paused.','','none'),(15,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid integer was specified for slideNum.','','none'),(16,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid action \"!action\" was specified.','','none'),(17,'misc/collapse.js','default','Hide','','none'),(18,'misc/collapse.js','default','Show','','none'),(19,'misc/tableselect.js','default','Select all rows in this table','','none'),(20,'misc/tableselect.js','default','Deselect all rows in this table','','none'),(21,'modules/user/user.permissions.js','default','This permission is inherited from the authenticated user role.','','none'),(22,'modules/overlay/overlay-parent.js; sites/all/modules/jquery_update/replace/misc/1.9/overlay-parent.js','default','@title dialog','','none'),(23,'modules/contextual/contextual.js','default','Configure','','none'),(24,'modules/toolbar/toolbar.js','default','Show shortcuts','','none'),(25,'modules/toolbar/toolbar.js','default','Hide shortcuts','','none'),(26,'misc/tabledrag.js','default','Re-order rows by numerical weight instead of dragging.','','none'),(27,'misc/tabledrag.js','default','Show row weights','','none'),(28,'misc/tabledrag.js','default','Hide row weights','','none'),(29,'misc/tabledrag.js','default','Drag to re-order','','none'),(30,'misc/tabledrag.js','default','Changes made in this table will not be saved until the form is submitted.','','none'),(31,'misc/machine-name.js','default','Edit','','none'),(32,'sites/all/modules/pathauto/pathauto.js','default','Automatic alias','','none'),(33,'sites/all/modules/pathauto/pathauto.js','default','Alias: @alias','','none'),(34,'sites/all/modules/pathauto/pathauto.js','default','No alias','','none'),(35,'misc/ajax.js','default','Please wait...','','none'),(36,'modules/file/file.js','default','The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','none'),(37,'sites/all/modules/token/token.js','default','Insert this token into your form','','none'),(38,'sites/all/modules/token/token.js','default','First click a text field to insert your tokens into.','','none'),(39,'modules/field/modules/text/text.js','default','Hide summary','','none'),(40,'modules/field/modules/text/text.js','default','Edit summary','','none'),(41,'misc/autocomplete.js','default','Autocomplete popup','','none'),(42,'misc/autocomplete.js','default','Searching for matches...','','none'),(43,'modules/menu/menu.js','default','Not in menu','','none'),(44,'modules/node/node.js','default','New revision','','none'),(45,'modules/node/node.js','default','No revision','','none'),(46,'modules/node/node.js','default','By @name on @date','','none'),(47,'modules/node/node.js','default','By @name','','none'),(48,'modules/node/node.js','default','Not published','','none'),(49,'modules/comment/comment-node-form.js','default','@number comments per page','','none'),(50,'modules/block/block.js','default','Not restricted','','none'),(51,'modules/block/block.js','default','Restricted to certain pages','','none'),(52,'modules/block/block.js','default','Not customizable','','none'),(53,'modules/block/block.js','default','The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.','','none'),(54,'modules/block/block.js','default','The block cannot be placed in this region.','','none'),(55,'sites/all/modules/views/js/views-admin.js','default','Remove group','','none'),(56,'sites/all/modules/views/js/views-admin.js','default','Apply (all displays)','','none'),(57,'sites/all/modules/views/js/views-admin.js','default','Revert to default','','none'),(58,'sites/all/modules/views/js/views-admin.js','default','Apply (this display)','','none'),(59,'sites/all/themes/nucleus/nucleus/js/nucleus.js','default','Are you sure you want to reset your theme settings to default theme settings?','','none'),(60,'sites/all/themes/nucleus/nucleus/js/nucleus.js','default','columns','','none'),(61,'sites/all/themes/nucleus/nucleus/js/nucleus.js','default','column','','none'),(62,'sites/all/themes/nucleus/nucleus/js/nucleus.js','default','Pixels','','none'),(63,'sites/all/themes/nucleus/nucleus/js/nucleus.js','default','Custom','','none');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_custom`
--

DROP TABLE IF EXISTS `menu_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_custom`
--

LOCK TABLES `menu_custom` WRITE;
/*!40000 ALTER TABLE `menu_custom` DISABLE KEYS */;
INSERT INTO `menu_custom` VALUES ('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),('management','Management','The <em>Management</em> menu contains links for administrative tasks.'),('menu-footer-menu','Footer Menu','Additional Menu for Footer'),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),('user-menu','User menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.');
/*!40000 ALTER TABLE `menu_custom` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_links`
--

DROP TABLE IF EXISTS `menu_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=750 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_links`
--

LOCK TABLES `menu_links` WRITE;
/*!40000 ALTER TABLE `menu_links` DISABLE KEYS */;
INSERT INTO `menu_links` VALUES ('management',1,0,'admin','admin','Administration','a:0:{}','system',0,0,1,0,9,1,0,1,0,0,0,0,0,0,0,0,0),('user-menu',2,0,'user','user','User account','a:1:{s:5:\"alter\";b:1;}','system',0,0,0,0,-10,1,0,2,0,0,0,0,0,0,0,0,0),('navigation',3,0,'comment/%','comment/%','Comment permalink','a:0:{}','system',0,0,1,0,0,1,0,3,0,0,0,0,0,0,0,0,0),('navigation',4,0,'filter/tips','filter/tips','Compose tips','a:0:{}','system',1,0,0,0,-47,1,1,4,0,0,0,0,0,0,0,0,0),('navigation',5,0,'node/%','node/%','','a:0:{}','system',0,0,0,0,0,1,0,5,0,0,0,0,0,0,0,0,0),('navigation',6,0,'node/add','node/add','Add content','a:0:{}','system',0,0,1,0,-50,1,1,6,0,0,0,0,0,0,0,0,0),('management',7,1,'admin/appearance','admin/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Select and configure your themes.\";}}','system',0,0,0,0,-6,2,0,1,7,0,0,0,0,0,0,0,0),('management',8,1,'admin/config','admin/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Administer settings.\";}}','system',0,0,1,0,0,2,0,1,8,0,0,0,0,0,0,0,0),('management',9,1,'admin/content','admin/content','Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer content and comments.\";}}','system',0,0,1,0,-10,2,0,1,9,0,0,0,0,0,0,0,0),('user-menu',10,2,'user/register','user/register','Create new account','a:0:{}','system',-1,0,0,0,0,2,0,2,10,0,0,0,0,0,0,0,0),('management',11,1,'admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View and customize your dashboard.\";}}','system',0,0,0,0,-15,2,0,1,11,0,0,0,0,0,0,0,0),('management',12,1,'admin/help','admin/help','Help','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Reference for usage, configuration, and modules.\";}}','system',0,0,0,0,9,2,0,1,12,0,0,0,0,0,0,0,0),('management',13,1,'admin/index','admin/index','Index','a:0:{}','system',-1,0,0,0,-18,2,0,1,13,0,0,0,0,0,0,0,0),('user-menu',14,2,'user/login','user/login','Log in','a:0:{}','system',-1,0,0,0,0,2,0,2,14,0,0,0,0,0,0,0,0),('user-menu',15,0,'user/logout','user/logout','Log out','a:0:{}','system',0,0,0,0,10,1,0,15,0,0,0,0,0,0,0,0,0),('management',16,1,'admin/modules','admin/modules','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Extend site functionality.\";}}','system',0,0,0,0,-2,2,0,1,16,0,0,0,0,0,0,0,0),('navigation',17,0,'user/%','user/%','My account','a:0:{}','system',0,0,1,0,0,1,0,17,0,0,0,0,0,0,0,0,0),('management',18,1,'admin/people','admin/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage user accounts, roles, and permissions.\";}}','system',0,0,0,0,-4,2,0,1,18,0,0,0,0,0,0,0,0),('management',19,1,'admin/reports','admin/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View reports, updates, and errors.\";}}','system',0,0,1,0,5,2,0,1,19,0,0,0,0,0,0,0,0),('user-menu',20,2,'user/password','user/password','Request new password','a:0:{}','system',-1,0,0,0,0,2,0,2,20,0,0,0,0,0,0,0,0),('management',21,1,'admin/structure','admin/structure','Structure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Administer blocks, content types, menus, etc.\";}}','system',0,0,1,0,-8,2,0,1,21,0,0,0,0,0,0,0,0),('management',22,1,'admin/tasks','admin/tasks','Tasks','a:0:{}','system',-1,0,0,0,-20,2,0,1,22,0,0,0,0,0,0,0,0),('navigation',23,0,'comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system',0,0,0,0,0,1,0,23,0,0,0,0,0,0,0,0,0),('navigation',24,3,'comment/%/approve','comment/%/approve','Approve','a:0:{}','system',0,0,0,0,1,2,0,3,24,0,0,0,0,0,0,0,0),('navigation',25,3,'comment/%/delete','comment/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,3,25,0,0,0,0,0,0,0,0),('navigation',26,3,'comment/%/edit','comment/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,3,26,0,0,0,0,0,0,0,0),('navigation',27,0,'taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system',0,0,0,0,0,1,0,27,0,0,0,0,0,0,0,0,0),('navigation',28,3,'comment/%/view','comment/%/view','View comment','a:0:{}','system',-1,0,0,0,-10,2,0,3,28,0,0,0,0,0,0,0,0),('management',29,18,'admin/people/create','admin/people/create','Add user','a:0:{}','system',-1,0,0,0,0,3,0,1,18,29,0,0,0,0,0,0,0),('management',30,21,'admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";}}','system',0,0,1,0,0,3,0,1,21,30,0,0,0,0,0,0,0),('navigation',31,17,'user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system',0,0,1,0,0,2,0,17,31,0,0,0,0,0,0,0,0),('management',32,9,'admin/content/comment','admin/content/comment','Comments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"List and edit site comments and the comment approval queue.\";}}','system',0,0,0,0,0,3,0,1,9,32,0,0,0,0,0,0,0),('management',33,11,'admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure which blocks can be shown on the dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,33,0,0,0,0,0,0,0),('management',34,9,'admin/content/node','admin/content/node','Content','a:0:{}','system',-1,0,0,0,-10,3,0,1,9,34,0,0,0,0,0,0,0),('management',35,8,'admin/config/content','admin/config/content','Content authoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Settings related to formatting and authoring content.\";}}','system',0,0,1,0,-15,3,0,1,8,35,0,0,0,0,0,0,0),('management',36,21,'admin/structure/types','admin/structure/types','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Manage content types, including default status, front page promotion, comment settings, etc.\";}}','system',0,0,1,0,0,3,0,1,21,36,0,0,0,0,0,0,0),('management',37,11,'admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Customize your dashboard.\";}}','system',-1,0,0,0,0,3,0,1,11,37,0,0,0,0,0,0,0),('navigation',38,5,'node/%/delete','node/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,2,0,5,38,0,0,0,0,0,0,0,0),('management',39,8,'admin/config/development','admin/config/development','Development','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Development tools.\";}}','system',0,0,1,0,-10,3,0,1,8,39,0,0,0,0,0,0,0),('navigation',40,17,'user/%/edit','user/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,17,40,0,0,0,0,0,0,0,0),('navigation',41,5,'node/%/edit','node/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,5,41,0,0,0,0,0,0,0,0),('management',42,19,'admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of fields on all entity types.\";}}','system',0,0,0,0,0,3,0,1,19,42,0,0,0,0,0,0,0),('management',43,16,'admin/modules/list','admin/modules/list','List','a:0:{}','system',-1,0,0,0,0,3,0,1,16,43,0,0,0,0,0,0,0),('management',44,18,'admin/people/people','admin/people/people','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Find and manage people interacting with your site.\";}}','system',-1,0,0,0,-10,3,0,1,18,44,0,0,0,0,0,0,0),('management',45,7,'admin/appearance/list','admin/appearance/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Select and configure your theme\";}}','system',-1,0,0,0,-1,3,0,1,7,45,0,0,0,0,0,0,0),('management',46,8,'admin/config/media','admin/config/media','Media','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Media tools.\";}}','system',0,0,1,0,-10,3,0,1,8,46,0,0,0,0,0,0,0),('management',47,21,'admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:86:\"Add new menus to your site, edit existing menus, and rename and reorganize menu links.\";}}','system',0,0,1,0,0,3,0,1,21,47,0,0,0,0,0,0,0),('management',48,8,'admin/config/people','admin/config/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Configure user accounts.\";}}','system',0,0,1,0,-20,3,0,1,8,48,0,0,0,0,0,0,0),('management',49,18,'admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,0,3,0,1,18,49,0,0,0,0,0,0,0),('management',50,19,'admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View events that have recently been logged.\";}}','system',0,0,0,0,-1,3,0,1,19,50,0,0,0,0,0,0,0),('management',51,8,'admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Regional settings, localization and translation.\";}}','system',0,0,1,0,-5,3,0,1,8,51,0,0,0,0,0,0,0),('navigation',52,5,'node/%/revisions','node/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,2,2,0,5,52,0,0,0,0,0,0,0,0),('management',53,8,'admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Local site search, metadata and SEO.\";}}','system',0,0,1,0,-10,3,0,1,8,53,0,0,0,0,0,0,0),('management',54,7,'admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure default and theme specific settings.\";}}','system',-1,0,0,0,20,3,0,1,7,54,0,0,0,0,0,0,0),('management',55,19,'admin/reports/status','admin/reports/status','Status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site\'s operation and any detected problems.\";}}','system',0,0,0,0,-60,3,0,1,19,55,0,0,0,0,0,0,0),('management',56,8,'admin/config/system','admin/config/system','System','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"General system related configuration.\";}}','system',0,0,1,0,-20,3,0,1,8,56,0,0,0,0,0,0,0),('management',57,21,'admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,1,21,57,0,0,0,0,0,0,0),('management',58,19,'admin/reports/access-denied','admin/reports/access-denied','Top \'access denied\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View \'access denied\' errors (403s).\";}}','system',0,0,0,0,0,3,0,1,19,58,0,0,0,0,0,0,0),('management',59,19,'admin/reports/page-not-found','admin/reports/page-not-found','Top \'page not found\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View \'page not found\' errors (404s).\";}}','system',0,0,0,0,0,3,0,1,19,59,0,0,0,0,0,0,0),('management',60,16,'admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system',-1,0,0,0,20,3,0,1,16,60,0,0,0,0,0,0,0),('management',61,8,'admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Tools that enhance the user interface.\";}}','system',0,0,1,0,-15,3,0,1,8,61,0,0,0,0,0,0,0),('navigation',62,5,'node/%/view','node/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,5,62,0,0,0,0,0,0,0,0),('navigation',63,17,'user/%/view','user/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,17,63,0,0,0,0,0,0,0,0),('management',64,8,'admin/config/services','admin/config/services','Web services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Tools related to web services.\";}}','system',0,0,1,0,0,3,0,1,8,64,0,0,0,0,0,0,0),('management',65,8,'admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Content workflow, editorial workflow tools.\";}}','system',0,0,0,0,5,3,0,1,8,65,0,0,0,0,0,0,0),('management',66,12,'admin/help/block','admin/help/block','block','a:0:{}','system',-1,0,0,0,0,3,0,1,12,66,0,0,0,0,0,0,0),('management',67,12,'admin/help/color','admin/help/color','color','a:0:{}','system',-1,0,0,0,0,3,0,1,12,67,0,0,0,0,0,0,0),('management',68,12,'admin/help/comment','admin/help/comment','comment','a:0:{}','system',-1,0,0,0,0,3,0,1,12,68,0,0,0,0,0,0,0),('management',69,12,'admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system',-1,0,0,0,0,3,0,1,12,69,0,0,0,0,0,0,0),('management',70,12,'admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system',-1,0,0,0,0,3,0,1,12,70,0,0,0,0,0,0,0),('management',71,12,'admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system',-1,0,0,0,0,3,0,1,12,71,0,0,0,0,0,0,0),('management',72,12,'admin/help/field','admin/help/field','field','a:0:{}','system',-1,0,0,0,0,3,0,1,12,72,0,0,0,0,0,0,0),('management',73,12,'admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system',-1,0,0,0,0,3,0,1,12,73,0,0,0,0,0,0,0),('management',74,12,'admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,12,74,0,0,0,0,0,0,0),('management',75,12,'admin/help/file','admin/help/file','file','a:0:{}','system',-1,0,0,0,0,3,0,1,12,75,0,0,0,0,0,0,0),('management',76,12,'admin/help/filter','admin/help/filter','filter','a:0:{}','system',-1,0,0,0,0,3,0,1,12,76,0,0,0,0,0,0,0),('management',77,12,'admin/help/help','admin/help/help','help','a:0:{}','system',-1,0,0,0,0,3,0,1,12,77,0,0,0,0,0,0,0),('management',78,12,'admin/help/image','admin/help/image','image','a:0:{}','system',-1,0,0,0,0,3,0,1,12,78,0,0,0,0,0,0,0),('management',79,12,'admin/help/list','admin/help/list','list','a:0:{}','system',-1,0,0,0,0,3,0,1,12,79,0,0,0,0,0,0,0),('management',80,12,'admin/help/menu','admin/help/menu','menu','a:0:{}','system',-1,0,0,0,0,3,0,1,12,80,0,0,0,0,0,0,0),('management',81,12,'admin/help/node','admin/help/node','node','a:0:{}','system',-1,0,0,0,0,3,0,1,12,81,0,0,0,0,0,0,0),('management',82,12,'admin/help/options','admin/help/options','options','a:0:{}','system',-1,0,0,0,0,3,0,1,12,82,0,0,0,0,0,0,0),('management',83,12,'admin/help/system','admin/help/system','system','a:0:{}','system',-1,0,0,0,0,3,0,1,12,83,0,0,0,0,0,0,0),('management',84,12,'admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,1,12,84,0,0,0,0,0,0,0),('management',85,12,'admin/help/text','admin/help/text','text','a:0:{}','system',-1,0,0,0,0,3,0,1,12,85,0,0,0,0,0,0,0),('management',86,12,'admin/help/user','admin/help/user','user','a:0:{}','system',-1,0,0,0,0,3,0,1,12,86,0,0,0,0,0,0,0),('navigation',87,27,'taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,2,0,27,87,0,0,0,0,0,0,0,0),('navigation',88,27,'taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,27,88,0,0,0,0,0,0,0,0),('management',89,48,'admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:109:\"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.\";}}','system',0,0,0,0,-10,4,0,1,8,48,89,0,0,0,0,0,0),('management',90,56,'admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',0,0,1,0,0,4,0,1,8,56,90,0,0,0,0,0,0),('management',91,30,'admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,91,0,0,0,0,0,0),('management',92,36,'admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system',-1,0,0,0,0,4,0,1,21,36,92,0,0,0,0,0,0),('management',93,47,'admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system',-1,0,0,0,0,4,0,1,21,47,93,0,0,0,0,0,0),('management',94,57,'admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system',-1,0,0,0,0,4,0,1,21,57,94,0,0,0,0,0,0),('management',95,54,'admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,95,0,0,0,0,0,0),('management',96,54,'admin/appearance/settings/block_test_theme','admin/appearance/settings/block_test_theme','Block test theme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,96,0,0,0,0,0,0),('management',97,53,'admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Enable or disable clean URLs for your site.\";}}','system',0,0,0,0,5,4,0,1,8,53,97,0,0,0,0,0,0),('management',98,56,'admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Manage automatic site maintenance tasks.\";}}','system',0,0,0,0,20,4,0,1,8,56,98,0,0,0,0,0,0),('management',99,51,'admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',0,0,0,0,-15,4,0,1,8,51,99,0,0,0,0,0,0),('management',100,19,'admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system',0,0,0,0,0,3,0,1,19,100,0,0,0,0,0,0,0),('management',101,46,'admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Tell Drupal where to store uploaded files and how they are accessed.\";}}','system',0,0,0,0,-10,4,0,1,8,46,101,0,0,0,0,0,0),('management',102,54,'admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,102,0,0,0,0,0,0),('management',103,54,'admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system',-1,0,0,0,-1,4,0,1,7,54,103,0,0,0,0,0,0),('management',104,48,'admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Manage blocked IP addresses.\";}}','system',0,0,1,0,10,4,0,1,8,48,104,0,0,0,0,0,0),('management',105,46,'admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";}}','system',0,0,1,0,0,4,0,1,8,46,105,0,0,0,0,0,0),('management',106,46,'admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";}}','system',0,0,0,0,20,4,0,1,8,46,106,0,0,0,0,0,0),('management',107,36,'admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,21,36,107,0,0,0,0,0,0),('management',108,43,'admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system',-1,0,0,0,0,4,0,1,16,43,108,0,0,0,0,0,0),('management',109,57,'admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,21,57,109,0,0,0,0,0,0),('management',110,47,'admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,21,47,110,0,0,0,0,0,0),('management',111,39,'admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:154:\"Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.\";}}','system',0,0,0,0,-15,4,0,1,8,39,111,0,0,0,0,0,0),('management',112,39,'admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Take the site offline for maintenance or bring it back online.\";}}','system',0,0,0,0,-10,4,0,1,8,39,112,0,0,0,0,0,0),('management',113,39,'admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.\";}}','system',0,0,0,0,-20,4,0,1,8,39,113,0,0,0,0,0,0),('management',114,54,'admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,114,0,0,0,0,0,0),('management',115,54,'admin/appearance/settings/tb_simply','admin/appearance/settings/tb_simply','Tb Simply','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,115,0,0,0,0,0,0),('management',116,54,'admin/appearance/settings/test_theme','admin/appearance/settings/test_theme','Test theme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,116,0,0,0,0,0,0),('management',117,32,'admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system',-1,0,0,0,0,4,0,1,9,32,117,0,0,0,0,0,0),('management',118,60,'admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system',-1,0,0,0,0,4,0,1,16,60,118,0,0,0,0,0,0),('management',119,54,'admin/appearance/settings/update_test_subtheme','admin/appearance/settings/update_test_subtheme','Update test subtheme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,119,0,0,0,0,0,0),('management',120,54,'admin/appearance/settings/nucleus','admin/appearance/settings/nucleus','nucleus','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,120,0,0,0,0,0,0),('management',121,54,'admin/appearance/settings/nucleus_starter','admin/appearance/settings/nucleus_starter','nucleus_starter','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,121,0,0,0,0,0,0),('management',122,57,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system',0,0,0,0,0,4,0,1,21,57,122,0,0,0,0,0,0),('management',123,49,'admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,-8,4,0,1,18,49,123,0,0,0,0,0,0),('management',124,32,'admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system',-1,0,0,0,-10,4,0,1,9,32,124,0,0,0,0,0,0),('management',125,64,'admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:114:\"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.\";}}','system',0,0,0,0,0,4,0,1,8,64,125,0,0,0,0,0,0),('management',126,51,'admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Settings for the site\'s default time zone and country.\";}}','system',0,0,0,0,-20,4,0,1,8,51,126,0,0,0,0,0,0),('management',127,49,'admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"List, edit, or add user roles.\";}}','system',-1,0,1,0,-5,4,0,1,18,49,127,0,0,0,0,0,0),('management',128,47,'admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,21,47,128,0,0,0,0,0,0),('management',129,54,'admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,129,0,0,0,0,0,0),('management',130,56,'admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:104:\"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.\";}}','system',0,0,0,0,-20,4,0,1,8,56,130,0,0,0,0,0,0),('management',131,35,'admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:127:\"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.\";}}','system',0,0,1,0,0,4,0,1,8,35,131,0,0,0,0,0,0),('management',132,54,'admin/appearance/settings/update_test_basetheme','admin/appearance/settings/update_test_basetheme','Update test base theme','a:0:{}','system',-1,0,0,0,0,4,0,1,7,54,132,0,0,0,0,0,0),('navigation',133,40,'user/%/edit/account','user/%/edit/account','Account','a:0:{}','system',-1,0,0,0,0,3,0,17,40,133,0,0,0,0,0,0,0),('management',134,131,'admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system',0,0,1,0,0,5,0,1,8,35,131,134,0,0,0,0,0),('management',135,105,'admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Add a new image style.\";}}','system',-1,0,0,0,2,5,0,1,8,46,105,135,0,0,0,0,0),('management',136,122,'admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system',-1,0,0,0,0,5,0,1,21,57,122,136,0,0,0,0,0),('management',137,131,'admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system',-1,0,0,0,1,5,0,1,8,35,131,137,0,0,0,0,0),('management',138,30,'admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,138,0,0,0,0,0,0),('management',139,30,'admin/structure/block/list/block_test_theme','admin/structure/block/list/block_test_theme','Block test theme','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,139,0,0,0,0,0,0),('management',140,90,'admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system',-1,0,0,0,0,5,0,1,8,56,90,140,0,0,0,0,0),('management',141,47,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system',0,0,1,0,0,4,0,1,21,47,141,0,0,0,0,0,0),('management',142,122,'admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,21,57,122,142,0,0,0,0,0),('management',143,36,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system',0,0,1,0,0,4,0,1,21,36,143,0,0,0,0,0,0),('management',144,99,'admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Configure display format strings for date and time.\";}}','system',-1,0,1,0,-9,5,0,1,8,51,99,144,0,0,0,0,0),('management',145,30,'admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,145,0,0,0,0,0,0),('management',146,131,'admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,35,131,146,0,0,0,0,0),('management',147,122,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,1,21,57,122,147,0,0,0,0,0),('management',148,105,'admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"List the current image styles on the site.\";}}','system',-1,0,0,0,1,5,0,1,8,46,105,148,0,0,0,0,0),('management',149,90,'admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',-1,0,0,0,-2,5,0,1,8,56,90,149,0,0,0,0,0),('management',150,89,'admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,48,89,150,0,0,0,0,0),('management',151,30,'admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,151,0,0,0,0,0,0),('management',152,30,'admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,152,0,0,0,0,0,0),('management',153,30,'admin/structure/block/list/tb_simply','admin/structure/block/list/tb_simply','Tb Simply','a:0:{}','system',-1,0,0,0,-10,4,0,1,21,30,153,0,0,0,0,0,0),('management',154,30,'admin/structure/block/list/test_theme','admin/structure/block/list/test_theme','Test theme','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,154,0,0,0,0,0,0),('management',155,99,'admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',-1,0,1,0,-10,5,0,1,8,51,99,155,0,0,0,0,0),('management',156,30,'admin/structure/block/list/update_test_basetheme','admin/structure/block/list/update_test_basetheme','Update test base theme','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,156,0,0,0,0,0,0),('management',157,30,'admin/structure/block/list/update_test_subtheme','admin/structure/block/list/update_test_subtheme','Update test subtheme','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,157,0,0,0,0,0,0),('management',158,30,'admin/structure/block/list/nucleus','admin/structure/block/list/nucleus','nucleus','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,158,0,0,0,0,0,0),('management',159,30,'admin/structure/block/list/nucleus_starter','admin/structure/block/list/nucleus_starter','nucleus_starter','a:0:{}','system',-1,0,0,0,0,4,0,1,21,30,159,0,0,0,0,0,0),('navigation',160,52,'node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,52,160,0,0,0,0,0,0,0),('navigation',161,52,'node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system',0,0,0,0,0,3,0,5,52,161,0,0,0,0,0,0,0),('navigation',162,52,'node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system',0,0,0,0,0,3,0,5,52,162,0,0,0,0,0,0,0),('management',163,139,'admin/structure/block/list/block_test_theme/add','admin/structure/block/list/block_test_theme/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,139,163,0,0,0,0,0),('management',164,145,'admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,145,164,0,0,0,0,0),('management',165,158,'admin/structure/block/list/nucleus/add','admin/structure/block/list/nucleus/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,158,165,0,0,0,0,0),('management',166,159,'admin/structure/block/list/nucleus_starter/add','admin/structure/block/list/nucleus_starter/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,159,166,0,0,0,0,0),('management',167,151,'admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,151,167,0,0,0,0,0),('management',168,152,'admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,152,168,0,0,0,0,0),('management',170,154,'admin/structure/block/list/test_theme/add','admin/structure/block/list/test_theme/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,154,170,0,0,0,0,0),('management',171,156,'admin/structure/block/list/update_test_basetheme/add','admin/structure/block/list/update_test_basetheme/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,156,171,0,0,0,0,0),('management',172,157,'admin/structure/block/list/update_test_subtheme/add','admin/structure/block/list/update_test_subtheme/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,157,172,0,0,0,0,0),('management',173,155,'admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Add new date type.\";}}','system',-1,0,0,0,-10,6,0,1,8,51,99,155,173,0,0,0,0),('management',174,144,'admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Allow users to add additional date formats.\";}}','system',-1,0,0,0,-10,6,0,1,8,51,99,144,174,0,0,0,0),('management',175,141,'admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system',-1,0,0,0,0,5,0,1,21,47,141,175,0,0,0,0,0),('management',176,30,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system',0,0,0,0,0,4,0,1,21,30,176,0,0,0,0,0,0),('navigation',177,31,'user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system',0,0,0,0,0,3,0,17,31,177,0,0,0,0,0,0,0),('management',178,143,'admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,21,36,143,178,0,0,0,0,0),('management',179,104,'admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system',0,0,0,0,0,5,0,1,8,48,104,179,0,0,0,0,0),('management',180,90,'admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Delete an action.\";}}','system',0,0,0,0,0,5,0,1,8,56,90,180,0,0,0,0,0),('management',181,141,'admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system',0,0,0,0,0,5,0,1,21,47,141,181,0,0,0,0,0),('management',182,47,'admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system',0,0,0,0,0,4,0,1,21,47,182,0,0,0,0,0,0),('management',183,127,'admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system',0,0,0,0,0,5,0,1,18,49,127,183,0,0,0,0,0),('management',184,134,'admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system',0,0,0,0,0,6,0,1,8,35,131,134,184,0,0,0,0),('management',185,143,'admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,21,36,143,185,0,0,0,0,0),('management',186,141,'admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system',-1,0,0,0,0,5,0,1,21,47,141,186,0,0,0,0,0),('management',187,47,'admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system',0,0,0,0,0,4,0,1,21,47,187,0,0,0,0,0,0),('management',188,127,'admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system',0,0,0,0,0,5,0,1,18,49,127,188,0,0,0,0,0),('management',189,105,'admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure an image style.\";}}','system',0,0,1,0,0,5,0,1,8,46,105,189,0,0,0,0,0),('management',190,141,'admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system',-1,0,0,0,-10,5,0,1,21,47,141,190,0,0,0,0,0),('management',191,47,'admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system',0,0,0,0,0,4,0,1,21,47,191,0,0,0,0,0,0),('management',192,105,'admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Delete an image style.\";}}','system',0,0,0,0,0,5,0,1,8,46,105,192,0,0,0,0,0),('management',193,105,'admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Revert an image style.\";}}','system',0,0,0,0,0,5,0,1,8,46,105,193,0,0,0,0,0),('management',194,143,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system',-1,0,0,0,4,5,0,1,21,36,143,194,0,0,0,0,0),('management',195,143,'admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system',-1,0,1,0,3,5,0,1,21,36,143,195,0,0,0,0,0),('management',196,176,'admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,176,196,0,0,0,0,0),('management',197,176,'admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,176,197,0,0,0,0,0),('management',198,144,'admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Allow users to delete a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,51,99,144,198,0,0,0,0),('management',199,155,'admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to delete a configured date type.\";}}','system',0,0,0,0,0,6,0,1,8,51,99,155,199,0,0,0,0),('management',200,144,'admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to edit a configured date format.\";}}','system',0,0,0,0,0,6,0,1,8,51,99,144,200,0,0,0,0),('management',201,189,'admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Add a new effect to a style.\";}}','system',0,0,0,0,0,6,0,1,8,46,105,189,201,0,0,0,0),('management',202,189,'admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Edit an existing effect within a style.\";}}','system',0,0,1,0,0,6,0,1,8,46,105,189,202,0,0,0,0),('management',203,202,'admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Delete an existing effect from a style.\";}}','system',0,0,0,0,0,7,0,1,8,46,105,189,202,203,0,0,0),('management',204,47,'admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu',0,0,0,0,0,4,0,1,21,47,204,0,0,0,0,0,0),('management',205,47,'admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu',0,0,0,0,0,4,0,1,21,47,205,0,0,0,0,0,0),('management',206,47,'admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu',0,0,0,0,0,4,0,1,21,47,206,0,0,0,0,0,0),('management',207,47,'admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu',0,0,0,0,0,4,0,1,21,47,207,0,0,0,0,0,0),('navigation',208,0,'search','search','Search','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-49,1,1,208,0,0,0,0,0,0,0,0,0),('navigation',209,208,'search/node','search/node','Content','a:0:{}','system',-1,0,0,0,-10,2,0,208,209,0,0,0,0,0,0,0,0),('navigation',210,208,'search/user','search/user','Users','a:0:{}','system',-1,0,0,0,0,2,0,208,210,0,0,0,0,0,0,0,0),('navigation',211,209,'search/node/%','search/node/%','Content','a:0:{}','system',-1,0,0,0,0,3,0,208,209,211,0,0,0,0,0,0,0),('navigation',212,17,'user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system',-1,0,0,0,0,2,0,17,212,0,0,0,0,0,0,0,0),('management',213,19,'admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"View most popular search phrases.\";}}','system',0,0,0,0,0,3,0,1,19,213,0,0,0,0,0,0,0),('navigation',214,210,'search/user/%','search/user/%','Users','a:0:{}','system',-1,0,0,0,0,3,0,208,210,214,0,0,0,0,0,0,0),('management',215,12,'admin/help/number','admin/help/number','number','a:0:{}','system',-1,0,0,0,0,3,0,1,12,215,0,0,0,0,0,0,0),('management',216,12,'admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system',-1,0,0,0,0,3,0,1,12,216,0,0,0,0,0,0,0),('management',217,12,'admin/help/path','admin/help/path','path','a:0:{}','system',-1,0,0,0,0,3,0,1,12,217,0,0,0,0,0,0,0),('management',219,12,'admin/help/search','admin/help/search','search','a:0:{}','system',-1,0,0,0,0,3,0,1,12,219,0,0,0,0,0,0,0),('management',220,12,'admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system',-1,0,0,0,0,3,0,1,12,220,0,0,0,0,0,0,0),('management',221,53,'admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Configure relevance settings for search and other indexing options.\";}}','system',0,0,0,0,-10,4,0,1,8,53,221,0,0,0,0,0,0),('management',222,61,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Add and modify shortcut sets.\";}}','system',0,0,1,0,0,4,0,1,8,61,222,0,0,0,0,0,0),('management',223,53,'admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site\'s URL paths by aliasing them.\";}}','system',0,0,1,0,-5,4,0,1,8,53,223,0,0,0,0,0,0),('management',224,223,'admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system',-1,0,0,0,0,5,0,1,8,53,223,224,0,0,0,0,0),('management',225,222,'admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system',-1,0,0,0,0,5,0,1,8,61,222,225,0,0,0,0,0),('management',226,221,'admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system',-1,0,0,0,0,5,0,1,8,53,221,226,0,0,0,0,0),('management',227,222,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system',0,0,1,0,0,5,0,1,8,61,222,227,0,0,0,0,0),('management',228,223,'admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,53,223,228,0,0,0,0,0),('management',229,227,'admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system',-1,0,0,0,0,6,0,1,8,61,222,227,229,0,0,0,0),('management',230,223,'admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,53,223,230,0,0,0,0,0),('management',231,227,'admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system',0,0,0,0,0,6,0,1,8,61,222,227,231,0,0,0,0),('management',232,223,'admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system',0,0,0,0,0,5,0,1,8,53,223,232,0,0,0,0,0),('management',233,227,'admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system',-1,0,0,0,10,6,0,1,8,61,222,227,233,0,0,0,0),('management',234,222,'admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system',0,0,1,0,0,5,0,1,8,61,222,234,0,0,0,0,0),('management',235,227,'admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system',-1,0,0,0,0,6,0,1,8,61,222,227,235,0,0,0,0),('management',236,234,'admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system',0,0,0,0,0,6,0,1,8,61,222,234,236,0,0,0,0),('shortcut-set-1',237,0,'node/add','node/add','Add content','a:0:{}','menu',0,0,0,0,-50,1,0,237,0,0,0,0,0,0,0,0,0),('shortcut-set-1',238,0,'admin/content','admin/content','Find content','a:0:{}','menu',0,0,0,0,-49,1,0,238,0,0,0,0,0,0,0,0,0),('main-menu',239,0,'<front>','','Home','a:0:{}','menu',0,1,0,0,-50,1,1,239,0,0,0,0,0,0,0,0,0),('navigation',240,6,'node/add/article','node/add/article','Article','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";}}','system',0,0,0,0,0,2,0,6,240,0,0,0,0,0,0,0,0),('navigation',241,6,'node/add/page','node/add/page','Basic page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";}}','system',0,0,0,0,0,2,0,6,241,0,0,0,0,0,0,0,0),('management',242,12,'admin/help/toolbar','admin/help/toolbar','toolbar','a:0:{}','system',-1,0,0,0,0,3,0,1,12,242,0,0,0,0,0,0,0),('management',281,19,'admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:82:\"Get a status report about available updates for your installed modules and themes.\";}}','system',0,0,0,0,-50,3,0,1,19,281,0,0,0,0,0,0,0),('management',282,16,'admin/modules/install','admin/modules/install','Install new module','a:0:{}','system',-1,0,0,0,25,3,0,1,16,282,0,0,0,0,0,0,0),('management',283,7,'admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system',-1,0,0,0,25,3,0,1,7,283,0,0,0,0,0,0,0),('management',284,16,'admin/modules/update','admin/modules/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,16,284,0,0,0,0,0,0,0),('management',285,7,'admin/appearance/update','admin/appearance/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,7,285,0,0,0,0,0,0,0),('management',286,12,'admin/help/update','admin/help/update','update','a:0:{}','system',-1,0,0,0,0,3,0,1,12,286,0,0,0,0,0,0,0),('management',287,281,'admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system',-1,0,0,0,0,4,0,1,19,281,287,0,0,0,0,0,0),('management',288,281,'admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system',-1,0,0,0,50,4,0,1,19,281,288,0,0,0,0,0,0),('management',289,281,'admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system',-1,0,0,0,25,4,0,1,19,281,289,0,0,0,0,0,0),('management',290,281,'admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system',-1,0,0,0,10,4,0,1,19,281,290,0,0,0,0,0,0),('management',329,138,'admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,21,30,138,329,0,0,0,0,0),('main-menu',331,478,'blog','blog','Blogs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-50,2,1,478,331,0,0,0,0,0,0,0,0),('main-menu',332,0,'contact','contact','Contact','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-45,1,1,332,0,0,0,0,0,0,0,0,0),('main-menu',333,478,'aggregator','aggregator','Feed aggregator','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,1,0,-48,2,1,478,333,0,0,0,0,0,0,0,0),('main-menu',334,0,'forum','forum','Forums','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,1,0,-47,1,1,334,0,0,0,0,0,0,0,0,0),('main-menu',335,478,'poll','poll','Polls','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-49,2,1,478,335,0,0,0,0,0,0,0,0),('navigation',336,0,'tracker','tracker','Recent content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,1,0,-48,1,1,336,0,0,0,0,0,0,0,0,0),('navigation',337,336,'tracker/all','tracker/all','All recent content','a:0:{}','system',-1,0,0,0,0,2,0,336,337,0,0,0,0,0,0,0,0),('main-menu',338,333,'aggregator/categories','aggregator/categories','Categories','a:0:{}','system',0,0,1,0,0,3,0,478,333,338,0,0,0,0,0,0,0),('main-menu',339,334,'forum/%','forum/%','Forums','a:0:{}','system',0,0,0,0,0,2,0,334,339,0,0,0,0,0,0,0,0),('main-menu',340,331,'blog/%','blog/%','My blog','a:0:{}','system',1,0,0,0,0,3,1,478,331,340,0,0,0,0,0,0,0),('navigation',341,336,'tracker/%','tracker/%','My recent content','a:0:{}','system',-1,0,0,0,0,2,0,336,341,0,0,0,0,0,0,0,0),('main-menu',342,333,'aggregator/sources','aggregator/sources','Sources','a:0:{}','system',0,0,1,0,0,3,0,478,333,342,0,0,0,0,0,0,0),('main-menu',343,338,'aggregator/categories/%','aggregator/categories/%','','a:0:{}','system',0,0,0,0,0,4,0,478,333,338,343,0,0,0,0,0,0),('main-menu',344,342,'aggregator/sources/%','aggregator/sources/%','','a:0:{}','system',0,0,0,0,0,4,0,478,333,342,344,0,0,0,0,0,0),('navigation',345,6,'node/add/blog','node/add/blog','Blog entry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Use for multi-user blogs. Every user gets a personal blog.\";}}','system',0,0,0,0,0,2,0,6,345,0,0,0,0,0,0,0,0),('navigation',346,17,'user/%/contact','user/%/contact','Contact','a:0:{}','system',-1,0,0,0,2,2,0,17,346,0,0,0,0,0,0,0,0),('management',347,21,'admin/structure/contact','admin/structure/contact','Contact form','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:71:\"Create a system contact form and set up categories for the form to use.\";}}','system',0,0,1,0,0,3,0,1,21,347,0,0,0,0,0,0,0),('navigation',349,6,'node/add/forum','node/add/forum','Forum topic','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:69:\"A <em>forum topic</em> starts a new discussion thread within a forum.\";}}','system',0,0,0,0,0,2,0,6,349,0,0,0,0,0,0,0,0),('management',350,21,'admin/structure/forum','admin/structure/forum','Forums','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Control forum hierarchy settings.\";}}','system',0,0,1,0,0,3,0,1,21,350,0,0,0,0,0,0,0),('navigation',351,17,'user/%/openid','user/%/openid','OpenID identities','a:0:{}','system',-1,0,1,0,0,2,0,17,351,0,0,0,0,0,0,0,0),('navigation',352,6,'node/add/poll','node/add/poll','Poll','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:191:\"A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.\";}}','system',0,0,0,0,0,2,0,6,352,0,0,0,0,0,0,0,0),('management',353,21,'admin/structure/quicktabs','admin/structure/quicktabs','Quicktabs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Create blocks of tabbed content.\";}}','system',0,0,1,0,0,3,0,1,21,353,0,0,0,0,0,0,0),('management',354,19,'admin/reports/hits','admin/reports/hits','Recent hits','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View pages that have recently been visited.\";}}','system',0,0,0,0,0,3,0,1,19,354,0,0,0,0,0,0,0),('navigation',355,5,'node/%/results','node/%/results','Results','a:0:{}','system',-1,0,0,0,3,2,0,5,355,0,0,0,0,0,0,0,0),('management',356,19,'admin/reports/pages','admin/reports/pages','Top pages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"View pages that have been hit frequently.\";}}','system',0,0,0,0,1,3,0,1,19,356,0,0,0,0,0,0,0),('management',357,19,'admin/reports/referrers','admin/reports/referrers','Top referrers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:19:\"View top referrers.\";}}','system',0,0,0,0,0,3,0,1,19,357,0,0,0,0,0,0,0),('management',358,19,'admin/reports/visitors','admin/reports/visitors','Top visitors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View visitors that hit many pages.\";}}','system',0,0,0,0,2,3,0,1,19,358,0,0,0,0,0,0,0),('navigation',359,5,'node/%/track','node/%/track','Track','a:0:{}','system',-1,0,0,0,2,2,0,5,359,0,0,0,0,0,0,0,0),('navigation',360,17,'user/%/track','user/%/track','Track','a:0:{}','system',-1,0,0,0,0,2,0,17,360,0,0,0,0,0,0,0,0),('navigation',361,5,'node/%/translate','node/%/translate','Translate','a:0:{}','system',-1,0,0,0,2,2,0,5,361,0,0,0,0,0,0,0,0),('management',362,21,'admin/structure/trigger','admin/structure/trigger','Triggers','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Configure when to execute actions.\";}}','system',0,0,0,0,0,3,0,1,21,362,0,0,0,0,0,0,0),('management',363,21,'admin/structure/views','admin/structure/views','Views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage customized lists of content.\";}}','system',0,0,1,0,0,3,0,1,21,363,0,0,0,0,0,0,0),('navigation',364,5,'node/%/votes','node/%/votes','Votes','a:0:{}','system',-1,0,0,0,3,2,0,5,364,0,0,0,0,0,0,0,0),('management',365,12,'admin/help/aggregator','admin/help/aggregator','aggregator','a:0:{}','system',-1,0,0,0,0,3,0,1,12,365,0,0,0,0,0,0,0),('management',366,12,'admin/help/blog','admin/help/blog','blog','a:0:{}','system',-1,0,0,0,0,3,0,1,12,366,0,0,0,0,0,0,0),('management',367,12,'admin/help/contact','admin/help/contact','contact','a:0:{}','system',-1,0,0,0,0,3,0,1,12,367,0,0,0,0,0,0,0),('management',368,12,'admin/help/forum','admin/help/forum','forum','a:0:{}','system',-1,0,0,0,0,3,0,1,12,368,0,0,0,0,0,0,0),('management',369,12,'admin/help/locale','admin/help/locale','locale','a:0:{}','system',-1,0,0,0,0,3,0,1,12,369,0,0,0,0,0,0,0),('management',370,12,'admin/help/openid','admin/help/openid','openid','a:0:{}','system',-1,0,0,0,0,3,0,1,12,370,0,0,0,0,0,0,0),('management',371,12,'admin/help/pathauto','admin/help/pathauto','pathauto','a:0:{}','system',-1,0,0,0,0,3,0,1,12,371,0,0,0,0,0,0,0),('management',372,12,'admin/help/php','admin/help/php','php','a:0:{}','system',-1,0,0,0,0,3,0,1,12,372,0,0,0,0,0,0,0),('management',373,12,'admin/help/poll','admin/help/poll','poll','a:0:{}','system',-1,0,0,0,0,3,0,1,12,373,0,0,0,0,0,0,0),('management',374,12,'admin/help/quicktabs','admin/help/quicktabs','quicktabs','a:0:{}','system',-1,0,0,0,0,3,0,1,12,374,0,0,0,0,0,0,0),('management',375,12,'admin/help/statistics','admin/help/statistics','statistics','a:0:{}','system',-1,0,0,0,0,3,0,1,12,375,0,0,0,0,0,0,0),('management',376,12,'admin/help/superfish','admin/help/superfish','superfish','a:0:{}','system',-1,0,0,0,0,3,0,1,12,376,0,0,0,0,0,0,0),('management',377,12,'admin/help/syslog','admin/help/syslog','syslog','a:0:{}','system',-1,0,0,0,0,3,0,1,12,377,0,0,0,0,0,0,0),('management',378,12,'admin/help/token','admin/help/token','token','a:0:{}','system',-1,0,0,0,0,3,0,1,12,378,0,0,0,0,0,0,0),('management',379,12,'admin/help/tracker','admin/help/tracker','tracker','a:0:{}','system',-1,0,0,0,0,3,0,1,12,379,0,0,0,0,0,0,0),('management',380,12,'admin/help/translation','admin/help/translation','translation','a:0:{}','system',-1,0,0,0,0,3,0,1,12,380,0,0,0,0,0,0,0),('management',381,12,'admin/help/trigger','admin/help/trigger','trigger','a:0:{}','system',-1,0,0,0,0,3,0,1,12,381,0,0,0,0,0,0,0),('management',382,12,'admin/help/views_slideshow','admin/help/views_slideshow','views_slideshow','a:0:{}','system',-1,0,0,0,0,3,0,1,12,382,0,0,0,0,0,0,0),('management',383,12,'admin/help/views_slideshow_cycle','admin/help/views_slideshow_cycle','views_slideshow_cycle','a:0:{}','system',-1,0,0,0,0,3,0,1,12,383,0,0,0,0,0,0,0),('management',384,12,'admin/help/wysiwyg','admin/help/wysiwyg','wysiwyg','a:0:{}','system',-1,0,0,0,0,3,0,1,12,384,0,0,0,0,0,0,0),('main-menu',385,343,'aggregator/categories/%/categorize','aggregator/categories/%/categorize','Categorize','a:0:{}','system',-1,0,0,0,0,5,0,478,333,338,343,385,0,0,0,0,0),('main-menu',386,344,'aggregator/sources/%/categorize','aggregator/sources/%/categorize','Categorize','a:0:{}','system',-1,0,0,0,0,5,0,478,333,342,344,386,0,0,0,0,0),('main-menu',387,343,'aggregator/categories/%/configure','aggregator/categories/%/configure','Configure','a:0:{}','system',-1,0,0,0,1,5,0,478,333,338,343,387,0,0,0,0,0),('main-menu',388,344,'aggregator/sources/%/configure','aggregator/sources/%/configure','Configure','a:0:{}','system',-1,0,0,0,1,5,0,478,333,342,344,388,0,0,0,0,0),('main-menu',389,343,'aggregator/categories/%/view','aggregator/categories/%/view','View','a:0:{}','system',-1,0,0,0,-10,5,0,478,333,338,343,389,0,0,0,0,0),('main-menu',390,344,'aggregator/sources/%/view','aggregator/sources/%/view','View','a:0:{}','system',-1,0,0,0,-10,5,0,478,333,342,344,390,0,0,0,0,0),('management',391,353,'admin/structure/quicktabs/add','admin/structure/quicktabs/add','Add Quicktabs Instance','a:0:{}','system',-1,0,0,0,0,4,0,1,21,353,391,0,0,0,0,0,0),('management',392,347,'admin/structure/contact/add','admin/structure/contact/add','Add category','a:0:{}','system',-1,0,0,0,1,4,0,1,21,347,392,0,0,0,0,0,0),('management',393,363,'admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system',-1,0,0,0,0,4,0,1,21,363,393,0,0,0,0,0,0),('management',394,363,'admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system',-1,0,0,0,0,4,0,1,21,363,394,0,0,0,0,0,0),('management',395,362,'admin/structure/trigger/comment','admin/structure/trigger/comment','Comment','a:0:{}','system',-1,0,0,0,0,4,0,1,21,362,395,0,0,0,0,0,0),('navigation',396,351,'user/%/openid/delete','user/%/openid/delete','Delete OpenID','a:0:{}','system',0,0,0,0,0,3,0,17,351,396,0,0,0,0,0,0,0),('management',397,19,'admin/reports/access/%','admin/reports/access/%','Details','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:16:\"View access log.\";}}','system',0,0,0,0,0,3,0,1,19,397,0,0,0,0,0,0,0),('management',398,64,'admin/config/services/aggregator','admin/config/services/aggregator','Feed aggregator','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:116:\"Configure which content your site aggregates from other sites, how often it polls them, and how they\'re categorized.\";}}','system',0,0,1,0,10,4,0,1,8,64,398,0,0,0,0,0,0),('management',399,363,'admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,21,363,399,0,0,0,0,0,0),('management',400,51,'admin/config/regional/language','admin/config/regional/language','Languages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure languages for content and the user interface.\";}}','system',0,0,1,0,-10,4,0,1,8,51,400,0,0,0,0,0,0),('management',401,350,'admin/structure/forum/list','admin/structure/forum/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,21,350,401,0,0,0,0,0,0),('management',402,363,'admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,21,363,402,0,0,0,0,0,0),('management',403,353,'admin/structure/quicktabs/list','admin/structure/quicktabs/list','List quicktabs','a:0:{}','system',-1,0,0,0,0,4,0,1,21,353,403,0,0,0,0,0,0),('management',404,362,'admin/structure/trigger/node','admin/structure/trigger/node','Node','a:0:{}','system',-1,0,0,0,0,4,0,1,21,362,404,0,0,0,0,0,0),('management',405,363,'admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system',-1,0,0,0,0,4,0,1,21,363,405,0,0,0,0,0,0),('management',406,56,'admin/config/system/statistics','admin/config/system/statistics','Statistics','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Control details about what and how your site logs access statistics.\";}}','system',0,0,0,0,-15,4,0,1,8,56,406,0,0,0,0,0,0),('management',407,353,'admin/structure/quicktabs/styles','admin/structure/quicktabs/styles','Styles','a:0:{}','system',-1,0,0,0,0,4,0,1,21,353,407,0,0,0,0,0,0),('management',408,61,'admin/config/user-interface/superfish','admin/config/user-interface/superfish','Superfish','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure Superfish Menus\";}}','system',0,0,0,0,0,4,0,1,8,61,408,0,0,0,0,0,0),('management',409,362,'admin/structure/trigger/system','admin/structure/trigger/system','System','a:0:{}','system',-1,0,0,0,0,4,0,1,21,362,409,0,0,0,0,0,0),('management',410,362,'admin/structure/trigger/taxonomy','admin/structure/trigger/taxonomy','Taxonomy','a:0:{}','system',-1,0,0,0,0,4,0,1,21,362,410,0,0,0,0,0,0),('navigation',411,360,'user/%/track/content','user/%/track/content','Track content','a:0:{}','system',-1,0,0,0,0,3,0,17,360,411,0,0,0,0,0,0,0),('navigation',412,360,'user/%/track/navigation','user/%/track/navigation','Track page visits','a:0:{}','system',-1,0,0,0,2,3,0,17,360,412,0,0,0,0,0,0,0),('management',413,51,'admin/config/regional/translate','admin/config/regional/translate','Translate interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Translate the built in interface and optionally other text.\";}}','system',0,0,1,0,-5,4,0,1,8,51,413,0,0,0,0,0,0),('management',414,362,'admin/structure/trigger/unassign','admin/structure/trigger/unassign','Unassign','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"Unassign an action from a trigger.\";}}','system',-1,0,0,0,0,4,0,1,21,362,414,0,0,0,0,0,0),('management',415,362,'admin/structure/trigger/user','admin/structure/trigger/user','User','a:0:{}','system',-1,0,0,0,0,4,0,1,21,362,415,0,0,0,0,0,0),('management',416,35,'admin/config/content/wysiwyg','admin/config/content/wysiwyg','Wysiwyg profiles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Configure client-side editors.\";}}','system',0,0,0,0,0,4,0,1,8,35,416,0,0,0,0,0,0),('management',417,350,'admin/structure/forum/settings','admin/structure/forum/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,21,350,417,0,0,0,0,0,0),('management',418,400,'admin/config/regional/language/add','admin/config/regional/language/add','Add language','a:0:{}','system',-1,0,0,0,5,5,0,1,8,51,400,418,0,0,0,0,0),('management',419,405,'admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,1,5,0,1,21,363,405,419,0,0,0,0,0),('management',420,405,'admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system',-1,0,0,0,0,5,0,1,21,363,405,420,0,0,0,0,0),('management',421,223,'admin/config/search/path/update_bulk','admin/config/search/path/update_bulk','Bulk update','a:0:{}','system',-1,0,0,0,30,5,0,1,8,53,223,421,0,0,0,0,0),('management',422,223,'admin/config/search/path/delete_bulk','admin/config/search/path/delete_bulk','Delete aliases','a:0:{}','system',-1,0,0,0,40,5,0,1,8,53,223,422,0,0,0,0,0),('management',423,347,'admin/structure/contact/delete/%','admin/structure/contact/delete/%','Delete contact','a:0:{}','system',0,0,0,0,0,4,0,1,21,347,423,0,0,0,0,0,0),('management',424,400,'admin/config/regional/language/configure','admin/config/regional/language/configure','Detection and selection','a:0:{}','system',-1,0,0,0,10,5,0,1,8,51,400,424,0,0,0,0,0),('management',425,347,'admin/structure/contact/edit/%','admin/structure/contact/edit/%','Edit contact category','a:0:{}','system',0,0,0,0,0,4,0,1,21,347,425,0,0,0,0,0,0),('management',426,353,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','a:0:{}','system',0,0,0,0,0,4,0,1,21,353,426,0,0,0,0,0,0),('management',427,413,'admin/config/regional/translate/export','admin/config/regional/translate/export','Export','a:0:{}','system',-1,0,0,0,30,5,0,1,8,51,413,427,0,0,0,0,0),('management',428,413,'admin/config/regional/translate/import','admin/config/regional/translate/import','Import','a:0:{}','system',-1,0,0,0,20,5,0,1,8,51,413,428,0,0,0,0,0),('management',429,398,'admin/config/services/aggregator/list','admin/config/services/aggregator/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,8,64,398,429,0,0,0,0,0),('management',430,400,'admin/config/regional/language/overview','admin/config/regional/language/overview','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,400,430,0,0,0,0,0),('management',431,416,'admin/config/content/wysiwyg/profile','admin/config/content/wysiwyg/profile','List','a:0:{}','system',-1,0,0,0,0,5,0,1,8,35,416,431,0,0,0,0,0),('management',432,99,'admin/config/regional/date-time/locale','admin/config/regional/date-time/locale','Localize','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',-1,0,1,0,-8,5,0,1,8,51,99,432,0,0,0,0,0),('management',433,413,'admin/config/regional/translate/overview','admin/config/regional/translate/overview','Overview','a:0:{}','system',-1,0,0,0,0,5,0,1,8,51,413,433,0,0,0,0,0),('management',434,223,'admin/config/search/path/patterns','admin/config/search/path/patterns','Patterns','a:0:{}','system',-1,0,0,0,10,5,0,1,8,53,223,434,0,0,0,0,0),('management',435,398,'admin/config/services/aggregator/settings','admin/config/services/aggregator/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:129:\"Configure the behavior of the feed aggregator, including when to discard feed items and how to present feed items and categories.\";}}','system',-1,0,0,0,0,5,0,1,8,64,398,435,0,0,0,0,0),('management',436,223,'admin/config/search/path/settings','admin/config/search/path/settings','Settings','a:0:{}','system',-1,0,0,0,20,5,0,1,8,53,223,436,0,0,0,0,0),('management',437,413,'admin/config/regional/translate/translate','admin/config/regional/translate/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,8,51,413,437,0,0,0,0,0),('management',438,363,'admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system',0,0,0,0,0,4,0,1,21,363,438,0,0,0,0,0,0),('management',439,350,'admin/structure/forum/add/container','admin/structure/forum/add/container','Add container','a:0:{}','system',-1,0,0,0,0,4,0,1,21,350,439,0,0,0,0,0,0),('management',440,350,'admin/structure/forum/add/forum','admin/structure/forum/add/forum','Add forum','a:0:{}','system',-1,0,0,0,0,4,0,1,21,350,440,0,0,0,0,0,0),('management',441,398,'admin/config/services/aggregator/add/category','admin/config/services/aggregator/add/category','Add category','a:0:{}','system',-1,0,0,0,0,5,0,1,8,64,398,441,0,0,0,0,0),('management',442,398,'admin/config/services/aggregator/add/feed','admin/config/services/aggregator/add/feed','Add feed','a:0:{}','system',-1,0,0,0,0,5,0,1,8,64,398,442,0,0,0,0,0),('management',443,438,'admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system',-1,0,0,0,0,5,0,1,21,363,438,443,0,0,0,0,0),('management',444,426,'admin/structure/quicktabs/manage/%/clone','admin/structure/quicktabs/manage/%/clone','Clone quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,21,353,426,444,0,0,0,0,0),('management',445,400,'admin/config/regional/language/delete/%','admin/config/regional/language/delete/%','Confirm','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,400,445,0,0,0,0,0),('management',446,426,'admin/structure/quicktabs/manage/%/delete','admin/structure/quicktabs/manage/%/delete','Delete quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,21,353,426,446,0,0,0,0,0),('management',447,413,'admin/config/regional/translate/delete/%','admin/config/regional/translate/delete/%','Delete string','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,413,447,0,0,0,0,0),('management',448,350,'admin/structure/forum/edit/container/%','admin/structure/forum/edit/container/%','Edit container','a:0:{}','system',0,0,0,0,0,4,0,1,21,350,448,0,0,0,0,0,0),('management',449,350,'admin/structure/forum/edit/forum/%','admin/structure/forum/edit/forum/%','Edit forum','a:0:{}','system',0,0,0,0,0,4,0,1,21,350,449,0,0,0,0,0,0),('management',450,400,'admin/config/regional/language/edit/%','admin/config/regional/language/edit/%','Edit language','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,400,450,0,0,0,0,0),('management',451,426,'admin/structure/quicktabs/manage/%/edit','admin/structure/quicktabs/manage/%/edit','Edit quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,21,353,426,451,0,0,0,0,0),('management',452,413,'admin/config/regional/translate/edit/%','admin/config/regional/translate/edit/%','Edit string','a:0:{}','system',0,0,0,0,0,5,0,1,8,51,413,452,0,0,0,0,0),('management',453,438,'admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system',-1,0,0,0,-10,5,0,1,21,363,438,453,0,0,0,0,0),('management',454,426,'admin/structure/quicktabs/manage/%/export','admin/structure/quicktabs/manage/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,21,353,426,454,0,0,0,0,0),('management',455,398,'admin/config/services/aggregator/add/opml','admin/config/services/aggregator/add/opml','Import OPML','a:0:{}','system',-1,0,0,0,0,5,0,1,8,64,398,455,0,0,0,0,0),('management',456,398,'admin/config/services/aggregator/remove/%','admin/config/services/aggregator/remove/%','Remove items','a:0:{}','system',0,0,0,0,0,5,0,1,8,64,398,456,0,0,0,0,0),('management',457,424,'admin/config/regional/language/configure/session','admin/config/regional/language/configure/session','Session language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,51,400,424,457,0,0,0,0),('management',460,424,'admin/config/regional/language/configure/url','admin/config/regional/language/configure/url','URL language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,8,51,400,424,460,0,0,0,0),('management',461,398,'admin/config/services/aggregator/update/%','admin/config/services/aggregator/update/%','Update items','a:0:{}','system',0,0,0,0,0,5,0,1,8,64,398,461,0,0,0,0,0),('management',462,438,'admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system',-1,0,0,0,0,5,0,1,21,363,438,462,0,0,0,0,0),('management',463,438,'admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,5,0,1,21,363,438,463,0,0,0,0,0),('management',464,438,'admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,21,363,438,464,0,0,0,0,0),('management',465,438,'admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system',-1,0,0,0,0,5,0,1,21,363,438,465,0,0,0,0,0),('management',466,398,'admin/config/services/aggregator/edit/category/%','admin/config/services/aggregator/edit/category/%','Edit category','a:0:{}','system',0,0,0,0,0,5,0,1,8,64,398,466,0,0,0,0,0),('management',467,398,'admin/config/services/aggregator/edit/feed/%','admin/config/services/aggregator/edit/feed/%','Edit feed','a:0:{}','system',0,0,0,0,0,5,0,1,8,64,398,467,0,0,0,0,0),('management',468,432,'admin/config/regional/date-time/locale/%/edit','admin/config/regional/date-time/locale/%/edit','Localize date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',0,0,0,0,0,6,0,1,8,51,99,432,468,0,0,0,0),('management',469,432,'admin/config/regional/date-time/locale/%/reset','admin/config/regional/date-time/locale/%/reset','Reset date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Reset localized date formats to global defaults\";}}','system',0,0,0,0,0,6,0,1,8,51,99,432,469,0,0,0,0),('management',470,438,'admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system',-1,0,0,0,0,5,0,1,21,363,438,470,0,0,0,0,0),('management',471,363,'admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,21,363,471,0,0,0,0,0,0),('management',473,363,'admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,21,363,473,0,0,0,0,0,0),('management',474,431,'admin/config/content/wysiwyg/profile/%/edit','admin/config/content/wysiwyg/profile/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,6,0,1,8,35,416,431,474,0,0,0,0),('management',475,431,'admin/config/content/wysiwyg/profile/%/delete','admin/config/content/wysiwyg/profile/%/delete','Remove','a:0:{}','system',-1,0,0,0,10,6,0,1,8,35,416,431,475,0,0,0,0),('main-menu',477,0,'node/9','node/%','About Drupal','a:0:{}','menu',0,0,0,0,-46,1,1,477,0,0,0,0,0,0,0,0,0),('main-menu',478,0,'articles','articles','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,1,0,-49,1,1,478,0,0,0,0,0,0,0,0,0),('management',479,47,'admin/structure/menu/manage/menu-footer-menu','admin/structure/menu/manage/%','Footer Menu','a:0:{}','menu',0,0,0,0,0,4,0,1,21,47,479,0,0,0,0,0,0),('menu-footer-menu',480,0,'<front>','','Home','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,1,0,0,-50,1,1,480,0,0,0,0,0,0,0,0,0),('menu-footer-menu',481,0,'node/9','node/%','About Drupal','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,481,0,0,0,0,0,0,0,0,0),('menu-footer-menu',482,0,'contact','contact','Contact Us','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-47,1,1,482,0,0,0,0,0,0,0,0,0),('menu-footer-menu',483,0,'articles','articles','Articles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-48,1,1,483,0,0,0,0,0,0,0,0,0),('shortcut-set-1',484,0,'admin/structure/block','admin/structure/block','Blocks','a:0:{}','menu',0,0,0,0,-48,1,0,484,0,0,0,0,0,0,0,0,0),('shortcut-set-1',485,0,'admin/structure/types','admin/structure/types','Content types','a:0:{}','menu',0,0,0,0,-47,1,0,485,0,0,0,0,0,0,0,0,0),('shortcut-set-1',486,0,'admin/structure/views','admin/structure/views','Views','a:0:{}','menu',0,0,0,0,-46,1,0,486,0,0,0,0,0,0,0,0,0),('shortcut-set-1',487,0,'admin/config/development/performance','admin/config/development/performance','Performance','a:0:{}','menu',0,0,0,0,-45,1,0,487,0,0,0,0,0,0,0,0,0),('management',572,19,'admin/reports/views-plugins','admin/reports/views-plugins','Views plugins','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of plugins used in all views.\";}}','system',0,0,0,0,0,3,0,1,19,572,0,0,0,0,0,0,0),('management',573,42,'admin/reports/fields/list','admin/reports/fields/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,19,42,573,0,0,0,0,0,0),('management',574,42,'admin/reports/fields/views-fields','admin/reports/fields/views-fields','Used in views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Overview of fields used in all views.\";}}','system',-1,0,0,0,0,4,0,1,19,42,574,0,0,0,0,0,0),('management',617,21,'admin/structure/tb-megamenu','admin/structure/tb-megamenu','TB Mega Menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"TB Mega Menu\";}}','system',0,0,0,0,0,3,0,1,21,617,0,0,0,0,0,0,0),('management',618,12,'admin/help/fontawesome','admin/help/fontawesome','fontawesome','a:0:{}','system',-1,0,0,0,0,3,0,1,12,618,0,0,0,0,0,0,0),('management',620,61,'admin/config/user-interface/chosen','admin/config/user-interface/chosen','Chosen','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Configuration for Chosen plugin\";}}','system',0,0,0,0,0,4,0,1,8,61,620,0,0,0,0,0,0),('management',621,617,'admin/structure/tb-megamenu/request','admin/structure/tb-megamenu/request','Request','a:0:{}','system',1,0,0,0,0,4,0,1,21,617,621,0,0,0,0,0,0),('management',665,617,'admin/structure/tb-megamenu/%/config','admin/structure/tb-megamenu/%/config','Config TB Mega Menu','a:0:{}','system',-1,0,0,0,-10,4,0,1,21,617,665,0,0,0,0,0,0),('management',708,122,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,21,57,122,708,0,0,0,0,0),('management',709,89,'admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,8,48,89,709,0,0,0,0,0),('management',710,122,'admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,21,57,122,710,0,0,0,0,0),('management',711,89,'admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,8,48,89,711,0,0,0,0,0),('management',712,708,'admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,21,57,122,708,712,0,0,0,0),('management',713,709,'admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,8,48,89,709,713,0,0,0,0),('management',714,143,'admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,21,36,143,714,0,0,0,0,0),('management',715,143,'admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,21,36,143,715,0,0,0,0,0),('management',716,708,'admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system',-1,0,0,0,0,6,0,1,21,57,122,708,716,0,0,0,0),('management',717,708,'admin/structure/taxonomy/%/display/token','admin/structure/taxonomy/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,21,57,122,708,717,0,0,0,0),('management',718,709,'admin/config/people/accounts/display/token','admin/config/people/accounts/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,8,48,89,709,718,0,0,0,0),('management',719,709,'admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system',-1,0,0,0,0,6,0,1,8,48,89,709,719,0,0,0,0),('management',720,710,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,21,57,122,710,720,0,0,0,0),('management',721,711,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,8,48,89,711,721,0,0,0,0),('management',722,714,'admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,21,36,143,714,722,0,0,0,0),('management',723,714,'admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,21,36,143,714,723,0,0,0,0),('management',724,714,'admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system',-1,0,0,0,2,6,0,1,21,36,143,714,724,0,0,0,0),('management',725,714,'admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system',-1,0,0,0,3,6,0,1,21,36,143,714,725,0,0,0,0),('management',726,714,'admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result highlighting input','a:0:{}','system',-1,0,0,0,4,6,0,1,21,36,143,714,726,0,0,0,0),('management',727,714,'admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system',-1,0,0,0,1,6,0,1,21,36,143,714,727,0,0,0,0),('management',728,714,'admin/structure/types/manage/%/display/token','admin/structure/types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,5,6,0,1,21,36,143,714,728,0,0,0,0),('management',729,715,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,21,36,143,715,729,0,0,0,0),('management',730,720,'admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,21,57,122,710,720,730,0,0,0),('management',731,720,'admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,21,57,122,710,720,731,0,0,0),('management',732,720,'admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,21,57,122,710,720,732,0,0,0),('management',733,720,'admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,21,57,122,710,720,733,0,0,0),('management',734,721,'admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,8,48,89,711,721,734,0,0,0),('management',735,721,'admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,8,48,89,711,721,735,0,0,0),('management',736,721,'admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,8,48,89,711,721,736,0,0,0),('management',737,721,'admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,8,48,89,711,721,737,0,0,0),('management',738,194,'admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,21,36,143,194,738,0,0,0,0),('management',739,194,'admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system',-1,0,0,0,0,6,0,1,21,36,143,194,739,0,0,0,0),('management',740,194,'admin/structure/types/manage/%/comment/display/token','admin/structure/types/manage/%/comment/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,21,36,143,194,740,0,0,0,0),('management',741,195,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,21,36,143,195,741,0,0,0,0),('management',742,729,'admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,21,36,143,715,729,742,0,0,0),('management',743,729,'admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,21,36,143,715,729,743,0,0,0),('management',744,729,'admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,21,36,143,715,729,744,0,0,0),('management',745,729,'admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,21,36,143,715,729,745,0,0,0),('management',746,741,'admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,21,36,143,195,741,746,0,0,0),('management',747,741,'admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,21,36,143,195,741,747,0,0,0),('management',748,741,'admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,21,36,143,195,741,748,0,0,0),('management',749,741,'admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,21,36,143,195,741,749,0,0,0);
/*!40000 ALTER TABLE `menu_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_router`
--

DROP TABLE IF EXISTS `menu_router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_router`
--

LOCK TABLES `menu_router` WRITE;
/*!40000 ALTER TABLE `menu_router` DISABLE KEYS */;
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',1,1,0,'','admin','Administration','t','','','a:0:{}',6,'','',9,'modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',3,2,0,'','admin/appearance','Appearance','t','','','a:0:{}',6,'Select and configure your themes.','left',-6,'modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_default','a:0:{}','',7,3,0,'','admin/appearance/default','Set default theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_disable','a:0:{}','',7,3,0,'','admin/appearance/disable','Disable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_enable','a:0:{}','',7,3,0,'','admin/appearance/enable','Enable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',7,3,1,'admin/appearance','admin/appearance','List','t','','','a:0:{}',140,'Select and configure your theme','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',7,3,1,'admin/appearance','admin/appearance','Settings','t','','','a:0:{}',132,'Configure default and theme specific settings.','',20,'modules/system/system.admin.inc'),('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"bartik\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/block_test_theme','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":11:{s:8:\"filename\";s:51:\"themes/tests/block_test_theme/block_test_theme.info\";s:4:\"name\";s:16:\"block_test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:16:\"Block test theme\";s:11:\"description\";s:34:\"Theme for testing the block system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"regions\";a:10:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:4:{i:0;s:13:\"sidebar_first\";i:1;s:14:\"sidebar_second\";i:2;s:8:\"page_top\";i:3;s:11:\"page_bottom\";}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:44:\"themes/tests/block_test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:16:\"block_test_theme\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Block test theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"garland\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}',140,'','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings/nucleus','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":14:{s:8:\"filename\";s:45:\"sites/all/themes/nucleus/nucleus/nucleus.info\";s:4:\"name\";s:7:\"nucleus\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:7:\"nucleus\";s:11:\"description\";s:21:\"Base theme for Drupal\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"screenshot\";s:47:\"sites/all/themes/nucleus/nucleus/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:23:\"stylesheets-conditional\";a:2:{s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"regions\";a:18:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:11:\"highlighted\";s:11:\"Highlighted\";s:9:\"slideshow\";s:9:\"Slideshow\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:25:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";s:15:\"show_skins_menu\";s:1:\"1\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:15:\"supported_grids\";a:6:{i:12;s:10:\"12 columns\";i:16;s:10:\"16 columns\";i:24;s:10:\"24 columns\";s:3:\"min\";s:1:\"2\";s:3:\"max\";s:3:\"100\";s:5:\"delta\";s:1:\"2\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572596;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:2:{s:15:\"nucleus_starter\";s:15:\"nucleus_starter\";s:9:\"tb_simply\";s:9:\"Tb Simply\";}s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"nucleus\";}','',15,4,1,'admin/appearance/settings','admin/appearance','nucleus','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/nucleus_starter','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":14:{s:8:\"filename\";s:61:\"sites/all/themes/nucleus/nucleus_starter/nucleus_starter.info\";s:4:\"name\";s:15:\"nucleus_starter\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:15:\"nucleus_starter\";s:11:\"description\";s:37:\"Starter theme for nucleus base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:55:\"sites/all/themes/nucleus/nucleus_starter/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:7:\"regions\";a:22:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"panel_second_1\";s:21:\"Panel second column 1\";s:14:\"panel_second_2\";s:21:\"Panel second column 2\";s:14:\"panel_second_3\";s:21:\"Panel second column 3\";s:14:\"panel_second_4\";s:21:\"Panel second column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:24:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:16:\"superfish_styles\";a:1:{s:7:\"starter\";s:27:\"Starter Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:7:\"starter\";s:27:\"Starter style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572597;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:7:\"nucleus\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:15:\"nucleus_starter\";}','',15,4,1,'admin/appearance/settings','admin/appearance','nucleus_starter','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"seven\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"stark\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/tb_simply','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":15:{s:8:\"filename\";s:41:\"sites/all/themes/tb_simply/tb_simply.info\";s:4:\"name\";s:9:\"tb_simply\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:23:{s:4:\"name\";s:9:\"Tb Simply\";s:11:\"description\";s:299:\"TB Simply is a light weight Drupal theme that is based on <a href=\"http://themebrain.com/about-nucleus\">Nucleus</a> and shows a slick styling of some basic Drupal content types such as blog, poll, forum and a contact form. Requires <a href=\"http://drupal.org/project/nucleus\">Nucleus</a> base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:41:\"sites/all/themes/tb_simply/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:23:\"stylesheets-conditional\";a:3:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}s:4:\"IE 9\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:7:\"regions\";a:19:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:7:\"feature\";s:7:\"Feature\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:38:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:17:\"layout_debug_grid\";s:1:\"0\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"7\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:9:\"base_font\";s:4:\"bf-a\";s:14:\"site_name_font\";s:0:\"\";s:16:\"site_slogan_font\";s:0:\"\";s:15:\"page_title_font\";s:0:\"\";s:15:\"node_title_font\";s:0:\"\";s:18:\"comment_title_font\";s:0:\"\";s:16:\"block_title_font\";s:0:\"\";s:9:\"font_size\";s:9:\"fs-medium\";s:22:\"load_extra_typo_styles\";s:1:\"1\";s:24:\"superfish_extend_style_1\";s:6:\"simply\";s:32:\"quicktabs_extend_style_quicktabs\";s:6:\"simply\";s:27:\"default_region_footer_style\";s:3:\"raw\";s:27:\"default_region_header_style\";s:3:\"raw\";s:30:\"default_region_slideshow_style\";s:3:\"raw\";s:11:\"toggle_logo\";s:1:\"0\";s:11:\"toggle_name\";s:1:\"1\";s:13:\"toggle_slogan\";s:1:\"1\";s:24:\"toggle_node_user_picture\";s:1:\"1\";s:27:\"toggle_comment_user_picture\";s:1:\"1\";s:32:\"toggle_comment_user_verification\";s:1:\"1\";s:14:\"toggle_favicon\";s:1:\"1\";s:21:\"toggle_secondary_menu\";s:1:\"1\";s:12:\"default_logo\";s:1:\"1\";s:15:\"default_favicon\";s:1:\"1\";s:9:\"logo_path\";s:0:\"\";s:12:\"favicon_path\";s:0:\"\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:12:\"block_styles\";a:3:{s:3:\"raw\";s:3:\"Raw\";s:7:\"rounded\";s:7:\"Rounded\";s:5:\"xhtml\";s:5:\"XHTML\";}s:20:\"block_extend_classes\";a:8:{s:9:\"badge-hot\";s:9:\"Badge Hot\";s:9:\"badge-new\";s:9:\"Badge New\";s:10:\"badge-pick\";s:10:\"Badge Pick\";s:9:\"badge-top\";s:9:\"Badge Top\";s:10:\"blue-color\";s:10:\"Blue Color\";s:11:\"white-color\";s:11:\"White Color\";s:12:\"yellow-color\";s:12:\"Yellow Color\";s:10:\"no-padding\";s:10:\"No Padding\";}s:16:\"superfish_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572603;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:7:\"nucleus\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:9:\"tb_simply\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Tb Simply','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/test_theme','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:39:\"themes/tests/test_theme/test_theme.info\";s:4:\"name\";s:10:\"test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:10:\"Test theme\";s:11:\"description\";s:34:\"Theme for testing the theme system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:38:\"themes/tests/test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"test_theme\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Test theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/update_test_basetheme','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:61:\"themes/tests/update_test_basetheme/update_test_basetheme.info\";s:4:\"name\";s:21:\"update_test_basetheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:22:\"Update test base theme\";s:11:\"description\";s:63:\"Test theme which acts as a base theme for other test subthemes.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:49:\"themes/tests/update_test_basetheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:1:{s:20:\"update_test_subtheme\";s:20:\"Update test subtheme\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:21:\"update_test_basetheme\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Update test base theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/update_test_subtheme','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:59:\"themes/tests/update_test_subtheme/update_test_subtheme.info\";s:4:\"name\";s:20:\"update_test_subtheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:20:\"Update test subtheme\";s:11:\"description\";s:62:\"Test theme which uses update_test_basetheme as the base theme.\";s:4:\"core\";s:3:\"7.x\";s:10:\"base theme\";s:21:\"update_test_basetheme\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:48:\"themes/tests/update_test_subtheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:21:\"update_test_basetheme\";s:22:\"Update test base theme\";}s:6:\"prefix\";s:11:\"phptemplate\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:21:\"update_test_basetheme\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:20:\"update_test_subtheme\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Update test subtheme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_compact_page','a:0:{}','',3,2,0,'','admin/compact','Compact mode','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_config_page','a:0:{}','',3,2,0,'','admin/config','Configuration','t','','','a:0:{}',6,'Administer settings.','',0,'modules/system/system.admin.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/content','Content authoring','t','','','a:0:{}',6,'Settings related to formatting and authoring content.','left',-15,'modules/system/system.admin.inc'),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',15,4,0,'','admin/config/content/formats','Text formats','t','','','a:0:{}',6,'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:\"filter_format_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:\"filter_format_load\";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:\"filter_admin_disable\";i:1;i:4;}','',61,6,0,'','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:0:{}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}',388,'','',1,'modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}',140,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/wysiwyg','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:24:\"wysiwyg_profile_overview\";}','',15,4,0,'','admin/config/content/wysiwyg','Wysiwyg profiles','t','','','a:0:{}',6,'Configure client-side editors.','',0,'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),('admin/config/content/wysiwyg/profile','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:24:\"wysiwyg_profile_overview\";}','',31,5,1,'admin/config/content/wysiwyg','admin/config/content/wysiwyg','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),('admin/config/content/wysiwyg/profile/%/delete','a:1:{i:5;s:20:\"wysiwyg_profile_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:2:{i:0;s:30:\"wysiwyg_profile_delete_confirm\";i:1;i:5;}','',125,7,1,'admin/config/content/wysiwyg/profile/%wysiwyg_profile','admin/config/content/wysiwyg/profile','Remove','t','','','a:0:{}',132,'','',10,'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),('admin/config/content/wysiwyg/profile/%/edit','a:1:{i:5;s:20:\"wysiwyg_profile_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:2:{i:0;s:20:\"wysiwyg_profile_form\";i:1;i:5;}','',125,7,1,'admin/config/content/wysiwyg/profile/%wysiwyg_profile','admin/config/content/wysiwyg/profile','Edit','t','','','a:0:{}',132,'','',0,'sites/all/modules/wysiwyg/wysiwyg.admin.inc'),('admin/config/development','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/development','Development','t','','','a:0:{}',6,'Development tools.','right',-10,'modules/system/system.admin.inc'),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"system_logging_settings\";}','',15,4,0,'','admin/config/development/logging','Logging and errors','t','','','a:0:{}',6,'Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','',-15,'modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"system_site_maintenance_mode\";}','',15,4,0,'','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}',6,'Take the site offline for maintenance or bring it back online.','',-10,'modules/system/system.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_performance_settings\";}','',15,4,0,'','admin/config/development/performance','Performance','t','','','a:0:{}',6,'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','',-20,'modules/system/system.admin.inc'),('admin/config/media','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/media','Media','t','','','a:0:{}',6,'Media tools.','left',-10,'modules/system/system.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_file_system_settings\";}','',15,4,0,'','admin/config/media/file-system','File system','t','','','a:0:{}',6,'Tell Drupal where to store uploaded files and how they are accessed.','',-10,'modules/system/system.admin.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',15,4,0,'','admin/config/media/image-styles','Image styles','t','','','a:0:{}',6,'Configure styles that can be used for resizing or adjusting images on display.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:1:{i:0;s:20:\"image_style_add_form\";}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}',388,'Add a new image style.','',2,'modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"1\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}',6,'Delete an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:\"image_style_load\";}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:16:\"image_style_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}',6,'Configure an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:28:\"image_effect_definition_load\";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}',6,'Add a new effect to a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}',6,'Edit an existing effect within a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:24:\"image_effect_delete_form\";i:1;i:5;i:2;i:7;}','',501,9,0,'','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}',6,'Delete an existing effect from a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}',140,'List the current image styles on the site.','',1,'modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"2\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_revert_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}',6,'Revert an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"system_image_toolkit_settings\";}','',15,4,0,'','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}',6,'Choose which image toolkit to use if you have installed optional toolkits.','',20,'modules/system/system.admin.inc'),('admin/config/people','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/people','People','t','','','a:0:{}',6,'Configure user accounts.','left',-20,'modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',15,4,0,'','admin/config/people/accounts','Account settings','t','','','a:0:{}',6,'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','',-10,'modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:7:\"default\";i:3;s:11:\"user_access\";i:4;s:16:\"administer users\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:4:\"full\";i:3;s:11:\"user_access\";i:4;s:16:\"administer users\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/token','','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:5:\"token\";i:3;s:11:\"user_access\";i:4;s:16:\"administer users\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}',140,'','',-10,'modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','system_ip_blocking','a:0:{}','',15,4,0,'','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}',6,'Manage blocked IP addresses.','',10,'modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:\"blocked_ip_load\";}','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','drupal_get_form','a:2:{i:0;s:25:\"system_ip_blocking_delete\";i:1;i:5;}','',62,6,0,'','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/regional','Regional and language','t','','','a:0:{}',6,'Regional settings, localization and translation.','left',-5,'modules/system/system.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',15,4,0,'','admin/config/regional/date-time','Date and time','t','','','a:0:{}',6,'Configure display formats for date and time.','',-15,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_formats','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}',132,'Configure display format strings for date and time.','',-9,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:30:\"system_date_delete_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}',6,'Allow users to delete a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:34:\"system_configure_date_formats_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}',6,'Allow users to edit a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"system_configure_date_formats_form\";}','',63,6,1,'admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}',388,'Allow users to add additional date formats.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_lookup','a:0:{}','',63,6,0,'','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/locale','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','locale_date_format_language_overview_page','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Localize','t','','','a:0:{}',132,'Configure date formats for each locale','',-8,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"locale_date_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/edit','Localize date formats','t','','','a:0:{}',6,'Configure date formats for each locale','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/reset','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:29:\"locale_date_format_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/reset','Reset date formats','t','','','a:0:{}',6,'Reset localized date formats to global defaults','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}',140,'Configure display formats for date and time.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"system_delete_date_format_type_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}',6,'Allow users to delete a configured date type.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_add_date_format_type_form\";}','',63,6,1,'admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}',388,'Add new date type.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/language','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',15,4,0,'','admin/config/regional/language','Languages','t','','','a:0:{}',6,'Configure languages for content and the user interface.','',-10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/add','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','locale_languages_add_screen','a:0:{}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Add language','t','','','a:0:{}',388,'','',5,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:31:\"locale_languages_configure_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Detection and selection','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/session','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:38:\"locale_language_providers_session_form\";}','',63,6,0,'','admin/config/regional/language/configure/session','Session language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/url','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:34:\"locale_language_providers_url_form\";}','',63,6,0,'','admin/config/regional/language/configure/url','URL language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:28:\"locale_languages_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/delete/%','Confirm','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_languages_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/edit/%','Edit language','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/overview','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','List','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:24:\"system_regional_settings\";}','',15,4,0,'','admin/config/regional/settings','Regional settings','t','','','a:0:{}',6,'Settings for the site\'s default time zone and country.','',-20,'modules/system/system.admin.inc'),('admin/config/regional/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',15,4,0,'','admin/config/regional/translate','Translate interface','t','','','a:0:{}',6,'Translate the built in interface and optionally other text.','',-5,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_delete_page','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/regional/translate/delete/%','Delete string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_translate_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/translate/edit/%','Edit string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/export','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_export_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Export','t','','','a:0:{}',132,'','',30,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/import','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:28:\"locale_translate_import_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Import','t','','','a:0:{}',132,'','',20,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/overview','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Overview','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_seek_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Translate','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/search','Search and metadata','t','','','a:0:{}',6,'Local site search, metadata and SEO.','left',-10,'modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_clean_url_settings\";}','',15,4,0,'','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}',6,'Enable or disable clean URLs for your site.','',5,'modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:\"status\";b:1;}}','',31,5,0,'','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/search/path','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',15,4,0,'','admin/config/search/path','URL aliases','t','','','a:0:{}',6,'Change your site\'s URL paths by aliasing them.','',-5,'modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}',388,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:2:{i:0;s:25:\"path_admin_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:21:\"pathauto_admin_delete\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Delete aliases','t','','','a:0:{}',132,'','',40,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}',140,'','',-10,'modules/path/path.admin.inc'),('admin/config/search/path/patterns','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_patterns_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Patterns','t','','','a:0:{}',132,'','',10,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/settings','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_settings_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Settings','t','','','a:0:{}',132,'','',20,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/update_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:25:\"pathauto_bulk_update_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Bulk update','t','','','a:0:{}',132,'','',30,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:21:\"search_admin_settings\";}','',15,4,0,'','admin/config/search/settings','Search settings','t','','','a:0:{}',6,'Configure relevance settings for search and other indexing options.','',-10,'modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:22:\"search_reindex_confirm\";}','',31,5,0,'','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}',4,'','',0,'modules/search/search.admin.inc'),('admin/config/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/services','Web services','t','','','a:0:{}',6,'Tools related to web services.','right',0,'modules/system/system.admin.inc'),('admin/config/services/aggregator','','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','aggregator_admin_overview','a:0:{}','',15,4,0,'','admin/config/services/aggregator','Feed aggregator','t','','','a:0:{}',6,'Configure which content your site aggregates from other sites, how often it polls them, and how they\'re categorized.','',10,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/add/category','','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:1:{i:0;s:24:\"aggregator_form_category\";}','',63,6,1,'admin/config/services/aggregator','admin/config/services/aggregator','Add category','t','','','a:0:{}',388,'','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/add/feed','','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:1:{i:0;s:20:\"aggregator_form_feed\";}','',63,6,1,'admin/config/services/aggregator','admin/config/services/aggregator','Add feed','t','','','a:0:{}',388,'','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/add/opml','','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:1:{i:0;s:20:\"aggregator_form_opml\";}','',63,6,1,'admin/config/services/aggregator','admin/config/services/aggregator','Import OPML','t','','','a:0:{}',388,'','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/edit/category/%','a:1:{i:6;s:24:\"aggregator_category_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:2:{i:0;s:24:\"aggregator_form_category\";i:1;i:6;}','',126,7,0,'','admin/config/services/aggregator/edit/category/%','Edit category','t','','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/edit/feed/%','a:1:{i:6;s:20:\"aggregator_feed_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:2:{i:0;s:20:\"aggregator_form_feed\";i:1;i:6;}','',126,7,0,'','admin/config/services/aggregator/edit/feed/%','Edit feed','t','','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/list','','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','aggregator_admin_overview','a:0:{}','',31,5,1,'admin/config/services/aggregator','admin/config/services/aggregator','List','t','','','a:0:{}',140,'','',-10,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/remove/%','a:1:{i:5;s:20:\"aggregator_feed_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:2:{i:0;s:28:\"aggregator_admin_remove_feed\";i:1;i:5;}','',62,6,0,'','admin/config/services/aggregator/remove/%','Remove items','t','','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/settings','','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:1:{i:0;s:21:\"aggregator_admin_form\";}','',31,5,1,'admin/config/services/aggregator','admin/config/services/aggregator','Settings','t','','','a:0:{}',132,'Configure the behavior of the feed aggregator, including when to discard feed items and how to present feed items and categories.','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/aggregator/update/%','a:1:{i:5;s:20:\"aggregator_feed_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','aggregator_admin_refresh_feed','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/services/aggregator/update/%','Update items','t','','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.admin.inc'),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_rss_feeds_settings\";}','',15,4,0,'','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}',6,'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','',0,'modules/system/system.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/system','System','t','','','a:0:{}',6,'General system related configuration.','right',-20,'modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',15,4,0,'','admin/config/system/actions','Actions','t','','','a:0:{}',6,'Manage the actions defined for your site.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:1:{i:0;s:24:\"system_actions_configure\";}','',31,5,0,'','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:\"actions_load\";}','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:2:{i:0;s:26:\"system_actions_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}',6,'Delete an action.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',31,5,1,'admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}',140,'Manage the actions defined for your site.','',-2,'modules/system/system.admin.inc'),('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_remove_orphans','a:0:{}','',31,5,0,'','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"system_cron_settings\";}','',15,4,0,'','admin/config/system/cron','Cron','t','','','a:0:{}',6,'Manage automatic site maintenance tasks.','',20,'modules/system/system.admin.inc'),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_site_information_settings\";}','',15,4,0,'','admin/config/system/site-information','Site information','t','','','a:0:{}',6,'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','',-20,'modules/system/system.admin.inc'),('admin/config/system/statistics','','','user_access','a:1:{i:0;s:21:\"administer statistics\";}','drupal_get_form','a:1:{i:0;s:24:\"statistics_settings_form\";}','',15,4,0,'','admin/config/system/statistics','Statistics','t','','','a:0:{}',6,'Control details about what and how your site logs access statistics.','',-15,'modules/statistics/statistics.admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/user-interface','User interface','t','','','a:0:{}',6,'Tools that enhance the user interface.','right',-15,'modules/system/system.admin.inc'),('admin/config/user-interface/chosen','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:21:\"chosen_admin_settings\";}','',15,4,0,'','admin/config/user-interface/chosen','Chosen','t','','','a:0:{}',6,'Configuration for Chosen plugin','',0,'sites/all/modules/chosen/chosen.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','shortcut_set_admin','a:0:{}','',15,4,0,'','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}',6,'Add and modify shortcut sets.','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',30,5,0,'','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title_callback','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:\"shortcut_link_add\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}',0,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:\"shortcut_set_delete_form\";i:1;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_edit_form\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}',132,'','',10,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}',140,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','drupal_get_form','a:1:{i:0;s:21:\"shortcut_set_add_form\";}','',31,5,1,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"shortcut_link_edit\";i:1;i:5;}','',62,6,0,'','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:\"shortcut_link_delete\";i:1;i:5;}','',125,7,0,'','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/superfish','','','user_access','a:1:{i:0;s:20:\"administer superfish\";}','drupal_get_form','a:1:{i:0;s:24:\"superfish_admin_settings\";}','',15,4,0,'','admin/config/user-interface/superfish','Superfish','t','','','a:0:{}',6,'Configure Superfish Menus','',0,'sites/all/modules/superfish/superfish.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/workflow','Workflow','t','','','a:0:{}',6,'Content workflow, editorial workflow tools.','right',5,'modules/system/system.admin.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',3,2,0,'','admin/content','Content','t','','','a:0:{}',6,'Administer content and comments.','',-10,'modules/node/node.admin.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',7,3,1,'admin/content','admin/content','Comments','t','','','a:0:{}',134,'List and edit site comments and the comment approval queue.','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:1:{i:0;s:8:\"approval\";}','',15,4,1,'admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}',132,'','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',15,4,1,'admin/content/comment','admin/content','Published comments','t','','','a:0:{}',140,'','',-10,'modules/comment/comment.admin.inc'),('admin/content/node','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',7,3,1,'admin/content','admin/content','Content','t','','','a:0:{}',140,'','',-10,'modules/node/node.admin.inc'),('admin/dashboard','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:0:{}','',3,2,0,'','admin/dashboard','Dashboard','t','','','a:0:{}',6,'View and customize your dashboard.','',-15,''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','',28,5,0,'','admin/dashboard/block-content/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_admin_blocks','a:0:{}','',7,3,0,'','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}',4,'Configure which blocks can be shown on the dashboard.','',0,''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:1:{i:0;b:1;}','',7,3,0,'','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}',4,'Customize your dashboard.','',0,''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_disabled','a:0:{}','',7,3,0,'','admin/dashboard/drawer','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_update','a:0:{}','',7,3,0,'','admin/dashboard/update','','t','','','a:0:{}',0,'','',0,''),('admin/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',3,2,0,'','admin/help','Help','t','','','a:0:{}',6,'Reference for usage, configuration, and modules.','',9,'modules/help/help.admin.inc'),('admin/help/aggregator','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/aggregator','aggregator','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/block','block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/blog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/blog','blog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/color','color','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/comment','comment','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contact','contact','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contextual','contextual','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dashboard','dashboard','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dblog','dblog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field','field','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_ui','field_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/file','file','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/filter','filter','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/fontawesome','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/fontawesome','fontawesome','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/forum','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/forum','forum','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/help','help','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/image','image','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/list','list','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/locale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/locale','locale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu','menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/node','node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/number','number','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/openid','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/openid','openid','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/options','options','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/overlay','overlay','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/path','path','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/pathauto','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/pathauto','pathauto','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/php','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/php','php','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/poll','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/poll','poll','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quicktabs','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quicktabs','quicktabs','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/search','search','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/shortcut','shortcut','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/statistics','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/statistics','statistics','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/superfish','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/superfish','superfish','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/syslog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/syslog','syslog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/system','system','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/taxonomy','taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/text','text','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/token','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/token','token','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/toolbar','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/toolbar','toolbar','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/tracker','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/tracker','tracker','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/translation','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/translation','translation','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/trigger','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/trigger','trigger','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/update','update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/user','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/user','user','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow','views_slideshow','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow_cycle','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow_cycle','views_slideshow_cycle','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/wysiwyg','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/wysiwyg','wysiwyg','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_index','a:0:{}','',3,2,1,'admin','admin','Index','t','','','a:0:{}',132,'','',-18,'modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',3,2,0,'','admin/modules','Modules','t','','','a:0:{}',6,'Extend site functionality.','',-2,'modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Install new module','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',7,3,1,'admin/modules','admin/modules','List','t','','','a:0:{}',140,'','',0,'modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',15,4,0,'','admin/modules/list/confirm','List','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',7,3,1,'admin/modules','admin/modules','Uninstall','t','','','a:0:{}',132,'','',20,'modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',15,4,0,'','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',3,2,0,'','admin/people','People','t','','','a:0:{}',6,'Manage user accounts, roles, and permissions.','left',-4,'modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:6:\"create\";}','',7,3,1,'admin/people','admin/people','Add user','t','','','a:0:{}',388,'','',0,'modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',7,3,1,'admin/people','admin/people','List','t','','','a:0:{}',140,'Find and manage people interacting with your site.','',-10,'modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',7,3,1,'admin/people','admin/people','Permissions','t','','','a:0:{}',132,'Determine access to features by selecting permissions for roles.','',0,'modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',15,4,1,'admin/people/permissions','admin/people','Permissions','t','','','a:0:{}',140,'Determine access to features by selecting permissions for roles.','',-8,'modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:16:\"user_admin_roles\";}','',15,4,1,'admin/people/permissions','admin/people','Roles','t','','','a:0:{}',132,'List, edit, or add user roles.','',-5,'modules/user/user.admin.inc'),('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:\"user_admin_role_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:\"user_admin_role\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/reports','Reports','t','','','a:0:{}',6,'View reports, updates, and errors.','left',5,'modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:13:\"access denied\";}','',7,3,0,'','admin/reports/access-denied','Top \'access denied\' errors','t','','','a:0:{}',6,'View \'access denied\' errors (403s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/access/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_access_log','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/access/%','Details','t','','','a:0:{}',6,'View access log.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_overview','a:0:{}','',7,3,0,'','admin/reports/dblog','Recent log messages','t','','','a:0:{}',6,'View events that have recently been logged.','',-1,'modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_event','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/event/%','Details','t','','','a:0:{}',6,'','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/fields','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',7,3,0,'','admin/reports/fields','Field list','t','','','a:0:{}',6,'Overview of fields on all entity types.','',0,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','List','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/views-fields','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_field_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','Used in views','t','','','a:0:{}',132,'Overview of fields used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/hits','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_recent_hits','a:0:{}','',7,3,0,'','admin/reports/hits','Recent hits','t','','','a:0:{}',6,'View pages that have recently been visited.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:14:\"page not found\";}','',7,3,0,'','admin/reports/page-not-found','Top \'page not found\' errors','t','','','a:0:{}',6,'View \'page not found\' errors (404s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/pages','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_pages','a:0:{}','',7,3,0,'','admin/reports/pages','Top pages','t','','','a:0:{}',6,'View pages that have been hit frequently.','',1,'modules/statistics/statistics.admin.inc'),('admin/reports/referrers','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_referrers','a:0:{}','',7,3,0,'','admin/reports/referrers','Top referrers','t','','','a:0:{}',6,'View top referrers.','',0,'modules/statistics/statistics.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:6:\"search\";}','',7,3,0,'','admin/reports/search','Top search phrases','t','','','a:0:{}',6,'View most popular search phrases.','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_status','a:0:{}','',7,3,0,'','admin/reports/status','Status report','t','','','a:0:{}',6,'Get a status report about your site\'s operation and any detected problems.','',-60,'modules/system/system.admin.inc'),('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_php','a:0:{}','',15,4,0,'','admin/reports/status/php','PHP','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:30:\"node_configure_rebuild_confirm\";}','',15,4,0,'','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}',0,'','',0,'modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',15,4,0,'','admin/reports/status/run-cron','Run cron','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_status','a:0:{}','',7,3,0,'','admin/reports/updates','Available updates','t','','','a:0:{}',6,'Get a status report about available updates for your installed modules and themes.','',-50,'modules/update/update.report.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_manual_status','a:0:{}','',15,4,0,'','admin/reports/updates/check','Manual update check','t','','','a:0:{}',0,'','',0,'modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_status','a:0:{}','',15,4,1,'admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}',140,'','',0,'modules/update/update.report.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:15:\"update_settings\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}',132,'','',50,'modules/update/update.settings.inc'),('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/reports/views-plugins','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_plugin_list','a:0:{}','',7,3,0,'','admin/reports/views-plugins','Views plugins','t','','','a:0:{}',6,'Overview of plugins used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/visitors','','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_top_visitors','a:0:{}','',7,3,0,'','admin/reports/visitors','Top visitors','t','','','a:0:{}',6,'View visitors that hit many pages.','',2,'modules/statistics/statistics.admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/structure','Structure','t','','','a:0:{}',6,'Administer blocks, content types, menus, etc.','right',-8,'modules/system/system.admin.inc'),('admin/structure/block','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','block_admin_display','a:1:{i:0;s:9:\"tb_simply\";}','',7,3,0,'','admin/structure/block','Blocks','t','','','a:0:{}',6,'Configure what block content appears in your site\'s sidebars and other regions.','',0,'modules/block/block.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"bartik\";}','',31,5,0,'','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:\"bartik\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/block_test_theme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":11:{s:8:\"filename\";s:51:\"themes/tests/block_test_theme/block_test_theme.info\";s:4:\"name\";s:16:\"block_test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:16:\"Block test theme\";s:11:\"description\";s:34:\"Theme for testing the block system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"regions\";a:10:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:4:{i:0;s:13:\"sidebar_first\";i:1;s:14:\"sidebar_second\";i:2;s:8:\"page_top\";i:3;s:11:\"page_bottom\";}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:44:\"themes/tests/block_test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:16:\"block_test_theme\";}','',31,5,0,'','admin/structure/block/demo/block_test_theme','Block test theme','t','','_block_custom_theme','a:1:{i:0;s:16:\"block_test_theme\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"garland\";}','',31,5,0,'','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:\"garland\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/nucleus','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":14:{s:8:\"filename\";s:45:\"sites/all/themes/nucleus/nucleus/nucleus.info\";s:4:\"name\";s:7:\"nucleus\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:7:\"nucleus\";s:11:\"description\";s:21:\"Base theme for Drupal\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"screenshot\";s:47:\"sites/all/themes/nucleus/nucleus/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:23:\"stylesheets-conditional\";a:2:{s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"regions\";a:18:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:11:\"highlighted\";s:11:\"Highlighted\";s:9:\"slideshow\";s:9:\"Slideshow\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:25:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";s:15:\"show_skins_menu\";s:1:\"1\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:15:\"supported_grids\";a:6:{i:12;s:10:\"12 columns\";i:16;s:10:\"16 columns\";i:24;s:10:\"24 columns\";s:3:\"min\";s:1:\"2\";s:3:\"max\";s:3:\"100\";s:5:\"delta\";s:1:\"2\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572596;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:2:{s:15:\"nucleus_starter\";s:15:\"nucleus_starter\";s:9:\"tb_simply\";s:9:\"Tb Simply\";}s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"nucleus\";}','',31,5,0,'','admin/structure/block/demo/nucleus','nucleus','t','','_block_custom_theme','a:1:{i:0;s:7:\"nucleus\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/nucleus_starter','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":14:{s:8:\"filename\";s:61:\"sites/all/themes/nucleus/nucleus_starter/nucleus_starter.info\";s:4:\"name\";s:15:\"nucleus_starter\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:15:\"nucleus_starter\";s:11:\"description\";s:37:\"Starter theme for nucleus base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:55:\"sites/all/themes/nucleus/nucleus_starter/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:7:\"regions\";a:22:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"panel_second_1\";s:21:\"Panel second column 1\";s:14:\"panel_second_2\";s:21:\"Panel second column 2\";s:14:\"panel_second_3\";s:21:\"Panel second column 3\";s:14:\"panel_second_4\";s:21:\"Panel second column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:24:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:16:\"superfish_styles\";a:1:{s:7:\"starter\";s:27:\"Starter Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:7:\"starter\";s:27:\"Starter style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572597;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:7:\"nucleus\";}}','block_admin_demo','a:1:{i:0;s:15:\"nucleus_starter\";}','',31,5,0,'','admin/structure/block/demo/nucleus_starter','nucleus_starter','t','','_block_custom_theme','a:1:{i:0;s:15:\"nucleus_starter\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"seven\";}','',31,5,0,'','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:\"seven\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"stark\";}','',31,5,0,'','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:\"stark\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/tb_simply','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":15:{s:8:\"filename\";s:41:\"sites/all/themes/tb_simply/tb_simply.info\";s:4:\"name\";s:9:\"tb_simply\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:23:{s:4:\"name\";s:9:\"Tb Simply\";s:11:\"description\";s:299:\"TB Simply is a light weight Drupal theme that is based on <a href=\"http://themebrain.com/about-nucleus\">Nucleus</a> and shows a slick styling of some basic Drupal content types such as blog, poll, forum and a contact form. Requires <a href=\"http://drupal.org/project/nucleus\">Nucleus</a> base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:41:\"sites/all/themes/tb_simply/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:23:\"stylesheets-conditional\";a:3:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}s:4:\"IE 9\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:7:\"regions\";a:19:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:7:\"feature\";s:7:\"Feature\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:38:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:17:\"layout_debug_grid\";s:1:\"0\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"7\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:9:\"base_font\";s:4:\"bf-a\";s:14:\"site_name_font\";s:0:\"\";s:16:\"site_slogan_font\";s:0:\"\";s:15:\"page_title_font\";s:0:\"\";s:15:\"node_title_font\";s:0:\"\";s:18:\"comment_title_font\";s:0:\"\";s:16:\"block_title_font\";s:0:\"\";s:9:\"font_size\";s:9:\"fs-medium\";s:22:\"load_extra_typo_styles\";s:1:\"1\";s:24:\"superfish_extend_style_1\";s:6:\"simply\";s:32:\"quicktabs_extend_style_quicktabs\";s:6:\"simply\";s:27:\"default_region_footer_style\";s:3:\"raw\";s:27:\"default_region_header_style\";s:3:\"raw\";s:30:\"default_region_slideshow_style\";s:3:\"raw\";s:11:\"toggle_logo\";s:1:\"0\";s:11:\"toggle_name\";s:1:\"1\";s:13:\"toggle_slogan\";s:1:\"1\";s:24:\"toggle_node_user_picture\";s:1:\"1\";s:27:\"toggle_comment_user_picture\";s:1:\"1\";s:32:\"toggle_comment_user_verification\";s:1:\"1\";s:14:\"toggle_favicon\";s:1:\"1\";s:21:\"toggle_secondary_menu\";s:1:\"1\";s:12:\"default_logo\";s:1:\"1\";s:15:\"default_favicon\";s:1:\"1\";s:9:\"logo_path\";s:0:\"\";s:12:\"favicon_path\";s:0:\"\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:12:\"block_styles\";a:3:{s:3:\"raw\";s:3:\"Raw\";s:7:\"rounded\";s:7:\"Rounded\";s:5:\"xhtml\";s:5:\"XHTML\";}s:20:\"block_extend_classes\";a:8:{s:9:\"badge-hot\";s:9:\"Badge Hot\";s:9:\"badge-new\";s:9:\"Badge New\";s:10:\"badge-pick\";s:10:\"Badge Pick\";s:9:\"badge-top\";s:9:\"Badge Top\";s:10:\"blue-color\";s:10:\"Blue Color\";s:11:\"white-color\";s:11:\"White Color\";s:12:\"yellow-color\";s:12:\"Yellow Color\";s:10:\"no-padding\";s:10:\"No Padding\";}s:16:\"superfish_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572603;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:7:\"nucleus\";}}','block_admin_demo','a:1:{i:0;s:9:\"tb_simply\";}','',31,5,0,'','admin/structure/block/demo/tb_simply','Tb Simply','t','','_block_custom_theme','a:1:{i:0;s:9:\"tb_simply\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/test_theme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:39:\"themes/tests/test_theme/test_theme.info\";s:4:\"name\";s:10:\"test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:10:\"Test theme\";s:11:\"description\";s:34:\"Theme for testing the theme system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:38:\"themes/tests/test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"test_theme\";}','',31,5,0,'','admin/structure/block/demo/test_theme','Test theme','t','','_block_custom_theme','a:1:{i:0;s:10:\"test_theme\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/update_test_basetheme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:61:\"themes/tests/update_test_basetheme/update_test_basetheme.info\";s:4:\"name\";s:21:\"update_test_basetheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:22:\"Update test base theme\";s:11:\"description\";s:63:\"Test theme which acts as a base theme for other test subthemes.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:49:\"themes/tests/update_test_basetheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:1:{s:20:\"update_test_subtheme\";s:20:\"Update test subtheme\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:21:\"update_test_basetheme\";}','',31,5,0,'','admin/structure/block/demo/update_test_basetheme','Update test base theme','t','','_block_custom_theme','a:1:{i:0;s:21:\"update_test_basetheme\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/update_test_subtheme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:59:\"themes/tests/update_test_subtheme/update_test_subtheme.info\";s:4:\"name\";s:20:\"update_test_subtheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:20:\"Update test subtheme\";s:11:\"description\";s:62:\"Test theme which uses update_test_basetheme as the base theme.\";s:4:\"core\";s:3:\"7.x\";s:10:\"base theme\";s:21:\"update_test_basetheme\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:48:\"themes/tests/update_test_subtheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:21:\"update_test_basetheme\";s:22:\"Update test base theme\";}s:6:\"prefix\";s:11:\"phptemplate\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:21:\"update_test_basetheme\";}}','block_admin_demo','a:1:{i:0;s:20:\"update_test_subtheme\";}','',31,5,0,'','admin/structure/block/demo/update_test_subtheme','Update test subtheme','t','','_block_custom_theme','a:1:{i:0;s:20:\"update_test_subtheme\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"bartik\";}','',31,5,1,'admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/block_test_theme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":11:{s:8:\"filename\";s:51:\"themes/tests/block_test_theme/block_test_theme.info\";s:4:\"name\";s:16:\"block_test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:16:\"Block test theme\";s:11:\"description\";s:34:\"Theme for testing the block system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"regions\";a:10:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:4:{i:0;s:13:\"sidebar_first\";i:1;s:14:\"sidebar_second\";i:2;s:8:\"page_top\";i:3;s:11:\"page_bottom\";}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:44:\"themes/tests/block_test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:16:\"block_test_theme\";}','',31,5,1,'admin/structure/block','admin/structure/block','Block test theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/block_test_theme/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/block_test_theme','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"garland\";}','',31,5,1,'admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/nucleus','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":14:{s:8:\"filename\";s:45:\"sites/all/themes/nucleus/nucleus/nucleus.info\";s:4:\"name\";s:7:\"nucleus\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:7:\"nucleus\";s:11:\"description\";s:21:\"Base theme for Drupal\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"screenshot\";s:47:\"sites/all/themes/nucleus/nucleus/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:23:\"stylesheets-conditional\";a:2:{s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"regions\";a:18:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:11:\"highlighted\";s:11:\"Highlighted\";s:9:\"slideshow\";s:9:\"Slideshow\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:25:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";s:15:\"show_skins_menu\";s:1:\"1\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:15:\"supported_grids\";a:6:{i:12;s:10:\"12 columns\";i:16;s:10:\"16 columns\";i:24;s:10:\"24 columns\";s:3:\"min\";s:1:\"2\";s:3:\"max\";s:3:\"100\";s:5:\"delta\";s:1:\"2\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572596;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:2:{s:15:\"nucleus_starter\";s:15:\"nucleus_starter\";s:9:\"tb_simply\";s:9:\"Tb Simply\";}s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"nucleus\";}','',31,5,1,'admin/structure/block','admin/structure/block','nucleus','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/nucleus/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/nucleus','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/nucleus_starter','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":14:{s:8:\"filename\";s:61:\"sites/all/themes/nucleus/nucleus_starter/nucleus_starter.info\";s:4:\"name\";s:15:\"nucleus_starter\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:15:\"nucleus_starter\";s:11:\"description\";s:37:\"Starter theme for nucleus base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:55:\"sites/all/themes/nucleus/nucleus_starter/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:7:\"regions\";a:22:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"panel_second_1\";s:21:\"Panel second column 1\";s:14:\"panel_second_2\";s:21:\"Panel second column 2\";s:14:\"panel_second_3\";s:21:\"Panel second column 3\";s:14:\"panel_second_4\";s:21:\"Panel second column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:24:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:16:\"superfish_styles\";a:1:{s:7:\"starter\";s:27:\"Starter Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:7:\"starter\";s:27:\"Starter style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572597;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:7:\"nucleus\";}}','block_admin_display','a:1:{i:0;s:15:\"nucleus_starter\";}','',31,5,1,'admin/structure/block','admin/structure/block','nucleus_starter','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/nucleus_starter/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/nucleus_starter','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"seven\";}','',31,5,1,'admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"stark\";}','',31,5,1,'admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/tb_simply','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":15:{s:8:\"filename\";s:41:\"sites/all/themes/tb_simply/tb_simply.info\";s:4:\"name\";s:9:\"tb_simply\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:23:{s:4:\"name\";s:9:\"Tb Simply\";s:11:\"description\";s:299:\"TB Simply is a light weight Drupal theme that is based on <a href=\"http://themebrain.com/about-nucleus\">Nucleus</a> and shows a slick styling of some basic Drupal content types such as blog, poll, forum and a contact form. Requires <a href=\"http://drupal.org/project/nucleus\">Nucleus</a> base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:41:\"sites/all/themes/tb_simply/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:23:\"stylesheets-conditional\";a:3:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}s:4:\"IE 9\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:7:\"regions\";a:19:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:7:\"feature\";s:7:\"Feature\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:38:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:17:\"layout_debug_grid\";s:1:\"0\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"7\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:9:\"base_font\";s:4:\"bf-a\";s:14:\"site_name_font\";s:0:\"\";s:16:\"site_slogan_font\";s:0:\"\";s:15:\"page_title_font\";s:0:\"\";s:15:\"node_title_font\";s:0:\"\";s:18:\"comment_title_font\";s:0:\"\";s:16:\"block_title_font\";s:0:\"\";s:9:\"font_size\";s:9:\"fs-medium\";s:22:\"load_extra_typo_styles\";s:1:\"1\";s:24:\"superfish_extend_style_1\";s:6:\"simply\";s:32:\"quicktabs_extend_style_quicktabs\";s:6:\"simply\";s:27:\"default_region_footer_style\";s:3:\"raw\";s:27:\"default_region_header_style\";s:3:\"raw\";s:30:\"default_region_slideshow_style\";s:3:\"raw\";s:11:\"toggle_logo\";s:1:\"0\";s:11:\"toggle_name\";s:1:\"1\";s:13:\"toggle_slogan\";s:1:\"1\";s:24:\"toggle_node_user_picture\";s:1:\"1\";s:27:\"toggle_comment_user_picture\";s:1:\"1\";s:32:\"toggle_comment_user_verification\";s:1:\"1\";s:14:\"toggle_favicon\";s:1:\"1\";s:21:\"toggle_secondary_menu\";s:1:\"1\";s:12:\"default_logo\";s:1:\"1\";s:15:\"default_favicon\";s:1:\"1\";s:9:\"logo_path\";s:0:\"\";s:12:\"favicon_path\";s:0:\"\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:12:\"block_styles\";a:3:{s:3:\"raw\";s:3:\"Raw\";s:7:\"rounded\";s:7:\"Rounded\";s:5:\"xhtml\";s:5:\"XHTML\";}s:20:\"block_extend_classes\";a:8:{s:9:\"badge-hot\";s:9:\"Badge Hot\";s:9:\"badge-new\";s:9:\"Badge New\";s:10:\"badge-pick\";s:10:\"Badge Pick\";s:9:\"badge-top\";s:9:\"Badge Top\";s:10:\"blue-color\";s:10:\"Blue Color\";s:11:\"white-color\";s:11:\"White Color\";s:12:\"yellow-color\";s:12:\"Yellow Color\";s:10:\"no-padding\";s:10:\"No Padding\";}s:16:\"superfish_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572603;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:7:\"nucleus\";s:7:\"nucleus\";}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:7:\"nucleus\";}}','block_admin_display','a:1:{i:0;s:9:\"tb_simply\";}','',31,5,1,'admin/structure/block','admin/structure/block','Tb Simply','t','','','a:0:{}',140,'','',-10,'modules/block/block.admin.inc'),('admin/structure/block/list/test_theme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:39:\"themes/tests/test_theme/test_theme.info\";s:4:\"name\";s:10:\"test_theme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:10:\"Test theme\";s:11:\"description\";s:34:\"Theme for testing the theme system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:38:\"themes/tests/test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"test_theme\";}','',31,5,1,'admin/structure/block','admin/structure/block','Test theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/test_theme/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/test_theme','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/update_test_basetheme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:61:\"themes/tests/update_test_basetheme/update_test_basetheme.info\";s:4:\"name\";s:21:\"update_test_basetheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:22:\"Update test base theme\";s:11:\"description\";s:63:\"Test theme which acts as a base theme for other test subthemes.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:49:\"themes/tests/update_test_basetheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:10:\"sub_themes\";a:1:{s:20:\"update_test_subtheme\";s:20:\"Update test subtheme\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:21:\"update_test_basetheme\";}','',31,5,1,'admin/structure/block','admin/structure/block','Update test base theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/update_test_basetheme/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/update_test_basetheme','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/update_test_subtheme','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:59:\"themes/tests/update_test_subtheme/update_test_subtheme.info\";s:4:\"name\";s:20:\"update_test_subtheme\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:20:\"Update test subtheme\";s:11:\"description\";s:62:\"Test theme which uses update_test_basetheme as the base theme.\";s:4:\"core\";s:3:\"7.x\";s:10:\"base theme\";s:21:\"update_test_basetheme\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:48:\"themes/tests/update_test_subtheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}s:11:\"base_themes\";a:1:{s:21:\"update_test_basetheme\";s:22:\"Update test base theme\";}s:6:\"prefix\";s:11:\"phptemplate\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base_theme\";s:21:\"update_test_basetheme\";}}','block_admin_display','a:1:{i:0;s:20:\"update_test_subtheme\";}','',31,5,1,'admin/structure/block','admin/structure/block','Update test subtheme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/update_test_subtheme/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/update_test_subtheme','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',6,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',121,7,2,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',140,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:25:\"block_custom_block_delete\";i:1;i:4;i:2;i:5;}','',121,7,0,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Delete block','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/contact','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','contact_category_list','a:0:{}','',7,3,0,'','admin/structure/contact','Contact form','t','','','a:0:{}',6,'Create a system contact form and set up categories for the form to use.','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/add','','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:1:{i:0;s:26:\"contact_category_edit_form\";}','',15,4,1,'admin/structure/contact','admin/structure/contact','Add category','t','','','a:0:{}',388,'','',1,'modules/contact/contact.admin.inc'),('admin/structure/contact/delete/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:28:\"contact_category_delete_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/delete/%','Delete contact','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/contact/edit/%','a:1:{i:4;s:12:\"contact_load\";}','','user_access','a:1:{i:0;s:24:\"administer contact forms\";}','drupal_get_form','a:2:{i:0;s:26:\"contact_category_edit_form\";i:1;i:4;}','',30,5,0,'','admin/structure/contact/edit/%','Edit contact category','t','','','a:0:{}',6,'','',0,'modules/contact/contact.admin.inc'),('admin/structure/forum','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:14:\"forum_overview\";}','',7,3,0,'','admin/structure/forum','Forums','t','','','a:0:{}',6,'Control forum hierarchy settings.','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/add/container','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:1:{i:0;s:9:\"container\";}','',31,5,1,'admin/structure/forum','admin/structure/forum','Add container','t','','','a:0:{}',388,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/add/forum','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:1:{i:0;s:5:\"forum\";}','',31,5,1,'admin/structure/forum','admin/structure/forum','Add forum','t','','','a:0:{}',388,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/edit/container/%','a:1:{i:5;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:2:{i:0;s:9:\"container\";i:1;i:5;}','',62,6,0,'','admin/structure/forum/edit/container/%','Edit container','t','','','a:0:{}',6,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/edit/forum/%','a:1:{i:5;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:17:\"administer forums\";}','forum_form_main','a:2:{i:0;s:5:\"forum\";i:1;i:5;}','',62,6,0,'','admin/structure/forum/edit/forum/%','Edit forum','t','','','a:0:{}',6,'','',0,'modules/forum/forum.admin.inc'),('admin/structure/forum/list','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:14:\"forum_overview\";}','',15,4,1,'admin/structure/forum','admin/structure/forum','List','t','','','a:0:{}',140,'','',-10,'modules/forum/forum.admin.inc'),('admin/structure/forum/settings','','','user_access','a:1:{i:0;s:17:\"administer forums\";}','drupal_get_form','a:1:{i:0;s:20:\"forum_admin_settings\";}','',15,4,1,'admin/structure/forum','admin/structure/forum','Settings','t','','','a:0:{}',132,'','',5,'modules/forum/forum.admin.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',7,3,0,'','admin/structure/menu','Menus','t','','','a:0:{}',6,'Add new menus to your site, edit existing menus, and rename and reorganize menu links.','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:14:\"menu_edit_menu\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_item_delete_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',61,6,0,'','admin/structure/menu/item/%/edit','Edit menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:23:\"menu_reset_item_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',15,4,1,'admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',30,5,0,'','admin/structure/menu/manage/%','Customize menu','menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:3:\"add\";i:2;N;i:3;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_delete_menu_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:3:{i:0;s:14:\"menu_edit_menu\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}',132,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_parent_options_js','a:0:{}','',15,4,0,'','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:14:\"menu_configure\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}',132,'','',5,'modules/menu/menu.admin.inc'),('admin/structure/quicktabs','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',7,3,0,'','admin/structure/quicktabs','Quicktabs','t','','','a:0:{}',6,'Create blocks of tabbed content.','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/add','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:14:\"quicktabs_form\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Add Quicktabs Instance','t','','','a:0:{}',388,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/list','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','List quicktabs','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',6,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/clone','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_clone','a:1:{i:0;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Clone quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/delete','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:22:\"quicktabs_block_delete\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Delete quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/edit','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,2,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/export','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:21:\"quicktabs_export_form\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/styles','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:1:{i:0;s:26:\"quicktabs_tabstyles_styles\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Styles','t','','','a:0:{}',132,'','',0,''),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',7,3,0,'','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',14,4,0,'','admin/structure/taxonomy/%','','entity_label','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:7:\"default\";i:3;s:11:\"user_access\";i:4;s:19:\"administer taxonomy\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:4:\"full\";i:3;s:11:\"user_access\";i:4;s:19:\"administer taxonomy\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/token','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:5:\"token\";i:3;s:11:\"user_access\";i:4;s:19:\"administer taxonomy\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"taxonomy_form_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}',132,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:24:\"taxonomy_form_vocabulary\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}',140,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/tb-megamenu','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:1:{i:0;s:26:\"tb_megamenu_admin_settings\";}','',7,3,0,'','admin/structure/tb-megamenu','TB Mega Menu','t','','','a:0:{}',6,'TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',14,4,0,'','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',0,'Config TB Mega Menu','',0,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/%/config','a:1:{i:3;s:26:\"tb_megamenu_menu_name_load\";}','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','drupal_get_form','a:2:{i:0;s:26:\"tb_megamenu_configure_form\";i:1;i:3;}','',29,5,3,'admin/structure/tb-megamenu/%','admin/structure/tb-megamenu/%','Config TB Mega Menu','t','','','a:0:{}',140,'','',-10,'sites/all/modules/tb_megamenu/tb_megamenu.admin.inc'),('admin/structure/tb-megamenu/request','','','user_access','a:1:{i:0;s:22:\"administer tb_megamenu\";}','tb_megamenu_request','a:0:{}','',15,4,0,'','admin/structure/tb-megamenu/request','Request','t','','','a:0:{}',20,'','',0,'sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc'),('admin/structure/trigger','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','trigger_assign','a:0:{}','',7,3,0,'','admin/structure/trigger','Triggers','t','','','a:0:{}',6,'Configure when to execute actions.','',0,'modules/trigger/trigger.admin.inc'),('admin/structure/trigger/comment','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','trigger_assign','a:1:{i:0;s:7:\"comment\";}','',15,4,1,'admin/structure/trigger','admin/structure/trigger','Comment','t','','','a:0:{}',132,'','',0,'modules/trigger/trigger.admin.inc'),('admin/structure/trigger/node','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','trigger_assign','a:1:{i:0;s:4:\"node\";}','',15,4,1,'admin/structure/trigger','admin/structure/trigger','Node','t','','','a:0:{}',132,'','',0,'modules/trigger/trigger.admin.inc'),('admin/structure/trigger/system','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','trigger_assign','a:1:{i:0;s:6:\"system\";}','',15,4,1,'admin/structure/trigger','admin/structure/trigger','System','t','','','a:0:{}',132,'','',0,'modules/trigger/trigger.admin.inc'),('admin/structure/trigger/taxonomy','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','trigger_assign','a:1:{i:0;s:8:\"taxonomy\";}','',15,4,1,'admin/structure/trigger','admin/structure/trigger','Taxonomy','t','','','a:0:{}',132,'','',0,'modules/trigger/trigger.admin.inc'),('admin/structure/trigger/unassign','','','trigger_menu_unassign_access','a:0:{}','drupal_get_form','a:1:{i:0;s:16:\"trigger_unassign\";}','',15,4,0,'','admin/structure/trigger/unassign','Unassign','t','','','a:0:{}',4,'Unassign an action from a trigger.','',0,'modules/trigger/trigger.admin.inc'),('admin/structure/trigger/user','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','trigger_assign','a:1:{i:0;s:4:\"user\";}','',15,4,1,'admin/structure/trigger','admin/structure/trigger','User','t','','','a:0:{}',132,'','',0,'modules/trigger/trigger.admin.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',7,3,0,'','admin/structure/types','Content types','t','','','a:0:{}',6,'Manage content types, including default status, front page promotion, comment settings, etc.','',0,'modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:1:{i:0;s:14:\"node_type_form\";}','',15,4,1,'admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}',388,'','',0,'modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',15,4,1,'admin/structure/types','admin/structure/types','List','t','','','a:0:{}',140,'','',-10,'modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:\"comment_node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:4:\"full\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:4:\"full\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/token','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:5:\"token\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:\"comment_node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"comment\";i:2;i:4;}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',246,8,0,'','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"node\";i:1;i:4;i:2;s:7:\"default\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"node\";i:1;i:4;i:2;s:4:\"full\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:4:\"full\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"node\";i:1;i:4;i:2;s:3:\"rss\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:3:\"rss\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"node\";i:1;i:4;i:2;s:12:\"search_index\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:12:\"search_index\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"search_result\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"search_result\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result highlighting input','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"node\";i:1;i:4;i:2;s:6:\"teaser\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:6:\"teaser\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/token','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:5:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"token\";i:3;s:11:\"user_access\";i:4;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"node\";i:2;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/views','Views','t','','','a:0:{}',6,'Manage customized lists of content.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_template_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver',60,6,0,'','admin/structure/views/ajax/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver',124,7,0,'','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:20:\"views_ui_import_page\";}','',15,4,1,'admin/structure/views','admin/structure/views','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/views','admin/structure/views','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/views/nojs/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',15,4,1,'admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:32:\"views_ui_admin_settings_advanced\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}',132,'','',1,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}',140,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','',61,6,0,'','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:2:{i:0;s:27:\"views_ui_break_lock_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/edit','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',61,6,3,'admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_get_form','a:3:{i:0;s:18:\"views_ui_edit_form\";i:1;i:4;i:2;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/export','Export','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','',122,7,3,'','admin/structure/views/view/%/preview/%','','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,1,'admin','admin','Tasks','t','','','a:0:{}',140,'','',-20,'modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:\"update_manager_update_ready_form\";}','',7,3,0,'','admin/update/ready','Ready to update','t','','','a:0:{}',0,'','',0,'modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_autocomplete_tag','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:\"access content\";}','views_ajax_autocomplete_taxonomy','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','views_ajax_autocomplete_user','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('aggregator','','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_last','a:0:{}','',1,1,0,'','aggregator','Feed aggregator','t','','','a:0:{}',6,'','',5,'modules/aggregator/aggregator.pages.inc'),('aggregator/categories','','','_aggregator_has_categories','a:0:{}','aggregator_page_categories','a:0:{}','',3,2,0,'','aggregator/categories','Categories','t','','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/categories/%','a:1:{i:2;s:24:\"aggregator_category_load\";}','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_category','a:1:{i:0;i:2;}','',6,3,0,'','aggregator/categories/%','','_aggregator_category_title','a:1:{i:0;i:2;}','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/categories/%/categorize','a:1:{i:2;s:24:\"aggregator_category_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:2:{i:0;s:29:\"aggregator_page_category_form\";i:1;i:2;}','',13,4,1,'aggregator/categories/%','aggregator/categories/%','Categorize','t','','','a:0:{}',132,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/categories/%/configure','a:1:{i:2;s:24:\"aggregator_category_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:2:{i:0;s:24:\"aggregator_form_category\";i:1;i:2;}','',13,4,1,'aggregator/categories/%','aggregator/categories/%','Configure','t','','','a:0:{}',132,'','',1,'modules/aggregator/aggregator.admin.inc'),('aggregator/categories/%/view','a:1:{i:2;s:24:\"aggregator_category_load\";}','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_category','a:1:{i:0;i:2;}','',13,4,1,'aggregator/categories/%','aggregator/categories/%','View','t','','','a:0:{}',140,'','',-10,'modules/aggregator/aggregator.pages.inc'),('aggregator/opml','','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_opml','a:0:{}','',3,2,0,'','aggregator/opml','OPML feed','t','','','a:0:{}',0,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/rss','','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_rss','a:0:{}','',3,2,0,'','aggregator/rss','RSS feed','t','','','a:0:{}',0,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/sources','','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_sources','a:0:{}','',3,2,0,'','aggregator/sources','Sources','t','','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/sources/%','a:1:{i:2;s:20:\"aggregator_feed_load\";}','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_source','a:1:{i:0;i:2;}','',6,3,0,'','aggregator/sources/%','','t','','','a:0:{}',6,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/sources/%/categorize','a:1:{i:2;s:20:\"aggregator_feed_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:2:{i:0;s:27:\"aggregator_page_source_form\";i:1;i:2;}','',13,4,1,'aggregator/sources/%','aggregator/sources/%','Categorize','t','','','a:0:{}',132,'','',0,'modules/aggregator/aggregator.pages.inc'),('aggregator/sources/%/configure','a:1:{i:2;s:20:\"aggregator_feed_load\";}','','user_access','a:1:{i:0;s:21:\"administer news feeds\";}','drupal_get_form','a:2:{i:0;s:20:\"aggregator_form_feed\";i:1;i:2;}','',13,4,1,'aggregator/sources/%','aggregator/sources/%','Configure','t','','','a:0:{}',132,'','',1,'modules/aggregator/aggregator.admin.inc'),('aggregator/sources/%/view','a:1:{i:2;s:20:\"aggregator_feed_load\";}','','user_access','a:1:{i:0;s:17:\"access news feeds\";}','aggregator_page_source','a:1:{i:0;i:2;}','',13,4,1,'aggregator/sources/%','aggregator/sources/%','View','t','','','a:0:{}',140,'','',-10,'modules/aggregator/aggregator.pages.inc'),('articles','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"Articles\";i:1;s:4:\"page\";}','',1,1,0,'','articles','Articles','t','','','a:0:{}',6,'','',0,''),('articles.xml','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"Articles\";i:1;s:4:\"feed\";}','',1,1,0,'','articles.xml','','t','','','a:0:{}',0,'','',0,''),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','',1,1,0,'','batch','','t','','_system_batch_theme','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('blog','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_page_last','a:0:{}','',1,1,0,'','blog','Blogs','t','','','a:0:{}',20,'','',0,'modules/blog/blog.pages.inc'),('blog/%','a:1:{i:1;s:22:\"user_uid_optional_load\";}','a:1:{i:1;s:24:\"user_uid_optional_to_arg\";}','blog_page_user_access','a:1:{i:0;i:1;}','blog_page_user','a:1:{i:0;i:1;}','',2,2,0,'','blog/%','My blog','t','','','a:0:{}',6,'','',0,'modules/blog/blog.pages.inc'),('blog/%/feed','a:1:{i:1;s:9:\"user_load\";}','','blog_page_user_access','a:1:{i:0;i:1;}','blog_feed_user','a:1:{i:0;i:1;}','',5,3,0,'','blog/%/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('blog/feed','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_feed_last','a:0:{}','',3,2,0,'','blog/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',2,2,0,'','comment/%','Comment permalink','t','','','a:0:{}',6,'','',0,''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_approve','a:1:{i:0;i:1;}','',5,3,0,'','comment/%/approve','Approve','t','','','a:0:{}',6,'','',1,'modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Delete','t','','','a:0:{}',132,'','',2,'modules/comment/comment.admin.inc'),('comment/%/edit','a:1:{i:1;s:12:\"comment_load\";}','','comment_access','a:2:{i:0;s:4:\"edit\";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Edit','t','','','a:0:{}',132,'','',0,''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','View comment','t','','','a:0:{}',140,'','',-10,''),('comment/reply/%','a:1:{i:2;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','',6,3,0,'','comment/reply/%','Add new comment','t','','','a:0:{}',6,'','',0,'modules/comment/comment.pages.inc'),('contact','','','user_access','a:1:{i:0;s:29:\"access site-wide contact form\";}','drupal_get_form','a:1:{i:0;s:17:\"contact_site_form\";}','',1,1,0,'','contact','Contact','t','','','a:0:{}',20,'','',0,'modules/contact/contact.pages.inc'),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','',6,3,0,'','ctools/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_add','a:0:{}','',31,5,0,'','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_edit','a:0:{}','',31,5,0,'','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_delete','a:0:{}','',31,5,0,'','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_add','a:0:{}','',15,4,0,'','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_edit','a:0:{}','',15,4,0,'','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_delete','a:0:{}','',15,4,0,'','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('file/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_upload','a:0:{}','ajax_deliver',3,2,0,'','file/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('file/progress','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_progress','a:0:{}','',3,2,0,'','file/progress','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','',3,2,0,'','filter/tips','Compose tips','t','','','a:0:{}',20,'','',0,'modules/filter/filter.pages.inc'),('forum','','','user_access','a:1:{i:0;s:14:\"access content\";}','forum_page','a:0:{}','',1,1,0,'','forum','Forums','t','','','a:0:{}',6,'','',0,'modules/forum/forum.pages.inc'),('forum/%','a:1:{i:1;s:16:\"forum_forum_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','forum_page','a:1:{i:0;i:1;}','',2,2,0,'','forum/%','Forums','t','','','a:0:{}',6,'','',0,'modules/forum/forum.pages.inc'),('node','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_page_default','a:0:{}','',1,1,0,'','node','','t','','','a:0:{}',0,'','',0,''),('node/%','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',2,2,0,'','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('node/%/delete','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"delete\";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"node_delete_confirm\";i:1;i:1;}','',5,3,2,'node/%','node/%','Delete','t','','','a:0:{}',132,'','',1,'modules/node/node.pages.inc'),('node/%/edit','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Edit','t','','','a:0:{}',132,'','',0,'modules/node/node.pages.inc'),('node/%/results','a:1:{i:1;s:9:\"node_load\";}','','_poll_menu_access','a:3:{i:0;i:1;i:1;s:14:\"access content\";i:2;b:1;}','poll_results','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Results','t','','','a:0:{}',132,'','',3,'modules/poll/poll.pages.inc'),('node/%/revisions','a:1:{i:1;s:9:\"node_load\";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Revisions','t','','','a:0:{}',132,'','',2,'modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"delete\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_delete_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"update\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_revert_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','',21,5,0,'','node/%/revisions/%/view','Revisions','t','','','a:0:{}',6,'','',0,''),('node/%/track','a:1:{i:1;s:9:\"node_load\";}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_node_tracker','a:0:{}','',5,3,1,'node/%','node/%','Track','t','','','a:0:{}',132,'','',2,'modules/statistics/statistics.pages.inc'),('node/%/translate','a:1:{i:1;s:9:\"node_load\";}','','_translation_tab_access','a:1:{i:0;i:1;}','translation_node_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Translate','t','','','a:0:{}',132,'','',2,'modules/translation/translation.pages.inc'),('node/%/view','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','View','t','','','a:0:{}',140,'','',-10,''),('node/%/votes','a:1:{i:1;s:9:\"node_load\";}','','_poll_menu_access','a:3:{i:0;i:1;i:1;s:17:\"inspect all votes\";i:2;b:0;}','poll_votes','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Votes','t','','','a:0:{}',132,'','',3,'modules/poll/poll.pages.inc'),('node/add','','','_node_add_access','a:0:{}','node_add_page','a:0:{}','',3,2,0,'','node/add','Add content','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"article\";}','node_add','a:1:{i:0;s:7:\"article\";}','',7,3,0,'','node/add/article','Article','check_plain','','','a:0:{}',6,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',0,'modules/node/node.pages.inc'),('node/add/blog','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"blog\";}','node_add','a:1:{i:0;s:4:\"blog\";}','',7,3,0,'','node/add/blog','Blog entry','check_plain','','','a:0:{}',6,'Use for multi-user blogs. Every user gets a personal blog.','',0,'modules/node/node.pages.inc'),('node/add/forum','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:5:\"forum\";}','node_add','a:1:{i:0;s:5:\"forum\";}','',7,3,0,'','node/add/forum','Forum topic','check_plain','','','a:0:{}',6,'A <em>forum topic</em> starts a new discussion thread within a forum.','',0,'modules/node/node.pages.inc'),('node/add/page','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"page\";}','node_add','a:1:{i:0;s:4:\"page\";}','',7,3,0,'','node/add/page','Basic page','check_plain','','','a:0:{}',6,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',0,'modules/node/node.pages.inc'),('node/add/poll','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"poll\";}','node_add','a:1:{i:0;s:4:\"poll\";}','',7,3,0,'','node/add/poll','Poll','check_plain','','','a:0:{}',6,'A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','',0,'modules/node/node.pages.inc'),('openid/authenticate','','','user_is_anonymous','a:0:{}','openid_authentication_page','a:0:{}','',3,2,0,'','openid/authenticate','OpenID Login','t','','','a:0:{}',0,'','',0,'modules/openid/openid.pages.inc'),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','',2,2,0,'','overlay-ajax/%','','t','','','a:0:{}',0,'','',0,''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_user_dismiss_message','a:0:{}','',3,2,0,'','overlay/dismiss-message','','t','','','a:0:{}',0,'','',0,''),('poll','','','user_access','a:1:{i:0;s:14:\"access content\";}','poll_page','a:0:{}','',1,1,0,'','poll','Polls','t','','','a:0:{}',20,'','',0,'modules/poll/poll.pages.inc'),('quicktabs/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','quicktabs_ajax','a:0:{}','',3,2,0,'','quicktabs/ajax','','t','','','a:0:{}',0,'','',0,''),('rss.xml','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_feed','a:2:{i:0;b:0;i:1;a:0:{}}','',1,1,0,'','rss.xml','RSS feed','t','','','a:0:{}',0,'','',0,''),('search','','','search_is_active','a:0:{}','search_view','a:0:{}','',1,1,0,'','search','Search','t','','','a:0:{}',20,'','',0,'modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;s:0:\"\";}','',3,2,1,'search','search','Content','t','','','a:0:{}',132,'','',-10,'modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Content','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;s:0:\"\";}','',3,2,1,'search','search','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('sites/default/files/styles/%','a:1:{i:4;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:4;}','',30,5,0,'','sites/default/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver',3,2,0,'','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:\"private\";}','',3,2,0,'','system/files','File download','t','','','a:0:{}',0,'','',0,''),('system/files/styles/%','a:1:{i:3;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','',14,4,0,'','system/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:\"temporary\";}','',3,2,0,'','system/temporary','Temporary files','t','','','a:0:{}',0,'','',0,''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','',3,2,0,'','system/timezone','Time zone','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_autocomplete','a:0:{}','',3,2,0,'','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',6,3,0,'','taxonomy/term/%','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/edit','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;i:2;i:2;N;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}',132,'','',10,'modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_feed','a:1:{i:0;i:2;}','',13,4,0,'','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}',140,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('token/autocomplete/%','a:1:{i:2;s:15:\"token_type_load\";}','','1','a:0:{}','token_autocomplete_token','a:1:{i:0;i:2;}','',6,3,0,'','token/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','token_flush_cache_callback','a:0:{}','',3,2,0,'','token/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/tree','','','1','a:0:{}','token_page_output_tree','a:0:{}','',3,2,0,'','token/tree','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('toolbar/toggle','','','user_access','a:1:{i:0;s:14:\"access toolbar\";}','toolbar_toggle_page','a:0:{}','',3,2,0,'','toolbar/toggle','Toggle drawer visibility','t','','','a:0:{}',0,'','',0,''),('tracker','','','user_access','a:1:{i:0;s:14:\"access content\";}','tracker_page','a:0:{}','',1,1,0,'','tracker','Recent content','t','','','a:0:{}',6,'','',1,'modules/tracker/tracker.pages.inc'),('tracker/%','a:1:{i:1;s:22:\"user_uid_optional_load\";}','a:1:{i:1;s:24:\"user_uid_optional_to_arg\";}','_tracker_myrecent_access','a:1:{i:0;i:1;}','tracker_page','a:1:{i:0;i:1;}','',2,2,1,'tracker','tracker','My recent content','t','','','a:0:{}',132,'','',0,'modules/tracker/tracker.pages.inc'),('tracker/all','','','user_access','a:1:{i:0;s:14:\"access content\";}','tracker_page','a:0:{}','',3,2,1,'tracker','tracker','All recent content','t','','','a:0:{}',140,'','',0,'modules/tracker/tracker.pages.inc'),('user','','','1','a:0:{}','user_page','a:0:{}','',1,1,0,'','user','User account','user_menu_title','','','a:0:{}',6,'','',-10,'modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',2,2,0,'','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('user/%/cancel','a:1:{i:1;s:9:\"user_load\";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"user_cancel_confirm_form\";i:1;i:1;}','',5,3,0,'','user/%/cancel','Cancel account','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:\"user_load\";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','',44,6,0,'','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/contact','a:1:{i:1;s:9:\"user_load\";}','','_contact_personal_tab_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:21:\"contact_personal_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Contact','t','','','a:0:{}',132,'','',2,'modules/contact/contact.pages.inc'),('user/%/edit','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Edit','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',11,4,1,'user/%/edit','user/%','Account','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/%/openid','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','openid_user_identities','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','OpenID identities','t','','','a:0:{}',132,'','',0,'modules/openid/openid.pages.inc'),('user/%/openid/delete','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:23:\"openid_user_delete_form\";i:1;i:1;}','',11,4,0,'','user/%/openid/delete','Delete OpenID','t','','','a:0:{}',6,'','',0,'modules/openid/openid.pages.inc'),('user/%/shortcuts','a:1:{i:1;s:9:\"user_load\";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"shortcut_set_switch\";i:1;i:1;}','',5,3,1,'user/%','user/%','Shortcuts','t','','','a:0:{}',132,'','',0,'modules/shortcut/shortcut.admin.inc'),('user/%/track','a:1:{i:1;s:9:\"user_load\";}','','_tracker_user_access','a:1:{i:0;i:1;}','tracker_page','a:2:{i:0;i:1;i:1;b:1;}','',5,3,1,'user/%','user/%','Track','t','','','a:0:{}',132,'','',0,'modules/tracker/tracker.pages.inc'),('user/%/track/content','a:1:{i:1;s:9:\"user_load\";}','','_tracker_user_access','a:1:{i:0;i:1;}','tracker_page','a:2:{i:0;i:1;i:1;b:1;}','',11,4,1,'user/%/track','user/%','Track content','t','','','a:0:{}',140,'','',0,'modules/tracker/tracker.pages.inc'),('user/%/track/navigation','a:1:{i:1;s:9:\"user_load\";}','','user_access','a:1:{i:0;s:17:\"access statistics\";}','statistics_user_tracker','a:0:{}','',11,4,1,'user/%/track','user/%','Track page visits','t','','','a:0:{}',132,'','',2,'modules/statistics/statistics.pages.inc'),('user/%/view','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','View','t','','','a:0:{}',140,'','',-10,''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','user_autocomplete','a:0:{}','',3,2,0,'','user/autocomplete','User autocomplete','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','',3,2,1,'user','user','Log in','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','',3,2,0,'','user/logout','Log out','t','','','a:0:{}',6,'','',10,'modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:\"user_pass\";}','',3,2,1,'user','user','Request new password','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:\"user_register_form\";}','',3,2,1,'user','user','Create new account','t','','','a:0:{}',132,'','',0,''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:\"user_pass_reset\";i:1;i:2;i:2;i:3;i:3;i:4;}','',24,5,0,'','user/reset/%/%/%','Reset password','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver',3,2,0,'','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}',0,'Ajax callback for view loading.','',0,'sites/all/modules/views/includes/ajax.inc'),('wysiwyg/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','wysiwyg_dialog','a:1:{i:0;i:1;}','wysiwyg_deliver_dialog_page',2,2,0,'','wysiwyg/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/wysiwyg/wysiwyg.dialog.inc');
/*!40000 ALTER TABLE `menu_router` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
INSERT INTO `node` VALUES (1,1,'article','en','The Drupal.org Redesign Progress',1,1,1326689095,1326689255,2,1,1,0,0),(2,2,'article','en','New Drupal Book - Drupal Performance Tips',1,1,1326689469,1326689514,2,1,0,0,0),(3,3,'article','en','DrupalCon London 2011 Session Schedule',1,1,1326689691,1326689691,2,1,0,0,0),(4,4,'article','en','Invitation to Present at the CT Film',1,1,1326696944,1326696944,2,0,0,0,0),(5,5,'article','en','Updated NetBeans plugins support for Drupal',1,1,1326697098,1326697098,2,1,0,0,0),(6,6,'article','en','Editing documentation embedded into Drupal',1,1,1326697191,1326697191,2,1,0,0,0),(7,7,'article','en','Newspaper modules open-sourced by Studio Multimedia France 24 / RFI',1,1,1326697268,1326697268,2,1,0,0,0),(8,8,'article','en','Drupal 7.4 released',1,1,1326697363,1326697363,2,1,0,0,0),(9,9,'page','en','About Drupal',1,1,1326698293,1326698293,1,0,0,0,0),(10,10,'blog','en','Understanding Drupal',1,1,1326699621,1326699621,2,1,0,0,0),(11,11,'blog','en','The Drupal Cookbook (for beginners)',1,1,1326700560,1326700560,2,0,0,0,0),(12,12,'blog','en','History of the Druplicon logo',1,1,1326700692,1326700692,2,0,0,0,0),(13,13,'blog','en','Drupal Accessibility Statement',1,1,1326700748,1326700748,2,0,0,0,0),(14,14,'poll','en','What do you think about Nucleus Framework?',1,1,1326706235,1326706235,2,1,0,0,0),(15,15,'poll','en','Which Basetheme you like most?',1,1,1326706417,1326706417,2,1,0,0,0),(16,16,'forum','en','Site Building Guide',1,1,1326766039,1326766039,2,0,0,0,0),(17,17,'forum','en','modules failed to update',8,1,1326766123,1326766123,2,0,0,0,0),(18,18,'forum','en','Simplest way to launch Drupal on AWS',7,1,1326766270,1326766270,2,0,0,0,0),(19,19,'forum','en','change in look after Upadting Pixture Reloaded theme',5,1,1326766321,1326766321,2,0,0,0,0),(20,20,'forum','en','System requirements',4,1,1326766416,1326766416,2,0,0,0,0),(21,21,'forum','en','HTML and CSS techniques',1,1,1326766554,1326766554,2,0,0,0,0);
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
INSERT INTO `node_access` VALUES (0,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_comment_statistics`
--

DROP TABLE IF EXISTS `node_comment_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_comment_statistics`
--

LOCK TABLES `node_comment_statistics` WRITE;
/*!40000 ALTER TABLE `node_comment_statistics` DISABLE KEYS */;
INSERT INTO `node_comment_statistics` VALUES (1,0,1326689095,NULL,1,0),(2,0,1326689469,NULL,1,0),(3,0,1326689691,NULL,1,0),(4,0,1326696944,NULL,1,0),(5,0,1326697098,NULL,1,0),(6,0,1326697191,NULL,1,0),(7,0,1326697268,NULL,1,0),(8,0,1326697363,NULL,1,0),(9,0,1326698293,NULL,1,0),(10,0,1326699621,NULL,1,0),(11,0,1326700560,NULL,1,0),(12,0,1326700692,NULL,1,0),(13,0,1326700748,NULL,1,0),(14,0,1326706235,NULL,1,0),(15,0,1326706417,NULL,1,0),(16,0,1326766039,NULL,1,0),(17,0,1326766123,NULL,8,0),(18,0,1326766270,NULL,7,0),(19,0,1326766321,NULL,5,0),(20,0,1326766416,NULL,4,0),(21,2,1326766651,'',1,2);
/*!40000 ALTER TABLE `node_comment_statistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_counter`
--

DROP TABLE IF EXISTS `node_counter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_counter` (
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid for these statistics.',
  `totalcount` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed.',
  `daycount` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of times the node has been viewed today.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The most recent time the node has been viewed.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Access statistics for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_counter`
--

LOCK TABLES `node_counter` WRITE;
/*!40000 ALTER TABLE `node_counter` DISABLE KEYS */;
/*!40000 ALTER TABLE `node_counter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
INSERT INTO `node_revision` VALUES (1,1,1,'The Drupal.org Redesign Progress','',1326689255,1,2,1,1),(2,2,1,'New Drupal Book - Drupal Performance Tips','',1326689514,1,2,1,0),(3,3,1,'DrupalCon London 2011 Session Schedule','',1326689691,1,2,1,0),(4,4,1,'Invitation to Present at the CT Film','',1326696944,1,2,0,0),(5,5,1,'Updated NetBeans plugins support for Drupal','',1326697098,1,2,1,0),(6,6,1,'Editing documentation embedded into Drupal','',1326697191,1,2,1,0),(7,7,1,'Newspaper modules open-sourced by Studio Multimedia France 24 / RFI','',1326697268,1,2,1,0),(8,8,1,'Drupal 7.4 released','',1326697363,1,2,1,0),(9,9,1,'About Drupal','',1326698293,1,1,0,0),(10,10,1,'Understanding Drupal','',1326699621,1,2,1,0),(11,11,1,'The Drupal Cookbook (for beginners)','',1326700560,1,2,0,0),(12,12,1,'History of the Druplicon logo','',1326700692,1,2,0,0),(13,13,1,'Drupal Accessibility Statement','',1326700748,1,2,0,0),(14,14,1,'What do you think about Nucleus Framework?','',1326706235,1,2,1,0),(15,15,1,'Which Basetheme you like most?','',1326706417,1,2,1,0),(16,16,1,'Site Building Guide','',1326766039,1,2,0,0),(17,17,1,'modules failed to update','',1326766123,1,2,0,0),(18,18,1,'Simplest way to launch Drupal on AWS','',1326766270,1,2,0,0),(19,19,1,'change in look after Upadting Pixture Reloaded theme','',1326766321,1,2,0,0),(20,20,1,'System requirements','',1326766416,1,2,0,0),(21,21,1,'HTML and CSS techniques','',1326766554,1,2,0,0);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
INSERT INTO `node_type` VALUES ('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',1,'Title',1,1,0,0,'article'),('blog','Blog entry','blog','blog','Use for multi-user blogs. Every user gets a personal blog.','',1,'Title',0,0,1,0,'blog'),('forum','Forum topic','forum','forum','A <em>forum topic</em> starts a new discussion thread within a forum.','',1,'Subject',0,0,1,0,'forum'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',1,'Title',1,1,0,0,'page'),('poll','Poll','poll','poll','A <em>poll</em> is a question with a set of possible responses. A <em>poll</em>, once created, automatically provides a simple running count of the number of votes received for each response.','',1,'Question',0,0,1,0,'poll');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `openid_association`
--

DROP TABLE IF EXISTS `openid_association`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `openid_association` (
  `idp_endpoint_uri` varchar(255) NOT NULL COMMENT 'Primary Key: URI of the OpenID Provider endpoint.',
  `assoc_handle` varchar(255) NOT NULL COMMENT 'Used to refer to this association in subsequent messages.',
  `assoc_type` varchar(32) DEFAULT NULL COMMENT 'The signature algorithm used: one of HMAC-SHA1 or HMAC-SHA256.',
  `session_type` varchar(32) DEFAULT NULL COMMENT 'Valid association session types: "no-encryption", "DH-SHA1", and "DH-SHA256".',
  `mac_key` varchar(255) DEFAULT NULL COMMENT 'The MAC key (shared secret) for this association.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the association was created.',
  `expires_in` int(11) NOT NULL DEFAULT '0' COMMENT 'The lifetime, in seconds, of this association.',
  PRIMARY KEY (`idp_endpoint_uri`),
  UNIQUE KEY `assoc_handle` (`assoc_handle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores temporary shared key association information for...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `openid_association`
--

LOCK TABLES `openid_association` WRITE;
/*!40000 ALTER TABLE `openid_association` DISABLE KEYS */;
/*!40000 ALTER TABLE `openid_association` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `openid_nonce`
--

DROP TABLE IF EXISTS `openid_nonce`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `openid_nonce` (
  `idp_endpoint_uri` varchar(255) DEFAULT NULL COMMENT 'URI of the OpenID Provider endpoint.',
  `nonce` varchar(255) DEFAULT NULL COMMENT 'The value of openid.response_nonce.',
  `expires` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the entry should expire.',
  KEY `nonce` (`nonce`),
  KEY `expires` (`expires`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores received openid.response_nonce per OpenID endpoint...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `openid_nonce`
--

LOCK TABLES `openid_nonce` WRITE;
/*!40000 ALTER TABLE `openid_nonce` DISABLE KEYS */;
/*!40000 ALTER TABLE `openid_nonce` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `poll`
--

DROP TABLE IF EXISTS `poll`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The poll’s node.nid.',
  `runtime` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of seconds past node.created during which the poll is open.',
  `active` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not the poll is open.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores poll-specific information for poll nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll`
--

LOCK TABLES `poll` WRITE;
/*!40000 ALTER TABLE `poll` DISABLE KEYS */;
INSERT INTO `poll` VALUES (14,0,1),(15,0,1);
/*!40000 ALTER TABLE `poll` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `poll_choice`
--

DROP TABLE IF EXISTS `poll_choice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll_choice` (
  `chid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for a poll choice.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this choice belongs to.',
  `chtext` varchar(128) NOT NULL DEFAULT '' COMMENT 'The text for this choice.',
  `chvotes` int(11) NOT NULL DEFAULT '0' COMMENT 'The total number of votes this choice has received by all users.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The sort order of this choice among all choices for the same node.',
  PRIMARY KEY (`chid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='Stores information about all choices for all polls.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll_choice`
--

LOCK TABLES `poll_choice` WRITE;
/*!40000 ALTER TABLE `poll_choice` DISABLE KEYS */;
INSERT INTO `poll_choice` VALUES (1,14,'I already used it & really happy.',360,1),(2,14,'Look promising.',120,1),(3,14,'Boring!',15,2),(4,14,'I don\'t care about Framework at all.',56,3),(5,15,'Fusion',579,1),(6,15,'Zen',320,1),(7,15,'Omega',211,2),(8,15,'Nucleus',308,3);
/*!40000 ALTER TABLE `poll_choice` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `poll_vote`
--

DROP TABLE IF EXISTS `poll_vote`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poll_vote` (
  `chid` int(10) unsigned NOT NULL COMMENT 'The users’s vote for this poll.',
  `nid` int(10) unsigned NOT NULL COMMENT 'The poll node this vote is for.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid this vote is from unless the voter was anonymous.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address this vote is from unless the voter was logged in.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The timestamp of the vote creation.',
  PRIMARY KEY (`nid`,`uid`,`hostname`),
  KEY `chid` (`chid`),
  KEY `hostname` (`hostname`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores per-users votes for each poll.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poll_vote`
--

LOCK TABLES `poll_vote` WRITE;
/*!40000 ALTER TABLE `poll_vote` DISABLE KEYS */;
INSERT INTO `poll_vote` VALUES (7,15,1,'127.0.0.1',1329104443);
/*!40000 ALTER TABLE `poll_vote` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=211 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
INSERT INTO `queue` VALUES (175,'update_fetch_tasks','a:8:{s:4:\"name\";s:3:\"cck\";s:4:\"info\";a:6:{s:4:\"name\";s:3:\"CCK\";s:7:\"package\";s:3:\"CCK\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:7:\"project\";s:3:\"cck\";s:9:\"datestamp\";s:10:\"1386880109\";s:16:\"_info_file_ctime\";i:1435572637;}s:9:\"datestamp\";s:10:\"1386880109\";s:8:\"includes\";a:1:{s:3:\"cck\";s:3:\"CCK\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654186),(176,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"chosen\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Chosen\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:7:\"project\";s:6:\"chosen\";s:9:\"datestamp\";s:10:\"1394256505\";s:16:\"_info_file_ctime\";i:1435572582;}s:9:\"datestamp\";s:10:\"1394256505\";s:8:\"includes\";a:1:{s:6:\"chosen\";s:6:\"Chosen\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654186),(177,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:16:\"_info_file_ctime\";i:1435572645;}s:9:\"datestamp\";s:10:\"1426696183\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654186),(178,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420870983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572572;}s:9:\"datestamp\";s:10:\"1420870983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654186),(179,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"imageapi\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"ImageAPI\";s:7:\"package\";s:8:\"ImageAPI\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:16:\"_info_file_ctime\";i:1435572762;}s:9:\"datestamp\";s:10:\"1380582657\";s:8:\"includes\";a:2:{s:8:\"imageapi\";s:8:\"ImageAPI\";s:11:\"imageapi_gd\";s:12:\"ImageAPI GD2\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654187),(180,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_plugin\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"jQuery plugins\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:13:\"jquery_plugin\";s:9:\"datestamp\";s:10:\"1294280182\";s:16:\"_info_file_ctime\";i:1435572687;}s:9:\"datestamp\";s:10:\"1294280182\";s:8:\"includes\";a:1:{s:13:\"jquery_plugin\";s:14:\"jQuery plugins\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654187),(181,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572695;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654187),(182,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572774;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654187),(183,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572765;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654187),(184,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"superfish\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Superfish\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:9:\"superfish\";s:9:\"datestamp\";s:10:\"1367054112\";s:16:\"_info_file_ctime\";i:1435572628;}s:9:\"datestamp\";s:10:\"1367054112\";s:8:\"includes\";a:1:{s:9:\"superfish\";s:9:\"Superfish\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654187),(185,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572777;}s:9:\"datestamp\";s:10:\"1425149060\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654188),(186,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.10\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1423648085\";s:16:\"_info_file_ctime\";i:1435572746;}s:9:\"datestamp\";s:10:\"1423648085\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654188),(187,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1435572759;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654188),(188,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"wysiwyg\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Wysiwyg\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:16:\"_info_file_ctime\";i:1435572784;}s:9:\"datestamp\";s:10:\"1349213776\";s:8:\"includes\";a:1:{s:7:\"wysiwyg\";s:7:\"Wysiwyg\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435654188),(196,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Aggregator\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:16:\"_info_file_ctime\";i:1435572553;}s:9:\"datestamp\";s:10:\"1434567286\";s:8:\"includes\";a:43:{s:10:\"aggregator\";s:10:\"Aggregator\";s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:7:\"contact\";s:7:\"Contact\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:5:\"forum\";s:5:\"Forum\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:6:\"openid\";s:6:\"OpenID\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"php\";s:10:\"PHP filter\";s:4:\"poll\";s:4:\"Poll\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:10:\"statistics\";s:10:\"Statistics\";s:6:\"syslog\";s:6:\"Syslog\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:7:\"toolbar\";s:7:\"Toolbar\";s:7:\"tracker\";s:7:\"Tracker\";s:11:\"translation\";s:19:\"Content translation\";s:7:\"trigger\";s:7:\"Trigger\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657097),(197,'update_fetch_tasks','a:8:{s:4:\"name\";s:3:\"cck\";s:4:\"info\";a:6:{s:4:\"name\";s:3:\"CCK\";s:7:\"package\";s:3:\"CCK\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:7:\"project\";s:3:\"cck\";s:9:\"datestamp\";s:10:\"1386880109\";s:16:\"_info_file_ctime\";i:1435572637;}s:9:\"datestamp\";s:10:\"1386880109\";s:8:\"includes\";a:1:{s:3:\"cck\";s:3:\"CCK\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657097),(198,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"chosen\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Chosen\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:7:\"project\";s:6:\"chosen\";s:9:\"datestamp\";s:10:\"1394256505\";s:16:\"_info_file_ctime\";i:1435572582;}s:9:\"datestamp\";s:10:\"1394256505\";s:8:\"includes\";a:1:{s:6:\"chosen\";s:6:\"Chosen\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657097),(199,'update_fetch_tasks','a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:16:\"_info_file_ctime\";i:1435572645;}s:9:\"datestamp\";s:10:\"1426696183\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657097),(200,'update_fetch_tasks','a:8:{s:4:\"name\";s:11:\"fontawesome\";s:4:\"info\";a:6:{s:4:\"name\";s:12:\"Font Awesome\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420870983\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572572;}s:9:\"datestamp\";s:10:\"1420870983\";s:8:\"includes\";a:1:{s:11:\"fontawesome\";s:12:\"Font Awesome\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657097),(201,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"imageapi\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"ImageAPI\";s:7:\"package\";s:8:\"ImageAPI\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:16:\"_info_file_ctime\";i:1435572762;}s:9:\"datestamp\";s:10:\"1380582657\";s:8:\"includes\";a:2:{s:8:\"imageapi\";s:8:\"ImageAPI\";s:11:\"imageapi_gd\";s:12:\"ImageAPI GD2\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(202,'update_fetch_tasks','a:8:{s:4:\"name\";s:13:\"jquery_plugin\";s:4:\"info\";a:6:{s:4:\"name\";s:14:\"jQuery plugins\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:13:\"jquery_plugin\";s:9:\"datestamp\";s:10:\"1294280182\";s:16:\"_info_file_ctime\";i:1435572687;}s:9:\"datestamp\";s:10:\"1294280182\";s:8:\"includes\";a:1:{s:13:\"jquery_plugin\";s:14:\"jQuery plugins\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(203,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572695;}s:9:\"datestamp\";s:10:\"1391965716\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(204,'update_fetch_tasks','a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572774;}s:9:\"datestamp\";s:10:\"1344525185\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(205,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572765;}s:9:\"datestamp\";s:10:\"1380731929\";s:8:\"includes\";a:2:{s:9:\"quicktabs\";s:9:\"Quicktabs\";s:19:\"quicktabs_tabstyles\";s:16:\"Quicktabs Styles\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(206,'update_fetch_tasks','a:8:{s:4:\"name\";s:9:\"superfish\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Superfish\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:9:\"superfish\";s:9:\"datestamp\";s:10:\"1367054112\";s:16:\"_info_file_ctime\";i:1435572628;}s:9:\"datestamp\";s:10:\"1367054112\";s:8:\"includes\";a:1:{s:9:\"superfish\";s:9:\"Superfish\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(207,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1435572777;}s:9:\"datestamp\";s:10:\"1425149060\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(208,'update_fetch_tasks','a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.11\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1430321048\";s:16:\"_info_file_ctime\";i:1435656876;}s:9:\"datestamp\";s:10:\"1430321048\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657098),(209,'update_fetch_tasks','a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:16:\"_info_file_ctime\";i:1435572759;}s:9:\"datestamp\";s:10:\"1382584826\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657099),(210,'update_fetch_tasks','a:8:{s:4:\"name\";s:7:\"wysiwyg\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Wysiwyg\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:16:\"_info_file_ctime\";i:1435572784;}s:9:\"datestamp\";s:10:\"1349213776\";s:8:\"includes\";a:1:{s:7:\"wysiwyg\";s:7:\"Wysiwyg\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}',0,1435657099);
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quicktabs`
--

DROP TABLE IF EXISTS `quicktabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quicktabs` (
  `machine_name` varchar(255) NOT NULL COMMENT 'The primary identifier for a qt block.',
  `ajax` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this is an ajax views block.',
  `hide_empty_tabs` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this tabset hides empty tabs.',
  `default_tab` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Default tab.',
  `title` varchar(255) NOT NULL COMMENT 'The title of this quicktabs block.',
  `tabs` mediumtext NOT NULL COMMENT 'A serialized array of the contents of this qt block.',
  `renderer` varchar(255) NOT NULL COMMENT 'The rendering mechanism.',
  `style` varchar(255) NOT NULL COMMENT 'The tab style.',
  `options` mediumtext COMMENT 'A serialized array of the options for this qt instance.',
  PRIMARY KEY (`machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The quicktabs table.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quicktabs`
--

LOCK TABLES `quicktabs` WRITE;
/*!40000 ALTER TABLE `quicktabs` DISABLE KEYS */;
INSERT INTO `quicktabs` VALUES ('quicktabs',0,0,0,'Quicktabs','a:3:{i:0;a:5:{s:3:\"bid\";s:20:\"comment_delta_recent\";s:10:\"hide_title\";i:1;s:5:\"title\";s:8:\"Comments\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:5:\"block\";}i:1;a:5:{s:3:\"bid\";s:17:\"blog_delta_recent\";s:10:\"hide_title\";i:1;s:5:\"title\";s:5:\"Blogs\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:5:\"block\";}i:2;a:5:{s:3:\"bid\";s:15:\"forum_delta_new\";s:10:\"hide_title\";i:1;s:5:\"title\";s:6:\"Forums\";s:6:\"weight\";s:3:\"-98\";s:4:\"type\";s:5:\"block\";}}','quicktabs','Basic','a:0:{}');
/*!40000 ALTER TABLE `quicktabs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rdf_mapping`
--

DROP TABLE IF EXISTS `rdf_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rdf_mapping` (
  `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',
  `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',
  `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',
  PRIMARY KEY (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rdf_mapping`
--

LOCK TABLES `rdf_mapping` WRITE;
/*!40000 ALTER TABLE `rdf_mapping` DISABLE KEYS */;
INSERT INTO `rdf_mapping` VALUES ('node','article','a:11:{s:11:\"field_image\";a:2:{s:10:\"predicates\";a:2:{i:0;s:8:\"og:image\";i:1;s:12:\"rdfs:seeAlso\";}s:4:\"type\";s:3:\"rel\";}s:10:\"field_tags\";a:2:{s:10:\"predicates\";a:1:{i:0;s:10:\"dc:subject\";}s:4:\"type\";s:3:\"rel\";}s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Item\";i:1;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','blog','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:14:\"sioct:BlogPost\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','forum','a:10:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:15:\"sioct:BoardPost\";}s:15:\"taxonomy_forums\";a:2:{s:10:\"predicates\";a:1:{i:0;s:18:\"sioc:has_container\";}s:4:\"type\";s:3:\"rel\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','page','a:9:{s:7:\"rdftype\";a:1:{i:0;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','poll','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:10:\"sioct:Poll\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('taxonomy_term','forums','a:5:{s:7:\"rdftype\";a:2:{i:0;s:14:\"sioc:Container\";i:1;s:10:\"sioc:Forum\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:2:{i:0;s:10:\"rdfs:label\";i:1;s:14:\"skos:prefLabel\";}}s:11:\"description\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"skos:definition\";}}s:3:\"vid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:13:\"skos:inScheme\";}s:4:\"type\";s:3:\"rel\";}s:6:\"parent\";a:2:{s:10:\"predicates\";a:1:{i:0;s:12:\"skos:broader\";}s:4:\"type\";s:3:\"rel\";}}');
/*!40000 ALTER TABLE `rdf_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `registry`
--

DROP TABLE IF EXISTS `registry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry`
--

LOCK TABLES `registry` WRITE;
/*!40000 ALTER TABLE `registry` DISABLE KEYS */;
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system',0),('AddFeedTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('AdminMetaTagTestCase','class','modules/system/system.test','system',0),('AggregatorConfigurationTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('AggregatorCronTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('AggregatorRenderingTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('AggregatorTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('ArchiverInterface','interface','includes/archiver.inc','',0),('ArchiverTar','class','modules/system/system.archiver.inc','system',0),('ArchiverZip','class','modules/system/system.archiver.inc','system',0),('Archive_Tar','class','modules/system/system.tar.inc','system',0),('BatchMemoryQueue','class','includes/batch.queue.inc','',0),('BatchQueue','class','includes/batch.queue.inc','',0),('BlockAdminThemeTestCase','class','modules/block/block.test','block',-5),('BlockCacheTestCase','class','modules/block/block.test','block',-5),('BlockHashTestCase','class','modules/block/block.test','block',-5),('BlockHiddenRegionTestCase','class','modules/block/block.test','block',-5),('BlockHTMLIdTestCase','class','modules/block/block.test','block',-5),('BlockInvalidRegionTestCase','class','modules/block/block.test','block',-5),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block',-5),('BlockTestCase','class','modules/block/block.test','block',-5),('BlockViewModuleDeltaAlterWebTest','class','modules/block/block.test','block',-5),('BlogTestCase','class','modules/blog/blog.test','blog',0),('CategorizeFeedItemTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('CategorizeFeedTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('ColorTestCase','class','modules/color/color.test','color',0),('CommentActionsTestCase','class','modules/comment/comment.test','comment',0),('CommentAnonymous','class','modules/comment/comment.test','comment',0),('CommentApprovalTest','class','modules/comment/comment.test','comment',0),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment',0),('CommentContentRebuild','class','modules/comment/comment.test','comment',0),('CommentController','class','modules/comment/comment.module','comment',0),('CommentFieldsTest','class','modules/comment/comment.test','comment',0),('CommentHelperCase','class','modules/comment/comment.test','comment',0),('CommentInterfaceTest','class','modules/comment/comment.test','comment',0),('CommentNodeAccessTest','class','modules/comment/comment.test','comment',0),('CommentNodeChangesTestCase','class','modules/comment/comment.test','comment',0),('CommentPagerTest','class','modules/comment/comment.test','comment',0),('CommentPreviewTest','class','modules/comment/comment.test','comment',0),('CommentRSSUnitTest','class','modules/comment/comment.test','comment',0),('CommentThreadingTestCase','class','modules/comment/comment.test','comment',0),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment',0),('ConfirmFormTest','class','modules/system/system.test','system',0),('ContactPersonalTestCase','class','modules/contact/contact.test','contact',0),('ContactSitewideTestCase','class','modules/contact/contact.test','contact',0),('ContextualDynamicContextTestCase','class','modules/contextual/contextual.test','contextual',0),('CronQueueTestCase','class','modules/system/system.test','system',0),('CronRunTestCase','class','modules/system/system.test','system',0),('CToolsCssCache','class','sites/all/modules/ctools/includes/css-cache.inc','ctools',0),('CtoolsObjectCache','class','sites/all/modules/ctools/tests/css_cache.test','ctools',0),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools',0),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools',0),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard',0),('Database','class','includes/database/database.inc','',0),('DatabaseCondition','class','includes/database/query.inc','',0),('DatabaseConnection','class','includes/database/database.inc','',0),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','',0),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','',0),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','',0),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','',0),('DatabaseLog','class','includes/database/log.inc','',0),('DatabaseSchema','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','',0),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','',0),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','',0),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','',0),('DatabaseStatementBase','class','includes/database/database.inc','',0),('DatabaseStatementEmpty','class','includes/database/database.inc','',0),('DatabaseStatementInterface','interface','includes/database/database.inc','',0),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','',0),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseTaskException','class','includes/install.inc','',0),('DatabaseTasks','class','includes/install.inc','',0),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','',0),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','',0),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','',0),('DatabaseTransaction','class','includes/database/database.inc','',0),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','',0),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','',0),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','',0),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','',0),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','',0),('DateTimeFunctionalTest','class','modules/system/system.test','system',0),('DBLogTestCase','class','modules/dblog/dblog.test','dblog',0),('DefaultMailSystem','class','modules/system/system.mail.inc','system',0),('DeleteQuery','class','includes/database/query.inc','',0),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('DrupalCacheArray','class','includes/bootstrap.inc','',0),('DrupalCacheInterface','interface','includes/cache.inc','',0),('DrupalDatabaseCache','class','includes/cache.inc','',0),('DrupalDefaultEntityController','class','includes/entity.inc','',0),('DrupalEntityControllerInterface','interface','includes/entity.inc','',0),('DrupalFakeCache','class','includes/cache-install.inc','',0),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalQueue','class','modules/system/system.queue.inc','system',0),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalSetMessageTest','class','modules/system/system.test','system',0),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalUpdateException','class','includes/update.inc','',0),('DrupalUpdaterInterface','interface','includes/updater.inc','',0),('EnableDisableTestCase','class','modules/system/system.test','system',0),('EntityFieldQuery','class','includes/entity.inc','',0),('EntityFieldQueryException','class','includes/entity.inc','',0),('EntityMalformedException','class','includes/entity.inc','',0),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field',0),('FeedParserTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachTestCase','class','modules/field/tests/field.test','field',0),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field',0),('FieldCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field',0),('FieldException','class','modules/field/field.module','field',0),('FieldFormTestCase','class','modules/field/tests/field.test','field',0),('FieldInfo','class','modules/field/field.info.class.inc','field',0),('FieldInfoTestCase','class','modules/field/tests/field.test','field',0),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldsOverlapException','class','includes/database/database.inc','',0),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage',0),('FieldTestCase','class','modules/field/tests/field.test','field',0),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field',0),('FieldUIAlterTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUpdateForbiddenException','class','modules/field/field.module','field',0),('FieldValidationException','class','modules/field/field.attach.inc','field',0),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file',0),('FileFieldPathTestCase','class','modules/file/tests/file.test','file',0),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file',0),('FileFieldTestCase','class','modules/file/tests/file.test','file',0),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file',0),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file',0),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file',0),('FilePrivateTestCase','class','modules/file/tests/file.test','file',0),('FileTaxonomyTermTestCase','class','modules/file/tests/file.test','file',0),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file',0),('FileTransfer','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','',0),('FileTransferException','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferFTP','class','includes/filetransfer/ftp.inc','',0),('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','',0),('FileTransferLocal','class','includes/filetransfer/local.inc','',0),('FileTransferSSH','class','includes/filetransfer/ssh.inc','',0),('FilterAdminTestCase','class','modules/filter/filter.test','filter',0),('FilterCRUDTestCase','class','modules/filter/filter.test','filter',0),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter',0),('FilterHooksTestCase','class','modules/filter/filter.test','filter',0),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterSecurityTestCase','class','modules/filter/filter.test','filter',0),('FilterSettingsTestCase','class','modules/filter/filter.test','filter',0),('FilterUnitTestCase','class','modules/filter/filter.test','filter',0),('FloodFunctionalTest','class','modules/system/system.test','system',0),('ForumIndexTestCase','class','modules/forum/forum.test','forum',1),('ForumTestCase','class','modules/forum/forum.test','forum',1),('FrontPageTestCase','class','modules/system/system.test','system',0),('HelpTestCase','class','modules/help/help.test','help',0),('HookRequirementsTestCase','class','modules/system/system.test','system',0),('ImageAdminStylesUnitTest','class','modules/image/image.test','image',0),('ImageDimensionsScaleTestCase','class','modules/image/image.test','image',0),('ImageDimensionsTestCase','class','modules/image/image.test','image',0),('ImageEffectsUnitTest','class','modules/image/image.test','image',0),('ImageFieldDefaultImagesTestCase','class','modules/image/image.test','image',0),('ImageFieldDisplayTestCase','class','modules/image/image.test','image',0),('ImageFieldTestCase','class','modules/image/image.test','image',0),('ImageFieldValidateTestCase','class','modules/image/image.test','image',0),('ImageStyleFlushTest','class','modules/image/image.test','image',0),('ImageStylesPathAndUrlTestCase','class','modules/image/image.test','image',0),('ImageThemeFunctionWebTestCase','class','modules/image/image.test','image',0),('ImportOPMLTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('InfoFileParserTestCase','class','modules/system/system.test','system',0),('InsertQuery','class','includes/database/query.inc','',0),('InsertQuery_mysql','class','includes/database/mysql/query.inc','',0),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('InvalidMergeQueryException','class','includes/database/database.inc','',0),('InvalidQuickSetException','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('IPAddressBlockingTestCase','class','modules/system/system.test','system',0),('LibrariesTestCase','class','sites/all/modules/libraries/tests/libraries.test','libraries',0),('LibrariesUnitTestCase','class','sites/all/modules/libraries/tests/libraries.test','libraries',0),('ListDynamicValuesTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListDynamicValuesValidationTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list',0),('LocaleBrowserDetectionTest','class','modules/locale/locale.test','locale',0),('LocaleCommentLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleConfigurationTest','class','modules/locale/locale.test','locale',0),('LocaleContentFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleCSSAlterTest','class','modules/locale/locale.test','locale',0),('LocaleDateFormatsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleExportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleImportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleInstallTest','class','modules/locale/locale.test','locale',0),('LocaleJavascriptTranslationTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageNegotiationInfoFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageSwitchingFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLibraryInfoAlterTest','class','modules/locale/locale.test','locale',0),('LocaleMultilingualFieldsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePathFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePluralFormatTest','class','modules/locale/locale.test','locale',0),('LocaleTranslationFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUILanguageNegotiationTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFrenchFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUrlRewritingTest','class','modules/locale/locale.test','locale',0),('LocaleUserCreationTest','class','modules/locale/locale.test','locale',0),('LocaleUserLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('MailSystemInterface','interface','includes/mail.inc','',0),('MemoryQueue','class','modules/system/system.queue.inc','system',0),('MenuNodeTestCase','class','modules/menu/menu.test','menu',0),('MenuTestCase','class','modules/menu/menu.test','menu',0),('MergeQuery','class','includes/database/query.inc','',0),('ModuleDependencyTestCase','class','modules/system/system.test','system',0),('ModuleRequiredTestCase','class','modules/system/system.test','system',0),('ModuleTestCase','class','modules/system/system.test','system',0),('ModuleUpdater','class','modules/system/system.updater.inc','system',0),('ModuleVersionTestCase','class','modules/system/system.test','system',0),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node',0),('NewDefaultThemeBlocks','class','modules/block/block.test','block',-5),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node',0),('NodeAccessFieldTestCase','class','modules/node/node.test','node',0),('NodeAccessPagerTestCase','class','modules/node/node.test','node',0),('NodeAccessRebuildTestCase','class','modules/node/node.test','node',0),('NodeAccessRecordsTestCase','class','modules/node/node.test','node',0),('NodeAccessTestCase','class','modules/node/node.test','node',0),('NodeAdminTestCase','class','modules/node/node.test','node',0),('NodeBlockFunctionalTest','class','modules/node/node.test','node',0),('NodeBlockTestCase','class','modules/node/node.test','node',0),('NodeBuildContent','class','modules/node/node.test','node',0),('NodeController','class','modules/node/node.module','node',0),('NodeCreationTestCase','class','modules/node/node.test','node',0),('NodeEntityFieldQueryAlter','class','modules/node/node.test','node',0),('NodeEntityViewModeAlterTest','class','modules/node/node.test','node',0),('NodeFeedTestCase','class','modules/node/node.test','node',0),('NodeLoadHooksTestCase','class','modules/node/node.test','node',0),('NodeLoadMultipleTestCase','class','modules/node/node.test','node',0),('NodePageCacheTest','class','modules/node/node.test','node',0),('NodePostSettingsTestCase','class','modules/node/node.test','node',0),('NodeQueryAlter','class','modules/node/node.test','node',0),('NodeRevisionPermissionsTestCase','class','modules/node/node.test','node',0),('NodeRevisionsTestCase','class','modules/node/node.test','node',0),('NodeRSSContentTestCase','class','modules/node/node.test','node',0),('NodeSaveTestCase','class','modules/node/node.test','node',0),('NodeTitleTestCase','class','modules/node/node.test','node',0),('NodeTitleXSSTestCase','class','modules/node/node.test','node',0),('NodeTokenReplaceTestCase','class','modules/node/node.test','node',0),('NodeTypePersistenceTestCase','class','modules/node/node.test','node',0),('NodeTypeTestCase','class','modules/node/node.test','node',0),('NodeWebTestCase','class','modules/node/node.test','node',0),('NoFieldsException','class','includes/database/database.inc','',0),('NoHelpTestCase','class','modules/help/help.test','help',0),('NonDefaultBlockAdmin','class','modules/block/block.test','block',-5),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number',0),('OpenIDFunctionalTestCase','class','modules/openid/openid.test','openid',0),('OpenIDInvalidIdentifierTransitionTestCase','class','modules/openid/openid.test','openid',0),('OpenIDRegistrationTestCase','class','modules/openid/openid.test','openid',0),('OpenIDTestCase','class','modules/openid/openid.test','openid',0),('OpenIDWebTestCase','class','modules/openid/openid.test','openid',0),('OptionsSelectDynamicValuesTestCase','class','modules/field/modules/options/options.test','options',0),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options',0),('PageEditTestCase','class','modules/node/node.test','node',0),('PageNotFoundTestCase','class','modules/system/system.test','system',0),('PagePreviewTestCase','class','modules/node/node.test','node',0),('PagerDefault','class','includes/pager.inc','',0),('PageTitleFiltering','class','modules/system/system.test','system',0),('PageViewTestCase','class','modules/node/node.test','node',0),('PathautoBulkUpdateTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoLocaleTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoTokenTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoUnitTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathLanguageTestCase','class','modules/path/path.test','path',0),('PathLanguageUITestCase','class','modules/path/path.test','path',0),('PathMonolingualTestCase','class','modules/path/path.test','path',0),('PathTaxonomyTermTestCase','class','modules/path/path.test','path',0),('PathTestCase','class','modules/path/path.test','path',0),('PHPAccessTestCase','class','modules/php/php.test','php',0),('PHPFilterTestCase','class','modules/php/php.test','php',0),('PHPTestCase','class','modules/php/php.test','php',0),('PollBlockTestCase','class','modules/poll/poll.test','poll',0),('PollCreateTestCase','class','modules/poll/poll.test','poll',0),('PollDeleteChoiceTestCase','class','modules/poll/poll.test','poll',0),('PollExpirationTestCase','class','modules/poll/poll.test','poll',0),('PollJSAddChoice','class','modules/poll/poll.test','poll',0),('PollTestCase','class','modules/poll/poll.test','poll',0),('PollTokenReplaceTestCase','class','modules/poll/poll.test','poll',0),('PollTranslateTestCase','class','modules/poll/poll.test','poll',0),('PollVoteCheckHostname','class','modules/poll/poll.test','poll',0),('PollVoteTestCase','class','modules/poll/poll.test','poll',0),('Query','class','includes/database/query.inc','',0),('QueryAlterableInterface','interface','includes/database/query.inc','',0),('QueryConditionInterface','interface','includes/database/query.inc','',0),('QueryExtendableInterface','interface','includes/database/select.inc','',0),('QueryPlaceholderInterface','interface','includes/database/query.inc','',0),('QueueTestCase','class','modules/system/system.test','system',0),('QuickAccordion','class','sites/all/modules/quicktabs/plugins/QuickAccordion.inc','quicktabs',0),('QuickBlockContent','class','sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','quicktabs',0),('QuickCallbackContent','class','sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','quicktabs',0),('QuickContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickContentRenderable','interface','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickNodeContent','class','sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','quicktabs',0),('QuickPreRenderedContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickQtabsContent','class','sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','quicktabs',0),('QuickQuicktabs','class','sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','quicktabs',0),('QuickRenderer','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickSet','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuicktabsAdminTestCase','class','sites/all/modules/quicktabs/tests/quicktabs.test','quicktabs',0),('quicktabs_style_plugin','class','sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','quicktabs',0),('QuickUiTabs','class','sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','quicktabs',0),('QuickViewContent','class','sites/all/modules/quicktabs/plugins/QuickViewContent.inc','quicktabs',0),('RemoveFeedItemTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('RemoveFeedTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('RetrieveFileTestCase','class','modules/system/system.test','system',0),('SchemaCache','class','includes/bootstrap.inc','',0),('SearchAdvancedSearchForm','class','modules/search/search.test','search',0),('SearchBlockTestCase','class','modules/search/search.test','search',0),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search',0),('SearchCommentTestCase','class','modules/search/search.test','search',0),('SearchConfigSettingsForm','class','modules/search/search.test','search',0),('SearchEmbedForm','class','modules/search/search.test','search',0),('SearchExactTestCase','class','modules/search/search.test','search',0),('SearchExcerptTestCase','class','modules/search/search.test','search',0),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search',0),('SearchKeywordsConditions','class','modules/search/search.test','search',0),('SearchLanguageTestCase','class','modules/search/search.test','search',0),('SearchMatchTestCase','class','modules/search/search.test','search',0),('SearchNodeAccessTest','class','modules/search/search.test','search',0),('SearchNodeTagTest','class','modules/search/search.test','search',0),('SearchNumberMatchingTestCase','class','modules/search/search.test','search',0),('SearchNumbersTestCase','class','modules/search/search.test','search',0),('SearchPageOverride','class','modules/search/search.test','search',0),('SearchPageText','class','modules/search/search.test','search',0),('SearchQuery','class','modules/search/search.extender.inc','search',0),('SearchRankingTestCase','class','modules/search/search.test','search',0),('SearchSetLocaleTest','class','modules/search/search.test','search',0),('SearchSimplifyTestCase','class','modules/search/search.test','search',0),('SearchTokenizerTestCase','class','modules/search/search.test','search',0),('SelectQuery','class','includes/database/select.inc','',0),('SelectQueryExtender','class','includes/database/select.inc','',0),('SelectQueryInterface','interface','includes/database/select.inc','',0),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','',0),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','',0),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShutdownFunctionsTest','class','modules/system/system.test','system',0),('SiteMaintenanceTestCase','class','modules/system/system.test','system',0),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','',0),('StatisticsAdminTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsBlockVisitorsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsLoggingTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsReportsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsTestCase','class','modules/statistics/statistics.test','statistics',0),('StatisticsTokenReplaceTestCase','class','modules/statistics/statistics.test','statistics',0),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('SummaryLengthTestCase','class','modules/node/node.test','node',0),('SyslogTestCase','class','modules/syslog/syslog.test','syslog',0),('SystemAdminTestCase','class','modules/system/system.test','system',0),('SystemAuthorizeCase','class','modules/system/system.test','system',0),('SystemBlockTestCase','class','modules/system/system.test','system',0),('SystemIndexPhpTest','class','modules/system/system.test','system',0),('SystemInfoAlterTestCase','class','modules/system/system.test','system',0),('SystemMainContentFallback','class','modules/system/system.test','system',0),('SystemQueue','class','modules/system/system.queue.inc','system',0),('SystemThemeFunctionalTest','class','modules/system/system.test','system',0),('SystemValidTokenTest','class','modules/system/system.test','system',0),('TableSort','class','includes/tablesort.inc','',0),('TaxonomyEFQTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLoadMultipleTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyRSSTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyTermFieldMultipleVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFunctionTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermIndexTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TestingMailSystem','class','modules/system/system.mail.inc','system',0),('TextFieldTestCase','class','modules/field/modules/text/text.test','text',0),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text',0),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text',0),('ThemeRegistry','class','includes/theme.inc','',0),('ThemeUpdater','class','modules/system/system.updater.inc','system',0),('TokenArrayTestCase','class','sites/all/modules/token/token.test','token',0),('TokenBlockTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCommentTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCurrentPageTestCase','class','sites/all/modules/token/token.test','token',0),('TokenDateTestCase','class','sites/all/modules/token/token.test','token',0),('TokenEntityTestCase','class','sites/all/modules/token/token.test','token',0),('TokenFileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenMenuTestCase','class','sites/all/modules/token/token.test','token',0),('TokenNodeTestCase','class','sites/all/modules/token/token.test','token',0),('TokenProfileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenRandomTestCase','class','sites/all/modules/token/token.test','token',0),('TokenReplaceTestCase','class','modules/system/system.test','system',0),('TokenScanTest','class','modules/system/system.test','system',0),('TokenTaxonomyTestCase','class','sites/all/modules/token/token.test','token',0),('TokenTestHelper','class','sites/all/modules/token/token.test','token',0),('TokenUnitTestCase','class','sites/all/modules/token/token.test','token',0),('TokenURLTestCase','class','sites/all/modules/token/token.test','token',0),('TokenUserTestCase','class','sites/all/modules/token/token.test','token',0),('TrackerTest','class','modules/tracker/tracker.test','tracker',0),('TranslationTestCase','class','modules/translation/translation.test','translation',0),('TriggerActionTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerContentTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerCronTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerOrphanedActionsTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerOtherTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerUnassignTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerUserActionTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerUserTokenTestCase','class','modules/trigger/trigger.test','trigger',0),('TriggerWebTestCase','class','modules/trigger/trigger.test','trigger',0),('TruncateQuery','class','includes/database/query.inc','',0),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','',0),('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('UpdateCoreTestCase','class','modules/update/update.test','update',0),('UpdateCoreUnitTestCase','class','modules/update/update.test','update',0),('UpdateFeedItemTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('UpdateFeedTestCase','class','modules/aggregator/aggregator.test','aggregator',0),('UpdateQuery','class','includes/database/query.inc','',0),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('Updater','class','includes/updater.inc','',0),('UpdaterException','class','includes/updater.inc','',0),('UpdaterFileTransferException','class','includes/updater.inc','',0),('UpdateScriptFunctionalTest','class','modules/system/system.test','system',0),('UpdateTestContribCase','class','modules/update/update.test','update',0),('UpdateTestHelper','class','modules/update/update.test','update',0),('UpdateTestUploadCase','class','modules/update/update.test','update',0),('UserAccountLinksUnitTests','class','modules/user/user.test','user',0),('UserAdminTestCase','class','modules/user/user.test','user',0),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user',0),('UserAutocompleteTestCase','class','modules/user/user.test','user',0),('UserBlocksUnitTests','class','modules/user/user.test','user',0),('UserCancelTestCase','class','modules/user/user.test','user',0),('UserController','class','modules/user/user.module','user',0),('UserCreateTestCase','class','modules/user/user.test','user',0),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user',0),('UserEditTestCase','class','modules/user/user.test','user',0),('UserLoginTestCase','class','modules/user/user.test','user',0),('UserPasswordResetTestCase','class','modules/user/user.test','user',0),('UserPermissionsTestCase','class','modules/user/user.test','user',0),('UserPictureTestCase','class','modules/user/user.test','user',0),('UserRegistrationTestCase','class','modules/user/user.test','user',0),('UserRoleAdminTestCase','class','modules/user/user.test','user',0),('UserRolesAssignmentTestCase','class','modules/user/user.test','user',0),('UserSaveTestCase','class','modules/user/user.test','user',0),('UserSignatureTestCase','class','modules/user/user.test','user',0),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user',0),('UserTokenReplaceTestCase','class','modules/user/user.test','user',0),('UserUserSearchTestCase','class','modules/user/user.test','user',0),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user',0),('UserValidationTestCase','class','modules/user/user.test','user',0),('view','class','sites/all/modules/views/includes/view.inc','views',10),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views',10),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views',10),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views',10),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views',10),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views',10),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views',10),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views',10),('viewsFieldApiDataTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',10),('ViewsFieldApiTestHelper','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',10),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views',10),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views',10),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views',10),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views',10),('ViewsHandlerArgumentStringTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_string.test','views',10),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views',10),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views',10),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views',10),('viewsHandlerFieldFieldTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',10),('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views',10),('ViewsHandlerFieldTest','class','sites/all/modules/views/tests/handlers/views_handler_field.test','views',10),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views',10),('viewsHandlerFieldUserNameTest','class','sites/all/modules/views/tests/user/views_handler_field_user_name.test','views',10),('ViewsHandlerFileExtensionTest','class','sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','views',10),('ViewsHandlerFilterCombineTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','views',10),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views',10),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views',10),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views',10),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views',10),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views',10),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views',10),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views',10),('ViewsHandlerRelationshipNodeTermDataTest','class','sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','views',10),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views',10),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views',10),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views',10),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views',10),('ViewsHandlerTest','class','sites/all/modules/views/tests/handlers/views_handlers.test','views',10),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views',10),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views',10),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views',10),('ViewsNodeRevisionRelationsTestCase','class','sites/all/modules/views/tests/node/views_node_revision_relations.test','views',10),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views',10),('ViewsPluginDisplayTestCase','class','sites/all/modules/views/tests/plugins/views_plugin_display.test','views',10),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views',10),('ViewsPluginStyleMappingTest','class','sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','views',10),('ViewsPluginStyleTestBase','class','sites/all/modules/views/tests/styles/views_plugin_style_base.test','views',10),('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views',10),('ViewsPluginStyleUnformattedTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','views',10),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views',10),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views',10),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui',0),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui',0),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui',0),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui',0),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui',0),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui',0),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views',10),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views',10),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views',10),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views',10),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views',10),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views',10),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('views_db_object','class','sites/all/modules/views/includes/view.inc','views',10),('views_display','class','sites/all/modules/views/includes/view.inc','views',10),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views',10),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views',10),('views_handler_area_messages','class','sites/all/modules/views/handlers/views_handler_area_messages.inc','views',10),('views_handler_area_result','class','sites/all/modules/views/handlers/views_handler_area_result.inc','views',10),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views',10),('views_handler_area_text_custom','class','sites/all/modules/views/handlers/views_handler_area_text_custom.inc','views',10),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views',10),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views',10),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views',10),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views',10),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views',10),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views',10),('views_handler_argument_field_list','class','sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','views',10),('views_handler_argument_field_list_string','class','sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','views',10),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views',10),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views',10),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views',10),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views',10),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views',10),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views',10),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views',10),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views',10),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views',10),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views',10),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views',10),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views',10),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views',10),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views',10),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views',10),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views',10),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views',10),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views',10),('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views',10),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views',10),('views_handler_argument_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','views',10),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views',10),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views',10),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views',10),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views',10),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views',10),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views',10),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views',10),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views',10),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views',10),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views',10),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views',10),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views',10),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views',10),('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views',10),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views',10),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views',10),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views',10),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views',10),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views',10),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views',10),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views',10),('views_handler_field_contextual_links','class','sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','views',10),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views',10),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views',10),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views',10),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views',10),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views',10),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views',10),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views',10),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views',10),('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views',10),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views',10),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views',10),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views',10),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views',10),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views',10),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views',10),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views',10),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views',10),('views_handler_field_machine_name','class','sites/all/modules/views/handlers/views_handler_field_machine_name.inc','views',10),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views',10),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views',10),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views',10),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views',10),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views',10),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views',10),('views_handler_field_node_language','class','sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','views',10),('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views',10),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views',10),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views',10),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views',10),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views',10),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views',10),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views',10),('views_handler_field_node_revision_link','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','views',10),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views',10),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views',10),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views',10),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views',10),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views',10),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views',10),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views',10),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views',10),('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views',10),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views',10),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views',10),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views',10),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views',10),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views',10),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views',10),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views',10),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views',10),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views',10),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views',10),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views',10),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views',10),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views',10),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views',10),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views',10),('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views',10),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views',10),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views',10),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views',10),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views',10),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_combine','class','sites/all/modules/views/handlers/views_handler_filter_combine.inc','views',10),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views',10),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views',10),('views_handler_filter_entity_bundle','class','sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','views',10),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views',10),('views_handler_filter_fields_compare','class','sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','views',10),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views',10),('views_handler_filter_field_list_boolean','class','sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','views',10),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views',10),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views',10),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views',10),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views',10),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views',10),('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views',10),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views',10),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views',10),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views',10),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views',10),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views',10),('views_handler_filter_node_language','class','sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','views',10),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views',10),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views',10),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views',10),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views',10),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views',10),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views',10),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views',10),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views',10),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views',10),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views',10),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views',10),('views_handler_filter_tracker_boolean_operator','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','views',10),('views_handler_filter_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','views',10),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views',10),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views',10),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views',10),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views',10),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views',10),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views',10),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',10),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',10),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views',10),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views',10),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views',10),('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views',10),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',10),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',10),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views',10),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views',10),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views',10),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views',10),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views',10),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views',10),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views',10),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views',10),('views_join','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_object','class','sites/all/modules/views/includes/base.inc','views',10),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views',10),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views',10),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views',10),('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views',10),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views',10),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views',10),('views_plugin_argument_default_book_root','class','sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','views',10),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views',10),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views',10),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views',10),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views',10),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views',10),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views',10),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views',10),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views',10),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views',10),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views',10),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views',10),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views',10),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views',10),('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views',10),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views',10),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views',10),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views',10),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views',10),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views',10),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views',10),('views_plugin_display_embed','class','sites/all/modules/views/plugins/views_plugin_display_embed.inc','views',10),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views',10),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views',10),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views',10),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views',10),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views',10),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views',10),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views',10),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views',0),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views',0),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views',10),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views',10),('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views',10),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views',10),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views',10),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views',10),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views',10),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views',10),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views',10),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views',10),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views',10),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views',10),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views',10),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views',10),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views',10),('views_plugin_row_rss_fields','class','sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','views',10),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views',10),('views_plugin_row_user_view','class','sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','views',10),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views',10),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views',10),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views',10),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views',10),('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views',10),('views_plugin_style_mapping','class','sites/all/modules/views/plugins/views_plugin_style_mapping.inc','views',10),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views',10),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views',10),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views',10),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views',10),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views',10),('views_slideshow_plugin_style_slideshow','class','sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','views_slideshow',0),('views_test_area_access','class','sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','views',10),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views',10),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views',10),('views_test_plugin_style_test_mapping','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','views',10),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui',0),('WysiwygProfileController','class','sites/all/modules/wysiwyg/wysiwyg.module','wysiwyg',0);
/*!40000 ALTER TABLE `registry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `registry_file`
--

DROP TABLE IF EXISTS `registry_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry_file`
--

LOCK TABLES `registry_file` WRITE;
/*!40000 ALTER TABLE `registry_file` DISABLE KEYS */;
INSERT INTO `registry_file` VALUES ('includes/actions.inc','f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),('includes/ajax.inc','f16049780e1f09a090767ff17594da0a030911cf1c99f8998e2a0cdf8b48d98f'),('includes/archiver.inc','bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),('includes/authorize.inc','6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),('includes/batch.inc','059da9e36e1f3717f27840aae73f10dea7d6c8daf16f6520401cc1ca3b4c0388'),('includes/batch.queue.inc','554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),('includes/bootstrap.inc','726454f1e20affd0104db171c80febc1deff5838b1c764104d0e321975dfa2ee'),('includes/cache-install.inc','e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),('includes/cache.inc','d01e10e4c18010b6908026f3d71b72717e3272cfb91a528490eba7f339f8dd1b'),('includes/common.inc','de944671514c45341492008f75a9b780d3eec515a35b127f9188a2450dd6e63c'),('includes/database/database.inc','24afaff6e1026bfe315205212cba72951240a16154250e405c4c64724e6e07cc'),('includes/database/log.inc','9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),('includes/database/mysql/database.inc','311f6444b3aa9ce44f95a848e407b4418d2b583ecbf70643ffeb61c23a1ae6df'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),('includes/database/mysql/schema.inc','6f43ac87508f868fe38ee09994fc18d69915bada0237f8ac3b717cafe8f22c6b'),('includes/database/pgsql/database.inc','d737f95947d78eb801e8ec8ca8b01e72d2e305924efce8abca0a98c1b5264cff'),('includes/database/pgsql/install.inc','585b80c5bbd6f134bff60d06397f15154657a577d4da8d1b181858905f09dea5'),('includes/database/pgsql/query.inc','0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),('includes/database/pgsql/schema.inc','1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),('includes/database/pgsql/select.inc','fd4bba7887c1dc6abc8f080fc3a76c01d92ea085434e355dc1ecb50d8743c22d'),('includes/database/prefetch.inc','b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),('includes/database/query.inc','4016a397f10f071cac338fd0a9b004296106e42ab2b9db8c7ff0db341658e88f'),('includes/database/schema.inc','a98b69d33975e75f7d99cb85b20c36b7fc10e35a588e07b20c1b37500f5876ca'),('includes/database/select.inc','5e9cdc383564ba86cb9dcad0046990ce15415a3000e4f617d6e0f30a205b852c'),('includes/database/sqlite/database.inc','4281c6e80932560ecbeb07d1757efd133e8699a6fccf58c27a55df0f71794622'),('includes/database/sqlite/install.inc','381f3db8c59837d961978ba3097bb6443534ed1659fd713aa563963fa0c42cc5'),('includes/database/sqlite/query.inc','f33ab1b6350736a231a4f3f93012d3aac4431ac4e5510fb3a015a5aa6cab8303'),('includes/database/sqlite/schema.inc','cd829700205a8574f8b9d88cd1eaf909519c64754c6f84d6c62b5d21f5886f8d'),('includes/database/sqlite/select.inc','8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),('includes/date.inc','18c047be64f201e16d189f1cc47ed9dcf0a145151b1ee187e90511b24e5d2b36'),('includes/entity.inc','e4fc9ff21b165a804d7ac4f036b3b5bd1d3c73da7029bf3f761d4bdee9ae3c96'),('includes/errors.inc','72cc29840b24830df98a5628286b4d82738f2abbb78e69b4980310ff12062668'),('includes/file.inc','7d0fab68c433d8068b67537ffad3ab94ddeffc971ed1339fab915fa90d284e1b'),('includes/file.mimetypes.inc','33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),('includes/filetransfer/filetransfer.inc','fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),('includes/filetransfer/ftp.inc','51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),('includes/form.inc','8519720d1472f0a5be270fd1d307412e467394b0632e57d91e08302da554736e'),('includes/graph.inc','8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),('includes/image.inc','bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),('includes/install.core.inc','83ea48af045d58fab2d6b7101f3229d66ecf6d874ca41ad1cf15bf438d79bcc5'),('includes/install.inc','781c54771c14b067bb38d222096f981121d479222fbdea9c433405de561a2881'),('includes/iso.inc','0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),('includes/json-encode.inc','02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),('includes/language.inc','4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),('includes/locale.inc','b957302ca8912d1f3c0afa9f05e72015d27239b263447c5628432196025108a0'),('includes/lock.inc','a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),('includes/mail.inc','d9fb2b99025745cbb73ebcfc7ac12df100508b9273ce35c433deacf12dd6a13a'),('includes/menu.inc','0ef3f1eaf959e8ac2f5a398c63af0b3f6434693bbb2b845e28156ed561238429'),('includes/module.inc','dc33027e05640be98906147e3dac86856841de8a45a754194b664e3a67721d05'),('includes/pager.inc','6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),('includes/password.inc','fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),('includes/path.inc','74bf05f3c68b0218730abf3e539fcf08b271959c8f4611940d05124f34a6a66f'),('includes/registry.inc','c225de772f86eebd21b0b52fa8fcc6671e05fa2374cedb3164f7397f27d3c88d'),('includes/session.inc','7548621ae4c273179a76eba41aa58b740100613bc015ad388a5c30132b61e34b'),('includes/stream_wrappers.inc','4f1feb774a8dbc04ca382fa052f59e58039c7261625f3df29987d6b31f08d92d'),('includes/tablesort.inc','2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),('includes/theme.inc','904076056d8cd49042d6c1faefbd7f8ec40469143a2a22ae2c36a2ecf54444c6'),('includes/theme.maintenance.inc','39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),('includes/token.inc','5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),('includes/update.inc','177ce24362efc7f28b384c90a09c3e485396bbd18c3721d4b21e57dd1733bd92'),('includes/updater.inc','d2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),('includes/utility.inc','3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),('includes/xmlrpc.inc','ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),('includes/xmlrpcs.inc','741aa8d6fcc6c45a9409064f52351f7999b7c702d73def8da44de2567946598a'),('modules/aggregator/aggregator.test','1288945ead1e0b250cb0f2d8bc5486ab1c67295b78b5f1ba0f77ade7bf1243b4'),('modules/block/block.test','40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),('modules/blog/blog.test','f7534b972951c05d34bd832d3e06176b372fff6f4999c428f789fdd7703ed2e2'),('modules/color/color.test','013806279bd47ceb2f82ca854b57f880ba21058f7a2592c422afae881a7f5d15'),('modules/comment/comment.module','db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),('modules/comment/comment.test','0443a4dbc5aef3d64405a7cabf462c8c5e0b24517d89410d261027b85292cd4b'),('modules/contact/contact.test','d49eedd71859fbb6ffa26b87226f640db56694c8f43c863c83d920cf3632f9ad'),('modules/contextual/contextual.test','023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),('modules/dashboard/dashboard.test','125df00fc6deb985dc554aa7807a48e60a68dbbddbad9ec2c4718da724f0e683'),('modules/dblog/dblog.test','11fbb8522b1c9dc7c85edba3aed7308a8891f26fc7292008822bea1b54722912'),('modules/field/field.attach.inc','2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),('modules/field/field.info.class.inc','a6f2f418552dba0e03f57ee812a6f0f63bbfe4bf81fe805d51ecec47ef84b845'),('modules/field/field.module','e9359f8cac64b2d81ac067d7da22972116dc10b9b346752a8ef8292943a958c9'),('modules/field/modules/field_sql_storage/field_sql_storage.test','315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),('modules/field/modules/list/tests/list.test','97e55bd49f6f4b0562d04aa3773b5ab9b35063aee05c8c7231780cdcf9c97714'),('modules/field/modules/number/number.test','9ccf835bbf80ff31b121286f6fbcf59cc42b622a51ab56b22362b2f55c656e18'),('modules/field/modules/options/options.test','c71441020206b1587dece7296cca306a9f0fbd6e8f04dae272efc15ed3a38383'),('modules/field/modules/text/text.test','a1e5cb0fa8c0651c68d560d9bb7781463a84200f701b00b6e797a9ca792a7e42'),('modules/field/tests/field.test','5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),('modules/field_ui/field_ui.test','ded58a83a37cf111834f68fde9c34cddc7f4d36b91f31281e41ed5220c65dac4'),('modules/file/tests/file.test','055d10e7817d5c3dfee1039af4205b20d37bbaf5745481a7cf45d5f89f17f51b'),('modules/filter/filter.test','6e5dde973a2ac613049ff524991cba1fab9765e7292876301f7ef10c674caa3f'),('modules/forum/forum.test','d282b29d6312d63183e003ba036d7645a946e828c94448592f930d80fceb42d6'),('modules/help/help.test','bc934de8c71bd9874a05ccb5e8f927f4c227b3b2397d739e8504c8fd6ae5a83c'),('modules/image/image.test','628eb9ff10eb39cd37814cba6c7f93d2b63b299937f3029f7669929fe96bd467'),('modules/locale/locale.test','61c6a80ba44ff92e6ba4a350b7c95890368e2f9e029b8f84563df2490a8e93b1'),('modules/menu/menu.test','cd187c84aa97dcc228d8a1556ea10640c62f86083034533b6ac6830be610ca2a'),('modules/node/node.module','fbf1324ab7758c3f13de922a3094c5579747f9a98da248ff19c391880abc958b'),('modules/node/node.test','e2e485fde00796305fd6926c8b4e9c4e1919020a3ec00819aa5cc1d2b3ebcc5c'),('modules/openid/openid.test','3decf7faf3a9396671d52c6065a31f0ef81828015e0348a0ba9358b618e737a1'),('modules/path/path.test','2004183b2c7c86028bf78c519c6a7afc4397a8267874462b0c2b49b0f8c20322'),('modules/php/php.test','d234f9c1ab18a05834a3cb6dc532fb4c259aa25612551f953ba6e3bb714657b8'),('modules/poll/poll.test','cc8486dc337471d13014954e1c1e4e5ad4956e4a0cbd395adbd064f8e5849c72'),('modules/search/search.extender.inc','d754e360bba0e997c7894faeea004c8fb0c6bf1c4ce909f87c7c2f619da602ad'),('modules/search/search.test','da5b704c07a540fb53600a65aa9ff5e98afa5cb1fca5556531f8f0d672edffbd'),('modules/shortcut/shortcut.test','0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),('modules/statistics/statistics.test','3fd921d3cc26f9363bba0d6f29efb96c49c88ca51e2e2376b6554afaff8ceeb5'),('modules/syslog/syslog.test','ad873b3d499ebad748784ae88df3496f39de1b9bbfd98c3193ef1ea70c6376ae'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','d31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),('modules/system/system.queue.inc','a60cff401fc410cd81dc1d105ed66f79396ed7b15fdc3a5c5b80593ad5d4352a'),('modules/system/system.tar.inc','8a31d91f7b3cd7eac25b3fa46e1ed9a8527c39718ba76c3f8c0bbbeaa3aa4086'),('modules/system/system.test','0578e0b93202615c5f0a9971fded42bb0ba4db5fa037ded0846e7fa4f65e9d07'),('modules/system/system.updater.inc','338cf14cb691ba16ee551b3b9e0fa4f579a2f25c964130658236726d17563b6a'),('modules/taxonomy/taxonomy.module','45d6d5652a464318f3eccf8bad6220cc5784e7ffdb0c7b732bf4d540e1effe83'),('modules/taxonomy/taxonomy.test','8525035816906e327ad48bd48bb071597f4c58368a692bcec401299a86699e6e'),('modules/tracker/tracker.test','bea7303dfe934afeb271506da43bcf24a51d7d5546181796d7f9f70b6283ed67'),('modules/translation/translation.test','c2ad71934a9a2139cdf8213df35f4c91dcc0e643fabb883c38e3ffbdd313d608'),('modules/trigger/trigger.test','662f1a55e62832d7d5258965ca70ebe9d36ce8ae34e05fda2a2f9dc72418978b'),('modules/update/update.test','1ea3e22bd4d47afb8b2799057cdbdfbb57ce09013d9d5f2de7e61ef9c2ebc72d'),('modules/user/user.module','ba99da1da371b6c4cc39f2f5523a350d33b710930ef734f33cf54f074fa5a399'),('modules/user/user.test','3ddbe3ec49425cb4eac7321f682d7734a5e008af2f7c6e9f4815ae948a94e8f5'),('sites/all/modules/cck/cck.install','da5af64eebd766e1c8ce76e2fac4ca2791fa8edbee1caf8acfa311aa7aff312d'),('sites/all/modules/cck/cck.module','3b34e2a51715beb48d87ce69a1d2b0e668f9083d628f2d4948f4a06a869236ff'),('sites/all/modules/ctools/includes/context.inc','6b90a9fb1f1abf505c8a7c2264c89d7963e007a3e8565fdad298444361f4e34f'),('sites/all/modules/ctools/includes/css-cache.inc','db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),('sites/all/modules/ctools/includes/math-expr.inc','3386323b01da62e02c9f3607cd7f0a0d46f1af90a107a07aed726b1fa8c28235'),('sites/all/modules/ctools/includes/stylizer.inc','e18f5a1b8af526751d7175354162c06c2013c96f62d9baa399564d8c45a1c90e'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','2283ce9a140b17fbe3f9c3f5ef2523956cfe58252a5e864e1cbd7e1b18c8036c'),('sites/all/modules/ctools/tests/css_cache.test','0dbc038efedb1fa06d2617b7c72b3a45d6ee5b5b791dcb1134876f174a2a7733'),('sites/all/modules/fontawesome/fontawesome.install','ad8595025376880649a4a30940b551c2cb764f829fbbf14bf242e7cfbcb7da7c'),('sites/all/modules/fontawesome/fontawesome.module','09f0f2d5542973f59c8d86eddcee34bcfb8b6165def7d4b323c79a1b6d5bf806'),('sites/all/modules/imageapi/imageapi.install','effecc172c94a37746b2787de2beea1f22b0fe68672eefa9c3799970863f8d5d'),('sites/all/modules/imageapi/imageapi.module','0d236cf49718718f1b49bc8a7c9ca6b1e7c7aa36be72012efab6959d23fd478a'),('sites/all/modules/imageapi/imageapi_gd.install','e70e57a2b7803764affa607f749771f2a80d936e648bfee93cb532e2f3ead1a1'),('sites/all/modules/imageapi/imageapi_gd.module','bc114bf02fb79a9d71d0e85e6b5737ca83e8784204587f2f2396a4236d892d6a'),('sites/all/modules/imageapi/imagefilter.inc','30d79a527d9192e764a1471664187acbe8fa67df86b5c196818d4f4373b993dd'),('sites/all/modules/imageapi/imagerotate.inc','b2e4cc47a1c0d8b9348c1ade216ef597be80759c5033a76bd32405103ecdb4a1'),('sites/all/modules/jquery_plugin/jquery_plugin.module','a123854e7fa3755ef028545e5678f6ef56cf22a39952b44a2bbed9db5791f77f'),('sites/all/modules/libraries/tests/libraries.test','b566140ed33211b04cda3d8773b5bc25f8986065463864a0703fa89979daa817'),('sites/all/modules/pathauto/pathauto.test','9204240a755119e02eae68c77e7b9ab816747423ccaaf51742231fbaef1f604f'),('sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','4d71357780815656b4bff9d6b6b96e07816a9181e695e878f6e83b474902172e'),('sites/all/modules/quicktabs/plugins/QuickAccordion.inc','772c06425494bb7a51aa1de65e89013989364728eab54ee9fdf8e3744750aca7'),('sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','aa53a853b6d5797780e1beadba3c05672df0a9d083e38aec385ca5de89c5b1ab'),('sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','416757802a0eb6a4f1564969a7d8bebb6f065ce0b734869d276984f3c495941d'),('sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','38d65ad29e0341deb46d8608ae96515159358b2b8efe9bd546f136bb7be2da4a'),('sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','1410b450a8b184edfee7dccaefe2e96daf792bee9f4139a200587c4aedf8d46d'),('sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','1899867e6cf9312992267e7a317a148a6c15e14f6b871bf8bf162ff392269257'),('sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','dec59e70103449784824e96fac41ed00eb8d22b17c3e44508ff8fc101e0281ff'),('sites/all/modules/quicktabs/plugins/QuickViewContent.inc','1f7d7615198538a12e823d129dc88ed5ad6e5c9744ecd22b2f657d5b5f4f3042'),('sites/all/modules/quicktabs/quicktabs.classes.inc','faa28c5c30053d2de019cab4dd887df9bc9469cdf18cf801d5afd8a6433b9e06'),('sites/all/modules/quicktabs/quicktabs.module','99e5180f596b704b5b479ba746a85aacd7c531a75f86140a1b8a952468c0304d'),('sites/all/modules/quicktabs/tests/quicktabs.test','d23f9d8cd89eff02a2a9711858951df1d0c60b13d38ba0fba97b1b56b8104a86'),('sites/all/modules/tb_megamenu/tb_megamenu.admin.inc','46fb9780a77ba027cc833491de951f5b5056f8c5a708777b1276736cecd73c4f'),('sites/all/modules/tb_megamenu/tb_megamenu.ajax.inc','0d1a9d4662c509cfdfd6d416ecbe430bd56ce8b7f7ae9ae6b294990d3c76782e'),('sites/all/modules/tb_megamenu/tb_megamenu.functions.inc','7e52b60561fd0553555a0d34ba0af0ca375e8b87f7f1313b97d4869eb92e33c1'),('sites/all/modules/tb_megamenu/tb_megamenu.module','4179f405ddd3fc9b38a86732106257057471579ff870b682880f88ac377486b9'),('sites/all/modules/tb_megamenu/tb_megamenu.themes.inc','60807a51aa49f236493bc00b9dc10cf96766583a042613aef20bc9af8af92284'),('sites/all/modules/token/token.test','79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),('sites/all/modules/views/handlers/views_handler_area.inc','95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),('sites/all/modules/views/handlers/views_handler_area_messages.inc','de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),('sites/all/modules/views/handlers/views_handler_area_result.inc','836747c024cc153ec4516737da0c42a864eb708e0b77d2f8ba606411c57356a2'),('sites/all/modules/views/handlers/views_handler_area_text.inc','531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),('sites/all/modules/views/handlers/views_handler_area_text_custom.inc','35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),('sites/all/modules/views/handlers/views_handler_area_view.inc','a6a4a618c96a5657eaa881aa0836663600629529ebfd943c91303a11171974d5'),('sites/all/modules/views/handlers/views_handler_argument.inc','76f7c20cea19b1e303056d92cd072507f795559a6804839f2825f81b64ef49d1'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),('sites/all/modules/views/handlers/views_handler_field.inc','3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','9752231bd248bcbc5c7282361098350f080706e3886d20753c5b2059adb10c00'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),('sites/all/modules/views/handlers/views_handler_field_date.inc','79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),('sites/all/modules/views/handlers/views_handler_field_machine_name.inc','df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),('sites/all/modules/views/handlers/views_handler_field_math.inc','c0f1cd82305ecc2378a7346ed0e4e5503c031b155d53cbfee2c46f82e7996ce4'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','51311e98172a3f2b9f8d406e4c64f2bc9d1243ab8003e1d421bf6ffa5f0100df'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),('sites/all/modules/views/handlers/views_handler_field_url.inc','7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),('sites/all/modules/views/handlers/views_handler_filter.inc','b21fbc12bf620db26d391ac0f9e12f5076bbd188c8086c593187365d70bb2861'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),('sites/all/modules/views/handlers/views_handler_filter_combine.inc','804377cf5e931fa619c2a40425843b24b0bd6008ccb6e79064e0994d9fd696c2'),('sites/all/modules/views/handlers/views_handler_filter_date.inc','fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),('sites/all/modules/views/handlers/views_handler_relationship.inc','4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),('sites/all/modules/views/handlers/views_handler_sort.inc','06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','d7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),('sites/all/modules/views/includes/base.inc','5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),('sites/all/modules/views/includes/handlers.inc','fb0553e915ddcae9e19ea6f53ac706df4330c851f96822f5a60563db437734c5'),('sites/all/modules/views/includes/plugins.inc','bb12703a4a4e8bbc42ecc8ce27bf98546d9ea024324f4d03ba77348ec18b328c'),('sites/all/modules/views/includes/view.inc','ed6dec0546e7876b0a9ecfd4a83640fb5582aa6aedb21929f4e08410612d7d06'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','dd9ac2c9ca0462dd0453f4075eac95f3015105496f81c73186e6e973cf6f06d5'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','d33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','836ceb1883047011ac1b3dca2254861b8caa1ea67405b3cdbe0fa6f3fbbd5a96'),('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','d7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','d2c17e6ec3d221bdd0d1c060da4b0c85274c8ac5a0b624b1469b162694a8d0f5'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','b221785bc9a736ef67e4f03e6b26235333115b5b9ce571095de5c5286dd8d744'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','713e1c83702ac2d0d7fe76374110cdfd657598a8f3b086ec2352f2de38101504'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','3c20f1234af341ea2229419980d8405b7eca5005c1e0ee387c8d5cd7a58c5c60'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','15d63289e4821f329f44eb40dc121375e024e61fc2f1158f71b3d6c77fe6c4f1'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','d27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','79a80284231b3bc5aab36833e8200853686784f880dc6b104552d61fc602f27c'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','d85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','b0dd5cfa87c44b95aefd819444e4985c1773350bcf9fe073a2ef5c82b680b833'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','29c5132ac98a2959405e44f9a83096b0dcfa30ed7fb4688453ca7e1fc779684b'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','fd93029dec8fcd8f5bb1f1385460c6c90ad3049c4eda293b49d9334f014dae08'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','2ef7502b02b7ea435ac166274c0e7b8576ef76353fc196a26ab79e9057b6da56'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','d1a7aa7ebd9c698afcdcf75b2f0affa981124064ff787ebc716bfac3ee0f60af'),('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','5fd9a4d7843fee83cf529384a52d7ae69e40a9c8846e7f285e94f4bbbf8c7e29'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','52548cca3f18d25b06cfce15ee00acea530b85bd22a10944d984b5a798c5969f'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','8548322a602b99e4343948255a8c89b034e005a29d71e499cea7c60a4d8a6d87'),('sites/all/modules/views/plugins/views_plugin_access.inc','cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','c71e2b54623cc62530ebb717dec1406c76200a59270d9c60b3be290694c9fdd8'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),('sites/all/modules/views/plugins/views_plugin_cache.inc','b684e3ce1aeed33dd5e30f53527399a7a733d4cf1aae8acac9c6a2ca8b51b24b'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','10db3dd52b06478b7be9b858f3a053ae2c2f6377abe488ad912f8ca786200a1d'),('sites/all/modules/views/plugins/views_plugin_display.inc','b9a9fc9e2a41b74565ff284ce737f2c82e9c5a421248ad8d40719da58b1b16fe'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','be9e3c4a9e28270147bb21de8056712d58e47eeddf6e002fdb9425996d5d5ead'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),('sites/all/modules/views/plugins/views_plugin_display_embed.inc','5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','f7138a876ee88c50266d9fcb65f632d8d46d43d8152f760630cb11ae5e69afde'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),('sites/all/modules/views/plugins/views_plugin_localization.inc','d7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','d7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),('sites/all/modules/views/plugins/views_plugin_query.inc','0594d1fd0c34b86c6b81741e134da2d385d6be47b667af6660dd1d268fb7fa95'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','6ad07f701bcfc267dbebc52f475b0e3596cd06341ff70fb67732285754eeb94d'),('sites/all/modules/views/plugins/views_plugin_row.inc','3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),('sites/all/modules/views/plugins/views_plugin_style.inc','60243c95aa09e6b09de8418a6dc2b67eabf1e83289cfbf4658c519d6206227be'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','102fb3041a2f9a4ce9607a5bc2acc296ed625bee2fcbfa70354c1edd613066cd'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),('sites/all/modules/views/plugins/views_plugin_style_mapping.inc','af4b75dd08f1597280a8deb6086259be4f10af50acace43ce2013170655f752c'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','77fcd2a962022159e89a773c49823306ef69a0dd1b54e6b344d1e2e45590d3d1'),('sites/all/modules/views/plugins/views_plugin_style_summary.inc','872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','d8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),('sites/all/modules/views/tests/field/views_fieldapi.test','53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),('sites/all/modules/views/tests/handlers/views_handlers.test','f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),('sites/all/modules/views/tests/handlers/views_handler_argument_string.test','3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),('sites/all/modules/views/tests/handlers/views_handler_field.test','af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','d334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),('sites/all/modules/views/tests/node/views_node_revision_relations.test','9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),('sites/all/modules/views/tests/plugins/views_plugin_display.test','4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),('sites/all/modules/views/tests/styles/views_plugin_style.test','fb6c3279645fbcc1126acb3e1c908189e5240c647f81dcfd9b0761570c99d269'),('sites/all/modules/views/tests/styles/views_plugin_style_base.test','54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),('sites/all/modules/views/tests/user/views_handler_field_user_name.test','69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),('sites/all/modules/views/tests/user/views_user.test','fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),('sites/all/modules/views/tests/user/views_user_argument_default.test','6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),('sites/all/modules/views/tests/views_access.test','f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),('sites/all/modules/views/tests/views_analyze.test','5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),('sites/all/modules/views/tests/views_argument_default.test','5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),('sites/all/modules/views/tests/views_argument_validator.test','31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),('sites/all/modules/views/tests/views_basic.test','655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),('sites/all/modules/views/tests/views_cache.test','4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),('sites/all/modules/views/tests/views_exposed_form.test','2b2b16373af8ecade91d7c77bd8c2da8286a33bde554874f5d81399d201c3228'),('sites/all/modules/views/tests/views_glossary.test','118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),('sites/all/modules/views/tests/views_groupby.test','f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),('sites/all/modules/views/tests/views_handlers.test','a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),('sites/all/modules/views/tests/views_module.test','5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),('sites/all/modules/views/tests/views_pager.test','6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),('sites/all/modules/views/tests/views_query.test','1ab587994dc43b1315e9a534d005798aecaa14182ba23a2b445e56516b9528cb'),('sites/all/modules/views/tests/views_test.views_default.inc','9664b95577fe2664410921bb751e1d99109e79b734f2c8c142d4083449282bd0'),('sites/all/modules/views/tests/views_translatable.test','6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),('sites/all/modules/views/tests/views_ui.test','f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),('sites/all/modules/views/tests/views_upgrade.test','c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),('sites/all/modules/views/tests/views_view.test','a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),('sites/all/modules/views/views_ui.module','2451d4e3df513afe85c7e24acc90b89ed24f5a615e8b4002e9d3d6cd1ca8b32e'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc','6a074c958bf41f9067a640ca8a40480bee29e64ab9f352fee5f3bb95d7480cdb'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','4a5cf6b3a8747cd8a8d874c796ffab08c7d3b1921cfd6779ed87526ec446914e'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.views_slideshow.inc','fc525602109c8db6173814b73c8f04921331f3373f1fa8666111e252eb3cf9b6'),('sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc','3cbed9cfdc7994fccb3f9882246e6faf282518b84a7248c8d93a55f97585e8f4'),('sites/all/modules/views_slideshow/views_slideshow.module','106f6cd97700ae75adabe1a2ba1ae1e1f4bda1d60e1e56406392cb7358605667'),('sites/all/modules/views_slideshow/views_slideshow.views.inc','95958d4aba955044f00330dd59f35b6759e7057ced744429bfb45732e4ce094c'),('sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','3df328b32c9d209cca54e3d8136e5c0f37b1619d0bcb600ca5568a85bd7da20b'),('sites/all/modules/wysiwyg/tests/wysiwyg.test','351bd7ed3eb279052b92cd900ceaedb3baa97ab502eed61a390efed83d8cefd8'),('sites/all/modules/wysiwyg/wysiwyg.module','23bbe445f32ba4e8d58c555b11e3275bf954380fea6c4e2a02bbc46fcc41daf8');
/*!40000 ALTER TABLE `registry_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
INSERT INTO `role` VALUES (3,'administrator',2),(1,'anonymous user',0),(2,'authenticated user',1);
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_permission`
--

DROP TABLE IF EXISTS `role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permission`
--

LOCK TABLES `role_permission` WRITE;
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
INSERT INTO `role_permission` VALUES (1,'access comments','comment'),(1,'access content','node'),(1,'access news feeds','aggregator'),(1,'access site-wide contact form','contact'),(1,'access user contact forms','contact'),(1,'search content','search'),(1,'use advanced search','search'),(1,'use text format filtered_html','filter'),(2,'access comments','comment'),(2,'access content','node'),(2,'access news feeds','aggregator'),(2,'access site-wide contact form','contact'),(2,'access user contact forms','contact'),(2,'post comments','comment'),(2,'search content','search'),(2,'use advanced search','search'),(2,'use text format filtered_html','filter'),(3,'access administration pages','system'),(3,'access all views','views'),(3,'access comments','comment'),(3,'access content','node'),(3,'access content overview','node'),(3,'access contextual links','contextual'),(3,'access dashboard','dashboard'),(3,'access news feeds','aggregator'),(3,'access overlay','overlay'),(3,'access site in maintenance mode','system'),(3,'access site reports','system'),(3,'access site-wide contact form','contact'),(3,'access statistics','statistics'),(3,'access toolbar','toolbar'),(3,'access user contact forms','contact'),(3,'access user profiles','user'),(3,'administer actions','system'),(3,'administer blocks','block'),(3,'administer comments','comment'),(3,'administer contact forms','contact'),(3,'administer content types','node'),(3,'administer filters','filter'),(3,'administer forums','forum'),(3,'administer image styles','image'),(3,'administer languages','locale'),(3,'administer menu','menu'),(3,'administer modules','system'),(3,'administer news feeds','aggregator'),(3,'administer nodes','node'),(3,'administer pathauto','pathauto'),(3,'administer permissions','user'),(3,'administer quicktabs','quicktabs'),(3,'administer search','search'),(3,'administer shortcuts','shortcut'),(3,'administer site configuration','system'),(3,'administer software updates','system'),(3,'administer statistics','statistics'),(3,'administer taxonomy','taxonomy'),(3,'administer themes','system'),(3,'administer url aliases','path'),(3,'administer users','user'),(3,'administer views','views'),(3,'block IP addresses','system'),(3,'bypass node access','node'),(3,'cancel account','user'),(3,'cancel own vote','poll'),(3,'change own username','user'),(3,'create article content','node'),(3,'create page content','node'),(3,'create url aliases','path'),(3,'customize shortcut links','shortcut'),(3,'delete any article content','node'),(3,'delete any page content','node'),(3,'delete own article content','node'),(3,'delete own page content','node'),(3,'delete revisions','node'),(3,'delete terms in 1','taxonomy'),(3,'edit any article content','node'),(3,'edit any page content','node'),(3,'edit own article content','node'),(3,'edit own comments','comment'),(3,'edit own page content','node'),(3,'edit terms in 1','taxonomy'),(3,'inspect all votes','poll'),(3,'notify of path changes','pathauto'),(3,'post comments','comment'),(3,'revert revisions','node'),(3,'search content','search'),(3,'select account cancellation method','user'),(3,'skip comment approval','comment'),(3,'switch shortcut sets','shortcut'),(3,'translate content','translation'),(3,'translate interface','locale'),(3,'use advanced search','search'),(3,'use PHP for settings','php'),(3,'Use PHP input for field settings (dangerous - grant with care)','cck'),(3,'use text format filtered_html','filter'),(3,'use text format full_html','filter'),(3,'view own unpublished content','node'),(3,'view post access counter','statistics'),(3,'view revisions','node'),(3,'view the administration theme','system'),(3,'vote on polls','poll');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
INSERT INTO `search_dataset` VALUES (1,'node',' the drupalorg redesign progress just a few years ago drupalorg was maintained by a small team of insiders now we are making major changes to the site using the community s many developers and themers this update provides the drupal community our implementation redesign progress where we ve run into challenges and provide information about our future plans the following update provides insight into our progress so far the present focus of the implementation and management team where help is needed from the community 1 a redesign progress report the drupalorg redesign is an effort started in 2007 to make drupalorg meet the needs of the growing drupal community and showcase the power of the drupal software in 2008 an exciting and visionary new design for drupalorg was completed by mark boulton design and the community in 2008 and 2009 members of the drupal community participated in six redesign sprints in north america and europe as major features of the redesign began to take shape we needed to work on more granular details of the implementation recreating staging environments locally for development teams is a serious challenge so we created a hosted infrastructure for developers and themers in late 2009 we began to seek companies from the drupal community to sponsor individual sections of the redesign we ve now recruited over twenty volunteer organizations to help implement sections of the redesign built on top of the features developed by the drupalorg infrastructure team there is a lot of visible progress on the drupalorg redesign site is fully upgraded to drupal 6 making customizations easier single signon for all drupalorg sites has been implemented significant improvements to project module with statistics are complete new features like module recommendations and related discussions are now available the site now utilizes faceted search with the solr search engine additionally much of the work associated with the base theme and the dashboard system has been completed much of the backend infrastructure that supports development is in place this includes ten staging sites for development are setup central authentication for svn access for designers and developers to contribute their code has been built automated deployment of themes and modules to staging sites for development and debugging is live the project management team is shaping up kieran lal  amazon  continues to be lead manager assisted by project managers lisa rex  lisarex  and chris strahl  chrisstrahl  who has recently joined the redesign team dries buytaert  dries  drupal creator and project lead is involved to review our progress and provide additional direction damien tournoud  damz  is providing technical assistance for the project specifically with regards to search results and the download and extend pages that rely on solr search results todd ross nienkerk  toddross  and aaron stanush  astanush  are the base theme implementation leads they are assisting in theme development and maintaining consistency in the overall style bill o connor  csevb10  is now leading the search results sections he has already implemented the theme search results section randy fay  rfay  is the lead redesign system admin and jonathan wagener  theamoeba  is the newest redesign system admin finally the project management team has been busy we ve identified a minimum viable product mvp which consists of 22 major sections to be implemented as the first phase of the redesign the redesign project is a big undertaking and we need to focus on we can realistically accomplish within a reasonable timeframe drupalorg redesign has it s own project and issue queue blue cheese  the new base theme has it s own project and issue queue the redesign project managers and some community volunteers have spent the last week evaluating the implementation progress by assessing each section a communication plan has been introduced to complement the existing documentation there are a lot of new contributors on the implementation team to address this we are providing development infrastructure granting access to new contributors documenting tools and training materials providing project management and recruiting more technical leadership to help train these new contributors 2 the present focus the current plan is to implement the redesign with community volunteers and sponsoring companies implementers are hardworking volunteers that are dedicating time and energy to this process taking time out of their already busy work schedules the drupalorg redesign project managers will continue to monitor progress on this approach and assist the implementers as we re able participation and section status in the redesign is being tracked at assignments and contact info  progress on the implementation can be viewed by clicking on the section status links the staging servers eg http staging1drupalorg  use drupal drupal for authentication in svn commits  https svndrupalorg drupal drupalorg redesign   svn authentication required as we continue to make progress a single staging site will be publicly visible to the community weekly irc sprints will start on friday feb 12th from 11am11pm gmt in the drupalredesign channel until the mvp is ready everyone who is actively engaged in the redesign implementation should join in the agenda is to focus on implementing the search results and download and extend sections several sections only require modifications to their themes or content to be considered complete in order to better facilitate reviewing and finalizing sections that near completion the redesign infrastructure administrators will merge all of the code and theme work from the sponsored sections to a single site this will allow progress to be assessed by the community and a dedicated quality assurance team the merging will begin this week the project managers are engaged in the following consolidating information from gdo issue queues domain experts redesign documents and email as the implementation teams provide feedback this will be used to improve the documentation how to implement the redesign and what the redesign will accomplish chris and damien will introduce an architecture document to explain how drupalorg is built from drupal core project modules solr and custom modules and a custom site specific drupalorg module focusing our technical resources on two key areas search results and download and extend sections we believe that when the first download and extend section is implemented the other six sections which rely on the same search infrastructure can be completed quickly duplicate issues will be consolidated and nonmvp issues will be postponed in the redesign or base theme issue queues while not everything we want will be delivered by the first phase we will have a solid framework in place and can incorporate additional community contributions and refinements after mvp completion 3 where help is needed the drupalorg redesign is a great opportunity for organizations and individuals to gain experience working on a large drupal project work with drupal experts and give back to the drupal community the redesign project needs volunteers with a willingness to dedicate themselves to the redesign familiarity of the drupalorg site and an understanding of how to work within the community some tasks are more difficult than others general difficulty of each area difficult medium easy we need volunteers in specific areas contact us via the drupal association contact form  use the volunteer to help with the drupalorg redesign category the project managers will match your skills and availability to the project  develop drupal search filters with solr  we are looking for experienced developers who have written search filters for drupal using solr damien has implemented the core filters but we need other experienced developers to assist the implementation teams time commitment 5 hours per week section technical leaders  leaders for download extend and documentation sections needed ideally this person is already a redesign implementer skills needed are good written spoken english a willingness to work with a diverse group of people excellent technical skills experience leading a development team and the ability to maintain organization of multiple teams working on multiple projects as a lead you would become the point person for your section and monitor the section s issue queue you need to understand all of the technical areas of your section to coordinate your implementation teams and see the section to completion time commitment 10 hours per week general project managers  we need cat herders to help the general management of the project skills needed are good written spoken english a willingness to work with a diverse group of people excellent organizational and analytical skills availability to meet with various project teams and experience creating project documentation time commitment 10 hours per week coders themers and reviewers  individuals can work on issues in the redesign or blue cheese issue queues many of these issues require knowledge of the redesign but there are also a lot where work can begin immediately skills needed are good written spoken english a willingness to work with a diverse group of people and an understanding of how to contribute within the drupal community to contribute css or code patches you ll need to read about how to obtain svn access  once you have worked on a blue cheese issue you can request access to the theme repository time commitment varies it s up to you  seo  skills needed include good written english a good knowledge of html and a keen eye for detail please review the seo best practices wiki before signing up the tasks for this position are outlined there time commitment 5 hours per week qa  skills needed are good written english a keen eye for detail experience qaing frontend and backend functionality of sites taking screenshots and a willingness to work in the issue queues please review the redesign qa volunteers wiki before signing up the responsibilities of this position are outlined there time commitment 5 hours per week content migration  skills needed are good written english and a keen eye for detail experience with managing and maintaining content on a drupal site is also important read the content migration guidelines for an outline of what this position entails time commitment varies the next step the new drupalorg is an exciting new design but also an exciting new way that the community can collaborate together to show the beauty and power of drupal we invite members of the drupal community to learn more about their home and get involved in improving it sign up to volunteer via the drupal association contact form  thank you on behalf of the redesign project team kieran lisa chris featured demo articles ',0),(2,'node',' new drupal book drupal performance tips with this book you will learn how to maximize and optimize your drupal 6 framework using best practice performance solutions and tools the book covers how to vastly improve performance through upgrades caching configuring and optimization using core and contributed modules as a reader of drupalorg you can receive a 15 discount see below and benefit the drupal association  some of what you will learn upgrade your drupal 5 site to drupal 6 using best practice upgrade paths back up and maintain your drupal 6 site using core and contributed modules and utilities configure the drupal core and contributed modules for high traffic run core drupal page compression css and js compression and use drupal page caching run scheduled cron tasks to perform crucial garbagecollection processes use the development devel module to monitor page loads and queries use the boost module for anonymous page caching tweak boost settings and use boost blocks and advanced boost settings to monitor site performance install and use memcache api and integration module and authcache and advanced cached modules to enhance and monitor site performance configure a drupal multisite environment for best performance about the book drupal is one of the most respected and widely used open source content management frameworks small medium and largescale websites are built using drupal and the framework supports ecommerce crm multisite and web service integrations once you get your drupal site installed and up and running you will be concerned with site performance and how fast you can make your drupal site run this book will focus on implementing performance modules and solutions to help speed up your drupal website we will look at introductory topics such as upgrading your drupal site maintaining your site and enabling core drupal page compression and caching then we will turn to an advanced look at some contributed modules that help speed up performance including development boost authcache advanced cache and the memcache api and integration module finally we ll look at how best to implement a drupal multisite environment and run it with highspeed performance in mind get 15 off  i have secured an exclusive 15 discount for you when you buy through packtpubcom  enter the following discount code at checkout in the shopping cart drupal6pt15 case sensitive as with all of packt s drupal books packt will be donating a percentage of its sales to the drupal association want a sample  to help promote the content provided within this book packt is generous enough to provide sample content of what you can expect from reading this book article drupal 6 performance optimization using views and panels caching about the authors trevor james trevor james  trevorjames  is a drupal developer and web designer based in middletown md usa trevor has been designing websites for 13 years using a combination of html xhtml css and coldfusion he has been using drupal intensively for more than 2 years trevor s focus is on building web portals for higher education public education k12 nonprofit and small business environments he is interested in the best methods of developing drupal themes drupal site performance and using cck views and panels to develop frontend interfaces to support dataintensive websites he loves teaching people about drupal and how to use this excellent open source content management framework he is also a contributor and community member on drupalorg and related drupal community projects tj holowaychuk tj holowaychuk  tjholowaychuk  president of vision media is an avid contributor to the drupal project as well as to other opensource applications contributing over 16 drupal modules several themes and having fully designed developed and maintained hundreds of drupal websites he has displayed a wealth of knowledge across different aspects of the industry demo articles ',0),(3,'node',' drupalcon london 2011 session schedule core conversations are a place for people actively working on drupal or drupalorg to meet and plan the future of drupal drupal 8 we will announce selected core conversation sessions on 22 july 2011 we remind you that we have some excellent preconference training courses and workshops scheduled for 22 august 2011 and invite you to register for these this is a great opportunity for drupalists at all levels of experience to learn from the experts the cost for a full day training varies from only ãƒâ šã â 150 for the absolute beginner s guide to drupal to ãƒâ šã â 325 for advanced topics like building modules for drupal 7 and drupal powered ecommerce demand for drupal talent is high so why not invest in your future register now to attend drupalcon london and for preconference training if you would like to support drupalcon london and help us spread the word about the conference here you can get badges for your website and promote the conference via our twitter and facebook widgets see you at drupalcon london 2226 august 2011 stay uptodate with the latest information about drupalcon london by going to http london2011drupalorg  or following us on twitter drupalcon featured demo articles ',0),(4,'node',' invitation to present at the ct film of course we have the most comprehensive film tax credit in the nation films commercials new media video games and our education director is the head of the statefunded film industry training program the focus for new media programs this year is free software web new media animation music and advocacy we are further sharing 13 of our curriculum with film and education please email and or call me if you are interested in helping us the festival is may 49 and ours is may 69 i will know more at our next meeting about exact scheduling we aren t a rich festival therefore we cannot pay anyone but we are only 65 miles from nyc on metro north and we can cover your hotel room as long as you wish to stay as well as give you an all access pass for the week looking forward to chatting dave bonan director of new media programming ct film festival wwwctfilmfestcom 2037708304  ',0),(5,'node',' updated netbeans plugins support for drupal hello drupalers netbeans 65 release candidate is out with right php editing features  http wwwnetbeansorg kb trails phphtml  and along with that i have released an update to the existing drupal support in netbeans please feel free to try out the enhanced wizard for assisting drupal module development the modifications in the plugin are generates the new module in appropriate location sticking to drupal coding standards generates template code for some of the common hooks hookblock and hookhelp in the module file sticking to drupal coding standards generates the install file which when not required can be removed some template code for some common hooks hookinstall and hookuninstall are provided you can download the plugin from netbeans plugin portal  http pluginsnetbeansorg pluginportal faces plugindetailpagejsp plug  or from project page  https nbdrupalsupportdevjavanet servlets projectdocumentlist folder  the source and documentation concerning usage of the plugin is hosted at the latter site comments welcome regards sujit nair demo articles ',0),(6,'node',' editing documentation embedded into drupal besides the handbook on drupalorg there is also some drupal documentation that is embedded in the drupal source code and visible from the administration pages of a drupal site this includes help pages for modules help text displayed at the top of administration pages and descriptive text within administration pages eg help text for a setting field because embedded documentation is part of the drupal source code the process for helping out with writing and editing this embedded documentation is slightly more complex than for editing pages on drupalorg here are some ways to help out test drupal for text issues during the development of a new drupal version download the new version from http drupalorg project drupal  install it and look over the help screens and user interface text if you find something that should be fixed in a help screen or other embedded help text file an issue even if you do not know how to create a patch you can still give before after text suggestions and someone else can create the patch to file an issue log in to drupalorg create an issue via the create content link  http drupalorg node add projectissue  choose drupal as the project choose the drupal version note that it s really only possible to change user interface text help text and other explanations in the version of drupal that is under development stable releases have been translated into other languages so their user interface text is almost never changed choose component documentation if the issue is in a help screen or user interface text if it is user interface text or choose the module that the issue pertains to as the component tag the issue with uitext or help text as appropriate choose category bug report text being wrong missing or unclear is a bug not a feature request or task make up a clear title and description and submit your issue help with existing issues use the advanced search for issues in the drupal project  http drupalorg project issues search drupal  and look for component documentation or user interface text or search for tags help text or uitext be aware that most of the issues filed under component documentation are issues with the inline programmer api documentation of functions in the source code displayed on apidrupalorg so if you are not a programmer these will not be things you will probably want to work on even if you cannot write patches you can still review patches and make suggestions on how to improve text by commenting on issues some tips on using the issue queue look for issues whose status is active or needs work if you want to write some documentation or code look for needs review issues if you want to review what others have done an excellent place to start if you are new to drupal issues and a vitally important part of the process even if you are not a programmer you can still review patches find an issue that has status needs review scroll down to the bottom of the issue s comments and find the latest patch attachment click on the attachment to see it the lines with are being added lines with are being removed some patches will also have a screen shot making reviewing even easier if you think a patch is good add a comment saying what part you reviewed and that you thought it was good if you think your review was comprehensive or if several people have commented that it s a good patch and you think the coverage overall is comprehensive enough change the issue s status to reviewed and tested by the community also known as rtbc if you think a patch needs some work change the status of the issue to needs work and add a specific comment about what you think should be changed if possible with a suggestion of what to change it to please try to be constructive if the issue you are looking at doesn t yet have a patch you can either make one or add suggestions as to what the text should say someone else can read your suggestions and make a patch if you attach a patch file be sure to change the status of the issue to needs review so others can test and review your patch and above all don t take anything in the issue queue personally the intent of the issue queue is to provide a forum for discussion on how to make drupal better so try to take any comments on your patches as constructive comments and thoughtful discussion even if not everyone writes their comments in this way  demo articles ',0),(7,'node',' newspaper modules opensourced by studio multimedia france 24 rfi hello two months ago a case study about the migration of france 24 from drupal 5 to drupal 6 was posted on drupalorg frontpage and it was announced some really interesting modules were going to be open sourced i m happy to say it is almost finished and here is the list of modules  multimedia element  it allows you to create blocks not drupal blocks containing stories inserted manually automatically semiautomatically with easy view carousels of stories text photos diaporamas including lightbox diapos video twitter table and you can embed these blocks directly into your story with a nifty fckeditor plugin here is a nice example of story with a carousel a diaporama and a video multimedia element  easy view  easy view is a very easy and powerful interface framework to views in a cck field it also include easy view taxonomy the easy view implementation of the taxonomy view it basically allows a simple user to configure a view per node without using the complex view ui uberimage  uberimage is an advanced image cck field with direct upload nodereference support result imagecache presets rescaling and cropping useful on websites with multiple different image ratio 169 43 165  formatter selector  ever wanted to let the user choose the theme of a node in a nodereference directly on the node edit page this module allows you to do that external sources   externodes  basically this module allows you to map the nid and fid address space to another drupal instance a simple example given you have two drupals if you type in your browser frontdrupalcom node 1000000001 it will in fact display the node 1 of backdrupalcom using frontdrupalcom theme backdrupalcom is nowhere visible to the end user basic example of use a big image collection you want to share between drupals nodeselect  nodeselect allows editors to search for content in a simple exposed view integrated with embedded edit and results can be drag and dropped into nodereferences embedded edit  embedded edit allows you to create view edit a node in a kind of lightbox within a node edit page when creating a node a nodereference will get filled with this node views cck formatter  views cck formatter allows you to choose a node cck formatter as a row style in your view this is extremely useful when you want to reuse a node theme in different parts of your website csv table  csv table is a very simple table module that allows you to upload a csv file in this cck field and display a table this module will probably evolve a lot in the future jcarousel for views  jcarousel for views is a simple module for using jcarousel in views jcarouself formatter framework  jcarousel formatter framework contains the jcarousel plugin plus a node cck formatter jcarousel theme relationships framework utilities  an utilities modules used by all the above modules sorry no pictures you can find them here or directly on the module project page concerning theming the france24 and rfi websites are heavily based on the standard cck nodereference formatters that s why almost all these modules are using it i ll probably make some doc on how to combine all these modules later cheers nicolas demo articles ',0),(8,'node',' drupal 74 released drupal 73 a maintenance release which fixes security vulnerabilities is now available for download drupal 74 also fixes other issues reported through the bug tracking system upgrading your existing drupal 7 sites is strongly recommended there are no new features in these releases for more information about the drupal 7x release series consult the drupal 70 release announcement security information we have a security announcement mailing list a history of all security advisories and an rss feed with the most recent security advisories we strongly advise drupal administrators to sign up for the list drupal 7 includes the builtin update status module which informs you about important updates to your modules and themes bug reports drupal 7x is being maintained so given enough bug fixes not just bug reports a new maintenance release will be made available the last wednesday of next month july 27 drupal 73 only includes fixes for security issues drupal 74 also includes bugfixes the full list of changes between the 72 and 74 releases can be found by reading the 74 release notes a complete list of all bug fixes in the stable 7x branch can be found in the git commit log security vulnerabilities drupal 73 was released in response to the discovery of security vulnerabilities details can be found in the official security advisory sacore2011002 to fix the security problem please upgrade drupal what is included with each release shows a graph and that 73 should be used to upgrade quickly 74 contains bug fixes and might need testing we make two versions of drupal core available so you can choose to only include security fixes drupal 73 or security fixes and bugfixes drupal 74 you can choose your preferred version we are trying to make it easier and quicker to roll out security updates by making securityonly releases available as well as ones with bugfixes included we hope this helps you roll out the fixes as soon as possible read more details in the handbook demo articles ',0),(9,'node',' about drupal drupal is a free software package that allows anyone to easily publish manage and organize a wide variety of content on a website hundreds of thousands of people and organizations are using drupal to power an endless variety of sites drupal is open source drupal is open source software maintained and developed by a community of hundreds of thousands of users and developers it s distributed under the terms of the gnu general public license or gpl which means anyone is free to download it share it with others and contribute back to the project this open development model means that people are constantly working to make sure drupal is a cuttingedge platform that supports the latest technologies that the web has to offer community support the passionate drupal community is on hand to give support via various vibrant irc channels in the forums and face to face at drupal events the community has also created documentation for drupal which covers installation site building module building theming and many other topics the worldwide community drives the innovation that makes drupal the preferred choice for web developers and site owners drupal is open source meaning everybody can get involved and make a difference security team we take security seriously and have a dedicated team that has a proven track record in dealing with your security issues professionally and efficiently meaning you can spend more time creating your site commercial services as well as the community there are many dedicated companies in the marketplace on hand to help with your drupal project providing expertise and a deeper understanding they can help with hosting spam blocking training and more  ',0),(10,'node',' understanding drupal admin s blog welcome to drupal drupal is a powerful content management system meaning you can power many different types of websites with it without knowing any coding languages if you re new to drupal or having your own website then this guide is for you the following pages should introduce you to the drupal project some best practices the community has accumulated the concepts and technologies that underpin drupal and basic installation and configuration the drupal documentation is currently being restructured some content has been moved to the administration guide structure guide and site building guide if you need help installing drupal the installation guide has step by step instructions and troubleshooting tips  ',0),(11,'node',' the drupal cookbook for beginners  admin s blog the drupal cookbook for beginners helps drupal newbies by providing a walkthrough of a common drupal setup you might also be interested in this whirlwind video background this handbook was originally written for drupal 5 while the information is generally transferable to drupal 6 some buttons links and menu items have been renamed or moved every attempt is made to keep these handbooks current the intent of the cookbook is to help the new drupal user create a typical site at that point the user will be better equipped to diving deeper into more advanced features terminology this cookbook requires a basic understanding of the general concepts of drupal additional resources for understanding terms used in drupal include terminology terms drupal jargon conventions the cookbook and other documentation on drupalorg uses the following standard for indicating site navigation administer access control user management roles the above example tells the user to click on administer in the navigation menu then access control then user management and then roles working with drupal here are some general recomendations use a test site that uses the same drupal version and modules as the target site use a copy of the live database avoid development on a live site don t try to make the perfect site on the first attempt muddle through for a while stressing over the perfect solution can lead to frustration start by learning the basic functionality of drupal find out what drupal can do before working towards a specific goal once comfortable with the core features and behavior move on to more complex contributed modules such as views cck and organic groups these modules and some others require a good bit of understanding to master the power and flexibility of drupal and its modules will become apparent over time if you need a custom theme customize one of the default themes before creating starting from scratch refer to the drupal 5 theme guide or drupal 6 theme guide limit the number of blocks images and graphics that clutter the page participate in the forums the documentation team and irc things to keep in mind a common mistake when approaching a solution to a problem in drupal is to make an assumption about how drupal works drupal is a unique and powerful platform that is probably quite different from other solutions you may have encountered start simply by making something visible then celebrate what you have accomplished taking one small step at a time will lead to a better site don t indiscriminately add many contributed modules right away get comfortable with modules one at a time modules that are not appropriate or used should be disabled and uninstalled as with most things worth mastering there is a learning curve with drupal but there is lots of support available as well drupal tutorials ',0),(12,'node',' history of the druplicon logo admin s blog after drupal was initially developed thoughts turned to the creation of a logo of course the concept would have to include a drop or water in general the initial idea was simple a drop within a circle it was conceived as an o in a fluid drop somewhat later there was an idea to use a cartoonlike drop with a face steven wittens unconed created a 3d version but the idea didn t get too far mainly because 3d is difficult to work with when the logo issue came up again kristjan jansen kika came up with the idea of putting two sideways drops together to form an infinity symbol when placed inside a filled circle it resembled a face after more work by steven wittens the druplicon was created a stylised drop with the infinity eyes a round nose and a mischievous smile you can find more versions of the logo in the marketing section drupal ',0),(13,'node',' drupal accessibility statement admin s blog as an inclusive community we are committed to making sure that drupal is an accessible tool for building websites and that drupal helps you create websites that are themselves accessible this initiative started with advancements with drupal 7 accessibility we have committed to ensuring that all features of drupal core conform with the worldwide web consortium w3c guidelines wcag 20 and atag 20 where possible we will also update the previous version of drupal core version 6 to enhance its accessibility accessible features in drupal if you rely on a screen reader or other assistive technology you will be glad to know that we have built drupal to encourage and support the proper use of semantic markup for example you should be able to use headings reliably for pagelevel navigation the accessibility team has worked to identify barriers to accessibility with drupal and worked to resolve them we ve identified and resolved a number of issues in the core code of drupal 7 and raised awareness within the community we ve added some additional support for rich internet applications by adding some waiaria support there have been many improvements to both the visitor and administrator sides of drupal especially search engine form and presentation drag and drop functionality color contrast and intensity adding skip navigation to core themes image handling form labeling removing duplicate or null tags drupal ',0),(14,'node',' what do you think about nucleus framework  i already used it really happy 65 360 votes look promising 22 120 votes boring 3 15 votes i don t care about framework at all 10 56 votes total votes 551  ',0),(15,'node',' which basetheme you like most  fusion 41 579 votes zen 23 320 votes omega 15 210 votes nucleus 22 308 votes total votes 1417  ',0),(16,'node',' site building guide upgrading drupal for information on managing the ongoing operation of a drupal site see the administration guide for information on developing the basic information architecture using menus taxonomies blocks etc see the structure guide  ',0),(17,'node',' modules failed to update upgrading drupal i m having a problem updating several modules in drupal 6 i put the site off line and then uploaded the latest modules via ftp as is my usual practice i rename the directory of the module to be updated to modulejan2012 and put the new module folder in its place i then ran updatephp and when i check the modules are still showing as outofdate the problem modules are google analytics wysiwyg imce and webform webform validator and root candy theme updated okay i ve since uploaded the module again to see if this helps but it didn t on the server it s showing that the files were updated many thanks in advance for any suggestions  ',0),(18,'node',' simplest way to launch drupal on aws installing drupal what would be a best way to launch a simple drupal web site on aws i ve just started learning aws so far from what i have learned i can go either of the following ways 1 create an ec2 instance install xampp and drupal and keep developing web pages and web apps in ec2 i ve done this but i have not figured out how to make the web site accessible do i need to setup elastic ip 2 install drupal on a local machine and develop all web pages and apps locally and then upload all local files to s3 then is s3 enough to host a web site ec2 instance is not needed also who would i manage the upload for constant updates on drupal modules and drupal db well i need to dig more into ec2 and s3 but your input would be highly appreciated  ',0),(19,'node',' change in look after upadting pixture reloaded theme installing drupal i updated pixture reloaded theme before updating everything okay but after updating it the look of the website changes whats the problem how can i edit pixture reloaded theme to its previous look no database backup is taken only drupal files have backup  ',0),(20,'node',' system requirements installing drupal see the phpinfo page on drupalorg to learn how to use phpinfo to get the details of your system for example phpinfo will tell you if you have a database already installed and what versions of php mysql etc your system is running phpinfo will also tell you what php variables are set as well as many other helpful things  ',0),(21,'node',' html and css techniques theme development for all the effort you put into building your site the most important thing to your users is how your site looks managing the inconsistencies in your theme for each browser for each module and for user selectable themes can be very challenging first you should familiarize yourself with basic cascading style sheets css concepts review css discuss or html dog for css resources a good overview of the power of css can be seen at the css zen garden validate always validate xhtml 10 strict permalink submitted by admin on tue 1172012 916 and really a validating clean layout will work 90 of the time it will have easy fixes 9 of the time and will require hard measures only 1 of the time really  log in or register to post comments please ensure that you ve permalink submitted by admin on tue 1172012 917 please ensure that you ve validated both the css and html for your website using w3c tools it would be great to review your theme with both the wave and fae accessibility evaluators too there are also some other good validation tools log in or register to post comments  ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
INSERT INTO `search_index` VALUES ('1',1,'node',16),('1',7,'node',0.830633),('1',18,'node',1),('1',21,'node',1),('10',1,'node',0.777805),('10',14,'node',1),('10',21,'node',26),('1000000001',7,'node',0.842342),('1172012',21,'node',2),('11am11pm',1,'node',0.510357),('120',14,'node',1),('12th',1,'node',0.511433),('13',2,'node',0.731649),('13',4,'node',1),('1417',15,'node',1),('15',2,'node',18.1987),('15',14,'node',1),('15',15,'node',1),('150',3,'node',1),('16',2,'node',0.63167),('165',7,'node',0.938382),('169',7,'node',0.945829),('2',1,'node',8.9789),('2',2,'node',0.712106),('2',18,'node',1),('20',13,'node',2),('2007',1,'node',1),('2008',1,'node',2),('2009',1,'node',2),('2011',3,'node',29),('2037708304',4,'node',1),('210',15,'node',1),('22',1,'node',0.623497),('22',3,'node',2),('22',14,'node',1),('22',15,'node',1),('2226',3,'node',1),('23',15,'node',1),('24',7,'node',27),('27',8,'node',1),('3',1,'node',6.98095),('3',14,'node',1),('308',15,'node',1),('320',15,'node',1),('325',3,'node',1),('360',14,'node',1),('41',15,'node',1),('43',7,'node',0.942091),('49',4,'node',1),('5',1,'node',1.1461),('5',2,'node',1),('5',7,'node',1),('5',11,'node',1.7767),('551',14,'node',1),('56',14,'node',1),('579',15,'node',1),('6',1,'node',0.942091),('6',2,'node',11.4074),('6',7,'node',1),('6',11,'node',1.77419),('6',13,'node',1),('6',17,'node',1),('65',4,'node',1),('65',5,'node',1),('65',14,'node',1),('69',4,'node',1),('7',3,'node',1),('7',8,'node',2),('7',13,'node',2),('70',8,'node',1),('72',8,'node',1),('73',8,'node',4.83817),('74',8,'node',31.8271),('8',3,'node',1),('9',21,'node',1),('90',21,'node',1),('916',21,'node',1),('917',21,'node',1),('aaron',1,'node',0.681785),('ability',1,'node',0.398673),('able',1,'node',0.539902),('able',13,'node',1),('about',1,'node',1.7416),('about',2,'node',34.0965),('about',3,'node',1.98493),('about',4,'node',1),('about',6,'node',0.695602),('about',7,'node',1),('about',8,'node',2),('about',9,'node',26),('about',11,'node',0.731649),('about',14,'node',27),('above',6,'node',0.668514),('above',7,'node',0.707906),('above',11,'node',1),('absolute',3,'node',1),('access',1,'node',5.94902),('access',4,'node',1),('access',11,'node',2),('accessibility',13,'node',30),('accessibility',21,'node',1),('accessible',13,'node',3),('accessible',18,'node',1),('accomplish',1,'node',1.07452),('accomplished',11,'node',0.695602),('accumulated',10,'node',1),('across',2,'node',0.613969),('active',6,'node',0.800068),('actively',1,'node',0.502958),('actively',3,'node',1),('add',6,'node',13.1053),('add',11,'node',0.685676),('added',6,'node',0.749958),('added',13,'node',1),('adding',13,'node',1.94209),('additional',1,'node',1.15932),('additional',11,'node',1),('additional',13,'node',1),('additionally',1,'node',0.851346),('address',1,'node',0.574516),('address',7,'node',0.873132),('admin',1,'node',1.28531),('admin',10,'node',11),('admin',11,'node',11),('admin',12,'node',11),('admin',13,'node',11),('admin',21,'node',2),('administer',11,'node',2),('administration',6,'node',3),('administration',10,'node',1),('administration',16,'node',1),('administrator',13,'node',0.993146),('administrators',1,'node',0.483934),('administrators',8,'node',1),('advance',17,'node',1),('advanced',2,'node',3.75915),('advanced',3,'node',1),('advanced',6,'node',0.882818),('advanced',7,'node',1),('advanced',11,'node',1),('advancements',13,'node',1),('advise',8,'node',1),('advisories',8,'node',2),('advisory',8,'node',0.989021),('advocacy',4,'node',1),('after',1,'node',0.43709),('after',6,'node',1),('after',12,'node',2),('after',19,'node',27),('again',12,'node',1),('again',17,'node',1),('agenda',1,'node',0.498827),('ago',1,'node',4),('ago',7,'node',1),('all',1,'node',1.79816),('all',2,'node',0.813674),('all',3,'node',1),('all',4,'node',1),('all',6,'node',0.66666),('all',7,'node',2.05832),('all',8,'node',2),('all',13,'node',1),('all',14,'node',1),('all',18,'node',2),('all',21,'node',1),('allow',1,'node',0.481063),('allows',7,'node',6.82886),('allows',9,'node',1),('almost',6,'node',0.980874),('almost',7,'node',1.67794),('along',5,'node',1),('already',1,'node',1.6069),('already',14,'node',1),('already',20,'node',1),('also',1,'node',1.11489),('also',2,'node',0.664818),('also',6,'node',2.44699),('also',7,'node',1),('also',8,'node',2),('also',9,'node',1),('also',11,'node',1),('also',13,'node',1),('also',18,'node',1),('also',20,'node',1),('also',21,'node',0.993146),('always',21,'node',26),('amazon',1,'node',8.43432),('america',1,'node',1),('analytical',1,'node',0.388583),('analytics',17,'node',1),('and',1,'node',59.7295),('and',2,'node',46.2418),('and',3,'node',8),('and',4,'node',6),('and',5,'node',4),('and',6,'node',17.529),('and',7,'node',19.8171),('and',8,'node',6.65215),('and',9,'node',12.6724),('and',10,'node',5),('and',11,'node',11.0834),('and',12,'node',1),('and',13,'node',9.86897),('and',17,'node',5),('and',18,'node',8),('and',20,'node',1),('and',21,'node',31),('animation',4,'node',1),('announce',3,'node',1),('announced',7,'node',1),('announcement',8,'node',2),('anonymous',2,'node',1),('another',7,'node',0.866793),('any',6,'node',0.648686),('any',10,'node',1),('any',17,'node',1),('anyone',4,'node',1),('anyone',9,'node',2),('anything',6,'node',0.661163),('api',2,'node',1.87313),('api',6,'node',0.857458),('apidrupalorg',6,'node',0.851346),('apparent',11,'node',0.813674),('applications',2,'node',0.636679),('applications',13,'node',1),('appreciated',18,'node',1),('approach',1,'node',0.542319),('approaching',11,'node',0.738408),('appropriate',5,'node',1),('appropriate',6,'node',0.949597),('appropriate',11,'node',0.674137),('apps',18,'node',2),('architecture',1,'node',0.462781),('architecture',16,'node',1),('are',1,'node',11.5253),('are',2,'node',0.989021),('are',3,'node',1),('are',4,'node',3),('are',5,'node',2),('are',6,'node',6.44866),('are',7,'node',1.36755),('are',8,'node',1.8894),('are',9,'node',2.90629),('are',11,'node',1.67603),('are',13,'node',2),('are',17,'node',2),('are',20,'node',1),('are',21,'node',0.997306),('area',1,'node',0.420557),('areas',1,'node',1.26487),('aren',4,'node',1),('article',2,'node',8.43432),('articles',1,'node',3.91059),('articles',2,'node',6.66877),('articles',3,'node',10.572),('articles',5,'node',11),('articles',6,'node',7.02203),('articles',7,'node',7.29284),('articles',8,'node',9.20091),('aspects',2,'node',0.610858),('assessed',1,'node',0.480114),('assessing',1,'node',0.587082),('assignments',1,'node',5.87347),('assist',1,'node',0.949741),('assistance',1,'node',0.705825),('assisted',1,'node',0.757065),('assisting',1,'node',0.672252),('assisting',5,'node',1),('assistive',13,'node',1),('associated',1,'node',0.845322),('association',1,'node',0.775255),('association',2,'node',1.79475),('assumption',11,'node',0.733888),('assurance',1,'node',0.47729),('astanush',1,'node',7.45733),('atag',13,'node',1),('attach',6,'node',0.672252),('attachment',6,'node',1.51415),('attempt',11,'node',1.93838),('attend',3,'node',1),('august',3,'node',2),('authcache',2,'node',1.87634),('authentication',1,'node',1.84971),('authors',2,'node',14.4298),('automated',1,'node',0.78951),('automatically',7,'node',1),('availability',1,'node',0.801428),('available',1,'node',0.869951),('available',8,'node',3.76965),('available',11,'node',0.652202),('avid',2,'node',0.645209),('avoid',11,'node',0.96498),('aware',6,'node',0.873132),('awareness',13,'node',1),('away',11,'node',0.679856),('aws',18,'node',28),('ãƒâ',3,'node',2),('back',1,'node',0.429413),('back',2,'node',1),('back',9,'node',1),('backdrupalcom',7,'node',1.65266),('backend',1,'node',1.19998),('background',11,'node',1),('backup',19,'node',2),('badges',3,'node',1),('barriers',13,'node',1),('base',1,'node',2.56068),('based',2,'node',0.745294),('based',7,'node',0.685676),('basetheme',15,'node',26),('basic',7,'node',0.816452),('basic',10,'node',1),('basic',11,'node',1.90286),('basic',16,'node',1),('basic',21,'node',1),('basically',7,'node',1.88282),('beauty',1,'node',0.361229),('because',6,'node',1),('because',12,'node',1),('become',1,'node',0.394193),('become',11,'node',0.816452),('been',1,'node',3.75148),('been',2,'node',1.45464),('been',6,'node',0.997306),('been',10,'node',1),('been',11,'node',1),('been',13,'node',1),('before',1,'node',0.740934),('before',6,'node',1),('before',11,'node',1.67891),('before',19,'node',1),('began',1,'node',2),('begin',1,'node',0.859757),('beginner',3,'node',1),('beginners',11,'node',27),('behalf',1,'node',0.35705),('behavior',11,'node',0.866793),('being',1,'node',0.536316),('being',6,'node',2.43228),('being',8,'node',1),('being',10,'node',1),('believe',1,'node',0.453319),('below',2,'node',1),('benefit',2,'node',1),('besides',6,'node',1),('best',1,'node',4.11833),('best',2,'node',4.55956),('best',10,'node',1),('best',18,'node',1),('better',1,'node',0.489781),('better',6,'node',0.650439),('better',11,'node',1.68764),('between',7,'node',0.800068),('between',8,'node',1),('big',1,'node',0.618696),('big',7,'node',0.810915),('bill',1,'node',0.662985),('bit',11,'node',0.830633),('blocking',9,'node',0.873132),('blocks',2,'node',1),('blocks',7,'node',3),('blocks',11,'node',0.769219),('blocks',16,'node',1),('blog',10,'node',11),('blog',11,'node',11),('blog',12,'node',11),('blog',13,'node',11),('blue',1,'node',7.36812),('bonan',4,'node',1),('book',2,'node',49.4796),('books',2,'node',0.808176),('boost',2,'node',4.87634),('boring',14,'node',1),('both',13,'node',1),('both',21,'node',2),('bottom',6,'node',0.766757),('boulton',1,'node',1),('branch',8,'node',1),('browser',7,'node',0.848323),('browser',21,'node',1),('bug',6,'node',1.86236),('bug',8,'node',5.92743),('bugfixes',8,'node',2.75662),('building',2,'node',0.71),('building',3,'node',1),('building',9,'node',2),('building',10,'node',1),('building',13,'node',1),('building',16,'node',26),('building',21,'node',1),('built',1,'node',2.22253),('built',2,'node',0.98493),('built',13,'node',1),('builtin',8,'node',1),('business',2,'node',0.695602),('busy',1,'node',1.1839),('but',1,'node',1.15761),('but',4,'node',1),('but',11,'node',0.657549),('but',12,'node',1),('but',17,'node',1),('but',18,'node',2),('but',19,'node',1),('buttons',11,'node',1),('buy',2,'node',0.845322),('buytaert',1,'node',0.729424),('cache',2,'node',0.876337),('cached',2,'node',1),('caching',2,'node',12.2435),('call',4,'node',1),('came',12,'node',2),('can',1,'node',3.5467),('can',2,'node',2.70889),('can',3,'node',1),('can',4,'node',1),('can',5,'node',2),('can',6,'node',5.61876),('can',7,'node',2.47589),('can',8,'node',4.79208),('can',9,'node',2.81427),('can',10,'node',1),('can',11,'node',1.80967),('can',12,'node',1),('can',18,'node',1),('can',19,'node',1),('can',21,'node',2),('candidate',5,'node',1),('candy',17,'node',1),('cannot',4,'node',1),('cannot',6,'node',0.830633),('care',14,'node',1),('carousel',7,'node',11),('carousels',7,'node',1),('cart',2,'node',0.824901),('cartoonlike',12,'node',1),('cascading',21,'node',1),('case',2,'node',0.819249),('case',7,'node',1),('cat',1,'node',0.390435),('category',1,'node',0.416268),('category',6,'node',0.945829),('cck',2,'node',0.683725),('cck',7,'node',13.9121),('cck',11,'node',0.848323),('celebrate',11,'node',0.697623),('central',1,'node',0.810915),('challenge',1,'node',1),('challenges',1,'node',1),('challenging',21,'node',1),('change',6,'node',3.76356),('change',19,'node',26),('changed',6,'node',1.66645),('changes',1,'node',1),('changes',8,'node',1),('changes',19,'node',1),('channel',1,'node',0.507159),('channels',9,'node',1),('chatting',4,'node',1),('check',17,'node',1),('checkout',2,'node',0.830633),('cheers',7,'node',0.668514),('cheese',1,'node',7.35174),('choice',9,'node',1),('choose',6,'node',4.87971),('choose',7,'node',1.66905),('choose',8,'node',1.79893),('chris',1,'node',1.56549),('chrisstrahl',1,'node',8.14758),('circle',12,'node',2),('clean',21,'node',1),('clear',6,'node',0.906287),('click',6,'node',0.757065),('click',11,'node',1),('clicking',1,'node',0.529288),('clutter',11,'node',0.76188),('code',1,'node',1.65727),('code',2,'node',0.833529),('code',5,'node',2),('code',6,'node',3.6461),('code',13,'node',1),('coders',1,'node',5.02774),('coding',5,'node',2),('coding',10,'node',1),('coldfusion',2,'node',0.72066),('collaborate',1,'node',0.362823),('collection',7,'node',0.808176),('color',13,'node',0.953396),('combination',2,'node',0.727213),('combine',7,'node',0.672252),('comfortable',11,'node',1.54916),('comment',6,'node',1.42725),('commented',6,'node',0.714225),('commenting',6,'node',0.816452),('comments',5,'node',1),('comments',6,'node',2.69996),('comments',21,'node',1.97685),('commercial',9,'node',17.4852),('commercials',4,'node',1),('commit',8,'node',1),('commitment',1,'node',2.66802),('commits',1,'node',0.522445),('committed',13,'node',2),('common',5,'node',2),('common',11,'node',1.74298),('communication',1,'node',6.42665),('community',1,'node',11.5494),('community',2,'node',1.31692),('community',6,'node',0.703756),('community',9,'node',23.9097),('community',10,'node',1),('community',13,'node',2),('companies',1,'node',1.5573),('companies',9,'node',0.906287),('complement',1,'node',0.580033),('complete',1,'node',1.37686),('complete',8,'node',1),('completed',1,'node',2.28061),('completion',1,'node',1.31226),('complex',6,'node',1),('complex',7,'node',1),('complex',11,'node',0.860547),('component',6,'node',3.66613),('comprehensive',4,'node',1),('comprehensive',6,'node',1.42857),('compression',2,'node',2.8894),('conceived',12,'node',1),('concept',12,'node',1),('concepts',10,'node',1),('concepts',11,'node',1),('concepts',21,'node',1),('concerned',2,'node',0.942091),('concerning',5,'node',1),('concerning',7,'node',0.695602),('conference',3,'node',2),('configuration',10,'node',1),('configure',2,'node',2),('configure',7,'node',1),('configuring',2,'node',1),('conform',13,'node',1),('connor',1,'node',0.661163),('considered',1,'node',0.491762),('consistency',1,'node',0.668514),('consists',1,'node',0.625114),('consolidated',1,'node',0.4475),('consolidating',1,'node',0.474499),('consortium',13,'node',1),('constant',18,'node',1),('constantly',9,'node',1),('constructive',6,'node',1.33458),('consult',8,'node',1),('contact',1,'node',14.7989),('containing',7,'node',1),('contains',7,'node',0.72066),('contains',8,'node',0.931053),('content',1,'node',9.66591),('content',2,'node',3.22592),('content',6,'node',1),('content',7,'node',0.786915),('content',9,'node',1),('content',10,'node',2),('continue',1,'node',1.06274),('continues',1,'node',0.76431),('contrast',13,'node',0.949597),('contribute',1,'node',1.56487),('contribute',9,'node',1),('contributed',2,'node',3.88282),('contributed',11,'node',1.53924),('contributing',2,'node',0.635),('contributions',1,'node',0.438659),('contributor',2,'node',1.30647),('contributors',1,'node',1.70886),('control',11,'node',2),('conventions',11,'node',1),('conversation',3,'node',1),('conversations',3,'node',1),('cookbook',11,'node',30),('coordinate',1,'node',0.392305),('copy',11,'node',0.976851),('core',1,'node',0.869476),('core',2,'node',4.8894),('core',3,'node',2),('core',8,'node',0.906287),('core',11,'node',0.869951),('core',13,'node',3.93838),('cost',3,'node',1),('course',4,'node',1),('course',12,'node',1),('courses',3,'node',1),('cover',4,'node',1),('coverage',6,'node',0.712106),('covers',2,'node',1),('covers',9,'node',1),('create',6,'node',4),('create',7,'node',1.76676),('create',11,'node',1),('create',13,'node',1),('create',18,'node',1),('created',1,'node',1),('created',9,'node',1),('created',12,'node',2),('creating',1,'node',0.387358),('creating',7,'node',0.759465),('creating',9,'node',0.923838),('creating',11,'node',0.78951),('creation',12,'node',1),('creator',1,'node',0.727213),('credit',4,'node',1),('crm',2,'node',0.972861),('cron',2,'node',1),('cropping',7,'node',0.968904),('crucial',2,'node',1),('csevb10',1,'node',7.25286),('css',1,'node',0.383732),('css',2,'node',1.72066),('css',21,'node',32),('csv',7,'node',9.59477),('current',1,'node',0.559882),('current',11,'node',1),('currently',10,'node',1),('curriculum',4,'node',1),('curve',11,'node',0.659351),('custom',1,'node',0.917724),('custom',11,'node',0.805455),('customizations',1,'node',0.938382),('customize',11,'node',0.800068),('cuttingedge',9,'node',1),('damien',1,'node',1.58933),('damz',1,'node',7.83317),('dashboard',1,'node',0.836446),('database',11,'node',0.968904),('database',19,'node',1),('database',20,'node',1),('dataintensive',2,'node',0.674137),('dave',4,'node',1),('day',3,'node',1),('dealing',9,'node',0.957226),('debugging',1,'node',0.779231),('dedicate',1,'node',0.42791),('dedicated',1,'node',0.479169),('dedicated',9,'node',1.87915),('dedicating',1,'node',0.554747),('deeper',9,'node',0.889397),('deeper',11,'node',1),('default',11,'node',0.794753),('delivered',1,'node',0.441832),('demand',3,'node',1),('demo',1,'node',3.91623),('demo',2,'node',6.68558),('demo',3,'node',10.6148),('demo',5,'node',11),('demo',6,'node',7.04069),('demo',7,'node',7.31299),('demo',8,'node',9.23322),('deployment',1,'node',0.786915),('description',6,'node',0.899454),('descriptive',6,'node',1),('design',1,'node',12.3634),('designed',2,'node',0.625114),('designer',2,'node',0.747619),('designers',1,'node',0.800068),('designing',2,'node',0.733888),('detail',1,'node',1.11313),('details',1,'node',1),('details',8,'node',1.83965),('details',20,'node',1),('devel',2,'node',1),('develop',1,'node',5.3659),('develop',2,'node',0.681785),('develop',18,'node',1),('developed',1,'node',0.96498),('developed',2,'node',0.623497),('developed',9,'node',1),('developed',12,'node',1),('developer',2,'node',0.749958),('developers',1,'node',3.61603),('developers',9,'node',2),('developing',2,'node',0.687638),('developing',16,'node',1),('developing',18,'node',1),('development',1,'node',5.05717),('development',2,'node',1.87634),('development',5,'node',1),('development',6,'node',2),('development',9,'node',1),('development',11,'node',0.961087),('development',21,'node',11),('diaporama',7,'node',11),('diaporamas',7,'node',1),('diapos',7,'node',1),('didn',12,'node',1),('didn',17,'node',1),('difference',9,'node',0.997306),('different',2,'node',0.61241),('different',7,'node',1.69638),('different',10,'node',1),('different',11,'node',0.714225),('difficult',1,'node',0.844037),('difficult',12,'node',1),('difficulty',1,'node',0.421281),('dig',18,'node',1),('direct',7,'node',1),('direction',1,'node',0.718502),('directly',7,'node',2.60737),('director',4,'node',2),('directory',17,'node',1),('disabled',11,'node',0.670377),('discount',2,'node',2.68185),('discovery',8,'node',1),('discuss',21,'node',1),('discussion',6,'node',1.29741),('discussions',1,'node',0.873132),('display',7,'node',1.56742),('displayed',2,'node',0.618696),('displayed',6,'node',1.85135),('distributed',9,'node',1),('diverse',1,'node',1.17421),('diving',11,'node',1),('doc',7,'node',0.676032),('document',1,'node',0.461904),('documentation',1,'node',1.8347),('documentation',5,'node',1),('documentation',6,'node',33.3541),('documentation',9,'node',1),('documentation',10,'node',1),('documentation',11,'node',1.75231),('documenting',1,'node',0.571798),('documents',1,'node',0.469921),('doesn',6,'node',0.683725),('dog',21,'node',1),('domain',1,'node',0.471741),('don',6,'node',0.664818),('don',11,'node',1.64486),('don',14,'node',1),('donating',2,'node',0.805455),('done',6,'node',0.78951),('done',18,'node',1),('down',6,'node',0.769219),('download',1,'node',2.50463),('download',5,'node',1),('download',6,'node',1),('download',8,'node',1),('download',9,'node',1),('drag',7,'node',0.774192),('drag',13,'node',0.96498),('dries',1,'node',8.73099),('drives',9,'node',1),('drop',12,'node',5),('drop',13,'node',0.961087),('dropped',7,'node',0.771698),('drops',12,'node',1),('drupal',1,'node',23.186),('drupal',2,'node',84.4933),('drupal',3,'node',7),('drupal',5,'node',30),('drupal',6,'node',57.9457),('drupal',7,'node',3.86366),('drupal',8,'node',40.6634),('drupal',9,'node',54.8961),('drupal',10,'node',33),('drupal',11,'node',51.1272),('drupal',12,'node',12),('drupal',13,'node',45.9921),('drupal',16,'node',12),('drupal',17,'node',12),('drupal',18,'node',42),('drupal',19,'node',12),('drupal',20,'node',11),('drupal6pt15',2,'node',0.822065),('drupalcon',3,'node',30.9538),('drupalers',5,'node',1),('drupalists',3,'node',1),('drupalorg',1,'node',52.2502),('drupalorg',2,'node',1.65755),('drupalorg',3,'node',1),('drupalorg',6,'node',34.6397),('drupalorg',7,'node',1),('drupalorg',11,'node',1),('drupalorg',20,'node',1),('drupalredesign',1,'node',0.508221),('drupals',7,'node',1.65179),('druplicon',12,'node',27),('duplicate',1,'node',0.449147),('duplicate',13,'node',0.920273),('during',6,'node',1),('each',1,'node',1.00622),('each',8,'node',0.957226),('each',21,'node',2),('easier',1,'node',0.934703),('easier',6,'node',0.738408),('easier',8,'node',0.886095),('easily',9,'node',1),('easy',1,'node',0.419117),('easy',7,'node',16),('easy',21,'node',1),('ec2',18,'node',4),('ecommerce',2,'node',0.976851),('ecommerce',3,'node',1),('edit',7,'node',12.4162),('edit',19,'node',1),('editing',5,'node',1),('editing',6,'node',28),('editors',7,'node',0.794753),('education',2,'node',1.40341),('education',4,'node',2),('efficiently',9,'node',0.942091),('effort',1,'node',1),('effort',21,'node',1),('either',6,'node',0.679856),('either',18,'node',1),('elastic',18,'node',1),('element',7,'node',22),('else',6,'node',1.67414),('email',1,'node',0.469016),('email',4,'node',1),('embed',7,'node',1),('embedded',6,'node',30),('embedded',7,'node',9.98031),('enabling',2,'node',0.892724),('encountered',11,'node',0.707906),('encourage',13,'node',1),('end',7,'node',0.819249),('endless',9,'node',1),('energy',1,'node',0.552215),('engaged',1,'node',0.976417),('engine',1,'node',0.854391),('engine',13,'node',0.976851),('english',1,'node',2.28972),('enhance',2,'node',1),('enhance',13,'node',1),('enhanced',5,'node',1),('enough',2,'node',0.779231),('enough',6,'node',0.707906),('enough',8,'node',1),('enough',18,'node',1),('ensure',21,'node',27),('ensuring',13,'node',1),('entails',1,'node',0.36497),('enter',2,'node',0.839384),('environment',2,'node',1.86679),('environments',1,'node',1),('environments',2,'node',0.693594),('equipped',11,'node',1),('especially',13,'node',0.98493),('etc',16,'node',1),('etc',20,'node',1),('europe',1,'node',1),('evaluating',1,'node',0.588512),('evaluators',21,'node',1),('even',6,'node',3.98844),('events',9,'node',1),('ever',7,'node',0.927431),('every',11,'node',1),('everybody',9,'node',1),('everyone',1,'node',0.504001),('everyone',6,'node',0.645209),('everything',1,'node',0.443437),('everything',19,'node',1),('evolve',7,'node',0.731649),('exact',4,'node',1),('example',7,'node',12.6742),('example',11,'node',1),('example',13,'node',1),('example',20,'node',1),('excellent',1,'node',0.78852),('excellent',2,'node',0.66666),('excellent',3,'node',1),('excellent',6,'node',0.786915),('exciting',1,'node',11.7267),('exclusive',2,'node',0.851346),('existing',1,'node',0.578643),('existing',5,'node',1),('existing',6,'node',0.889397),('existing',8,'node',1),('expect',2,'node',0.774192),('experience',1,'node',1.95608),('experience',3,'node',1),('experienced',1,'node',0.81932),('expertise',9,'node',0.892724),('experts',1,'node',0.900998),('experts',3,'node',1),('explain',1,'node',0.461031),('explanations',6,'node',1),('exposed',7,'node',0.784336),('extend',1,'node',2.50261),('external',7,'node',9.81996),('externodes',7,'node',9.74705),('extremely',7,'node',0.747619),('eye',1,'node',1.1137),('eyes',12,'node',1),('face',9,'node',2),('face',12,'node',2),('facebook',3,'node',1),('faces',5,'node',11),('faceted',1,'node',0.863659),('facilitate',1,'node',0.488796),('fact',7,'node',0.836446),('fae',21,'node',1),('failed',17,'node',26),('familiarity',1,'node',0.426419),('familiarize',21,'node',1),('far',1,'node',1),('far',12,'node',1),('far',18,'node',1),('fast',2,'node',0.938382),('fay',1,'node',0.650439),('fckeditor',7,'node',1),('feature',6,'node',0.920273),('featured',1,'node',3.92188),('featured',3,'node',10.6579),('features',1,'node',2.8478),('features',5,'node',1),('features',8,'node',1),('features',11,'node',1.86679),('features',13,'node',2),('feb',1,'node',0.512513),('feed',8,'node',1),('feedback',1,'node',0.468115),('feel',5,'node',1),('festival',4,'node',3),('few',1,'node',4),('fid',7,'node',0.876337),('field',6,'node',1),('field',7,'node',2.73389),('figured',18,'node',1),('file',5,'node',2),('file',6,'node',2.67038),('file',7,'node',0.736141),('filed',6,'node',0.866793),('files',17,'node',1),('files',18,'node',1),('files',19,'node',1),('filled',7,'node',0.754681),('filled',12,'node',1),('film',4,'node',30),('films',4,'node',1),('filters',1,'node',6.17551),('finalizing',1,'node',0.486839),('finally',1,'node',0.638366),('finally',2,'node',0.873132),('find',6,'node',2.53607),('find',7,'node',0.7017),('find',11,'node',0.899454),('find',12,'node',1),('finished',7,'node',1),('first',1,'node',1.51456),('first',11,'node',0.942091),('first',21,'node',1),('fix',8,'node',0.980874),('fixed',6,'node',1),('fixes',8,'node',8.57093),('fixes',21,'node',1),('flexibility',11,'node',0.822065),('fluid',12,'node',1),('focus',1,'node',11.0699),('focus',2,'node',1.64105),('focus',4,'node',1),('focusing',1,'node',0.45757),('folder',5,'node',11),('folder',17,'node',1),('following',1,'node',1.4745),('following',2,'node',0.836446),('following',3,'node',0.972861),('following',10,'node',1),('following',11,'node',1),('following',18,'node',1),('for',1,'node',22.2509),('for',2,'node',6.00216),('for',3,'node',11),('for',4,'node',2),('for',5,'node',29),('for',6,'node',9.88142),('for',7,'node',10.1863),('for',8,'node',4),('for',9,'node',2),('for',10,'node',1),('for',11,'node',30.9311),('for',13,'node',4),('for',16,'node',2),('for',17,'node',1),('for',18,'node',1),('for',20,'node',1),('for',21,'node',6),('form',1,'node',8.51998),('form',12,'node',1),('form',13,'node',1.90029),('formatter',7,'node',29.4261),('formatters',7,'node',0.681785),('forum',6,'node',0.653974),('forums',9,'node',1),('forums',11,'node',0.754681),('forward',4,'node',1),('found',8,'node',2.99315),('framework',1,'node',0.44024),('framework',2,'node',2.64569),('framework',7,'node',10.3621),('framework',14,'node',27),('frameworks',2,'node',1),('france',7,'node',27),('france24',7,'node',0.691597),('free',4,'node',1),('free',5,'node',1),('free',9,'node',2),('friday',1,'node',0.513597),('from',1,'node',3.92611),('from',2,'node',0.771698),('from',3,'node',2),('from',4,'node',1),('from',5,'node',2),('from',6,'node',2),('from',7,'node',1),('from',11,'node',1.49644),('from',18,'node',1),('frontdrupalcom',7,'node',1.67022),('frontend',1,'node',0.369897),('frontend',2,'node',0.679856),('frontpage',7,'node',1),('frustration',11,'node',0.913226),('ftp',17,'node',1),('full',3,'node',1),('full',8,'node',1),('fully',1,'node',0.949597),('fully',2,'node',0.62674),('functionality',1,'node',0.369343),('functionality',11,'node',0.902857),('functionality',13,'node',0.957226),('functions',6,'node',0.854391),('further',4,'node',1),('fusion',15,'node',1),('future',1,'node',1),('future',3,'node',2),('future',7,'node',0.727213),('gain',1,'node',0.433216),('games',4,'node',1),('garbagecollection',2,'node',1),('garden',21,'node',1),('gdo',1,'node',0.473576),('general',1,'node',5.88686),('general',9,'node',1),('general',11,'node',2),('general',12,'node',1),('generally',11,'node',1),('generates',5,'node',3),('generous',2,'node',0.781775),('get',1,'node',0.359127),('get',2,'node',17.3038),('get',3,'node',1),('get',7,'node',0.757065),('get',9,'node',1),('get',11,'node',0.677939),('get',12,'node',1),('get',20,'node',1),('git',8,'node',1),('give',1,'node',0.430168),('give',4,'node',1),('give',6,'node',1),('give',9,'node',1),('given',7,'node',0.860547),('given',8,'node',1),('glad',13,'node',1),('gmt',1,'node',0.509287),('gnu',9,'node',1),('goal',11,'node',0.879565),('going',3,'node',0.98493),('going',7,'node',1),('good',1,'node',2.66831),('good',6,'node',2.16665),('good',11,'node',0.833529),('good',21,'node',1.98087),('google',17,'node',1),('gpl',9,'node',1),('granting',1,'node',0.573154),('granular',1,'node',1),('graph',8,'node',0.949597),('graphics',11,'node',0.76431),('great',1,'node',0.435532),('great',3,'node',1),('great',21,'node',1),('group',1,'node',1.17356),('groups',11,'node',0.842342),('growing',1,'node',1),('guide',3,'node',1),('guide',10,'node',5),('guide',11,'node',1.5509),('guide',16,'node',28),('guidelines',1,'node',4.02658),('guidelines',13,'node',1),('hand',9,'node',1.89945),('handbook',6,'node',1),('handbook',8,'node',0.842342),('handbook',11,'node',1),('handbooks',11,'node',1),('handling',13,'node',0.931053),('happy',7,'node',1),('happy',14,'node',1),('hard',21,'node',1),('hardworking',1,'node',0.556022),('has',1,'node',6.75818),('has',2,'node',2.07561),('has',6,'node',0.774192),('has',9,'node',2.9689),('has',10,'node',3),('has',13,'node',1),('have',1,'node',1.8261),('have',2,'node',0.857458),('have',3,'node',1),('have',4,'node',1),('have',5,'node',1),('have',6,'node',3.92889),('have',7,'node',0.857458),('have',8,'node',1),('have',9,'node',0.976851),('have',11,'node',2.40351),('have',12,'node',1),('have',13,'node',3),('have',18,'node',2),('have',19,'node',1),('have',20,'node',1),('have',21,'node',1),('having',2,'node',0.628375),('having',10,'node',1),('having',17,'node',1),('head',4,'node',1),('headings',13,'node',1),('heavily',7,'node',0.687638),('hello',5,'node',1),('hello',7,'node',1),('help',1,'node',10.3146),('help',2,'node',2.59291),('help',3,'node',1),('help',6,'node',11.6771),('help',9,'node',1.77902),('help',10,'node',1),('help',11,'node',1),('helpful',20,'node',1),('helping',4,'node',1),('helping',6,'node',1),('helps',8,'node',0.854391),('helps',11,'node',1),('helps',13,'node',1),('helps',17,'node',1),('herders',1,'node',0.389816),('here',3,'node',1),('here',6,'node',1),('here',7,'node',2.69762),('here',11,'node',1),('high',2,'node',1),('high',3,'node',1),('higher',2,'node',0.705825),('highly',18,'node',1),('highspeed',2,'node',0.866793),('history',8,'node',1),('history',12,'node',26),('holowaychuk',2,'node',3.2681),('home',1,'node',0.35965),('hookblock',5,'node',1),('hookhelp',5,'node',1),('hookinstall',5,'node',1),('hooks',5,'node',2),('hookuninstall',5,'node',1),('hope',8,'node',0.860547),('host',18,'node',1),('hosted',1,'node',1),('hosted',5,'node',1),('hosting',9,'node',0.879565),('hotel',4,'node',1),('hours',1,'node',1.9226),('how',1,'node',5.93566),('how',2,'node',4.47499),('how',6,'node',2.46969),('how',7,'node',0.674137),('how',11,'node',0.729424),('how',18,'node',1),('how',19,'node',1),('how',20,'node',1),('how',21,'node',1),('html',1,'node',0.377261),('html',2,'node',0.725015),('html',21,'node',28),('http',1,'node',5.78428),('http',3,'node',10.7896),('http',5,'node',22),('http',6,'node',31.6397),('https',1,'node',5.73454),('https',5,'node',11),('hundreds',2,'node',0.620288),('hundreds',9,'node',2),('idea',12,'node',4),('ideally',1,'node',0.405257),('identified',1,'node',0.635),('identified',13,'node',1),('identify',13,'node',1),('image',7,'node',2.75777),('image',13,'node',0.934703),('imagecache',7,'node',0.980874),('images',11,'node',0.766757),('imce',17,'node',1),('immediately',1,'node',0.384332),('implement',1,'node',1.99999),('implement',2,'node',0.869951),('implementation',1,'node',7.13739),('implementation',7,'node',1),('implemented',1,'node',3.04656),('implementer',1,'node',0.403922),('implementers',1,'node',1.0972),('implementing',1,'node',0.497805),('implementing',2,'node',0.927431),('important',1,'node',0.366597),('important',6,'node',0.776703),('important',8,'node',1),('important',21,'node',1),('improve',1,'node',0.466323),('improve',2,'node',1),('improve',6,'node',0.819249),('improvements',1,'node',0.902857),('improvements',13,'node',1),('improving',1,'node',0.358606),('include',1,'node',0.37784),('include',7,'node',1),('include',8,'node',0.899454),('include',11,'node',1),('include',12,'node',1),('included',8,'node',1.82163),('includes',1,'node',0.819249),('includes',6,'node',1),('includes',8,'node',3),('including',2,'node',0.879565),('including',7,'node',1),('inclusive',13,'node',1),('inconsistencies',21,'node',1),('incorporate',1,'node',0.439448),('indicating',11,'node',1),('indiscriminately',11,'node',0.687638),('individual',1,'node',1),('individuals',1,'node',0.819522),('industry',2,'node',0.609315),('industry',4,'node',1),('infinity',12,'node',2),('info',1,'node',5.8477),('information',1,'node',1.47358),('information',3,'node',0.989021),('information',8,'node',2),('information',11,'node',1),('information',16,'node',3),('informs',8,'node',1),('infrastructure',1,'node',4.29591),('initial',12,'node',1),('initially',12,'node',1),('initiative',13,'node',1),('inline',6,'node',0.863659),('innovation',9,'node',1),('input',18,'node',1),('inserted',7,'node',1),('inside',12,'node',1),('insiders',1,'node',1),('insight',1,'node',1),('install',2,'node',1),('install',5,'node',1),('install',6,'node',1),('install',18,'node',2),('installation',9,'node',1),('installation',10,'node',2),('installed',2,'node',0.949597),('installed',20,'node',1),('installing',10,'node',1),('installing',18,'node',11),('installing',19,'node',11),('installing',20,'node',11),('instance',7,'node',0.863659),('instance',18,'node',2),('instructions',10,'node',1),('integrated',7,'node',0.781775),('integration',2,'node',1.87313),('integrations',2,'node',0.961087),('intensity',13,'node',0.945829),('intensively',2,'node',0.718502),('intent',6,'node',0.657549),('intent',11,'node',1),('interested',2,'node',0.691597),('interested',4,'node',1),('interested',11,'node',1),('interesting',7,'node',1),('interface',6,'node',5.78717),('interface',7,'node',1),('interfaces',2,'node',0.677939),('internet',13,'node',1),('into',1,'node',2),('into',6,'node',26.989),('into',7,'node',1.76922),('into',11,'node',1),('into',18,'node',1),('into',21,'node',1),('introduce',1,'node',0.463662),('introduce',10,'node',1),('introduced',1,'node',0.581429),('introductory',2,'node',0.909743),('invest',3,'node',1),('invitation',4,'node',26),('invite',1,'node',0.360701),('invite',3,'node',1),('involved',1,'node',1.08362),('involved',9,'node',1),('irc',1,'node',0.51578),('irc',9,'node',1),('irc',11,'node',0.749958),('issue',1,'node',15.6497),('issue',6,'node',13.1883),('issue',12,'node',1),('issues',1,'node',1.66526),('issues',6,'node',17.3257),('issues',8,'node',2),('issues',9,'node',0.949597),('issues',13,'node',1),('items',11,'node',1),('its',2,'node',0.800068),('its',11,'node',0.819249),('its',13,'node',1),('its',17,'node',1),('its',19,'node',1),('james',2,'node',3.77104),('jansen',12,'node',1),('jargon',11,'node',1),('jcarousel',7,'node',11.5763),('jcarouself',7,'node',7.95114),('join',1,'node',0.499853),('joined',1,'node',0.733888),('jonathan',1,'node',0.645209),('july',3,'node',1),('july',8,'node',1),('just',1,'node',4),('just',8,'node',1),('just',18,'node',1),('k12',2,'node',0.699655),('keen',1,'node',1.11428),('keep',11,'node',1.74529),('keep',18,'node',1),('key',1,'node',0.45501),('kieran',1,'node',1.12823),('kika',12,'node',1),('kind',7,'node',0.766757),('know',4,'node',1),('know',6,'node',1),('know',13,'node',1),('knowing',10,'node',1),('knowledge',1,'node',0.762798),('knowledge',2,'node',0.615536),('known',6,'node',0.7017),('kristjan',12,'node',1),('labeling',13,'node',0.927431),('lal',1,'node',0.769219),('languages',6,'node',0.989021),('languages',10,'node',1),('large',1,'node',0.430926),('largescale',2,'node',0.997306),('last',1,'node',0.591395),('last',8,'node',1),('late',1,'node',1),('later',7,'node',0.670377),('later',12,'node',1),('latest',3,'node',0.993146),('latest',6,'node',0.76188),('latest',9,'node',1),('latest',17,'node',1),('latter',5,'node',1),('launch',18,'node',27),('layout',21,'node',1),('lead',1,'node',2.5293),('lead',11,'node',1.60437),('leaders',1,'node',5.68232),('leadership',1,'node',0.565115),('leading',1,'node',1.05622),('leads',1,'node',0.676032),('learn',1,'node',0.360175),('learn',2,'node',20),('learn',3,'node',1),('learn',20,'node',1),('learned',18,'node',1),('learning',11,'node',1.56564),('learning',18,'node',1),('let',7,'node',0.920273),('levels',3,'node',1),('license',9,'node',1),('lightbox',7,'node',1.76431),('like',1,'node',0.882818),('like',3,'node',2),('like',15,'node',26),('limit',11,'node',0.774192),('line',17,'node',1),('lines',6,'node',1.49993),('link',6,'node',1),('links',1,'node',0.528135),('links',11,'node',1),('lisa',1,'node',1.10885),('lisarex',1,'node',8.2238),('list',7,'node',1),('list',8,'node',4),('live',1,'node',0.776703),('live',11,'node',1.93009),('loads',2,'node',1),('local',18,'node',2),('locally',1,'node',1),('locally',18,'node',1),('location',5,'node',1),('log',6,'node',1),('log',8,'node',1),('log',21,'node',4.34907),('logo',12,'node',29),('london',3,'node',29.9849),('london2011drupalorg',3,'node',10.7454),('long',4,'node',1),('look',2,'node',2.66599),('look',6,'node',3.47654),('look',14,'node',1),('look',19,'node',28),('looking',1,'node',0.411376),('looking',4,'node',1),('looking',6,'node',0.685676),('looks',21,'node',1),('lot',1,'node',1.91744),('lot',7,'node',0.729424),('lots',11,'node',0.655756),('loves',2,'node',0.672252),('machine',18,'node',1),('made',8,'node',1),('made',11,'node',1),('mailing',8,'node',1),('mainly',12,'node',1),('maintain',1,'node',0.398027),('maintain',2,'node',1),('maintained',1,'node',1),('maintained',2,'node',0.621888),('maintained',8,'node',1),('maintained',9,'node',1),('maintaining',1,'node',1.03697),('maintaining',2,'node',0.896076),('maintenance',8,'node',2),('major',1,'node',2.62189),('make',1,'node',1.51798),('make',2,'node',0.934703),('make',6,'node',3.72962),('make',7,'node',0.677939),('make',8,'node',1.80283),('make',9,'node',1.99731),('make',11,'node',1.68349),('make',18,'node',1),('makes',9,'node',1),('making',1,'node',1.93838),('making',6,'node',0.742984),('making',8,'node',0.873132),('making',11,'node',0.703756),('making',13,'node',1),('manage',9,'node',1),('manage',18,'node',1),('management',1,'node',3.36651),('management',2,'node',1.66482),('management',10,'node',1),('management',11,'node',2),('manager',1,'node',0.759465),('managers',1,'node',7.86363),('managing',1,'node',0.367143),('managing',16,'node',1),('managing',21,'node',1),('manually',7,'node',1),('many',1,'node',1.38554),('many',9,'node',1.90629),('many',10,'node',1),('many',11,'node',0.683725),('many',13,'node',1),('many',17,'node',1),('many',20,'node',1),('map',7,'node',0.882818),('mark',1,'node',1),('marketing',12,'node',1),('marketplace',9,'node',0.902857),('markup',13,'node',1),('master',11,'node',0.827757),('mastering',11,'node',0.662985),('match',1,'node',0.415562),('materials',1,'node',0.567769),('maximize',2,'node',1),('may',4,'node',2),('may',11,'node',0.71),('meaning',9,'node',1.93838),('meaning',10,'node',1),('means',9,'node',2),('measures',21,'node',1),('media',2,'node',0.646943),('media',4,'node',4),('medium',1,'node',0.419836),('medium',2,'node',1),('meet',1,'node',1.38797),('meet',3,'node',1),('meeting',4,'node',1),('member',2,'node',0.659351),('members',1,'node',1.36018),('memcache',2,'node',1.87313),('menu',11,'node',2),('menus',16,'node',1),('merge',1,'node',0.482973),('merging',1,'node',0.476356),('methods',2,'node',0.689612),('metro',4,'node',1),('middletown',2,'node',0.742984),('might',8,'node',0.927431),('might',11,'node',1),('migration',1,'node',8.80656),('migration',7,'node',1),('miles',4,'node',1),('mind',2,'node',0.863659),('mind',11,'node',0.745294),('minimum',1,'node',0.63333),('mischievous',12,'node',1),('missing',6,'node',0.927431),('mistake',11,'node',0.742984),('model',9,'node',1),('modifications',1,'node',0.49376),('modifications',5,'node',1),('module',1,'node',2.23321),('module',2,'node',3.87313),('module',5,'node',3),('module',6,'node',0.96498),('module',7,'node',4.67275),('module',8,'node',1),('module',9,'node',1),('module',17,'node',3),('module',21,'node',1),('modulejan2012',17,'node',1),('modules',1,'node',1.6995),('modules',2,'node',6.43667),('modules',3,'node',1),('modules',6,'node',1),('modules',7,'node',30.7662),('modules',8,'node',1),('modules',11,'node',5.52901),('modules',17,'node',30),('modules',18,'node',1),('monitor',1,'node',0.936469),('monitor',2,'node',3),('month',8,'node',1),('months',7,'node',1),('more',1,'node',2.34897),('more',2,'node',0.716357),('more',4,'node',1),('more',6,'node',1),('more',8,'node',1.84234),('more',9,'node',1.79785),('more',11,'node',1.86055),('more',12,'node',2),('more',18,'node',1),('most',2,'node',1),('most',4,'node',1),('most',6,'node',0.869951),('most',8,'node',1),('most',11,'node',0.66666),('most',15,'node',26),('most',21,'node',1),('move',11,'node',0.863659),('moved',10,'node',1),('moved',11,'node',1),('much',1,'node',1.67896),('muddle',11,'node',0.938382),('multimedia',7,'node',48),('multiple',1,'node',0.792841),('multiple',7,'node',0.957226),('multisite',2,'node',2.8357),('music',4,'node',1),('mvp',1,'node',1.56973),('mysql',20,'node',1),('nair',5,'node',1),('nation',4,'node',1),('navigation',11,'node',2),('navigation',13,'node',1.93838),('nbdrupalsupportdevjavanet',5,'node',11),('near',1,'node',0.485867),('need',1,'node',2.60848),('need',8,'node',0.923838),('need',10,'node',1),('need',11,'node',0.808176),('need',18,'node',2),('needed',1,'node',11.6654),('needed',18,'node',1),('needs',1,'node',1.42866),('needs',6,'node',4.42761),('netbeans',5,'node',29),('never',6,'node',0.976851),('new',1,'node',15.279),('new',2,'node',26),('new',4,'node',4),('new',5,'node',1),('new',6,'node',2.77923),('new',8,'node',2),('new',10,'node',1),('new',11,'node',1),('new',17,'node',1),('newbies',11,'node',1),('newest',1,'node',0.640063),('newspaper',7,'node',26),('next',1,'node',5.83089),('next',4,'node',1),('next',8,'node',1),('nice',7,'node',11),('nicolas',7,'node',0.66666),('nid',7,'node',0.879565),('nienkerk',1,'node',0.685676),('nifty',7,'node',1),('node',6,'node',11),('node',7,'node',9.74213),('nodereference',7,'node',3.34174),('nodereferences',7,'node',0.769219),('nodeselect',7,'node',9.56617),('nonmvp',1,'node',0.446681),('nonprofit',2,'node',0.697623),('north',1,'node',1),('north',4,'node',1),('nose',12,'node',1),('not',1,'node',0.444243),('not',3,'node',1),('not',5,'node',1),('not',6,'node',5.03034),('not',7,'node',1),('not',8,'node',1),('not',11,'node',0.676032),('not',18,'node',2),('note',6,'node',1),('notes',8,'node',1),('now',1,'node',4.3916),('now',3,'node',1),('now',8,'node',1),('nowhere',7,'node',0.824901),('nucleus',14,'node',26),('nucleus',15,'node',1),('null',13,'node',0.916736),('number',11,'node',0.771698),('number',13,'node',1),('nyc',4,'node',1),('obtain',1,'node',4.20139),('off',2,'node',16.3504),('off',17,'node',1),('offer',9,'node',1),('official',8,'node',0.993146),('okay',17,'node',1),('okay',19,'node',1),('omega',15,'node',1),('once',1,'node',0.381353),('once',2,'node',0.957226),('once',11,'node',0.876337),('one',2,'node',1),('one',6,'node',0.677939),('one',11,'node',2.16503),('ones',8,'node',0.863659),('ongoing',16,'node',1),('only',1,'node',0.495774),('only',3,'node',1),('only',4,'node',1),('only',6,'node',1),('only',8,'node',1.89945),('only',19,'node',1),('only',21,'node',1),('open',2,'node',1.66482),('open',7,'node',1),('open',9,'node',22),('opensource',2,'node',0.638366),('opensourced',7,'node',26),('operation',16,'node',1),('opportunity',1,'node',0.434757),('opportunity',3,'node',1),('optimization',2,'node',9.40741),('optimize',2,'node',1),('order',1,'node',0.490769),('organic',11,'node',0.845322),('organization',1,'node',0.397382),('organizational',1,'node',0.389198),('organizations',1,'node',1.41486),('organizations',9,'node',1),('organize',9,'node',1),('originally',11,'node',1),('other',1,'node',0.860274),('other',2,'node',0.640063),('other',6,'node',2.98902),('other',8,'node',1),('other',9,'node',1),('other',11,'node',1.71211),('other',13,'node',1),('other',20,'node',1),('other',21,'node',0.98493),('others',1,'node',0.422736),('others',6,'node',1.46064),('others',9,'node',1),('others',11,'node',0.839384),('our',1,'node',4.17737),('our',3,'node',1),('our',4,'node',3),('ours',4,'node',1),('out',1,'node',0.548462),('out',5,'node',2),('out',6,'node',2),('out',8,'node',1.72768),('out',11,'node',0.896076),('out',18,'node',1),('outline',1,'node',0.36551),('outlined',1,'node',0.738701),('outofdate',17,'node',1),('over',1,'node',0.993146),('over',2,'node',0.63333),('over',6,'node',1),('over',11,'node',1.73835),('overall',1,'node',0.66666),('overall',6,'node',0.71),('overview',21,'node',1),('own',1,'node',1.20198),('own',10,'node',1),('owners',9,'node',1),('package',9,'node',1),('packt',2,'node',2.39814),('packtpubcom',2,'node',9.26577),('page',2,'node',4.8894),('page',5,'node',1),('page',7,'node',2.36377),('page',11,'node',0.759465),('page',20,'node',1),('pagelevel',13,'node',1),('pages',1,'node',0.693594),('pages',6,'node',5),('pages',10,'node',1),('pages',18,'node',2),('panels',2,'node',9.06246),('part',6,'node',2.50141),('participate',11,'node',0.757065),('participated',1,'node',1),('participation',1,'node',0.538701),('parts',7,'node',0.742984),('pass',4,'node',1),('passionate',9,'node',1),('patch',6,'node',7.59408),('patches',1,'node',0.383134),('patches',6,'node',3.81058),('paths',2,'node',1),('pay',4,'node',1),('people',1,'node',1.1729),('people',2,'node',0.668514),('people',3,'node',1),('people',6,'node',0.716357),('people',9,'node',2),('per',1,'node',1.92193),('per',7,'node',1),('percentage',2,'node',0.802752),('perfect',11,'node',1.86967),('perform',2,'node',1),('performance',2,'node',43.6966),('permalink',21,'node',22),('person',1,'node',0.797521),('personally',6,'node',0.659351),('pertains',6,'node',0.961087),('phase',1,'node',1.06132),('photos',7,'node',1),('php',5,'node',1),('php',20,'node',2),('phphtml',5,'node',11),('phpinfo',20,'node',4),('pictures',7,'node',0.703756),('pixture',19,'node',28),('place',1,'node',1.26151),('place',3,'node',1),('place',6,'node',0.784336),('place',17,'node',1),('placed',12,'node',1),('plan',1,'node',6.96974),('plan',3,'node',1),('plans',1,'node',1),('platform',9,'node',1),('platform',11,'node',0.72066),('please',1,'node',0.743203),('please',4,'node',1),('please',5,'node',1),('please',6,'node',0.691597),('please',8,'node',0.972861),('please',21,'node',27),('plug',5,'node',11),('plugin',5,'node',4),('plugin',7,'node',1.7185),('plugindetailpagejsp',5,'node',11),('pluginportal',5,'node',11),('plugins',5,'node',26),('pluginsnetbeansorg',5,'node',11),('plus',7,'node',0.718502),('point',1,'node',0.393562),('point',11,'node',1),('portal',5,'node',1),('portals',2,'node',0.707906),('position',1,'node',1.10423),('possible',6,'node',1.69359),('possible',8,'node',0.848323),('possible',13,'node',1),('post',21,'node',1.97685),('posted',7,'node',1),('postponed',1,'node',0.445866),('power',1,'node',1.3607),('power',9,'node',1),('power',10,'node',1),('power',11,'node',0.824901),('power',21,'node',1),('powered',3,'node',1),('powerful',7,'node',1),('powerful',10,'node',1),('powerful',11,'node',0.722831),('practice',2,'node',2),('practice',17,'node',1),('practices',1,'node',4.11208),('practices',10,'node',1),('preconference',3,'node',2),('preferred',8,'node',0.896076),('preferred',9,'node',1),('present',1,'node',9.95811),('present',4,'node',26),('presentation',13,'node',0.968904),('presets',7,'node',0.976851),('president',2,'node',0.650439),('previous',13,'node',1),('previous',19,'node',1),('probably',6,'node',0.839384),('probably',7,'node',1.41183),('probably',11,'node',0.718502),('problem',8,'node',0.976851),('problem',11,'node',0.736141),('problem',17,'node',2),('problem',19,'node',1),('process',1,'node',0.550958),('process',6,'node',1.77419),('processes',2,'node',1),('product',1,'node',0.630018),('professionally',9,'node',0.945829),('program',4,'node',1),('programmer',6,'node',2.48306),('programming',4,'node',1),('programs',4,'node',1),('progress',1,'node',48.3282),('project',1,'node',17.2391),('project',2,'node',0.643484),('project',5,'node',1),('project',6,'node',22.516),('project',7,'node',0.697623),('project',9,'node',1.89608),('project',10,'node',1),('projectdocumentlist',5,'node',11),('projectissue',6,'node',11),('projects',1,'node',0.3961),('projects',2,'node',0.655756),('promising',14,'node',1),('promote',2,'node',0.78951),('promote',3,'node',1),('proper',13,'node',1),('proven',9,'node',0.968904),('provide',1,'node',2.18878),('provide',2,'node',0.776703),('provide',6,'node',0.655756),('provided',2,'node',0.786915),('provided',5,'node',1),('provides',1,'node',2),('providing',1,'node',1.84959),('providing',9,'node',0.896076),('providing',11,'node',1),('public',2,'node',0.7017),('public',9,'node',1),('publicly',1,'node',0.517983),('publish',9,'node',1),('put',17,'node',2),('put',21,'node',1),('putting',12,'node',1),('qaing',1,'node',0.370453),('quality',1,'node',0.478227),('queries',2,'node',1),('queue',1,'node',13.5815),('queue',6,'node',2.12328),('queues',1,'node',1.67149),('quicker',8,'node',0.882818),('quickly',1,'node',0.449975),('quickly',8,'node',0.934703),('quite',11,'node',0.716357),('raised',13,'node',1),('ran',17,'node',1),('randy',1,'node',0.652202),('ratio',7,'node',0.949597),('read',1,'node',0.748591),('read',6,'node',0.674137),('read',8,'node',0.845322),('reader',2,'node',1),('reader',13,'node',1),('reading',2,'node',0.769219),('reading',8,'node',1),('ready',1,'node',0.50505),('realistically',1,'node',0.61241),('really',6,'node',1),('really',7,'node',1),('really',14,'node',1),('really',21,'node',2),('reasonable',1,'node',0.60778),('receive',2,'node',1),('recent',8,'node',1),('recently',1,'node',0.736141),('recomendations',11,'node',1),('recommendations',1,'node',0.879565),('recommended',8,'node',1),('record',9,'node',0.961087),('recreating',1,'node',1),('recruited',1,'node',0.997306),('recruiting',1,'node',0.566439),('redesign',1,'node',76.8907),('refer',11,'node',0.779231),('refinements',1,'node',0.437873),('regards',1,'node',0.7017),('regards',5,'node',1),('register',3,'node',2),('register',21,'node',4.34907),('related',1,'node',0.876337),('related',2,'node',0.657549),('relationships',7,'node',0.716357),('release',5,'node',1),('release',8,'node',5.9534),('released',5,'node',1),('released',8,'node',27),('releases',6,'node',1),('releases',8,'node',2.86679),('reliably',13,'node',1),('reloaded',19,'node',28),('rely',1,'node',1.1424),('rely',13,'node',1),('remind',3,'node',1),('removed',5,'node',1),('removed',6,'node',0.747619),('removing',13,'node',0.923838),('rename',17,'node',1),('renamed',11,'node',1),('report',1,'node',16),('report',6,'node',0.938382),('reported',8,'node',1),('reports',8,'node',2),('repository',1,'node',0.379588),('request',1,'node',0.380175),('request',6,'node',0.916736),('require',1,'node',0.880301),('require',11,'node',0.836446),('require',21,'node',1),('required',1,'node',0.519091),('required',5,'node',1),('requirements',20,'node',26),('requires',11,'node',1),('rescaling',7,'node',0.972861),('resembled',12,'node',1),('resolve',13,'node',1),('resolved',13,'node',1),('resources',1,'node',0.456713),('resources',11,'node',1),('resources',21,'node',1),('respected',2,'node',1),('response',8,'node',1),('responsibilities',1,'node',0.36824),('restructured',10,'node',1),('result',7,'node',0.98493),('results',1,'node',3.6491),('results',7,'node',0.776703),('reuse',7,'node',0.745294),('review',1,'node',1.46546),('review',6,'node',6.01515),('review',21,'node',2),('reviewed',6,'node',1.43304),('reviewers',1,'node',5.01984),('reviewing',1,'node',0.487816),('reviewing',6,'node',0.740689),('rex',1,'node',0.749958),('rfay',1,'node',7.13555),('rfi',7,'node',26.6896),('rich',4,'node',1),('rich',13,'node',1),('right',5,'node',1),('right',11,'node',0.681785),('roles',11,'node',2),('roll',8,'node',1.73091),('room',4,'node',1),('root',17,'node',1),('ross',1,'node',0.687638),('round',12,'node',1),('row',7,'node',0.752312),('rss',8,'node',1),('rtbc',6,'node',0.699655),('run',1,'node',1),('run',2,'node',3.79785),('running',2,'node',0.945829),('running',20,'node',1),('sacore2011002',8,'node',0.98493),('sales',2,'node',0.797402),('same',1,'node',0.450806),('same',11,'node',0.993146),('sample',2,'node',15.8245),('say',6,'node',0.676032),('say',7,'node',1),('saying',6,'node',0.729424),('schedule',3,'node',26),('scheduled',2,'node',1),('scheduled',3,'node',1),('schedules',1,'node',0.547222),('scheduling',4,'node',1),('scratch',11,'node',0.781775),('screen',6,'node',2.71027),('screen',13,'node',1),('screens',6,'node',1),('screenshots',1,'node',0.36879),('scroll',6,'node',0.771698),('search',1,'node',11.5802),('search',6,'node',11.3956),('search',7,'node',0.792123),('search',13,'node',0.980874),('section',1,'node',9.60178),('section',12,'node',1),('sections',1,'node',6.51938),('secured',2,'node',0.854391),('security',8,'node',12.6285),('security',9,'node',20.8002),('securityonly',8,'node',0.869951),('see',1,'node',0.391679),('see',2,'node',1),('see',3,'node',1),('see',6,'node',0.754681),('see',16,'node',2),('see',17,'node',1),('see',20,'node',1),('seek',1,'node',1),('seen',21,'node',1),('selectable',21,'node',1),('selected',3,'node',1),('selector',7,'node',10.2416),('semantic',13,'node',1),('semiautomatically',7,'node',1),('sensitive',2,'node',0.816452),('seo',1,'node',9.0378),('series',8,'node',1),('serious',1,'node',1),('seriously',9,'node',0.980874),('server',17,'node',1),('servers',1,'node',0.526987),('service',2,'node',0.96498),('services',9,'node',17.418),('servlets',5,'node',11),('session',3,'node',26),('sessions',3,'node',1),('set',20,'node',1),('setting',6,'node',1),('settings',2,'node',2),('setup',1,'node',0.813674),('setup',11,'node',1),('setup',18,'node',1),('several',1,'node',0.496787),('several',2,'node',0.630018),('several',6,'node',0.718502),('several',17,'node',1),('shape',1,'node',1),('shaping',1,'node',0.774192),('share',7,'node',0.802752),('share',9,'node',1),('sharing',4,'node',1),('sheets',21,'node',1),('shopping',2,'node',0.827757),('shot',6,'node',0.745294),('should',1,'node',0.500884),('should',6,'node',2.36963),('should',8,'node',0.942091),('should',10,'node',1),('should',11,'node',0.672252),('should',13,'node',1),('should',21,'node',1),('show',1,'node',0.361759),('showcase',1,'node',1),('showing',17,'node',2),('shows',8,'node',0.953396),('sides',13,'node',0.989021),('sideways',12,'node',1),('sign',1,'node',0.358086),('sign',8,'node',1),('significant',1,'node',0.906287),('signing',1,'node',0.740371),('signon',1,'node',0.927431),('simple',7,'node',4.10386),('simple',12,'node',1),('simple',18,'node',1),('simplest',18,'node',26),('simply',11,'node',0.705825),('since',17,'node',1),('single',1,'node',1.9301),('site',1,'node',5.06614),('site',2,'node',9.29156),('site',5,'node',1),('site',6,'node',1),('site',9,'node',2.92027),('site',10,'node',1),('site',11,'node',6.55695),('site',16,'node',27),('site',17,'node',1),('site',18,'node',3),('site',21,'node',2),('sites',1,'node',2.88197),('sites',8,'node',1),('sites',9,'node',1),('six',1,'node',1.45081),('skills',1,'node',3.49242),('skip',13,'node',0.942091),('slightly',6,'node',1),('small',1,'node',1),('small',2,'node',1.6956),('small',11,'node',0.691597),('smile',12,'node',1),('software',1,'node',1),('software',4,'node',1),('software',9,'node',2),('solid',1,'node',0.441034),('solr',1,'node',7.76357),('solution',11,'node',1.65998),('solutions',2,'node',1.92384),('solutions',11,'node',0.712106),('some',1,'node',1.02219),('some',2,'node',19.8828),('some',3,'node',1),('some',5,'node',3),('some',6,'node',5.05134),('some',7,'node',1.67603),('some',10,'node',2),('some',11,'node',2.83938),('some',13,'node',2),('some',21,'node',0.989021),('someone',6,'node',1.67414),('something',6,'node',1),('something',11,'node',0.7017),('somewhat',12,'node',1),('soon',8,'node',0.851346),('sorry',7,'node',0.705825),('source',2,'node',1.66482),('source',5,'node',1),('source',6,'node',2.85135),('source',9,'node',21),('sourced',7,'node',1),('sources',7,'node',9.78337),('space',7,'node',0.869951),('spam',9,'node',0.876337),('specific',1,'node',0.876832),('specific',6,'node',0.697623),('specific',11,'node',0.882818),('specifically',1,'node',0.703756),('speed',2,'node',1.79984),('spend',9,'node',0.934703),('spent',1,'node',0.592848),('spoken',1,'node',1.17553),('sponsor',1,'node',1),('sponsored',1,'node',0.482016),('sponsoring',1,'node',0.558589),('spread',3,'node',1),('sprints',1,'node',1.51469),('stable',6,'node',1),('stable',8,'node',1),('staging',1,'node',3.63787),('staging1drupalorg',1,'node',5.77176),('standard',7,'node',0.683725),('standard',11,'node',1),('standards',5,'node',2),('stanush',1,'node',0.679856),('start',1,'node',0.514686),('start',6,'node',0.781775),('start',11,'node',1.61557),('started',1,'node',1),('started',13,'node',1),('started',18,'node',1),('starting',11,'node',0.786915),('statefunded',4,'node',1),('statement',13,'node',26),('statistics',1,'node',0.889397),('status',1,'node',1.06564),('status',6,'node',3.64641),('status',8,'node',1),('stay',3,'node',1),('stay',4,'node',1),('step',1,'node',5.82229),('step',10,'node',2),('step',11,'node',0.689612),('steven',12,'node',2),('sticking',5,'node',2),('still',6,'node',2.59626),('still',17,'node',1),('stories',7,'node',2),('story',7,'node',12),('strahl',1,'node',0.742984),('stressing',11,'node',0.931053),('strict',21,'node',26),('strongly',8,'node',2),('structure',10,'node',1),('structure',16,'node',1),('studio',7,'node',26),('study',7,'node',1),('style',1,'node',0.664818),('style',7,'node',0.749958),('style',21,'node',1),('stylised',12,'node',1),('submit',6,'node',0.896076),('submitted',21,'node',2),('such',2,'node',0.902857),('such',11,'node',0.854391),('suggestion',6,'node',0.693594),('suggestions',6,'node',3.16753),('suggestions',17,'node',1),('sujit',5,'node',1),('support',2,'node',0.676032),('support',3,'node',1),('support',5,'node',27),('support',7,'node',0.989021),('support',9,'node',20),('support',11,'node',0.653974),('support',13,'node',3),('supports',1,'node',0.824901),('supports',2,'node',0.980874),('supports',9,'node',1),('sure',6,'node',0.670377),('sure',9,'node',1),('sure',13,'node',1),('svn',1,'node',6.04187),('svndrupalorg',1,'node',5.72224),('symbol',12,'node',1),('system',1,'node',2.11884),('system',8,'node',1),('system',10,'node',1),('system',20,'node',28),('table',7,'node',11.3037),('tag',6,'node',0.957226),('tags',6,'node',0.876337),('tags',13,'node',0.913226),('take',1,'node',1),('take',6,'node',1.31167),('take',9,'node',0.98493),('taken',19,'node',1),('taking',1,'node',0.918497),('taking',11,'node',0.693594),('talent',3,'node',1),('target',11,'node',0.980874),('task',6,'node',0.913226),('tasks',1,'node',0.796508),('tasks',2,'node',1),('tax',4,'node',1),('taxonomies',16,'node',1),('taxonomy',7,'node',2),('teaching',2,'node',0.670377),('team',1,'node',6.90969),('team',9,'node',19.7603),('team',11,'node',0.752312),('team',13,'node',1),('teams',1,'node',3.05189),('technical',1,'node',7.79777),('techniques',21,'node',26),('technologies',9,'node',1),('technologies',10,'node',1),('technology',13,'node',1),('tell',20,'node',2),('tells',11,'node',1),('template',5,'node',2),('ten',1,'node',0.816452),('terminology',11,'node',2),('terms',9,'node',1),('terms',11,'node',2),('test',6,'node',1.66851),('test',11,'node',0.997306),('tested',6,'node',0.705825),('testing',8,'node',0.920273),('text',6,'node',17.0371),('text',7,'node',1),('than',1,'node',0.423467),('than',2,'node',0.714225),('than',6,'node',1),('thank',1,'node',0.357567),('thanks',17,'node',1),('that',1,'node',3.37527),('that',2,'node',0.882818),('that',3,'node',1),('that',5,'node',1),('that',6,'node',8.04235),('that',7,'node',2.31207),('that',8,'node',0.945829),('that',9,'node',5.9689),('that',10,'node',1),('that',11,'node',4.14956),('that',13,'node',5),('that',17,'node',1),('that',21,'node',27),('the',1,'node',109.515),('the',2,'node',46.4721),('the',3,'node',7.99315),('the',4,'node',33),('the',5,'node',12),('the',6,'node',36.7133),('the',7,'node',14.4957),('the',8,'node',16.6637),('the',9,'node',12.8126),('the',10,'node',7),('the',11,'node',50.966),('the',12,'node',36),('the',13,'node',6.99731),('the',16,'node',4),('the',17,'node',10),('the',18,'node',3),('the',19,'node',3),('the',20,'node',2),('the',21,'node',10),('theamoeba',1,'node',7.05946),('their',1,'node',2.19438),('their',6,'node',1.6267),('them',7,'node',0.699655),('them',13,'node',1),('theme',1,'node',4.74367),('theme',7,'node',3.19747),('theme',11,'node',2.35365),('theme',17,'node',1),('theme',19,'node',28),('theme',21,'node',13),('themers',1,'node',7.01984),('themes',1,'node',1.27709),('themes',2,'node',1.31405),('themes',8,'node',1),('themes',11,'node',0.792123),('themes',13,'node',0.938382),('themes',21,'node',1),('theming',7,'node',0.693594),('theming',9,'node',1),('themselves',1,'node',0.427163),('themselves',13,'node',1),('then',2,'node',0.889397),('then',10,'node',1),('then',11,'node',3.69762),('then',17,'node',2),('then',18,'node',2),('there',1,'node',2.66005),('there',6,'node',1),('there',8,'node',1),('there',9,'node',0.909743),('there',11,'node',1.31692),('there',12,'node',1),('there',13,'node',1),('there',21,'node',1),('therefore',4,'node',1),('these',1,'node',0.948023),('these',3,'node',1),('these',6,'node',0.848323),('these',7,'node',2.34832),('these',8,'node',1),('these',11,'node',1.83938),('they',1,'node',0.674137),('they',9,'node',0.882818),('thing',21,'node',1),('things',6,'node',0.842342),('things',11,'node',1.41244),('things',20,'node',1),('think',6,'node',3.56012),('think',14,'node',26),('this',1,'node',6.41728),('this',2,'node',4.14625),('this',3,'node',1),('this',4,'node',1),('this',6,'node',2.64177),('this',7,'node',4.75338),('this',8,'node',0.857458),('this',9,'node',1),('this',10,'node',1),('this',11,'node',3),('this',13,'node',1),('this',17,'node',1),('this',18,'node',1),('thought',6,'node',0.725015),('thoughtful',6,'node',0.646943),('thoughts',12,'node',1),('thousands',9,'node',2),('through',2,'node',1.84234),('through',8,'node',1),('through',11,'node',0.934703),('time',1,'node',3.76996),('time',9,'node',0.927431),('time',11,'node',2.17459),('time',21,'node',3),('timeframe',1,'node',0.606252),('tips',2,'node',26),('tips',6,'node',0.813674),('tips',10,'node',1),('title',6,'node',0.902857),('tjholowaychuk',2,'node',7.17422),('todd',1,'node',0.689612),('toddross',1,'node',7.52097),('together',1,'node',0.36229),('together',12,'node',1),('too',12,'node',1),('too',21,'node',1),('tool',13,'node',1),('tools',1,'node',0.570448),('tools',2,'node',1),('tools',21,'node',1.97685),('top',1,'node',0.968904),('top',6,'node',1),('topics',2,'node',0.906287),('topics',3,'node',1),('topics',9,'node',1),('total',14,'node',1),('total',15,'node',1),('tournoud',1,'node',0.714225),('towards',11,'node',0.886095),('track',9,'node',0.96498),('tracked',1,'node',0.535131),('tracking',8,'node',1),('traffic',2,'node',1),('trails',5,'node',11),('train',1,'node',0.563797),('training',1,'node',0.569105),('training',3,'node',3),('training',4,'node',1),('training',9,'node',0.869951),('transferable',11,'node',1),('translated',6,'node',0.993146),('trevor',2,'node',5.22898),('trevorjames',2,'node',8.27543),('troubleshooting',10,'node',1),('try',5,'node',1),('try',6,'node',1.3383),('try',11,'node',0.953396),('trying',8,'node',0.889397),('tue',21,'node',2),('turn',2,'node',0.886095),('turned',12,'node',1),('tutorials',11,'node',7.13555),('tweak',2,'node',1),('twenty',1,'node',0.989021),('twitter',3,'node',1.9689),('twitter',7,'node',1),('two',1,'node',0.45586),('two',7,'node',1.85439),('two',8,'node',0.913226),('two',12,'node',1),('type',7,'node',0.851346),('types',10,'node',1),('typical',11,'node',1),('uberimage',7,'node',12),('uitext',6,'node',1.82653),('unclear',6,'node',0.923838),('unconed',12,'node',1),('under',6,'node',1.86366),('under',9,'node',1),('underpin',10,'node',1),('understand',1,'node',0.392932),('understanding',1,'node',0.809409),('understanding',9,'node',0.886095),('understanding',10,'node',26),('understanding',11,'node',2.82776),('undertaking',1,'node',0.617112),('uninstalled',11,'node',0.668514),('unique',11,'node',0.725015),('until',1,'node',0.506102),('upadting',19,'node',26),('update',1,'node',2),('update',5,'node',1),('update',8,'node',1),('update',13,'node',1),('update',17,'node',26),('updated',5,'node',26),('updated',17,'node',3),('updated',19,'node',1),('updatephp',17,'node',1),('updates',8,'node',1.87313),('updates',18,'node',1),('updating',17,'node',1),('updating',19,'node',2),('upgrade',2,'node',2),('upgrade',8,'node',1.90361),('upgraded',1,'node',0.945829),('upgrades',2,'node',1),('upgrading',2,'node',0.899454),('upgrading',8,'node',1),('upgrading',16,'node',11),('upgrading',17,'node',11),('upload',7,'node',1.73345),('upload',18,'node',2),('uploaded',17,'node',2),('uptodate',3,'node',1),('usa',2,'node',0.740689),('usage',5,'node',1),('use',1,'node',0.939841),('use',2,'node',5.66666),('use',6,'node',0.886095),('use',7,'node',0.813674),('use',11,'node',1.97685),('use',12,'node',1),('use',13,'node',2),('use',20,'node',1),('used',1,'node',0.467218),('used',2,'node',1),('used',7,'node',0.712106),('used',8,'node',0.938382),('used',11,'node',1.67225),('used',14,'node',1),('useful',7,'node',1.71027),('user',6,'node',5.78717),('user',7,'node',2.73319),('user',11,'node',5),('user',21,'node',1),('users',9,'node',1),('users',21,'node',1),('uses',11,'node',1.99315),('using',1,'node',1.40932),('using',2,'node',15.5177),('using',6,'node',0.810915),('using',7,'node',3.22567),('using',9,'node',1),('using',16,'node',1),('using',21,'node',1),('usual',17,'node',1),('utilities',2,'node',1),('utilities',7,'node',8.56859),('utilizes',1,'node',0.866793),('validate',21,'node',52),('validated',21,'node',1),('validating',21,'node',1),('validation',21,'node',0.980874),('validator',17,'node',1),('variables',20,'node',1),('varies',1,'node',0.743434),('varies',3,'node',1),('variety',9,'node',2),('various',1,'node',0.38797),('various',9,'node',1),('vastly',2,'node',1),('version',6,'node',4),('version',8,'node',0.892724),('version',11,'node',0.989021),('version',12,'node',1),('version',13,'node',2),('versions',8,'node',0.909743),('versions',12,'node',1),('versions',20,'node',1),('very',7,'node',1.73614),('very',21,'node',1),('via',1,'node',0.775968),('via',3,'node',1),('via',6,'node',1),('via',9,'node',1),('via',17,'node',1),('viable',1,'node',0.63167),('vibrant',9,'node',1),('video',4,'node',1),('video',7,'node',12),('video',11,'node',1),('view',7,'node',20.2962),('viewed',1,'node',0.530446),('views',2,'node',9.0892),('views',7,'node',19.4245),('views',11,'node',0.851346),('visible',1,'node',1.47028),('visible',6,'node',1),('visible',7,'node',0.822065),('visible',11,'node',0.699655),('vision',2,'node',0.648686),('visionary',1,'node',11),('visitor',13,'node',0.997306),('vitally',6,'node',0.779231),('volunteer',1,'node',1.75877),('volunteers',1,'node',6.60681),('votes',14,'node',5),('votes',15,'node',5),('vulnerabilities',8,'node',2.99731),('w3c',13,'node',1),('w3c',21,'node',1),('wagener',1,'node',0.643484),('waiaria',13,'node',1),('walkthrough',11,'node',1),('want',1,'node',0.442633),('want',2,'node',15.1003),('want',6,'node',2.42595),('want',7,'node',1.55075),('wanted',7,'node',0.923838),('was',1,'node',2),('was',6,'node',1.44349),('was',7,'node',2),('was',8,'node',1),('was',11,'node',1),('was',12,'node',5),('water',12,'node',1),('wave',21,'node',1),('way',1,'node',0.363357),('way',6,'node',0.641769),('way',18,'node',27),('ways',6,'node',1),('ways',18,'node',1),('wcag',13,'node',1),('wealth',2,'node',0.617112),('web',2,'node',2.42443),('web',4,'node',1),('web',9,'node',2),('web',13,'node',1),('web',18,'node',6),('webform',17,'node',2),('website',2,'node',0.916736),('website',3,'node',1),('website',7,'node',0.740689),('website',9,'node',1),('website',10,'node',1),('website',19,'node',1),('website',21,'node',1),('websites',2,'node',3.01574),('websites',7,'node',1.6507),('websites',10,'node',1),('websites',13,'node',2),('wednesday',8,'node',1),('week',1,'node',2.9857),('week',4,'node',1),('weekly',1,'node',0.516879),('welcome',5,'node',1),('welcome',10,'node',1),('well',2,'node',0.641769),('well',4,'node',1),('well',8,'node',0.866793),('well',9,'node',0.913226),('well',11,'node',0.650439),('well',18,'node',1),('well',20,'node',1),('were',7,'node',1),('were',17,'node',1),('what',1,'node',0.829515),('what',2,'node',19.7742),('what',6,'node',3.58319),('what',8,'node',0.96498),('what',11,'node',1.58833),('what',14,'node',26),('what',18,'node',2),('what',20,'node',2),('whats',19,'node',1),('when',1,'node',0.452478),('when',2,'node',0.848323),('when',5,'node',1),('when',7,'node',1.50717),('when',11,'node',0.740689),('when',12,'node',2),('when',17,'node',1),('where',1,'node',9.35284),('where',13,'node',1),('which',1,'node',1.07755),('which',5,'node',1),('which',8,'node',2),('which',9,'node',2),('which',15,'node',26),('while',1,'node',0.445053),('while',11,'node',1.93105),('whirlwind',11,'node',1),('who',1,'node',1.65137),('who',18,'node',1),('whose',6,'node',0.805455),('why',3,'node',1),('why',7,'node',0.679856),('wide',9,'node',1),('widely',2,'node',1),('widgets',3,'node',1),('wiki',1,'node',8.15648),('will',1,'node',6.60445),('will',2,'node',24.4779),('will',3,'node',1),('will',4,'node',1),('will',6,'node',2.43),('will',7,'node',2.33034),('will',8,'node',1),('will',11,'node',2.50409),('will',13,'node',2),('will',20,'node',2),('will',21,'node',3),('willingness',1,'node',1.97111),('wish',4,'node',1),('with',1,'node',12.4051),('with',2,'node',3.61885),('with',3,'node',0.997306),('with',4,'node',1),('with',5,'node',2),('with',6,'node',5.89762),('with',7,'node',16.4888),('with',8,'node',2.81777),('with',9,'node',3.72904),('with',10,'node',1),('with',11,'node',3.87019),('with',12,'node',4),('with',13,'node',4),('with',21,'node',2),('within',1,'node',1.41798),('within',2,'node',0.784336),('within',6,'node',1),('within',7,'node',0.76431),('within',12,'node',1),('within',13,'node',1),('without',7,'node',1),('without',10,'node',1),('wittens',12,'node',2),('wizard',5,'node',1),('word',3,'node',1),('work',1,'node',6.04198),('work',6,'node',3.02353),('work',12,'node',2),('work',21,'node',1),('worked',1,'node',0.380763),('worked',13,'node',2),('working',1,'node',0.827787),('working',3,'node',1),('working',9,'node',1),('working',11,'node',1.8861),('works',11,'node',0.727213),('workshops',3,'node',1),('worldwide',9,'node',1),('worldwide',13,'node',1),('worth',11,'node',0.664818),('would',1,'node',0.394827),('would',3,'node',1),('would',12,'node',1),('would',18,'node',3),('would',21,'node',1),('write',6,'node',1.62251),('writes',6,'node',0.643484),('writing',6,'node',1),('written',1,'node',2.70038),('written',11,'node',1),('wrong',6,'node',0.931053),('wwwctfilmfestcom',4,'node',11),('wwwnetbeansorg',5,'node',11),('wysiwyg',17,'node',1),('xampp',18,'node',1),('xhtml',2,'node',0.722831),('xhtml',21,'node',26),('year',4,'node',1),('years',1,'node',4),('years',2,'node',1.43942),('yet',6,'node',0.681785),('you',1,'node',2.66734),('you',2,'node',26.298),('you',3,'node',5),('you',4,'node',3),('you',5,'node',1),('you',6,'node',17.3077),('you',7,'node',9.99536),('you',8,'node',3.65028),('you',9,'node',0.938382),('you',10,'node',5),('you',11,'node',3.21378),('you',12,'node',1),('you',13,'node',4),('you',14,'node',26),('you',15,'node',26),('you',20,'node',3),('you',21,'node',29),('your',1,'node',1.59177),('your',2,'node',7.58619),('your',3,'node',2),('your',4,'node',1),('your',6,'node',3.60109),('your',7,'node',3.33663),('your',8,'node',2.89608),('your',9,'node',2.76975),('your',10,'node',1),('your',18,'node',1),('your',20,'node',2),('your',21,'node',6),('yourself',21,'node',1),('zen',15,'node',1),('zen',21,'node',1);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `search_node_links`
--

DROP TABLE IF EXISTS `search_node_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_node_links`
--

LOCK TABLES `search_node_links` WRITE;
/*!40000 ALTER TABLE `search_node_links` DISABLE KEYS */;
/*!40000 ALTER TABLE `search_node_links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
INSERT INTO `search_total` VALUES ('1',0.0224717),('10',0.0153597),('1000000001',0.30103),('1172012',0.176091),('11am11pm',0.30103),('12th',0.30103),('13',0.197965),('15',0.0232314),('150',0.30103),('16',0.30103),('165',0.30103),('169',0.30103),('2',0.0388333),('2007',0.30103),('2008',0.176091),('2009',0.176091),('2011',0.0147233),('2037708304',0.30103),('22',0.140247),('2226',0.30103),('24',0.0157943),('3',0.0581401),('325',0.30103),('43',0.30103),('49',0.30103),('5',0.0803149),('6',0.0246493),('65',0.124939),('69',0.30103),('7',0.0791812),('70',0.30103),('73',0.0815957),('74',0.0134354),('8',0.30103),('9',0.30103),('90',0.30103),('916',0.30103),('917',0.30103),('aaron',0.30103),('ability',0.30103),('able',0.30103),('about',0.00448886),('above',0.152533),('absolute',0.30103),('access',0.0460048),('accessibility',0.0137883),('accessible',0.09691),('accomplish',0.285703),('across',0.30103),('active',0.30103),('actively',0.221507),('add',0.0304018),('added',0.196298),('additional',0.270114),('additionally',0.30103),('address',0.228086),('admin',0.00908878),('administration',0.0791812),('administrators',0.30103),('advance',0.30103),('advanced',0.0534074),('advocacy',0.30103),('after',0.0140392),('again',0.176091),('agenda',0.30103),('ago',0.0791812),('all',0.0292825),('allow',0.30103),('allows',0.0522061),('almost',0.138652),('along',0.30103),('already',0.106275),('also',0.0316685),('always',0.0163904),('amazon',0.0486605),('america',0.30103),('analytical',0.30103),('analytics',0.30103),('and',0.00171594),('animation',0.30103),('announce',0.30103),('announced',0.30103),('announcement',0.176091),('anonymous',0.30103),('another',0.30103),('any',0.139106),('anyone',0.124939),('anything',0.30103),('api',0.135521),('apidrupalorg',0.30103),('applications',0.30103),('appreciated',0.30103),('approach',0.30103),('appropriate',0.140237),('apps',0.176091),('architecture',0.226246),('are',0.0110515),('area',0.30103),('areas',0.252998),('aren',0.30103),('article',0.0486605),('articles',0.00773239),('aspects',0.30103),('assessed',0.30103),('assessing',0.30103),('assignments',0.0682813),('assist',0.30103),('assistance',0.30103),('assisted',0.30103),('assisting',0.203576),('associated',0.30103),('association',0.142735),('assurance',0.30103),('astanush',0.0546499),('attach',0.30103),('attachment',0.220223),('attend',0.30103),('august',0.176091),('authcache',0.185529),('authentication',0.187697),('authors',0.0290999),('automated',0.30103),('automatically',0.30103),('availability',0.30103),('available',0.0751714),('avid',0.30103),('aware',0.30103),('aws',0.01524),('ãƒâ',0.176091),('back',0.230344),('backdrupalcom',0.205498),('backend',0.263245),('backup',0.176091),('badges',0.30103),('base',0.143178),('based',0.230149),('basic',0.069981),('basically',0.185009),('beauty',0.30103),('because',0.176091),('become',0.30103),('been',0.0447965),('before',0.0885798),('began',0.176091),('begin',0.30103),('beginner',0.30103),('behalf',0.30103),('being',0.0796385),('believe',0.30103),('below',0.30103),('benefit',0.30103),('besides',0.30103),('best',0.0388789),('better',0.131498),('between',0.19188),('big',0.230319),('bill',0.30103),('blocks',0.0694215),('blue',0.0552712),('bonan',0.30103),('book',0.00868973),('books',0.30103),('boost',0.081013),('both',0.124939),('bottom',0.30103),('boulton',0.30103),('browser',0.187811),('bug',0.0524527),('building',0.0130782),('built',0.117859),('business',0.30103),('busy',0.265918),('but',0.0522923),('buy',0.30103),('buytaert',0.30103),('cache',0.30103),('cached',0.30103),('caching',0.0340972),('call',0.30103),('can',0.012675),('candidate',0.30103),('candy',0.30103),('cannot',0.189282),('carousel',0.0377886),('carousels',0.30103),('cart',0.30103),('cascading',0.30103),('case',0.190241),('cat',0.30103),('category',0.23909),('cck',0.0272474),('central',0.30103),('challenge',0.30103),('challenges',0.30103),('challenging',0.30103),('change',0.0143517),('changed',0.204141),('changes',0.124939),('channel',0.30103),('chatting',0.30103),('check',0.30103),('checkout',0.30103),('cheers',0.30103),('cheese',0.0553868),('choose',0.049138),('chris',0.21452),('chrisstrahl',0.0502776),('clean',0.30103),('clear',0.30103),('click',0.195659),('clicking',0.30103),('code',0.0451063),('coders',0.0787817),('coding',0.124939),('coldfusion',0.30103),('collaborate',0.30103),('collection',0.30103),('combination',0.30103),('combine',0.30103),('comment',0.230614),('commented',0.30103),('commenting',0.30103),('comments',0.0704646),('commercials',0.30103),('commitment',0.138243),('commits',0.30103),('common',0.102834),('communication',0.0628083),('community',0.0105983),('companies',0.215409),('complement',0.30103),('complete',0.237113),('completed',0.157904),('completion',0.246016),('complex',0.1302),('component',0.104749),('comprehensive',0.149763),('compression',0.129075),('concepts',0.124939),('concerned',0.30103),('concerning',0.201332),('conference',0.176091),('configure',0.124939),('configuring',0.30103),('connor',0.30103),('considered',0.30103),('consistency',0.30103),('consists',0.30103),('consolidated',0.30103),('consolidating',0.30103),('constant',0.30103),('constructive',0.242864),('consult',0.30103),('contact',0.0283973),('containing',0.30103),('contains',0.205592),('content',0.0238963),('continue',0.288017),('continues',0.30103),('contribute',0.214588),('contributed',0.0995235),('contributing',0.30103),('contributions',0.30103),('contributor',0.246848),('contributors',0.20008),('conversation',0.30103),('conversations',0.30103),('coordinate',0.30103),('core',0.0526496),('cost',0.30103),('course',0.176091),('courses',0.30103),('cover',0.30103),('coverage',0.30103),('covers',0.30103),('create',0.0469114),('created',0.30103),('creating',0.130215),('creator',0.30103),('credit',0.30103),('crm',0.30103),('cron',0.30103),('cropping',0.30103),('crucial',0.30103),('csevb10',0.0560952),('css',0.0125511),('csv',0.043057),('current',0.30103),('curriculum',0.30103),('custom',0.30103),('customizations',0.30103),('damien',0.211973),('damz',0.052179),('dashboard',0.30103),('database',0.126074),('dataintensive',0.30103),('dave',0.30103),('day',0.30103),('debugging',0.30103),('dedicate',0.30103),('dedicated',0.30103),('dedicating',0.30103),('delivered',0.30103),('demand',0.30103),('demo',0.00771366),('deployment',0.30103),('description',0.30103),('descriptive',0.30103),('design',0.0337792),('designed',0.30103),('designer',0.30103),('designers',0.30103),('designing',0.30103),('detail',0.27838),('details',0.100522),('devel',0.30103),('develop',0.0576245),('developed',0.212063),('developer',0.30103),('developers',0.106036),('developing',0.137378),('development',0.0185667),('diaporama',0.0377886),('diaporamas',0.30103),('diapos',0.30103),('didn',0.176091),('different',0.0964128),('difficult',0.30103),('difficulty',0.30103),('dig',0.30103),('direct',0.30103),('direction',0.30103),('directly',0.140988),('director',0.176091),('directory',0.30103),('discount',0.137631),('discuss',0.30103),('discussion',0.248161),('discussions',0.30103),('display',0.214312),('displayed',0.14763),('diverse',0.267556),('doc',0.30103),('document',0.30103),('documentation',0.0107395),('documenting',0.30103),('documents',0.30103),('doesn',0.30103),('dog',0.30103),('domain',0.30103),('don',0.114659),('donating',0.30103),('done',0.192794),('down',0.30103),('download',0.0621067),('drag',0.197277),('dries',0.0470935),('dropped',0.30103),('drupal',0.000813793),('drupal6pt15',0.30103),('drupalcon',0.0138085),('drupalers',0.30103),('drupalists',0.30103),('drupalorg',0.0046675),('drupalredesign',0.30103),('drupals',0.205584),('duplicate',0.30103),('during',0.30103),('each',0.0977104),('easier',0.143248),('easy',0.0242427),('ec2',0.09691),('ecommerce',0.177783),('edit',0.0312213),('editing',0.0147233),('editors',0.30103),('education',0.111875),('effort',0.176091),('either',0.202839),('elastic',0.30103),('element',0.0193052),('else',0.203393),('email',0.225497),('embed',0.30103),('embedded',0.0107291),('enabling',0.30103),('end',0.30103),('energy',0.30103),('engaged',0.30103),('engine',0.30103),('english',0.157376),('enhance',0.30103),('enhanced',0.30103),('enough',0.1095),('ensure',0.0157943),('entails',0.30103),('enter',0.30103),('environment',0.1863),('environments',0.201523),('etc',0.176091),('europe',0.30103),('evaluating',0.30103),('evaluators',0.30103),('even',0.0971617),('ever',0.30103),('everyone',0.271879),('everything',0.228603),('evolve',0.30103),('exact',0.30103),('example',0.0268596),('excellent',0.116755),('exciting',0.03554),('exclusive',0.30103),('existing',0.110033),('expect',0.30103),('experience',0.126549),('experienced',0.30103),('experts',0.183566),('explain',0.30103),('explanations',0.30103),('exposed',0.30103),('extend',0.145999),('external',0.0421159),('externodes',0.0424161),('extremely',0.30103),('eye',0.278274),('facebook',0.30103),('faces',0.0377886),('faceted',0.30103),('facilitate',0.30103),('fact',0.30103),('fae',0.30103),('failed',0.0163904),('familiarity',0.30103),('familiarize',0.30103),('far',0.124939),('fast',0.30103),('fay',0.30103),('fckeditor',0.30103),('feature',0.30103),('featured',0.0288103),('features',0.0471775),('feb',0.30103),('feedback',0.30103),('feel',0.30103),('festival',0.124939),('few',0.09691),('fid',0.30103),('field',0.103057),('figured',0.30103),('file',0.0737044),('filed',0.30103),('files',0.124939),('filled',0.195873),('film',0.0142404),('films',0.30103),('filters',0.0651799),('finalizing',0.30103),('finally',0.220525),('find',0.0772435),('finished',0.30103),('first',0.110353),('fixed',0.30103),('fixes',0.0431591),('focus',0.0305732),('focusing',0.30103),('folder',0.0347621),('following',0.0641356),('for',0.00302115),('form',0.0481975),('formatter',0.0145136),('formatters',0.30103),('forum',0.30103),('forward',0.30103),('framework',0.0106065),('frameworks',0.30103),('france',0.0157943),('france24',0.30103),('free',0.09691),('friday',0.30103),('from',0.0276816),('frontdrupalcom',0.203773),('frontend',0.290614),('frontpage',0.30103),('ftp',0.30103),('full',0.30103),('fully',0.213354),('functionality',0.30103),('functions',0.30103),('further',0.30103),('future',0.103221),('gain',0.30103),('games',0.30103),('garbagecollection',0.30103),('garden',0.30103),('gdo',0.30103),('general',0.0681376),('generates',0.124939),('generous',0.30103),('get',0.0184067),('give',0.111105),('given',0.186808),('gmt',0.30103),('going',0.177189),('good',0.0533589),('google',0.30103),('granting',0.30103),('granular',0.30103),('great',0.1494),('group',0.267667),('growing',0.30103),('guide',0.0120475),('guidelines',0.0963362),('handbook',0.13092),('happy',0.176091),('hard',0.30103),('hardworking',0.30103),('has',0.025439),('have',0.0178378),('having',0.140025),('head',0.30103),('heavily',0.30103),('hello',0.176091),('help',0.0145439),('helpful',0.30103),('helping',0.176091),('helps',0.100179),('herders',0.30103),('here',0.070227),('high',0.176091),('higher',0.30103),('highly',0.30103),('highspeed',0.30103),('holowaychuk',0.115939),('home',0.30103),('hookblock',0.30103),('hookhelp',0.30103),('hookinstall',0.30103),('hooks',0.176091),('hookuninstall',0.30103),('host',0.30103),('hosted',0.176091),('hotel',0.30103),('hours',0.18188),('how',0.023126),('html',0.0146724),('http',0.0061417),('https',0.0252061),('hundreds',0.30103),('ideally',0.30103),('identified',0.30103),('image',0.104084),('imagecache',0.30103),('imce',0.30103),('immediately',0.30103),('implement',0.129832),('implementation',0.050337),('implemented',0.123276),('implementer',0.30103),('implementers',0.281353),('implementing',0.230867),('important',0.119961),('improve',0.157616),('improvements',0.30103),('improving',0.30103),('include',0.0912422),('includes',0.0818876),('including',0.18527),('inconsistencies',0.30103),('incorporate',0.30103),('individual',0.30103),('individuals',0.30103),('industry',0.209885),('info',0.0685596),('information',0.0485067),('infrastructure',0.0908855),('inline',0.30103),('input',0.30103),('inserted',0.30103),('insiders',0.30103),('insight',0.30103),('install',0.0791812),('installed',0.179818),('installing',0.0125891),('instance',0.130077),('integrated',0.30103),('integration',0.185787),('integrations',0.30103),('intensively',0.30103),('intent',0.205015),('interested',0.137204),('interesting',0.30103),('interface',0.0596909),('interfaces',0.30103),('into',0.012678),('introduce',0.30103),('introduced',0.30103),('introductory',0.30103),('invest',0.30103),('invitation',0.0163904),('invite',0.239278),('involved',0.283941),('irc',0.30103),('issue',0.0143165),('issues',0.0185303),('its',0.0851058),('james',0.102152),('jcarousel',0.035983),('jcarouself',0.0514489),('join',0.30103),('joined',0.30103),('jonathan',0.30103),('july',0.30103),('just',0.0669468),('k12',0.30103),('keen',0.278168),('keep',0.134897),('key',0.30103),('kieran',0.275621),('kind',0.30103),('know',0.124939),('knowledge',0.236918),('known',0.30103),('lal',0.30103),('languages',0.17689),('large',0.30103),('largescale',0.30103),('last',0.30103),('late',0.30103),('later',0.203758),('latest',0.10254),('latter',0.30103),('launch',0.0157943),('layout',0.30103),('lead',0.144688),('leaders',0.0704016),('leadership',0.30103),('leading',0.289315),('leads',0.30103),('learn',0.0190009),('learned',0.30103),('learning',0.142942),('let',0.30103),('levels',0.30103),('lightbox',0.195012),('like',0.12933),('line',0.30103),('lines',0.221857),('link',0.30103),('links',0.30103),('lisa',0.279174),('lisarex',0.0498373),('list',0.0791812),('live',0.30103),('loads',0.30103),('local',0.176091),('locally',0.176091),('location',0.30103),('log',0.0635222),('london',0.0142475),('london2011drupalorg',0.0386454),('long',0.30103),('look',0.0121855),('looking',0.169339),('looks',0.30103),('lot',0.139188),('loves',0.30103),('machine',0.30103),('maintain',0.234339),('maintained',0.208593),('maintaining',0.181076),('maintenance',0.176091),('major',0.140321),('make',0.0313845),('making',0.0756116),('manage',0.176091),('management',0.0787304),('manager',0.30103),('managers',0.0519885),('managing',0.153037),('manually',0.30103),('many',0.0513004),('map',0.30103),('mark',0.30103),('match',0.30103),('materials',0.30103),('maximize',0.30103),('may',0.136405),('measures',0.30103),('media',0.0846461),('medium',0.231548),('meet',0.151911),('meeting',0.30103),('member',0.30103),('members',0.239349),('memcache',0.185787),('menus',0.30103),('merge',0.30103),('merging',0.30103),('methods',0.30103),('metro',0.30103),('middletown',0.30103),('migration',0.0421708),('miles',0.30103),('mind',0.30103),('minimum',0.30103),('missing',0.30103),('modifications',0.222574),('module',0.0204469),('modulejan2012',0.30103),('modules',0.00550225),('monitor',0.0983096),('months',0.30103),('more',0.0308883),('most',0.0135573),('much',0.202926),('multimedia',0.00895484),('multiple',0.196289),('multisite',0.131184),('music',0.30103),('mvp',0.214062),('mysql',0.30103),('nair',0.30103),('nation',0.30103),('nbdrupalsupportdevjavanet',0.0377886),('near',0.30103),('need',0.0554665),('needed',0.0330034),('needs',0.0684668),('netbeans',0.0147233),('never',0.30103),('new',0.00796042),('newest',0.30103),('newspaper',0.0163904),('next',0.0521934),('nice',0.0377886),('nicolas',0.30103),('nid',0.30103),('nienkerk',0.30103),('nifty',0.30103),('node',0.0204487),('nodereference',0.113691),('nodereferences',0.30103),('nodeselect',0.0431795),('nonmvp',0.30103),('nonprofit',0.30103),('north',0.176091),('not',0.0343478),('note',0.30103),('now',0.0631289),('nowhere',0.30103),('nyc',0.30103),('obtain',0.0927264),('off',0.024336),('okay',0.176091),('once',0.242308),('one',0.100445),('ongoing',0.30103),('only',0.055081),('open',0.0172603),('opensource',0.30103),('opensourced',0.0163904),('operation',0.30103),('opportunity',0.229677),('optimization',0.0438726),('optimize',0.30103),('order',0.30103),('organization',0.30103),('organizational',0.30103),('organizations',0.232179),('other',0.0371851),('others',0.103331),('our',0.0501046),('ours',0.30103),('out',0.0501344),('outline',0.30103),('outlined',0.30103),('outofdate',0.30103),('over',0.0895888),('overall',0.23714),('overview',0.30103),('own',0.262916),('packt',0.151366),('packtpubcom',0.04451),('page',0.0413429),('pages',0.0472855),('panels',0.0454581),('part',0.146058),('participated',0.30103),('participation',0.30103),('parts',0.30103),('pass',0.30103),('patch',0.0537242),('patches',0.0928792),('paths',0.30103),('pay',0.30103),('people',0.0718556),('per',0.12783),('percentage',0.30103),('perform',0.30103),('performance',0.00982685),('permalink',0.0193052),('person',0.30103),('personally',0.30103),('pertains',0.30103),('phase',0.288299),('photos',0.30103),('php',0.124939),('phphtml',0.0377886),('phpinfo',0.09691),('pictures',0.30103),('pixture',0.01524),('place',0.0959246),('plan',0.0513357),('plans',0.30103),('please',0.0136121),('plug',0.0377886),('plugin',0.0699902),('plugindetailpagejsp',0.0377886),('pluginportal',0.0377886),('plugins',0.0163904),('pluginsnetbeansorg',0.0377886),('plus',0.30103),('point',0.30103),('portal',0.30103),('portals',0.30103),('position',0.280034),('possible',0.108001),('post',0.177783),('posted',0.30103),('postponed',0.30103),('power',0.0765828),('powered',0.30103),('powerful',0.135853),('practice',0.124939),('practices',0.0945361),('preconference',0.176091),('present',0.0119129),('presets',0.30103),('president',0.30103),('previous',0.176091),('probably',0.126045),('problem',0.0835669),('process',0.15536),('processes',0.30103),('product',0.30103),('program',0.30103),('programmer',0.146974),('programming',0.30103),('programs',0.30103),('progress',0.00889465),('project',0.00954694),('projectdocumentlist',0.0377886),('projectissue',0.0377886),('projects',0.29019),('promote',0.192794),('provide',0.105901),('provided',0.19302),('provides',0.176091),('providing',0.187707),('public',0.30103),('publicly',0.30103),('put',0.124939),('qaing',0.30103),('quality',0.30103),('queries',0.30103),('queue',0.0268088),('queues',0.20365),('quickly',0.30103),('ran',0.30103),('randy',0.30103),('ratio',0.30103),('read',0.158636),('reader',0.30103),('reading',0.30103),('ready',0.30103),('realistically',0.30103),('really',0.0791812),('reasonable',0.30103),('receive',0.30103),('recently',0.30103),('recommendations',0.30103),('recommended',0.30103),('recreating',0.30103),('recruited',0.30103),('recruiting',0.30103),('redesign',0.00561179),('refinements',0.30103),('regards',0.200754),('register',0.0635222),('related',0.217994),('relationships',0.30103),('release',0.0583556),('released',0.01524),('releases',0.0998919),('reloaded',0.01524),('rely',0.273082),('remind',0.30103),('removed',0.19651),('rename',0.30103),('report',0.0249113),('reported',0.30103),('repository',0.30103),('request',0.248234),('require',0.136114),('required',0.21966),('requirements',0.0163904),('rescaling',0.30103),('resources',0.148309),('respected',0.30103),('responsibilities',0.30103),('result',0.30103),('results',0.0884719),('reuse',0.30103),('review',0.0435503),('reviewed',0.229891),('reviewers',0.078895),('reviewing',0.258637),('rex',0.30103),('rfay',0.0569595),('rfi',0.0159746),('rich',0.176091),('right',0.202653),('room',0.30103),('root',0.30103),('ross',0.30103),('row',0.30103),('rtbc',0.30103),('run',0.0822204),('running',0.180103),('sales',0.30103),('same',0.30103),('sample',0.0266121),('say',0.203209),('saying',0.30103),('schedule',0.0163904),('scheduled',0.176091),('schedules',0.30103),('scheduling',0.30103),('screen',0.10364),('screens',0.30103),('screenshots',0.30103),('scroll',0.30103),('search',0.0172028),('section',0.043027),('sections',0.0619758),('secured',0.30103),('security',0.0128011),('see',0.0568787),('seek',0.30103),('seen',0.30103),('selectable',0.30103),('selected',0.30103),('selector',0.0404604),('semiautomatically',0.30103),('sensitive',0.30103),('seo',0.0455758),('series',0.30103),('serious',0.30103),('server',0.30103),('servers',0.30103),('service',0.30103),('servlets',0.0377886),('session',0.0163904),('sessions',0.30103),('set',0.30103),('setting',0.30103),('settings',0.176091),('setup',0.13207),('several',0.130802),('shape',0.30103),('shaping',0.30103),('share',0.191649),('sharing',0.30103),('sheets',0.30103),('shopping',0.30103),('shot',0.30103),('should',0.054461),('show',0.30103),('showcase',0.30103),('showing',0.176091),('sign',0.30103),('significant',0.30103),('signing',0.30103),('signon',0.30103),('simple',0.0658898),('simplest',0.0163904),('since',0.30103),('single',0.181303),('site',0.00719823),('sites',0.0809277),('six',0.2277),('skills',0.109354),('slightly',0.30103),('small',0.137029),('software',0.09691),('solid',0.30103),('solr',0.0526196),('solutions',0.181785),('some',0.0108686),('someone',0.203393),('something',0.200754),('sorry',0.30103),('source',0.0160772),('sourced',0.30103),('sources',0.042266),('space',0.30103),('specific',0.14828),('specifically',0.30103),('speed',0.191899),('spent',0.30103),('spoken',0.267332),('sponsor',0.30103),('sponsored',0.30103),('sponsoring',0.30103),('spread',0.30103),('sprints',0.220161),('stable',0.176091),('staging',0.105471),('staging1drupalorg',0.0693932),('standard',0.202467),('standards',0.176091),('stanush',0.30103),('start',0.128206),('started',0.124939),('statefunded',0.30103),('statistics',0.30103),('status',0.0700632),('stay',0.176091),('step',0.0688364),('sticking',0.176091),('still',0.106554),('stories',0.176091),('story',0.0347621),('strahl',0.30103),('strict',0.0163904),('strongly',0.176091),('structure',0.176091),('studio',0.0163904),('study',0.30103),('style',0.150485),('submit',0.30103),('submitted',0.176091),('such',0.30103),('suggestion',0.30103),('suggestions',0.0934043),('sujit',0.30103),('support',0.00806977),('supports',0.191389),('sure',0.138138),('svn',0.0665166),('svndrupalorg',0.0699479),('system',0.0133153),('table',0.036815),('tag',0.30103),('tags',0.192789),('take',0.115059),('taken',0.30103),('taking',0.30103),('talent',0.30103),('task',0.30103),('tasks',0.192187),('tax',0.30103),('taxonomies',0.30103),('taxonomy',0.176091),('teaching',0.30103),('team',0.0587009),('teams',0.123089),('technical',0.0524022),('techniques',0.0163904),('tell',0.176091),('template',0.176091),('ten',0.30103),('test',0.13834),('tested',0.30103),('text',0.0234341),('than',0.166665),('thank',0.30103),('thanks',0.30103),('that',0.00698498),('the',0.00102639),('theamoeba',0.0575345),('their',0.100958),('them',0.200947),('theme',0.00822633),('themers',0.0578385),('themes',0.0637786),('theming',0.201523),('themselves',0.30103),('then',0.0430901),('there',0.0418448),('therefore',0.30103),('these',0.0512489),('they',0.30103),('thing',0.30103),('things',0.116355),('think',0.0144489),('this',0.0148156),('thought',0.30103),('thoughtful',0.30103),('through',0.102007),('time',0.0419044),('timeframe',0.30103),('tips',0.0153403),('title',0.30103),('tjholowaychuk',0.0566716),('todd',0.30103),('toddross',0.0542152),('together',0.30103),('too',0.176091),('tools',0.107856),('top',0.178372),('topics',0.18315),('tournoud',0.30103),('tracked',0.30103),('tracking',0.30103),('traffic',0.30103),('trails',0.0377886),('train',0.30103),('training',0.0732987),('translated',0.30103),('trevor',0.076),('trevorjames',0.0495435),('try',0.115209),('tue',0.176091),('turn',0.30103),('tweak',0.30103),('twenty',0.30103),('twitter',0.126074),('two',0.0922896),('type',0.30103),('uberimage',0.0347621),('uitext',0.189627),('unclear',0.30103),('under',0.130078),('understand',0.30103),('understanding',0.30103),('undertaking',0.30103),('until',0.30103),('upadting',0.0163904),('update',0.0137883),('updated',0.0142404),('updatephp',0.30103),('updates',0.129707),('updating',0.124939),('upgrade',0.176091),('upgraded',0.30103),('upgrades',0.30103),('upgrading',0.0178018),('upload',0.103067),('uploaded',0.176091),('uptodate',0.30103),('usa',0.30103),('usage',0.30103),('use',0.0293889),('used',0.0691917),('useful',0.199948),('user',0.0289244),('users',0.176091),('using',0.0177551),('usual',0.30103),('utilities',0.0431691),('utilizes',0.30103),('validate',0.00827253),('validated',0.30103),('validating',0.30103),('validation',0.30103),('validator',0.30103),('variables',0.30103),('varies',0.196889),('various',0.30103),('vastly',0.30103),('version',0.0463353),('versions',0.128294),('very',0.135285),('via',0.0825634),('viable',0.30103),('video',0.0299632),('view',0.0208874),('viewed',0.30103),('views',0.0145432),('visible',0.0970841),('vision',0.30103),('visionary',0.0377886),('vitally',0.30103),('volunteer',0.195507),('volunteers',0.0612108),('vulnerabilities',0.125036),('w3c',0.176091),('wagener',0.30103),('want',0.0216979),('wanted',0.30103),('was',0.0335698),('wave',0.30103),('way',0.0152372),('ways',0.176091),('wealth',0.30103),('web',0.0336194),('webform',0.176091),('website',0.0607765),('websites',0.053247),('week',0.0972214),('weekly',0.30103),('welcome',0.176091),('well',0.0662082),('were',0.176091),('what',0.00758742),('whats',0.30103),('when',0.0540282),('where',0.044116),('which',0.0133321),('while',0.30103),('who',0.138985),('whose',0.30103),('why',0.202839),('widely',0.30103),('widgets',0.30103),('wiki',0.0502258),('will',0.00889126),('willingness',0.178208),('wish',0.30103),('with',0.00675174),('within',0.0672936),('without',0.176091),('wizard',0.30103),('word',0.30103),('work',0.0345807),('worked',0.30103),('working',0.189521),('workshops',0.30103),('would',0.0630992),('write',0.20853),('writes',0.30103),('writing',0.30103),('written',0.136821),('wrong',0.30103),('wwwctfilmfestcom',0.0377886),('wwwnetbeansorg',0.0377886),('wysiwyg',0.30103),('xampp',0.30103),('xhtml',0.0159551),('year',0.30103),('years',0.0732941),('yet',0.30103),('you',0.00259171),('your',0.0123102),('yourself',0.30103),('zen',0.176091);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
INSERT INTO `sequences` VALUES (18);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
INSERT INTO `sessions` VALUES (1,'0vRZEPptgIqNXJ3QuZ7QQpVgooKI2rerbRKBc14cWl8','','127.0.0.1',1435657083,0,'batches|a:3:{i:16;b:1;i:17;b:1;i:18;b:1;}updates_remaining|a:0:{}');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shortcut_set`
--

DROP TABLE IF EXISTS `shortcut_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set`
--

LOCK TABLES `shortcut_set` WRITE;
/*!40000 ALTER TABLE `shortcut_set` DISABLE KEYS */;
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
/*!40000 ALTER TABLE `shortcut_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','',1,0,7004,0,'a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Aggregator module tests\";s:11:\"description\";s:46:\"Support module for aggregator related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/block/block.module','block','module','',1,0,7009,-5,'a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/block/tests/block_test.module','block_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Block test\";s:11:\"description\";s:21:\"Provides test blocks.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/blog/blog.module','blog','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/book/book.module','book','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:4:\"Book\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"book.test\";}s:9:\"configure\";s:27:\"admin/content/book/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"book.css\";s:21:\"modules/book/book.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/color/color.module','color','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/comment/comment.module','comment','module','',1,0,7009,0,'a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contact/contact.module','contact','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contextual/contextual.module','contextual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dblog/dblog.module','dblog','module','',1,1,7002,0,'a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/field.module','field','module','',1,0,7003,0,'a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/list.module','list','module','',1,0,7002,0,'a:12:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/tests/list_test.module','list_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"List test\";s:11:\"description\";s:41:\"Support module for the List module tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/field/modules/number/number.module','number','module','',1,0,0,0,'a:12:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/options/options.module','options','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/text/text.module','text','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/field/tests/field_test.module','field_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Field API Test\";s:11:\"description\";s:39:\"Support module for the Field API tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:5:\"files\";a:1:{i:0;s:21:\"field_test.entity.inc\";}s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/file.module','file','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/tests/file_module_test.module','file_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:53:\"Provides hooks for testing File module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/filter/filter.module','filter','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/forum/forum.module','forum','module','',1,0,7012,1,'a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/help/help.module','help','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/image/image.module','image','module','',1,0,7005,0,'a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/image/tests/image_module_test.module','image_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:69:\"Provides hook implementations for testing Image module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"image_module_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/locale.module','locale','module','',1,0,7005,0,'a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Locale Test\";s:11:\"description\";s:42:\"Support module for the locale layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/menu/menu.module','menu','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/node.module','node','module','',1,0,7015,0,'a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_access_test.module','node_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Node module access tests\";s:11:\"description\";s:43:\"Support module for node permission testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test.module','node_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Node module tests\";s:11:\"description\";s:40:\"Support module for node related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"Node module exception tests\";s:11:\"description\";s:50:\"Support module for node related exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/openid/openid.module','openid','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.38\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"OpenID dummy provider\";s:11:\"description\";s:33:\"OpenID provider used for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"openid\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/overlay/overlay.module','overlay','module','',1,1,0,0,'a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/path/path.module','path','module','',1,0,0,0,'a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/php/php.module','php','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/poll/poll.module','poll','module','',1,0,7004,0,'a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/profile/profile.module','profile','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Profile\";s:11:\"description\";s:36:\"Supports configurable user profiles.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"profile.test\";}s:9:\"configure\";s:27:\"admin/config/people/profile\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/rdf.module','rdf','module','',0,0,0,0,'a:12:{s:4:\"name\";s:3:\"RDF\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"rdf.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"RDF module tests\";s:11:\"description\";s:38:\"Support module for RDF module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/search.module','search','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Search embedded form\";s:11:\"description\";s:59:\"Support module for search module testing of embedded forms.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Test search type\";s:11:\"description\";s:41:\"Support module for search module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_node_tags.module','search_node_tags','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Test search node tags\";s:11:\"description\";s:44:\"Support module for Node search tags testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/shortcut/shortcut.module','shortcut','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Testing\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:49:{i:0;s:15:\"simpletest.test\";i:1;s:24:\"drupal_web_test_case.php\";i:2;s:18:\"tests/actions.test\";i:3;s:15:\"tests/ajax.test\";i:4;s:16:\"tests/batch.test\";i:5;s:20:\"tests/bootstrap.test\";i:6;s:16:\"tests/cache.test\";i:7;s:17:\"tests/common.test\";i:8;s:24:\"tests/database_test.test\";i:9;s:22:\"tests/entity_crud.test\";i:10;s:32:\"tests/entity_crud_hook_test.test\";i:11;s:23:\"tests/entity_query.test\";i:12;s:16:\"tests/error.test\";i:13;s:15:\"tests/file.test\";i:14;s:23:\"tests/filetransfer.test\";i:15;s:15:\"tests/form.test\";i:16;s:16:\"tests/graph.test\";i:17;s:16:\"tests/image.test\";i:18;s:15:\"tests/lock.test\";i:19;s:15:\"tests/mail.test\";i:20;s:15:\"tests/menu.test\";i:21;s:17:\"tests/module.test\";i:22;s:16:\"tests/pager.test\";i:23;s:19:\"tests/password.test\";i:24;s:15:\"tests/path.test\";i:25;s:19:\"tests/registry.test\";i:26;s:17:\"tests/schema.test\";i:27;s:18:\"tests/session.test\";i:28;s:20:\"tests/tablesort.test\";i:29;s:16:\"tests/theme.test\";i:30;s:18:\"tests/unicode.test\";i:31;s:17:\"tests/update.test\";i:32;s:17:\"tests/xmlrpc.test\";i:33;s:26:\"tests/upgrade/upgrade.test\";i:34;s:34:\"tests/upgrade/upgrade.comment.test\";i:35;s:33:\"tests/upgrade/upgrade.filter.test\";i:36;s:32:\"tests/upgrade/upgrade.forum.test\";i:37;s:33:\"tests/upgrade/upgrade.locale.test\";i:38;s:31:\"tests/upgrade/upgrade.menu.test\";i:39;s:31:\"tests/upgrade/upgrade.node.test\";i:40;s:35:\"tests/upgrade/upgrade.taxonomy.test\";i:41;s:34:\"tests/upgrade/upgrade.trigger.test\";i:42;s:39:\"tests/upgrade/upgrade.translatable.test\";i:43;s:33:\"tests/upgrade/upgrade.upload.test\";i:44;s:31:\"tests/upgrade/upgrade.user.test\";i:45;s:36:\"tests/upgrade/update.aggregator.test\";i:46;s:33:\"tests/upgrade/update.trigger.test\";i:47;s:31:\"tests/upgrade/update.field.test\";i:48;s:30:\"tests/upgrade/update.user.test\";}s:9:\"configure\";s:41:\"admin/config/development/testing/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Actions loop test\";s:11:\"description\";s:39:\"Support module for action loop testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"AJAX form test mock module\";s:11:\"description\";s:25:\"Test for AJAX form calls.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"AJAX Test\";s:11:\"description\";s:40:\"Support module for AJAX framework tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Batch API test\";s:11:\"description\";s:35:\"Support module for Batch API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:11:\"Common Test\";s:11:\"description\";s:32:\"Support module for Common tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:15:\"common_test.css\";s:40:\"modules/simpletest/tests/common_test.css\";}s:5:\"print\";a:1:{s:21:\"common_test.print.css\";s:46:\"modules/simpletest/tests/common_test.print.css\";}}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Common Test Cron Helper\";s:11:\"description\";s:56:\"Helper module for CronRunTestCase::testCronExceptions().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Database Test\";s:11:\"description\";s:40:\"Support module for Database layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module','drupal_autoload_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Drupal code registry test\";s:11:\"description\";s:45:\"Support module for testing the code registry.\";s:5:\"files\";a:2:{i:0;s:34:\"drupal_autoload_test_interface.inc\";i:1;s:30:\"drupal_autoload_test_class.inc\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Drupal system listing compatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"Drupal system listing incompatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Entity cache test\";s:11:\"description\";s:40:\"Support module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:28:\"entity_cache_test_dependency\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity cache test dependency\";s:11:\"description\";s:51:\"Support dependency module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Entity CRUD Hooks Test\";s:11:\"description\";s:35:\"Support module for CRUD hook tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_query_access_test.module','entity_query_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Entity query access test\";s:11:\"description\";s:49:\"Support module for checking entity query results.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Error test\";s:11:\"description\";s:47:\"Support module for error and exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:39:\"Support module for file handling tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"file_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/filter_test.module','filter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Filter test module\";s:11:\"description\";s:33:\"Tests filter hooks and functions.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"FormAPI Test\";s:11:\"description\";s:34:\"Support module for Form API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:39:\"Support module for image toolkit tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook menu tests\";s:11:\"description\";s:37:\"Support module for menu hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Module test\";s:11:\"description\";s:41:\"Support module for module system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/path_test.module','path_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook path tests\";s:11:\"description\";s:37:\"Support module for path hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_0_test/psr_0_test.module','psr_0_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-0 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_4_test/psr_4_test.module','psr_4_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-4 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 1 Test\";s:11:\"description\";s:80:\"Tests that a module is not installed when it fails hook_requirements(\'install\').\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 2 Test\";s:11:\"description\";s:98:\"Tests that a module is not installed when the one it depends on fails hook_requirements(\'install).\";s:12:\"dependencies\";a:2:{i:0;s:18:\"requirements1_test\";i:1;s:7:\"comment\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Session test\";s:11:\"description\";s:40:\"Support module for session data testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"System dependency test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:19:\"_missing_dependency\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:50:\"System incompatible core version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:37:\"system_incompatible_core_version_test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"System incompatible core version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:52:\"System incompatible module version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:46:\"system_incompatible_module_version_test (>2.0)\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"System incompatible module version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_test.module','system_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"System test\";s:11:\"description\";s:34:\"Support module for system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"system_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Taxonomy test module\";s:11:\"description\";s:45:\"\"Tests functions and hooks not used in core\".\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Theme test\";s:11:\"description\";s:40:\"Support module for theme system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Update script test\";s:11:\"description\";s:41:\"Support module for update script testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_2.module','update_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Url_alter tests\";s:11:\"description\";s:45:\"A support modules for url_alter hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"XML-RPC Test\";s:11:\"description\";s:75:\"Support module for XML-RPC tests according to the validator1 specification.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/statistics/statistics.module','statistics','module','',1,1,7000,0,'a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/syslog/syslog.module','syslog','module','',1,1,0,0,'a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/system.module','system','module','',1,1,7079,0,'a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/tests/cron_queue_test.module','cron_queue_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Cron Queue test\";s:11:\"description\";s:41:\"Support module for the cron queue runner.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','',1,0,7011,0,'a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/toolbar/toolbar.module','toolbar','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/tracker/tracker.module','tracker','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Content Translation Test\";s:11:\"description\";s:49:\"Support module for the content translation tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/translation/translation.module','translation','module','',1,0,0,0,'a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Trigger Test\";s:11:\"description\";s:33:\"Support module for Trigger tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/trigger/trigger.module','trigger','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/update/tests/aaa_update_test.module','aaa_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"AAA Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"BBB Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"CCC Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.38\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/update_test.module','update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/update.module','update','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.38\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/user/tests/user_form_test.module','user_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"User module form tests\";s:11:\"description\";s:37:\"Support module for user form testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/user/user.module','user','module','',1,0,7018,0,'a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('profiles/standard/standard.profile','standard','module','',1,0,0,1000,'a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:5:\"mtime\";i:1434542086;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}'),('sites/all/modules/cck/cck.module','cck','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:3:\"CCK\";s:11:\"description\";s:50:\"Miscellaneous field functions not handled by core.\";s:7:\"package\";s:3:\"CCK\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:10:\"cck.module\";i:1;s:11:\"cck.install\";}s:12:\"dependencies\";a:1:{i:0;s:8:\"field_ui\";}s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:7:\"project\";s:3:\"cck\";s:9:\"datestamp\";s:10:\"1386880109\";s:5:\"mtime\";i:1435572637;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/cck/modules/content_migrate/content_migrate.module','content_migrate','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Content Migrate\";s:11:\"description\";s:150:\"Migrate fields and field data from CCK D6 format to the D7 field format. Required to migrate data, can be disabled once all fields have been migrated.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:3:\"CCK\";s:5:\"files\";a:10:{i:0;s:22:\"content_migrate.module\";i:1;s:23:\"content_migrate.api.php\";i:2;s:34:\"includes/content_migrate.admin.inc\";i:3;s:35:\"includes/content_migrate.values.inc\";i:4;s:34:\"includes/content_migrate.drush.inc\";i:5;s:32:\"modules/content_migrate.text.inc\";i:6;s:34:\"modules/content_migrate.number.inc\";i:7;s:41:\"modules/content_migrate.optionwidgets.inc\";i:8;s:37:\"modules/content_migrate.filefield.inc\";i:9;s:26:\"tests/content_migrate.test\";}s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:7:\"project\";s:3:\"cck\";s:9:\"datestamp\";s:10:\"1386880109\";s:5:\"mtime\";i:1435572637;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/chosen/chosen.module','chosen','module','',1,0,7203,0,'a:13:{s:4:\"name\";s:6:\"Chosen\";s:11:\"description\";s:104:\"Makes select elements more user-friendly using <a href=\"http://harvesthq.github.com/chosen/\">Chosen</a>.\";s:7:\"package\";s:14:\"User interface\";s:9:\"configure\";s:34:\"admin/config/user-interface/chosen\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:7:\"project\";s:6:\"chosen\";s:9:\"datestamp\";s:10:\"1394256505\";s:5:\"mtime\";i:1435572582;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Bulk Export\";s:11:\"description\";s:67:\"Performs bulk exporting of data objects known about by Chaos tools.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572645;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:5:\"files\";a:5:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:20:\"tests/css_cache.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572645;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Custom rulesets\";s:11:\"description\";s:81:\"Create custom, exportable, reusable access rulesets for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572675;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:11:\"description\";s:41:\"Shows how to use the power of Chaos AJAX.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572660;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Custom content panes\";s:11:\"description\";s:79:\"Create custom, exportable, reusable content panes for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572674;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:35:\"Chaos Tools (CTools) Plugin Example\";s:11:\"description\";s:75:\"Shows how an external module can provide ctools plugins (for Panels, etc.).\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:12:\"dependencies\";a:4:{i:0;s:6:\"ctools\";i:1;s:6:\"panels\";i:2;s:12:\"page_manager\";i:3;s:13:\"advanced_help\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572644;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Page manager\";s:11:\"description\";s:54:\"Provides a UI and API to manage pages within the site.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572652;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Stylizer\";s:11:\"description\";s:53:\"Create custom styles for applications such as Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"color\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572674;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/term_depth/term_depth.module','term_depth','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Term Depth access\";s:11:\"description\";s:48:\"Controls access to context based upon term depth\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572643;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module','ctools_export_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"CTools export test\";s:11:\"description\";s:25:\"CTools export test module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:6:\"hidden\";b:1;s:5:\"files\";a:1:{i:0;s:18:\"ctools_export.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572649;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Chaos tools plugins test\";s:11:\"description\";s:42:\"Provides hooks for testing ctools plugins.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:7:\"7.x-1.7\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:6:{i:0;s:19:\"ctools.plugins.test\";i:1;s:17:\"object_cache.test\";i:2;s:8:\"css.test\";i:3;s:12:\"context.test\";i:4;s:20:\"math_expression.test\";i:5;s:26:\"math_expression_stack.test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572650;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Views content panes\";s:11:\"description\";s:104:\"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.7\";s:5:\"files\";a:3:{i:0;s:61:\"plugins/views/views_content_plugin_display_ctools_context.inc\";i:1;s:57:\"plugins/views/views_content_plugin_display_panel_pane.inc\";i:2;s:59:\"plugins/views/views_content_plugin_style_ctools_context.inc\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1426696183\";s:5:\"mtime\";i:1435572679;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/fontawesome/fontawesome.module','fontawesome','module','',1,0,0,0,'a:12:{s:4:\"name\";s:12:\"Font Awesome\";s:11:\"description\";s:52:\"Iconic font designed for use with Twitter Bootstrap.\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:1:\"5\";s:12:\"dependencies\";a:1:{i:0;s:21:\"libraries (>=7.x-2.0)\";}s:5:\"files\";a:2:{i:0;s:19:\"fontawesome.install\";i:1;s:18:\"fontawesome.module\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:11:\"fontawesome\";s:9:\"datestamp\";s:10:\"1420870983\";s:5:\"mtime\";i:1435572572;s:7:\"package\";s:5:\"Other\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/imageapi/imageapi.module','imageapi','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:8:\"ImageAPI\";s:11:\"description\";s:38:\"ImageAPI supporting multiple toolkits.\";s:7:\"package\";s:8:\"ImageAPI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:16:\"imageapi.install\";i:1;s:15:\"imageapi.module\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:5:\"mtime\";i:1435572761;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/imageapi/imageapi_gd.module','imageapi_gd','module','',1,0,7000,0,'a:12:{s:4:\"name\";s:12:\"ImageAPI GD2\";s:11:\"description\";s:79:\"Provides additional operations for PHP\'s built-in GD2 image processing support.\";s:7:\"package\";s:8:\"ImageAPI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:19:\"imageapi_gd.install\";i:1;s:18:\"imageapi_gd.module\";i:2;s:15:\"imagefilter.inc\";i:3;s:15:\"imagerotate.inc\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:5:\"mtime\";i:1435572762;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/imageapi/imageapi_imagemagick.module','imageapi_imagemagick','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"ImageAPI ImageMagick\";s:11:\"description\";s:33:\"Command Line ImageMagick support.\";s:7:\"package\";s:8:\"ImageAPI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:27:\"imageapi_imagemagick.module\";}s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582657\";s:5:\"mtime\";i:1435572762;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_plugin/jquery_plugin.module','jquery_plugin','module','',1,0,0,0,'a:12:{s:4:\"name\";s:14:\"jQuery plugins\";s:11:\"description\";s:49:\"An API and home for miscellaneous jQuery plugins.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:20:\"jquery_plugin.module\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:13:\"jquery_plugin\";s:9:\"datestamp\";s:10:\"1294280182\";s:5:\"mtime\";i:1435572687;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_update/jquery_update.module','jquery_update','module','',0,0,7000,0,'a:13:{s:4:\"name\";s:13:\"jQuery Update\";s:11:\"description\";s:53:\"Update jQuery and jQuery UI to a more recent version.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"jquery_update.module\";i:1;s:21:\"jquery_update.install\";}s:9:\"configure\";s:38:\"admin/config/development/jquery_update\";s:7:\"version\";s:7:\"7.x-2.4\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1396482246\";s:5:\"mtime\";i:1421746711;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/libraries.module','libraries','module','',1,0,7200,0,'a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:1:{i:0;s:20:\"tests/libraries.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:5:\"mtime\";i:1435572695;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/libraries_test.module','libraries_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1362848412\";s:5:\"mtime\";i:1435572695;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module','libraries_test_module','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1391965716\";s:5:\"mtime\";i:1435572695;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pathauto/pathauto.module','pathauto','module','',1,0,7005,1,'a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1344525185\";s:5:\"mtime\";i:1435572774;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs.module','quicktabs','module','',1,0,7303,0,'a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1435572765;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module','quicktabs_tabstyles','module','',1,0,0,0,'a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1380731929\";s:5:\"mtime\";i:1435572765;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/superfish/superfish.module','superfish','module','',1,0,7100,0,'a:13:{s:4:\"name\";s:9:\"Superfish\";s:11:\"description\";s:46:\"jQuery Superfish plugin for your Drupal menus.\";s:7:\"package\";s:14:\"User interface\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:9:\"configure\";s:37:\"admin/config/user-interface/superfish\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:9:\"superfish\";s:9:\"datestamp\";s:10:\"1367054112\";s:5:\"mtime\";i:1435572628;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tb_megamenu/tb_megamenu.module','tb_megamenu','module','',1,0,7101,0,'a:11:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:9:\"libraries\";}s:5:\"files\";a:5:{i:0;s:25:\"tb_megamenu.functions.inc\";i:1;s:22:\"tb_megamenu.themes.inc\";i:2;s:20:\"tb_megamenu.ajax.inc\";i:3;s:21:\"tb_megamenu.admin.inc\";i:4;s:18:\"tb_megamenu.module\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:5:\"mtime\";i:1435572589;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/tests/token_test.module','token_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Token Test\";s:11:\"description\";s:39:\"Testing module for token functionality.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"token_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:5:\"mtime\";i:1435572777;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/token.module','token','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1425149060\";s:5:\"mtime\";i:1435572777;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/tests/views_test.module','views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Views Test\";s:11:\"description\";s:22:\"Test module for Views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.11\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1430321048\";s:5:\"mtime\";i:1435656876;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views.module','views','module','',1,0,7301,10,'a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:3:\"5.2\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:303:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:39:\"handlers/views_handler_field_custom.inc\";i:19;s:37:\"handlers/views_handler_field_date.inc\";i:20;s:39:\"handlers/views_handler_field_entity.inc\";i:21;s:39:\"handlers/views_handler_field_markup.inc\";i:22;s:37:\"handlers/views_handler_field_math.inc\";i:23;s:40:\"handlers/views_handler_field_numeric.inc\";i:24;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:25;s:46:\"handlers/views_handler_field_time_interval.inc\";i:26;s:43:\"handlers/views_handler_field_serialized.inc\";i:27;s:45:\"handlers/views_handler_field_machine_name.inc\";i:28;s:36:\"handlers/views_handler_field_url.inc\";i:29;s:33:\"handlers/views_handler_filter.inc\";i:30;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:31;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:32;s:41:\"handlers/views_handler_filter_combine.inc\";i:33;s:38:\"handlers/views_handler_filter_date.inc\";i:34;s:42:\"handlers/views_handler_filter_equality.inc\";i:35;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:36;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:37;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:38;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:39;s:41:\"handlers/views_handler_filter_numeric.inc\";i:40;s:40:\"handlers/views_handler_filter_string.inc\";i:41;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:42;s:39:\"handlers/views_handler_relationship.inc\";i:43;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:44;s:31:\"handlers/views_handler_sort.inc\";i:45;s:36:\"handlers/views_handler_sort_date.inc\";i:46;s:39:\"handlers/views_handler_sort_formula.inc\";i:47;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:48;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:49;s:38:\"handlers/views_handler_sort_random.inc\";i:50;s:17:\"includes/base.inc\";i:51;s:21:\"includes/handlers.inc\";i:52;s:20:\"includes/plugins.inc\";i:53;s:17:\"includes/view.inc\";i:54;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:55;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:56;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:57;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:58;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:59;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:60;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:61;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:62;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:63;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:64;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:65;s:47:\"modules/comment/views_handler_field_comment.inc\";i:66;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:67;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:68;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:69;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:70;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:71;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:73;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:74;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:75;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:76;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:77;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:78;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:79;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:80;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:81;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:82;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:83;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:84;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:85;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:86;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:87;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:88;s:43:\"modules/field/views_handler_field_field.inc\";i:89;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:90;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:91;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:92;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:93;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:94;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:95;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:96;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:97;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:98;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:99;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:100;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:101;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:102;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:103;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:104;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:105;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:106;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:107;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:108;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:109;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:110;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:111;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:112;s:41:\"modules/node/views_handler_field_node.inc\";i:113;s:46:\"modules/node/views_handler_field_node_link.inc\";i:114;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:115;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:116;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:117;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:118;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:119;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:120;s:46:\"modules/node/views_handler_field_node_path.inc\";i:121;s:46:\"modules/node/views_handler_field_node_type.inc\";i:122;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:123;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:124;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:125;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:126;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:127;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:128;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:129;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:130;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:131;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:132;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:133;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:134;s:48:\"modules/search/views_handler_argument_search.inc\";i:135;s:51:\"modules/search/views_handler_field_search_score.inc\";i:136;s:46:\"modules/search/views_handler_filter_search.inc\";i:137;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:138;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:139;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:140;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:141;s:43:\"modules/system/views_handler_field_file.inc\";i:142;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:143;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:144;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:145;s:50:\"modules/system/views_handler_field_file_status.inc\";i:146;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:147;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:148;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:149;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:150;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:151;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:152;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:153;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:154;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:155;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:156;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:157;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:158;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:159;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:160;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:161;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:162;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:163;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:164;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:165;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:166;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:167;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:168;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:169;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:170;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:171;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:172;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:173;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:174;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:175;s:41:\"modules/user/views_handler_field_user.inc\";i:176;s:50:\"modules/user/views_handler_field_user_language.inc\";i:177;s:46:\"modules/user/views_handler_field_user_link.inc\";i:178;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:179;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:180;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:181;s:46:\"modules/user/views_handler_field_user_name.inc\";i:182;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:183;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:184;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:185;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:186;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:187;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:188;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:189;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:190;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:191;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:192;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:193;s:31:\"plugins/views_plugin_access.inc\";i:194;s:36:\"plugins/views_plugin_access_none.inc\";i:195;s:36:\"plugins/views_plugin_access_perm.inc\";i:196;s:36:\"plugins/views_plugin_access_role.inc\";i:197;s:41:\"plugins/views_plugin_argument_default.inc\";i:198;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:199;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:200;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:201;s:42:\"plugins/views_plugin_argument_validate.inc\";i:202;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:203;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:204;s:30:\"plugins/views_plugin_cache.inc\";i:205;s:35:\"plugins/views_plugin_cache_none.inc\";i:206;s:35:\"plugins/views_plugin_cache_time.inc\";i:207;s:32:\"plugins/views_plugin_display.inc\";i:208;s:43:\"plugins/views_plugin_display_attachment.inc\";i:209;s:38:\"plugins/views_plugin_display_block.inc\";i:210;s:40:\"plugins/views_plugin_display_default.inc\";i:211;s:38:\"plugins/views_plugin_display_embed.inc\";i:212;s:41:\"plugins/views_plugin_display_extender.inc\";i:213;s:37:\"plugins/views_plugin_display_feed.inc\";i:214;s:37:\"plugins/views_plugin_display_page.inc\";i:215;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:216;s:37:\"plugins/views_plugin_exposed_form.inc\";i:217;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:218;s:42:\"plugins/views_plugin_localization_core.inc\";i:219;s:37:\"plugins/views_plugin_localization.inc\";i:220;s:42:\"plugins/views_plugin_localization_none.inc\";i:221;s:30:\"plugins/views_plugin_pager.inc\";i:222;s:35:\"plugins/views_plugin_pager_full.inc\";i:223;s:35:\"plugins/views_plugin_pager_mini.inc\";i:224;s:35:\"plugins/views_plugin_pager_none.inc\";i:225;s:35:\"plugins/views_plugin_pager_some.inc\";i:226;s:30:\"plugins/views_plugin_query.inc\";i:227;s:38:\"plugins/views_plugin_query_default.inc\";i:228;s:28:\"plugins/views_plugin_row.inc\";i:229;s:35:\"plugins/views_plugin_row_fields.inc\";i:230;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:231;s:30:\"plugins/views_plugin_style.inc\";i:232;s:38:\"plugins/views_plugin_style_default.inc\";i:233;s:35:\"plugins/views_plugin_style_grid.inc\";i:234;s:35:\"plugins/views_plugin_style_list.inc\";i:235;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:236;s:38:\"plugins/views_plugin_style_mapping.inc\";i:237;s:34:\"plugins/views_plugin_style_rss.inc\";i:238;s:38:\"plugins/views_plugin_style_summary.inc\";i:239;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:240;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:241;s:36:\"plugins/views_plugin_style_table.inc\";i:242;s:34:\"tests/handlers/views_handlers.test\";i:243;s:43:\"tests/handlers/views_handler_area_text.test\";i:244;s:47:\"tests/handlers/views_handler_argument_null.test\";i:245;s:49:\"tests/handlers/views_handler_argument_string.test\";i:246;s:39:\"tests/handlers/views_handler_field.test\";i:247;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:248;s:46:\"tests/handlers/views_handler_field_custom.test\";i:249;s:47:\"tests/handlers/views_handler_field_counter.test\";i:250;s:44:\"tests/handlers/views_handler_field_date.test\";i:251;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:252;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:253;s:44:\"tests/handlers/views_handler_field_math.test\";i:254;s:43:\"tests/handlers/views_handler_field_url.test\";i:255;s:43:\"tests/handlers/views_handler_field_xss.test\";i:256;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:257;s:45:\"tests/handlers/views_handler_filter_date.test\";i:258;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:259;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:260;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:261;s:47:\"tests/handlers/views_handler_filter_string.test\";i:262;s:45:\"tests/handlers/views_handler_sort_random.test\";i:263;s:43:\"tests/handlers/views_handler_sort_date.test\";i:264;s:38:\"tests/handlers/views_handler_sort.test\";i:265;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:266;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:267;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:268;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:269;s:39:\"tests/plugins/views_plugin_display.test\";i:270;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:271;s:36:\"tests/styles/views_plugin_style.test\";i:272;s:41:\"tests/styles/views_plugin_style_base.test\";i:273;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:274;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:275;s:23:\"tests/views_access.test\";i:276;s:24:\"tests/views_analyze.test\";i:277;s:22:\"tests/views_basic.test\";i:278;s:33:\"tests/views_argument_default.test\";i:279;s:35:\"tests/views_argument_validator.test\";i:280;s:29:\"tests/views_exposed_form.test\";i:281;s:31:\"tests/field/views_fieldapi.test\";i:282;s:25:\"tests/views_glossary.test\";i:283;s:24:\"tests/views_groupby.test\";i:284;s:25:\"tests/views_handlers.test\";i:285;s:23:\"tests/views_module.test\";i:286;s:22:\"tests/views_pager.test\";i:287;s:40:\"tests/views_plugin_localization_test.inc\";i:288;s:29:\"tests/views_translatable.test\";i:289;s:22:\"tests/views_query.test\";i:290;s:24:\"tests/views_upgrade.test\";i:291;s:34:\"tests/views_test.views_default.inc\";i:292;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:293;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:294;s:45:\"tests/node/views_node_revision_relations.test\";i:295;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:296;s:45:\"tests/user/views_handler_field_user_name.test\";i:297;s:43:\"tests/user/views_user_argument_default.test\";i:298;s:44:\"tests/user/views_user_argument_validate.test\";i:299;s:26:\"tests/user/views_user.test\";i:300;s:22:\"tests/views_cache.test\";i:301;s:21:\"tests/views_view.test\";i:302;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.11\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1430321048\";s:5:\"mtime\";i:1435656876;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views_ui.module','views_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.11\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1430321048\";s:5:\"mtime\";i:1435656876;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','views_slideshow_cycle','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:28:\"views_slideshow_cycle.module\";i:1;s:41:\"views_slideshow_cycle.views_slideshow.inc\";i:2;s:37:\"theme/views_slideshow_cycle.theme.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1435572757;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/views_slideshow.module','views_slideshow','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:13:\"views (>=3.0)\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:22:\"views_slideshow.module\";i:1;s:31:\"theme/views_slideshow.theme.inc\";i:2;s:25:\"views_slideshow.views.inc\";i:3;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1382584826\";s:5:\"mtime\";i:1435572759;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/wysiwyg/tests/wysiwyg_test.module','wysiwyg_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Wysiwyg testing\";s:11:\"description\";s:50:\"Tests Wysiwyg module functionality. Do not enable.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:7:\"wysiwyg\";}s:5:\"files\";a:1:{i:0;s:19:\"wysiwyg_test.module\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:5:\"mtime\";i:1435572781;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/wysiwyg/wysiwyg.module','wysiwyg','module','',1,0,7200,0,'a:13:{s:4:\"name\";s:7:\"Wysiwyg\";s:11:\"description\";s:48:\"Allows to edit content with client-side editors.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:28:\"admin/config/content/wysiwyg\";s:5:\"files\";a:2:{i:0;s:14:\"wysiwyg.module\";i:1;s:18:\"tests/wysiwyg.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:7:\"wysiwyg\";s:9:\"datestamp\";s:10:\"1349213776\";s:5:\"mtime\";i:1435572784;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/themes/nucleus/nucleus/nucleus.info','nucleus','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:7:\"nucleus\";s:11:\"description\";s:21:\"Base theme for Drupal\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"screenshot\";s:47:\"sites/all/themes/nucleus/nucleus/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:16:\"css/messages.css\";s:49:\"sites/all/themes/nucleus/nucleus/css/messages.css\";}s:11:\"only screen\";a:1:{s:29:\"css/responsive/responsive.css\";s:62:\"sites/all/themes/nucleus/nucleus/css/responsive/responsive.css\";}}s:7:\"scripts\";a:1:{s:19:\"js/jquery.cookie.js\";s:52:\"sites/all/themes/nucleus/nucleus/js/jquery.cookie.js\";}s:23:\"stylesheets-conditional\";a:2:{s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"regions\";a:18:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:11:\"highlighted\";s:11:\"Highlighted\";s:9:\"slideshow\";s:9:\"Slideshow\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:25:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";s:15:\"show_skins_menu\";s:1:\"1\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:15:\"supported_grids\";a:6:{i:12;s:10:\"12 columns\";i:16;s:10:\"16 columns\";i:24;s:10:\"24 columns\";s:3:\"min\";s:1:\"2\";s:3:\"max\";s:3:\"100\";s:5:\"delta\";s:1:\"2\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572596;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('sites/all/themes/nucleus/nucleus_starter/nucleus_starter.info','nucleus_starter','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:15:\"nucleus_starter\";s:11:\"description\";s:37:\"Starter theme for nucleus base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:55:\"sites/all/themes/nucleus/nucleus_starter/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:62:\"sites/all/themes/nucleus/nucleus_starter/css/html-elements.css\";s:13:\"css/forms.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forms.css\";s:12:\"css/page.css\";s:53:\"sites/all/themes/nucleus/nucleus_starter/css/page.css\";s:16:\"css/articles.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/articles.css\";s:16:\"css/comments.css\";s:57:\"sites/all/themes/nucleus/nucleus_starter/css/comments.css\";s:13:\"css/forum.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/forum.css\";s:14:\"css/fields.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/fields.css\";s:14:\"css/blocks.css\";s:55:\"sites/all/themes/nucleus/nucleus_starter/css/blocks.css\";s:19:\"css/panel-panes.css\";s:60:\"sites/all/themes/nucleus/nucleus_starter/css/panel-panes.css\";s:18:\"css/navigation.css\";s:59:\"sites/all/themes/nucleus/nucleus_starter/css/navigation.css\";s:13:\"css/fonts.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/fonts.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:54:\"sites/all/themes/nucleus/nucleus_starter/css/print.css\";}}s:7:\"regions\";a:22:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"panel_second_1\";s:21:\"Panel second column 1\";s:14:\"panel_second_2\";s:21:\"Panel second column 2\";s:14:\"panel_second_3\";s:21:\"Panel second column 3\";s:14:\"panel_second_4\";s:21:\"Panel second column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:24:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"6\";s:20:\"sidebar_second_width\";s:1:\"6\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:20:\"panel_second_1_width\";s:1:\"6\";s:20:\"panel_second_2_width\";s:1:\"6\";s:20:\"panel_second_3_width\";s:1:\"6\";s:20:\"panel_second_4_width\";s:1:\"6\";s:9:\"base_font\";s:6:\"bf-sss\";s:14:\"site_name_font\";s:6:\"snf-sl\";s:16:\"site_slogan_font\";s:6:\"ssf-sl\";s:15:\"page_title_font\";s:6:\"ptf-sl\";s:15:\"node_title_font\";s:6:\"ntf-sl\";s:18:\"comment_title_font\";s:6:\"ctf-sl\";s:16:\"block_title_font\";s:6:\"btf-sl\";s:9:\"font_size\";s:9:\"fs-medium\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:16:\"superfish_styles\";a:1:{s:7:\"starter\";s:27:\"Starter Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:7:\"starter\";s:27:\"Starter style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572597;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('sites/all/themes/tb_simply/tb_simply.info','tb_simply','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:23:{s:4:\"name\";s:9:\"Tb Simply\";s:11:\"description\";s:299:\"TB Simply is a light weight Drupal theme that is based on <a href=\"http://themebrain.com/about-nucleus\">Nucleus</a> and shows a slick styling of some basic Drupal content types such as blog, poll, forum and a contact form. Requires <a href=\"http://drupal.org/project/nucleus\">Nucleus</a> base theme.\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:10:\"base theme\";s:7:\"nucleus\";s:10:\"screenshot\";s:41:\"sites/all/themes/tb_simply/screenshot.png\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:11:{s:21:\"css/html-elements.css\";s:48:\"sites/all/themes/tb_simply/css/html-elements.css\";s:13:\"css/forms.css\";s:40:\"sites/all/themes/tb_simply/css/forms.css\";s:12:\"css/page.css\";s:39:\"sites/all/themes/tb_simply/css/page.css\";s:16:\"css/articles.css\";s:43:\"sites/all/themes/tb_simply/css/articles.css\";s:16:\"css/comments.css\";s:43:\"sites/all/themes/tb_simply/css/comments.css\";s:13:\"css/forum.css\";s:40:\"sites/all/themes/tb_simply/css/forum.css\";s:14:\"css/fields.css\";s:41:\"sites/all/themes/tb_simply/css/fields.css\";s:14:\"css/blocks.css\";s:41:\"sites/all/themes/tb_simply/css/blocks.css\";s:18:\"css/navigation.css\";s:45:\"sites/all/themes/tb_simply/css/navigation.css\";s:13:\"css/fonts.css\";s:40:\"sites/all/themes/tb_simply/css/fonts.css\";s:12:\"css/css3.css\";s:39:\"sites/all/themes/tb_simply/css/css3.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:40:\"sites/all/themes/tb_simply/css/print.css\";}}s:23:\"stylesheets-conditional\";a:3:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}s:4:\"IE 9\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}s:4:\"IE 7\";a:1:{s:3:\"all\";a:1:{i:0;s:11:\"css/ie7.css\";}}}s:7:\"scripts\";a:2:{s:29:\"js/jquery.matchHeights.min.js\";s:56:\"sites/all/themes/tb_simply/js/jquery.matchHeights.min.js\";s:15:\"js/tb_simply.js\";s:42:\"sites/all/themes/tb_simply/js/tb_simply.js\";}s:7:\"regions\";a:19:{s:7:\"content\";s:12:\"Main content\";s:6:\"header\";s:6:\"Header\";s:8:\"menu_bar\";s:8:\"Menu bar\";s:9:\"slideshow\";s:9:\"Slideshow\";s:7:\"feature\";s:7:\"Feature\";s:11:\"highlighted\";s:11:\"Highlighted\";s:6:\"footer\";s:6:\"Footer\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:13:\"panel_first_1\";s:20:\"Panel first column 1\";s:13:\"panel_first_2\";s:20:\"Panel first column 2\";s:13:\"panel_first_3\";s:20:\"Panel first column 3\";s:13:\"panel_first_4\";s:20:\"Panel first column 4\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";i:7;s:16:\"go_to_top_button\";i:8;s:14:\"secondary_menu\";}s:8:\"settings\";a:38:{s:18:\"breadcrumb_display\";s:3:\"yes\";s:20:\"breadcrumb_separator\";s:8:\" &#187; \";s:15:\"breadcrumb_home\";s:1:\"1\";s:4:\"grid\";s:13:\"fluid-grid-24\";s:12:\"layout_width\";s:5:\"960px\";s:17:\"layout_debug_grid\";s:1:\"0\";s:11:\"page_layout\";s:7:\"default\";s:19:\"sidebar_first_width\";s:1:\"7\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:9:\"base_font\";s:4:\"bf-a\";s:14:\"site_name_font\";s:0:\"\";s:16:\"site_slogan_font\";s:0:\"\";s:15:\"page_title_font\";s:0:\"\";s:15:\"node_title_font\";s:0:\"\";s:18:\"comment_title_font\";s:0:\"\";s:16:\"block_title_font\";s:0:\"\";s:9:\"font_size\";s:9:\"fs-medium\";s:22:\"load_extra_typo_styles\";s:1:\"1\";s:24:\"superfish_extend_style_1\";s:6:\"simply\";s:32:\"quicktabs_extend_style_quicktabs\";s:6:\"simply\";s:27:\"default_region_footer_style\";s:3:\"raw\";s:27:\"default_region_header_style\";s:3:\"raw\";s:30:\"default_region_slideshow_style\";s:3:\"raw\";s:11:\"toggle_logo\";s:1:\"0\";s:11:\"toggle_name\";s:1:\"1\";s:13:\"toggle_slogan\";s:1:\"1\";s:24:\"toggle_node_user_picture\";s:1:\"1\";s:27:\"toggle_comment_user_picture\";s:1:\"1\";s:32:\"toggle_comment_user_verification\";s:1:\"1\";s:14:\"toggle_favicon\";s:1:\"1\";s:21:\"toggle_secondary_menu\";s:1:\"1\";s:12:\"default_logo\";s:1:\"1\";s:15:\"default_favicon\";s:1:\"1\";s:9:\"logo_path\";s:0:\"\";s:12:\"favicon_path\";s:0:\"\";}s:5:\"pages\";a:1:{s:7:\"default\";s:11:\"Normal page\";}s:13:\"default_fonts\";a:8:{s:3:\"sss\";s:76:\"Calibri, Candara, Helvetica Neue, Trebuchet MS, Arial, Helvetica, sans-serif\";s:3:\"ssl\";s:45:\"Verdana, Geneva, Arial, Helvetica, sans-serif\";s:1:\"a\";s:28:\"Arial, Helvetica, sans-serif\";s:2:\"ss\";s:42:\"Garamond, Perpetua, Times New Roman, serif\";s:2:\"sl\";s:87:\"Georgia, Baskerville, Palatino, Palatino Linotype, Book Antiqua, Times New Roman, serif\";s:1:\"m\";s:59:\"Segoe UI, Myriad Pro, Myriad, Arial, Helvetica, sans-serif;\";s:1:\"l\";s:76:\"Lucida Sans Unicode, Lucida Sans, Lucida Grande, Verdana, Geneva, sans-serif\";s:2:\"ms\";s:49:\"Consolas, Monaco, Courier New, Courier, monospace\";}s:12:\"block_styles\";a:3:{s:3:\"raw\";s:3:\"Raw\";s:7:\"rounded\";s:7:\"Rounded\";s:5:\"xhtml\";s:5:\"XHTML\";}s:20:\"block_extend_classes\";a:8:{s:9:\"badge-hot\";s:9:\"Badge Hot\";s:9:\"badge-new\";s:9:\"Badge New\";s:10:\"badge-pick\";s:10:\"Badge Pick\";s:9:\"badge-top\";s:9:\"Badge Top\";s:10:\"blue-color\";s:10:\"Blue Color\";s:11:\"white-color\";s:11:\"White Color\";s:12:\"yellow-color\";s:12:\"Yellow Color\";s:10:\"no-padding\";s:10:\"No Padding\";}s:16:\"superfish_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Superfish\";}s:16:\"quicktabs_styles\";a:1:{s:6:\"simply\";s:26:\"Simply Style for Quicktabs\";}s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1435572603;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.38\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1434567286\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1434542086;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/tests/block_test_theme/block_test_theme.info','block_test_theme','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:16:\"Block test theme\";s:11:\"description\";s:34:\"Theme for testing the block system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"regions\";a:10:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:4:{i:0;s:13:\"sidebar_first\";i:1;s:14:\"sidebar_second\";i:2;s:8:\"page_top\";i:3;s:11:\"page_bottom\";}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:44:\"themes/tests/block_test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/tests/test_theme/test_theme.info','test_theme','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:10:\"Test theme\";s:11:\"description\";s:34:\"Theme for testing the theme system\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"system.base.css\";s:39:\"themes/tests/test_theme/system.base.css\";}}s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:38:\"themes/tests/test_theme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/tests/update_test_basetheme/update_test_basetheme.info','update_test_basetheme','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:22:\"Update test base theme\";s:11:\"description\";s:63:\"Test theme which acts as a base theme for other test subthemes.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:49:\"themes/tests/update_test_basetheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}'),('themes/tests/update_test_subtheme/update_test_subtheme.info','update_test_subtheme','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:20:\"Update test subtheme\";s:11:\"description\";s:62:\"Test theme which uses update_test_basetheme as the base theme.\";s:4:\"core\";s:3:\"7.x\";s:10:\"base theme\";s:21:\"update_test_basetheme\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.10\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1323125439\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:48:\"themes/tests/update_test_subtheme/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:11:\"stylesheets\";a:0:{}s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1435572493;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:8:\"page_top\";}}');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
INSERT INTO `taxonomy_index` VALUES (1,2,1,1326689095),(1,3,1,1326689095),(2,3,0,1326689469),(3,2,0,1326689691),(3,3,0,1326689691),(5,3,0,1326697098),(6,3,0,1326697191),(7,3,0,1326697268),(8,3,0,1326697363),(11,14,0,1326700560),(11,15,0,1326700560),(12,14,0,1326700692),(13,14,0,1326700748),(16,6,0,1326766039),(17,6,0,1326766123),(18,7,0,1326766270),(19,7,0,1326766321),(20,7,0,1326766416),(21,12,0,1326766554);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 COMMENT='Stores term information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
INSERT INTO `taxonomy_term_data` VALUES (2,1,'featured',NULL,NULL,0),(3,3,'Demo Articles','Sample articles used for Demo only.','filtered_html',0),(4,2,'Helps and Supports','Helps and Supports Forums',NULL,8),(5,2,'General Discussions','General Discussions Forums',NULL,9),(6,2,'Upgrading Drupal','',NULL,0),(7,2,'Installing Drupal','',NULL,1),(8,2,'Converting to Drupal','',NULL,2),(9,2,'Before you start','',NULL,3),(10,2,'Post installation','',NULL,0),(11,2,'Module development','',NULL,1),(12,2,'Theme development','',NULL,2),(13,2,'Translations','',NULL,3),(14,1,'drupal',NULL,NULL,0),(15,1,'tutorials',NULL,NULL,0);
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `taxonomy_term_hierarchy`
--

DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_hierarchy`
--

LOCK TABLES `taxonomy_term_hierarchy` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` DISABLE KEYS */;
INSERT INTO `taxonomy_term_hierarchy` VALUES (2,0),(3,0),(4,0),(5,0),(14,0),(15,0),(6,4),(7,4),(8,4),(9,4),(10,5),(11,5),(12,5),(13,5);
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `taxonomy_vocabulary`
--

DROP TABLE IF EXISTS `taxonomy_vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_vocabulary`
--

LOCK TABLES `taxonomy_vocabulary` WRITE;
/*!40000 ALTER TABLE `taxonomy_vocabulary` DISABLE KEYS */;
INSERT INTO `taxonomy_vocabulary` VALUES (1,'Tags','tags','Use tags to group articles on similar topics into categories.',0,'taxonomy',0),(2,'Forums','forums','Forum navigation vocabulary',1,'forum',-10),(3,'Articles','articles','Articles categories',0,'taxonomy',0);
/*!40000 ALTER TABLE `taxonomy_vocabulary` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_megamenus`
--

DROP TABLE IF EXISTS `tb_megamenus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_megamenus` (
  `menu_name` varchar(255) NOT NULL,
  `block_config` text,
  `menu_config` text,
  `language` varchar(12) NOT NULL DEFAULT '',
  PRIMARY KEY (`menu_name`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_megamenus`
--

LOCK TABLES `tb_megamenus` WRITE;
/*!40000 ALTER TABLE `tb_megamenus` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_megamenus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tracker_node`
--

DROP TABLE IF EXISTS `tracker_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tracker_node` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `published` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is published.',
  `changed` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved or commented on.',
  PRIMARY KEY (`nid`),
  KEY `tracker` (`published`,`changed`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Tracks when nodes were last changed or commented on.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tracker_node`
--

LOCK TABLES `tracker_node` WRITE;
/*!40000 ALTER TABLE `tracker_node` DISABLE KEYS */;
INSERT INTO `tracker_node` VALUES (1,1,1326689255),(2,1,1326689514),(3,1,1326689691),(4,1,1326696944),(5,1,1326697098),(6,1,1326697191),(7,1,1326697268),(8,1,1326697363),(9,1,1326698293),(10,1,1326699621),(11,1,1326700560),(12,1,1326700692),(13,1,1326700748),(14,1,1326706235),(15,1,1326706417),(16,1,1326766039),(17,1,1326766123),(18,1,1326766270),(19,1,1326766321),(20,1,1326766416),(21,1,1326766651);
/*!40000 ALTER TABLE `tracker_node` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tracker_user`
--

DROP TABLE IF EXISTS `tracker_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tracker_user` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the node author or commenter.',
  `published` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is published.',
  `changed` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved or commented on.',
  PRIMARY KEY (`nid`,`uid`),
  KEY `tracker` (`uid`,`published`,`changed`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Tracks when nodes were last changed or commented on, for...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tracker_user`
--

LOCK TABLES `tracker_user` WRITE;
/*!40000 ALTER TABLE `tracker_user` DISABLE KEYS */;
INSERT INTO `tracker_user` VALUES (1,1,1,1326689255),(2,1,1,1326689514),(3,1,1,1326689691),(4,1,1,1326696944),(5,1,1,1326697098),(6,1,1,1326697191),(7,1,1,1326697268),(8,1,1,1326697363),(9,1,1,1326698293),(10,1,1,1326699621),(11,1,1,1326700560),(12,1,1,1326700692),(13,1,1,1326700748),(14,1,1,1326706235),(15,1,1,1326706417),(16,1,1,1326766039),(21,1,1,1326766651),(20,4,1,1326766416),(19,5,1,1326766321),(18,7,1,1326766270),(17,8,1,1326766123);
/*!40000 ALTER TABLE `tracker_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `trigger_assignments`
--

DROP TABLE IF EXISTS `trigger_assignments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `trigger_assignments` (
  `hook` varchar(78) NOT NULL DEFAULT '' COMMENT 'Primary Key: The name of the internal Drupal hook; for example, node_insert.',
  `aid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Action’s actions.aid.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the trigger assignment in relation to other triggers.',
  PRIMARY KEY (`hook`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps trigger to hook and operation assignments from...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `trigger_assignments`
--

LOCK TABLES `trigger_assignments` WRITE;
/*!40000 ALTER TABLE `trigger_assignments` DISABLE KEYS */;
/*!40000 ALTER TABLE `trigger_assignments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `url_alias`
--

DROP TABLE IF EXISTS `url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=81 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `url_alias`
--

LOCK TABLES `url_alias` WRITE;
/*!40000 ALTER TABLE `url_alias` DISABLE KEYS */;
INSERT INTO `url_alias` VALUES (37,'node/1','article/drupalorg-redesign-progress','en'),(38,'node/2','article/new-drupal-book-drupal-performance-tips','en'),(39,'node/3','article/drupalcon-london-2011-session-schedule','en'),(40,'node/4','article/invitation-present-ct-film','en'),(41,'node/5','article/updated-netbeans-plugins-support-drupal','en'),(42,'node/6','article/editing-documentation-embedded-drupal','en'),(43,'node/7','article/newspaper-modules-open-sourced-studio-multimedia-france-24-rfi','en'),(44,'node/8','article/drupal-74-released','en'),(45,'node/9','about-drupal','en'),(46,'node/10','blog/understanding-drupal','en'),(47,'node/11','blog/drupal-cookbook-beginners','en'),(48,'node/12','blog/history-druplicon-logo','en'),(49,'node/13','blog/drupal-accessibility-statement','en'),(50,'node/14','poll/what-do-you-think-about-nucleus-framework','en'),(51,'node/15','poll/which-basetheme-you-most','en'),(52,'taxonomy/term/2','tag/featured','und'),(53,'taxonomy/term/3','articles/demo-articles','und'),(54,'taxonomy/term/14','tag/drupal','und'),(55,'taxonomy/term/15','tag/tutorials','und'),(56,'user/1','users/admin','und'),(57,'user/4','users/john-smith','und'),(58,'user/5','users/mary-anne','und'),(59,'user/6','users/steve-jobs','und'),(60,'user/7','users/peter-grabielle','und'),(61,'user/8','users/david-gates','und'),(62,'forum/4','forums/helps-and-supports','und'),(63,'forum/5','forums/general-discussions','und'),(64,'forum/6','forums/upgrading-drupal','und'),(65,'forum/7','forums/installing-drupal','und'),(66,'forum/8','forums/converting-drupal','und'),(67,'forum/9','forums/you-start','und'),(68,'forum/10','forums/post-installation','und'),(69,'forum/11','forums/module-development','und'),(70,'forum/12','forums/theme-development','und'),(71,'forum/13','forums/translations','und'),(72,'blog/1','blogs/admin','und'),(73,'blog/4','blogs/john-smith','und'),(74,'blog/6','blogs/steve-jobs','und'),(75,'node/16','forum/site-building-guide','en'),(76,'node/17','forum/modules-failed-update','en'),(77,'node/18','forum/simplest-way-launch-drupal-aws','en'),(78,'node/19','forum/change-look-after-upadting-pixture-reloaded-theme','en'),(79,'node/20','forum/system-requirements','en'),(80,'node/21','forum/html-and-css-techniques','en');
/*!40000 ALTER TABLE `url_alias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique user ID.',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (0,'','','','','',NULL,0,0,0,0,NULL,'',0,'',NULL),(1,'admin','$S$DN/WJJ0U9nxDkqZV7GPJMg6nBfiHPEh/tHzn/Lq0BZV.zrELdEUZ','admin@localhost.dev','','',NULL,1326683500,1435657051,1435654169,1,'Asia/Ho_Chi_Minh','',0,'admin@localhost.dev','a:1:{s:7:\"contact\";i:1;}'),(4,'John Smith','$S$DNfjPm6IrVFapUNrhyMh13j3lQMzxPzfoXxQMIfZpROk0QZjbUlM','johnsmith@gmail.com','','','filtered_html',1326705716,0,0,1,'Asia/Ho_Chi_Minh','',0,'johnsmith@gmail.com','a:1:{s:7:\"contact\";i:1;}'),(5,'Mary Anne','$S$DwwavjH8JmpKN31PG1ci1yNeiSr7S7S1bWohk5R3J1lKiRLNQqZ0','maryanne@yahoo.com','','','filtered_html',1326705767,1326769546,1326769546,1,'Asia/Ho_Chi_Minh','',0,'maryanne@yahoo.com','a:1:{s:7:\"contact\";i:1;}'),(6,'Steve Jobs','$S$DxzxH4zzrdIBwiqxWWVAi5UtqeSSj2toYSGHhcZdQiwum0BzeV2I','stevejobs@apple.com','','','filtered_html',1326705811,0,0,1,'Asia/Ho_Chi_Minh','',0,'stevejobs@apple.com','a:1:{s:7:\"contact\";i:1;}'),(7,'Peter Grabielle','$S$DIafKQVlk5V9iiXhopJIKusZYzDni2RYo22GXfIwkw9Z.g3Vv1Sn','peterg@gmail.com','','','filtered_html',1326705848,1326769493,1326769493,1,'Asia/Ho_Chi_Minh','',0,'peterg@gmail.com','a:1:{s:7:\"contact\";i:1;}'),(8,'David Gates','$S$Dl84pdSkCsqyFQD8c.6vWpbq4Tu/77bZSfO6Nic/E6aFOvfVdU0O','david@hotmail.com','','','filtered_html',1326705878,1326769452,1326769452,1,'Asia/Ho_Chi_Minh','',0,'david@hotmail.com','a:1:{s:7:\"contact\";i:1;}');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users_roles`
--

DROP TABLE IF EXISTS `users_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_roles`
--

LOCK TABLES `users_roles` WRITE;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
INSERT INTO `users_roles` VALUES (1,3),(4,3),(6,3);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable`
--

LOCK TABLES `variable` WRITE;
/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
INSERT INTO `variable` VALUES ('admin_theme','s:5:\"seven\";'),('blog_block_count','s:1:\"5\";'),('cache_class_cache_ctools_css','s:14:\"CToolsCssCache\";'),('chosen_minimum_multiple','i:20;'),('chosen_minimum_single','i:20;'),('clean_url','s:1:\"1\";'),('comment_block_count','i:5;'),('comment_page','i:0;'),('cron_key','s:43:\"thvWRdUCq0ei7bbha9jZHuqioAWcXfWLbIxQqfWwx_0\";'),('cron_last','i:1435654174;'),('css_js_query_string','s:6:\"nqr4ui\";'),('ctools_last_cron','i:1435654188;'),('date_default_timezone','s:16:\"Asia/Krasnoyarsk\";'),('default_nodes_main','s:1:\"5\";'),('drupal_http_request_fails','b:0;'),('drupal_private_key','s:43:\"3sVumSs9wNmNIC3MzdTTH3SdpXmb0LXWJV3izxD92yo\";'),('field_bundle_settings_node__article','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__blog','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:1:\"0\";}s:4:\"path\";a:1:{s:6:\"weight\";s:1:\"4\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__page','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('file_temporary_path','s:12:\"D:\\xampp\\tmp\";'),('filter_fallback_format','s:10:\"plain_text\";'),('forum_containers','a:2:{i:0;s:1:\"4\";i:1;s:1:\"5\";}'),('forum_nav_vocabulary','s:1:\"2\";'),('install_profile','s:8:\"standard\";'),('install_task','s:4:\"done\";'),('install_time','i:1435654169;'),('language_negotiation_language','a:0:{}'),('language_negotiation_language_content','a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_negotiation_language_url','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_types','a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}'),('maintenance_mode','b:0;'),('menu_default_active_menus','a:5:{i:0;s:10:\"navigation\";i:1;s:10:\"management\";i:2;s:9:\"user-menu\";i:3;s:9:\"main-menu\";i:4;s:16:\"menu-footer-menu\";}'),('menu_expanded','a:0:{}'),('menu_masks','a:36:{i:0;i:501;i:1;i:493;i:2;i:250;i:3;i:247;i:4;i:246;i:5;i:245;i:6;i:126;i:7;i:125;i:8;i:124;i:9;i:123;i:10;i:122;i:11;i:121;i:12;i:117;i:13;i:63;i:14;i:62;i:15;i:61;i:16;i:60;i:17;i:59;i:18;i:58;i:19;i:44;i:20;i:31;i:21;i:30;i:22;i:29;i:23;i:28;i:24;i:24;i:25;i:21;i:26;i:15;i:27;i:14;i:28;i:13;i:29;i:11;i:30;i:7;i:31;i:6;i:32;i:5;i:33;i:3;i:34;i:2;i:35;i:1;}'),('node_admin_theme','s:1:\"1\";'),('node_cron_last','s:10:\"1326766554\";'),('node_options_forum','a:1:{i:0;s:6:\"status\";}'),('node_options_page','a:1:{i:0;s:6:\"status\";}'),('node_recent_block_count','s:1:\"5\";'),('node_submitted_page','b:0;'),('pathauto_blog_pattern','s:17:\"blogs/[user:name]\";'),('pathauto_forum_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_node_article_pattern','s:20:\"article/[node:title]\";'),('pathauto_node_blog_pattern','s:17:\"blog/[node:title]\";'),('pathauto_node_forum_pattern','s:18:\"forum/[node:title]\";'),('pathauto_node_page_pattern','s:12:\"[node:title]\";'),('pathauto_node_pattern','s:20:\"content/[node:title]\";'),('pathauto_node_poll_pattern','s:17:\"poll/[node:title]\";'),('pathauto_punctuation_hyphen','i:1;'),('pathauto_taxonomy_term_articles_pattern','s:20:\"articles/[term:name]\";'),('pathauto_taxonomy_term_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_taxonomy_term_tags_pattern','s:15:\"tag/[term:name]\";'),('pathauto_user_pattern','s:17:\"users/[user:name]\";'),('path_alias_whitelist','a:5:{s:4:\"blog\";b:1;s:5:\"forum\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}'),('site_403','s:0:\"\";'),('site_404','s:0:\"\";'),('site_default_country','s:0:\"\";'),('site_frontpage','s:4:\"node\";'),('site_mail','s:23:\"tb-simply@localhost.dev\";'),('site_name','s:9:\"TB Simply\";'),('site_slogan','s:27:\"Simplicity requires Courage\";'),('statistics_day_timestamp','i:1435654174;'),('superfish_arrow_1','i:1;'),('superfish_bgf_1','i:0;'),('superfish_delay_1','s:3:\"800\";'),('superfish_depth_1','s:2:\"-1\";'),('superfish_dfirstlast_1','i:0;'),('superfish_dzebra_1','i:0;'),('superfish_expanded_1','i:0;'),('superfish_firstlast_1','i:1;'),('superfish_hhldescription_1','i:0;'),('superfish_hid_1','i:1;'),('superfish_hlclass_1','s:0:\"\";'),('superfish_hldescription_1','i:0;'),('superfish_hldexclude_1','s:0:\"\";'),('superfish_hldmenus_1','s:0:\"\";'),('superfish_itemcounter_1','i:1;'),('superfish_itemcount_1','i:1;'),('superfish_itemdepth_1','i:1;'),('superfish_liclass_1','s:0:\"\";'),('superfish_maxwidth_1','s:2:\"27\";'),('superfish_mcdepth_1','s:1:\"1\";'),('superfish_mcexclude_1','s:0:\"\";'),('superfish_mclevels_1','s:1:\"1\";'),('superfish_menu_1','s:11:\"main-menu:0\";'),('superfish_minwidth_1','s:2:\"12\";'),('superfish_multicolumn_1','i:0;'),('superfish_name_1','s:9:\"Main Menu\";'),('superfish_pathclass_1','s:12:\"active-trail\";'),('superfish_pathcss_1','s:0:\"\";'),('superfish_pathlevels_1','s:1:\"1\";'),('superfish_shadow_1','i:1;'),('superfish_slide_1','s:8:\"vertical\";'),('superfish_smallasa_1','i:0;'),('superfish_smallbp_1','s:3:\"768\";'),('superfish_smallchc_1','i:0;'),('superfish_smallcmc_1','i:0;'),('superfish_smallech_1','s:0:\"\";'),('superfish_smallecm_1','s:0:\"\";'),('superfish_smallich_1','s:0:\"\";'),('superfish_smallicm_1','s:0:\"\";'),('superfish_smallset_1','s:0:\"\";'),('superfish_smallual_1','s:0:\"\";'),('superfish_smalluam_1','s:1:\"0\";'),('superfish_smallua_1','s:1:\"0\";'),('superfish_small_1','s:1:\"2\";'),('superfish_speed_1','s:4:\"fast\";'),('superfish_spp_1','i:1;'),('superfish_style_1','s:4:\"none\";'),('superfish_supersubs_1','i:1;'),('superfish_touchbp_1','s:3:\"768\";'),('superfish_touchual_1','s:0:\"\";'),('superfish_touchuam_1','s:1:\"0\";'),('superfish_touchua_1','s:1:\"0\";'),('superfish_touch_1','s:1:\"0\";'),('superfish_type_1','s:10:\"horizontal\";'),('superfish_ulclass_1','s:0:\"\";'),('superfish_use_item_theme_1','i:1;'),('superfish_use_link_theme_1','i:1;'),('superfish_wraphlt_1','s:0:\"\";'),('superfish_wraphl_1','s:0:\"\";'),('superfish_wrapmul_1','s:0:\"\";'),('superfish_wrapul_1','s:0:\"\";'),('superfish_zebra_1','i:1;'),('theme_default','s:9:\"tb_simply\";'),('theme_tb_simply_settings','a:214:{s:15:\"nucleus_version\";s:0:\"\";s:4:\"grid\";s:2:\"24\";s:21:\"layout_width_selector\";s:6:\"custom\";s:19:\"layout_width_custom\";s:5:\"960px\";s:31:\"region_block_hidden_system_main\";s:7:\"content\";s:31:\"region_block_hidden_search_form\";s:6:\"header\";s:31:\"region_block_hidden_superfish_1\";s:8:\"menu_bar\";s:41:\"region_block_hidden_views_Slideshow_block\";s:9:\"slideshow\";s:41:\"region_block_hidden_menu_menu_footer_menu\";s:6:\"footer\";s:27:\"region_block_hidden_block_1\";s:6:\"footer\";s:31:\"region_block_hidden_system_help\";s:4:\"help\";s:36:\"region_block_hidden_system_main_menu\";s:13:\"sidebar_first\";s:37:\"region_block_hidden_system_navigation\";s:13:\"sidebar_first\";s:30:\"region_block_hidden_user_login\";s:13:\"sidebar_first\";s:36:\"region_block_hidden_system_user_menu\";s:13:\"sidebar_first\";s:39:\"region_block_hidden_quicktabs_quicktabs\";s:13:\"sidebar_first\";s:31:\"region_block_hidden_node_recent\";s:13:\"sidebar_first\";s:31:\"region_block_hidden_poll_recent\";s:13:\"sidebar_first\";s:28:\"region_block_hidden_user_new\";s:13:\"sidebar_first\";s:31:\"region_block_hidden_user_online\";s:13:\"sidebar_first\";s:32:\"region_block_hidden_forum_active\";s:2:\"-1\";s:35:\"region_block_hidden_locale_language\";s:2:\"-1\";s:37:\"region_block_hidden_system_management\";s:2:\"-1\";s:29:\"region_block_hidden_forum_new\";s:2:\"-1\";s:37:\"region_block_hidden_system_powered_by\";s:2:\"-1\";s:31:\"region_block_hidden_blog_recent\";s:2:\"-1\";s:34:\"region_block_hidden_comment_recent\";s:2:\"-1\";s:38:\"region_block_hidden_shortcut_shortcuts\";s:2:\"-1\";s:31:\"region_block_hidden_superfish_2\";s:2:\"-1\";s:31:\"region_block_hidden_superfish_3\";s:2:\"-1\";s:31:\"region_block_hidden_superfish_4\";s:2:\"-1\";s:34:\"region_block_hidden_node_syndicate\";s:2:\"-1\";s:31:\"block_weight_hidden_system_main\";s:1:\"0\";s:31:\"block_weight_hidden_search_form\";s:2:\"-1\";s:31:\"block_weight_hidden_superfish_1\";s:1:\"0\";s:41:\"block_weight_hidden_views_Slideshow_block\";s:1:\"0\";s:41:\"block_weight_hidden_menu_menu_footer_menu\";s:3:\"-14\";s:27:\"block_weight_hidden_block_1\";s:3:\"-13\";s:31:\"block_weight_hidden_system_help\";s:1:\"0\";s:36:\"block_weight_hidden_system_main_menu\";s:3:\"-13\";s:37:\"block_weight_hidden_system_navigation\";s:3:\"-12\";s:30:\"block_weight_hidden_user_login\";s:3:\"-11\";s:36:\"block_weight_hidden_system_user_menu\";s:3:\"-10\";s:39:\"block_weight_hidden_quicktabs_quicktabs\";s:2:\"-9\";s:31:\"block_weight_hidden_node_recent\";s:2:\"-8\";s:31:\"block_weight_hidden_poll_recent\";s:2:\"-7\";s:28:\"block_weight_hidden_user_new\";s:2:\"-6\";s:31:\"block_weight_hidden_user_online\";s:2:\"-5\";s:32:\"block_weight_hidden_forum_active\";s:3:\"-14\";s:35:\"block_weight_hidden_locale_language\";s:3:\"-13\";s:37:\"block_weight_hidden_system_management\";s:3:\"-12\";s:29:\"block_weight_hidden_forum_new\";s:3:\"-11\";s:37:\"block_weight_hidden_system_powered_by\";s:3:\"-13\";s:31:\"block_weight_hidden_blog_recent\";s:3:\"-10\";s:34:\"block_weight_hidden_comment_recent\";s:2:\"-9\";s:38:\"block_weight_hidden_shortcut_shortcuts\";s:2:\"-8\";s:31:\"block_weight_hidden_superfish_2\";s:2:\"-7\";s:31:\"block_weight_hidden_superfish_3\";s:2:\"-6\";s:31:\"block_weight_hidden_superfish_4\";s:2:\"-5\";s:34:\"block_weight_hidden_node_syndicate\";s:2:\"-4\";s:23:\"block_system_main_style\";s:7:\"default\";s:30:\"block_system_main_extend_class\";s:0:\"\";s:20:\"region_content_style\";s:7:\"default\";s:27:\"region_content_extend_class\";s:0:\"\";s:23:\"block_search_form_style\";s:7:\"default\";s:30:\"block_search_form_extend_class\";s:0:\"\";s:19:\"region_header_style\";s:3:\"raw\";s:26:\"region_header_extend_class\";s:0:\"\";s:23:\"block_superfish_1_style\";s:7:\"default\";s:30:\"block_superfish_1_extend_class\";s:0:\"\";s:21:\"region_menu_bar_style\";s:7:\"default\";s:28:\"region_menu_bar_extend_class\";s:0:\"\";s:33:\"block_views_Slideshow_block_style\";s:0:\"\";s:40:\"block_views_Slideshow_block_extend_class\";s:0:\"\";s:22:\"region_slideshow_style\";s:3:\"raw\";s:29:\"region_slideshow_extend_class\";s:0:\"\";s:20:\"region_feature_style\";s:0:\"\";s:27:\"region_feature_extend_class\";s:0:\"\";s:24:\"region_highlighted_style\";s:0:\"\";s:31:\"region_highlighted_extend_class\";s:0:\"\";s:33:\"block_menu_menu_footer_menu_style\";s:0:\"\";s:40:\"block_menu_menu_footer_menu_extend_class\";s:0:\"\";s:19:\"block_block_1_style\";s:7:\"default\";s:26:\"block_block_1_extend_class\";s:0:\"\";s:19:\"region_footer_style\";s:3:\"raw\";s:26:\"region_footer_extend_class\";s:0:\"\";s:23:\"block_system_help_style\";s:7:\"default\";s:30:\"block_system_help_extend_class\";s:0:\"\";s:17:\"region_help_style\";s:7:\"default\";s:24:\"region_help_extend_class\";s:0:\"\";s:21:\"region_page_top_style\";s:0:\"\";s:28:\"region_page_top_extend_class\";s:0:\"\";s:24:\"region_page_bottom_style\";s:0:\"\";s:31:\"region_page_bottom_extend_class\";s:0:\"\";s:28:\"block_system_main_menu_style\";s:0:\"\";s:35:\"block_system_main_menu_extend_class\";s:0:\"\";s:29:\"block_system_navigation_style\";s:7:\"default\";s:36:\"block_system_navigation_extend_class\";s:0:\"\";s:22:\"block_user_login_style\";s:7:\"default\";s:29:\"block_user_login_extend_class\";s:0:\"\";s:28:\"block_system_user_menu_style\";s:0:\"\";s:35:\"block_system_user_menu_extend_class\";s:0:\"\";s:31:\"block_quicktabs_quicktabs_style\";s:7:\"default\";s:38:\"block_quicktabs_quicktabs_extend_class\";s:0:\"\";s:23:\"block_node_recent_style\";s:7:\"default\";s:30:\"block_node_recent_extend_class\";s:0:\"\";s:23:\"block_poll_recent_style\";s:7:\"default\";s:30:\"block_poll_recent_extend_class\";s:0:\"\";s:20:\"block_user_new_style\";s:7:\"default\";s:27:\"block_user_new_extend_class\";s:0:\"\";s:23:\"block_user_online_style\";s:7:\"default\";s:30:\"block_user_online_extend_class\";s:0:\"\";s:26:\"region_sidebar_first_style\";s:7:\"default\";s:33:\"region_sidebar_first_extend_class\";s:0:\"\";s:27:\"region_sidebar_second_style\";s:0:\"\";s:34:\"region_sidebar_second_extend_class\";s:0:\"\";s:26:\"region_panel_first_1_style\";s:0:\"\";s:33:\"region_panel_first_1_extend_class\";s:0:\"\";s:26:\"region_panel_first_2_style\";s:0:\"\";s:33:\"region_panel_first_2_extend_class\";s:0:\"\";s:26:\"region_panel_first_3_style\";s:0:\"\";s:33:\"region_panel_first_3_extend_class\";s:0:\"\";s:26:\"region_panel_first_4_style\";s:0:\"\";s:33:\"region_panel_first_4_extend_class\";s:0:\"\";s:27:\"region_dashboard_main_style\";s:0:\"\";s:34:\"region_dashboard_main_extend_class\";s:0:\"\";s:30:\"region_dashboard_sidebar_style\";s:0:\"\";s:37:\"region_dashboard_sidebar_extend_class\";s:0:\"\";s:31:\"region_dashboard_inactive_style\";s:0:\"\";s:38:\"region_dashboard_inactive_extend_class\";s:0:\"\";s:24:\"block_forum_active_style\";s:0:\"\";s:31:\"block_forum_active_extend_class\";s:0:\"\";s:27:\"block_locale_language_style\";s:0:\"\";s:34:\"block_locale_language_extend_class\";s:0:\"\";s:29:\"block_system_management_style\";s:0:\"\";s:36:\"block_system_management_extend_class\";s:0:\"\";s:21:\"block_forum_new_style\";s:0:\"\";s:28:\"block_forum_new_extend_class\";s:0:\"\";s:29:\"block_system_powered_by_style\";s:0:\"\";s:36:\"block_system_powered_by_extend_class\";s:0:\"\";s:23:\"block_blog_recent_style\";s:0:\"\";s:30:\"block_blog_recent_extend_class\";s:0:\"\";s:26:\"block_comment_recent_style\";s:0:\"\";s:33:\"block_comment_recent_extend_class\";s:0:\"\";s:30:\"block_shortcut_shortcuts_style\";s:0:\"\";s:37:\"block_shortcut_shortcuts_extend_class\";s:0:\"\";s:23:\"block_superfish_2_style\";s:0:\"\";s:30:\"block_superfish_2_extend_class\";s:0:\"\";s:23:\"block_superfish_3_style\";s:0:\"\";s:30:\"block_superfish_3_extend_class\";s:0:\"\";s:23:\"block_superfish_4_style\";s:0:\"\";s:30:\"block_superfish_4_extend_class\";s:0:\"\";s:26:\"block_node_syndicate_style\";s:0:\"\";s:33:\"block_node_syndicate_extend_class\";s:0:\"\";s:19:\"sidebar_first_width\";s:1:\"7\";s:20:\"sidebar_second_width\";s:1:\"0\";s:19:\"panel_first_1_width\";s:1:\"6\";s:19:\"panel_first_2_width\";s:1:\"6\";s:19:\"panel_first_3_width\";s:1:\"6\";s:19:\"panel_first_4_width\";s:1:\"6\";s:24:\"superfish_extend_style_1\";s:6:\"simply\";s:24:\"superfish_extend_style_2\";s:6:\"simply\";s:24:\"superfish_extend_style_3\";s:0:\"\";s:24:\"superfish_extend_style_4\";s:0:\"\";s:32:\"quicktabs_extend_style_quicktabs\";s:6:\"simply\";s:9:\"base_font\";s:4:\"bf-a\";s:13:\"base_font_gwf\";s:0:\"\";s:16:\"base_font_custom\";s:0:\"\";s:14:\"base_font_type\";s:0:\"\";s:14:\"site_name_font\";s:0:\"\";s:18:\"site_name_font_gwf\";s:0:\"\";s:21:\"site_name_font_custom\";s:0:\"\";s:19:\"site_name_font_type\";s:0:\"\";s:16:\"site_slogan_font\";s:0:\"\";s:20:\"site_slogan_font_gwf\";s:0:\"\";s:23:\"site_slogan_font_custom\";s:0:\"\";s:21:\"site_slogan_font_type\";s:0:\"\";s:15:\"page_title_font\";s:0:\"\";s:19:\"page_title_font_gwf\";s:0:\"\";s:22:\"page_title_font_custom\";s:0:\"\";s:20:\"page_title_font_type\";s:0:\"\";s:15:\"node_title_font\";s:0:\"\";s:19:\"node_title_font_gwf\";s:0:\"\";s:22:\"node_title_font_custom\";s:0:\"\";s:20:\"node_title_font_type\";s:0:\"\";s:18:\"comment_title_font\";s:0:\"\";s:22:\"comment_title_font_gwf\";s:0:\"\";s:25:\"comment_title_font_custom\";s:0:\"\";s:23:\"comment_title_font_type\";s:0:\"\";s:16:\"block_title_font\";s:0:\"\";s:20:\"block_title_font_gwf\";s:0:\"\";s:23:\"block_title_font_custom\";s:0:\"\";s:21:\"block_title_font_type\";s:0:\"\";s:9:\"font_size\";s:9:\"fs-medium\";s:11:\"toggle_logo\";i:0;s:11:\"toggle_name\";i:1;s:13:\"toggle_slogan\";i:1;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:21:\"toggle_secondary_menu\";i:1;s:18:\"breadcrumb_display\";i:0;s:19:\"back_to_top_display\";i:0;s:15:\"show_skins_menu\";i:1;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:28:\"nucleus_use_default_settings\";s:1:\"0\";s:21:\"nucleus_current_theme\";s:9:\"tb_simply\";s:19:\"nucleus__active_tab\";s:22:\"edit-supported-modules\";}'),('update_last_check','i:1435654227;'),('update_last_email_notification','i:1435654174;'),('update_notify_emails','a:1:{i:0;s:18:\"you@yourdomain.com\";}'),('user_admin_role','s:1:\"3\";'),('user_pictures','s:1:\"1\";'),('user_picture_dimensions','s:9:\"1024x1024\";'),('user_picture_file_size','s:3:\"800\";'),('user_picture_style','s:9:\"thumbnail\";'),('user_register','i:2;');
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `views_display`
--

DROP TABLE IF EXISTS `views_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_display`
--

LOCK TABLES `views_display` WRITE;
/*!40000 ALTER TABLE `views_display` DISABLE KEYS */;
INSERT INTO `views_display` VALUES (1,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:5:\"title\";s:8:\"Articles\";s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"5\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:4:\"node\";s:6:\"fields\";a:1:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:9:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:4:\"DESC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:2:{s:5:\"label\";s:6:\"Sticky\";s:5:\"order\";s:3:\"ASC\";}}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";i:1;s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"article\";s:7:\"article\";}}}}'),(1,'feed','Feed','feed',3,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"some\";}s:12:\"style_plugin\";s:3:\"rss\";s:10:\"row_plugin\";s:8:\"node_rss\";s:4:\"path\";s:12:\"articles.xml\";s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:4:\"page\";s:4:\"page\";}}'),(1,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"articles\";s:4:\"menu\";a:5:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Articles\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";}}'),(2,'block','Block','block',2,'a:1:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}}'),(2,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:5:\"title\";s:9:\"Slideshow\";s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:9:\"slideshow\";s:13:\"style_options\";a:5:{s:14:\"slideshow_type\";s:21:\"views_slideshow_cycle\";s:14:\"slideshow_skin\";s:7:\"default\";s:9:\"skin_info\";a:5:{s:5:\"class\";s:7:\"default\";s:4:\"name\";s:7:\"Default\";s:6:\"module\";s:15:\"views_slideshow\";s:4:\"path\";s:0:\"\";s:11:\"stylesheets\";a:0:{}}s:7:\"widgets\";a:2:{s:3:\"top\";a:3:{s:21:\"views_slideshow_pager\";a:3:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:2:{s:15:\"field_slideshow\";i:0;s:5:\"title\";i:0;}}s:24:\"views_slideshow_controls\";a:2:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:1:{s:6:\"weight\";s:1:\"1\";}}s:6:\"bottom\";a:3:{s:21:\"views_slideshow_pager\";a:3:{s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:28:\"views_slideshow_pager_fields\";s:35:\"views_slideshow_pager_fields_fields\";a:2:{s:15:\"field_slideshow\";i:0;s:5:\"title\";i:0;}}s:24:\"views_slideshow_controls\";a:3:{s:6:\"enable\";i:1;s:6:\"weight\";s:1:\"1\";s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:1;s:6:\"weight\";s:1:\"1\";}}}s:21:\"views_slideshow_cycle\";a:8:{s:7:\"timeout\";s:4:\"5000\";s:5:\"speed\";s:3:\"700\";s:5:\"delay\";s:1:\"0\";s:12:\"start_paused\";i:0;s:19:\"remember_slide_days\";s:1:\"1\";s:15:\"items_per_slide\";s:1:\"1\";s:9:\"cleartype\";i:0;s:13:\"cleartypenobg\";i:0;}}s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:15:\"field_slideshow\";a:14:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:12:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:15:\"trim_whitespace\";i:0;s:5:\"nl2br\";i:0;s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:4:\"html\";i:0;}s:19:\"element_label_colon\";b:0;s:23:\"element_default_classes\";i:1;s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;s:17:\"click_sort_column\";s:3:\"fid\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:9:\"slideshow\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:3:\"fid\";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:11:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:12:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:15:\"trim_whitespace\";i:0;s:5:\"nl2br\";i:0;s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:4:\"html\";i:0;}s:19:\"element_label_colon\";b:0;s:23:\"element_default_classes\";i:1;s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;s:12:\"link_to_node\";i:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";i:1;s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:19:\"field_slideshow_fid\";a:11:{s:2:\"id\";s:19:\"field_slideshow_fid\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:19:\"field_slideshow_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"0\";s:7:\"exposed\";b:0;s:6:\"expose\";a:8:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:12:\"use_operator\";i:0;s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";i:0;s:8:\"remember\";i:0;s:8:\"multiple\";i:0;}}}}');
/*!40000 ALTER TABLE `views_display` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `views_view`
--

DROP TABLE IF EXISTS `views_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_view`
--

LOCK TABLES `views_view` WRITE;
/*!40000 ALTER TABLE `views_view` DISABLE KEYS */;
INSERT INTO `views_view` VALUES (1,'Articles','Default Articles List','default','node','Articles',7),(2,'Slideshow','Default Slideshow','default','node','Slideshow',7);
/*!40000 ALTER TABLE `views_view` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
INSERT INTO `watchdog` VALUES (1,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://tb-simply.dev/install.php?profile=themebrain_profile&locale=en','http://tb-simply.dev/install.php?profile=themebrain_profile&locale=en','127.0.0.1',1435654171),(2,0,'cron','Cron run completed.','a:0:{}',5,'','http://tb-simply.dev/admin/config/search/clean-urls/check','http://tb-simply.dev/install.php?profile=themebrain_profile&locale=en','127.0.0.1',1435654230),(3,1,'page not found','%file','a:1:{s:5:\"%file\";s:46:\"sites/all/libraries/superfish/sfsmallscreen.js\";}',3,'','http://tb-simply.dev/','http://tb-simply.dev/install.php?profile=themebrain_profile&locale=en','127.0.0.1',1435655491),(4,1,'page not found','%file','a:1:{s:5:\"%file\";s:46:\"sites/all/libraries/superfish/sfsmallscreen.js\";}',3,'','http://tb-simply.dev/','http://tb-simply.dev/install.php?profile=themebrain_profile&locale=en','127.0.0.1',1435655492);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wysiwyg`
--

DROP TABLE IF EXISTS `wysiwyg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wysiwyg` (
  `format` varchar(255) NOT NULL COMMENT 'The filter_format.format of the text format.',
  `editor` varchar(128) NOT NULL DEFAULT '' COMMENT 'Internal name of the editor attached to the text format.',
  `settings` text COMMENT 'Configuration settings for the editor.',
  PRIMARY KEY (`format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores Wysiwyg profiles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wysiwyg`
--

LOCK TABLES `wysiwyg` WRITE;
/*!40000 ALTER TABLE `wysiwyg` DISABLE KEYS */;
/*!40000 ALTER TABLE `wysiwyg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wysiwyg_user`
--

DROP TABLE IF EXISTS `wysiwyg_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wysiwyg_user` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the text format.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the format is enabled by default.',
  KEY `uid` (`uid`),
  KEY `format` (`format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user preferences for wysiwyg profiles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wysiwyg_user`
--

LOCK TABLES `wysiwyg_user` WRITE;
/*!40000 ALTER TABLE `wysiwyg_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `wysiwyg_user` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-06-30 17:03:22
